define(['account_safe_model',"UserCache",'util'], function(model,UserCache,util) {
	var _this=null;
	var auths;
	var flag;
	var get=localStorage.getItem("isphone");
	function account_safe_control(){
		_this=this;
	}
	var vm=new Vue({
		el:".mui-content",
		data:{
			phone : "",
			is_list : get,
			isNetWork : 0,
			isZhuxiao : -1,
			isAppFlag : false
		},
		methods:{
			change_tell:function(){
				mui.openWindow({
					url:"change_tell.html",
					id :"change_tell.html",
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			change_pass:function(t){
				if(t==0){
					mui.openWindow({
						url:"change_pass.html",
						id :"change_pass.html",
						styles: {
			                popGesture: 'close' ,
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					mui.openWindow({
						url:"set_pass.html",
						id :"set_pass.html",
						styles: {
			                popGesture: 'close' ,
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			goCashPass:function(){
				mui.openWindow({
					url:"cashPass.html",
					id :"cashPass.html",
					styles: {
				        popGesture: 'close' ,
						"contentAdjust":false 
				    },
					waiting:{
				      autoShow:false
				    }
				})
			},
			goZhuXiao:function(){
				mui.openWindow({
					url:"zhuxiao.html",
					id :"zhuxiao.html",
					styles: {
				        popGesture: 'close' ,
						"contentAdjust":false 
				    },
					waiting:{
				      autoShow:false
				    }
				})
			},
			sureZhuxiao:function(){
				mui.confirm('注销后账户无法恢复，请谨慎操作', '温馨提示', function(e) {
					if(e.index==1){				
						_this.sureZhuxiao();
					}
				});
			}
		}
	})
	account_safe_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				if(mui.os.ios){
					 model.isCheckApp(function(res){
						 vm.isAppFlag = res.data;
					 })
				}
				
				
				 _this.isZhuxiao();
				var my = UserCache.getUserInfo().CellPhone;
				vm.phone= util.phoneStr(my);
				var sdata = plus.webview.currentWebview();
				flag = sdata.isShowWeixinFlag;
				if(flag==null){		//说明未绑定支付，要显示绑定
					showBind();
				}else{				//显示解绑
					unBind();
				}
			}
		})
	}
	
	
	account_safe_control.prototype.isZhuxiao = function(){
		model.isZhuxiao(function(data){
			vm.isZhuxiao = data.state;
		});
	}
	
	account_safe_control.prototype.sureZhuxiao = function(){
		model.sureZhuxiao(function(data){
			if(data.state==1){
				UserCache.removeUserToken();				//退出登录清楚用户的ID
				UserCache.removeLoginToken();				//退出登录清楚用户的token
				UserCache.removeTokenTimeOut();				//退出登录清楚TokenTimeOut 重置失效时间				
				_this.goHome();
			}
		});
	}
	
	
	account_safe_control.prototype.goHome = function(){
		var sdata=plus.webview.currentWebview();
		var self = plus.webview.currentWebview();　　 	 //当前窗口对象 
		var launch = plus.webview.getLaunchWebview();　　 //首页窗口对象 
		var wvs = plus.webview.all();　　				 //所有窗口对象	
		for(var i = 0, len = wvs.length; i < len; i++) {
			if(wvs[i].id === self.id || wvs[i].id === localStorage.homeWebId || wvs[i].id === launch.id ||
				wvs[i].id == "html/home.html" || wvs[i].id == "html/diary_edit.html" || wvs[i].id == "html/my.html"|| wvs[i].id == "html/mall.html"|| wvs[i].id == "html/city.html" || wvs[i].id == "html/information.html"|| wvs[i].id == "main") {
				continue; 
			} else {
				wvs[i].close('none');　　 //关闭中间的窗口对象，为防止闪屏，不使用动画效果；
			}
		}
		self.close("slide-out-right");
		var view=plus.webview.getWebviewById('main');
		mui.fire(view,'go_home');
		_this.loginoutCallback();
	}
	
	
	//退出登录时,抛个事件给我的页面,还原数据
	account_safe_control.prototype.loginoutCallback = function() {
		var myView=plus.webview.getWebviewById('html/my.html');
		mui.fire(myView,'loginOut');
	}
	
	
	//监听更换手机号的成功返回事件
	window.addEventListener("change_tel",function(e){
		_this.init();
	})
	
	
	
	function showBind(){
		$(".outBind img").attr("src","../icon/wechat_unbound_icon@2x.png");
		$("#btn").text("绑定");
		$("#btn").css({
			color : "white",
			"background":"#43E97B"
		})
	}
	function unBind(){
		$(".outBind img").attr("src","../icon/wechat_binding_icon@2x.png");
		$("#btn").text("解绑");
		$("#btn").css({
			color : "#999999",
			"background":"#EEEEEE"
		})
	}
	
	function listen(){
		var viewSet = plus.webview.getWebviewById("set.html");
		var view = plus.webview.getWebviewById("html/my.html");
		mui.fire(view,"loginSuccess");
		mui.fire(viewSet,"setWeixin",{flag : flag})
	}
	
	$("#btn").on("click",function(){
		if(flag==null){
			_this.otherLogin();
		}else{
			var btn = ["否","是"];
			mui.confirm("您确定注销微信一键登录吗？","",btn,function(e){
				if(e.index==1){
					model.outWeiXin();
					flag = null;		 //注销后，未绑定所以要显示绑定
					showBind();
					listen();
					for (var i in auths) {
						var s = auths[i];
						if (s.authResult) {
							s.logout(function(e) {
								console.log("注销登录认证成功！");
							}, function(e) {
								console.log("注销登录认证失败！");
							});
						}
					}
				}
			})
		}
	})
	
	


	//第三方登录
	
	account_safe_control.prototype.otherLogin = function() {
		mui.plusReady(function() {  
			plus.oauth.getServices(function(services) {
				auths = services;
				_this.authLogin('weixin');
			}, function(e) {
			   
			});
		});
	}

	
	account_safe_control.prototype.authLogin = function(type) {
		var s;
		for (var i = 0; i < auths.length; i++) {
			if (auths[i].id == type) {
				s = auths[i];
				break;
			}
		}
		if (!s.authResult) {
			s.login(function(e) {
				s.getUserInfo( function(e){
					//把openid 给服务器；
					//console.log( "获取用户信息成功："+JSON.stringify(s.userInfo));
					var _obj = {
						Wechat  : s.userInfo.openid,
						ID      : UserCache.getUserToken()
					};
					model.bindWeiXin(_obj,function(data){						//认证成功
				
						
						//绑定后显示解绑
						flag = 1;
						unBind();
						listen();						
						mui.toast(data.data);
					})
				}, function(e){
					console.log( "获取用户信息失败："+e.message+" - "+e.code );
					mui.toast('获取用户信息失败');
				});
			}, function(e) {
				mui.toast("登录认证失败！");
			});
		} else {
			var _obj = {
				Wechat  : s.userInfo.openid,
				ID      : UserCache.getUserToken()
			};
			model.bindWeiXin(_obj,function(data){						//认证成功
			
				
				//绑定后显示解绑
				flag = 1;
				unBind();
				listen();						
				mui.toast(data.data);
			})
		}
	};	
	
	return new account_safe_control();
});