define(["NetMannager","UserCache"], function(net,UserCache){
	function account_safe_model(){
		
	}
	
	//重置手机号
	account_safe_model.prototype.change_pass = function(_phone,func){
		var param={
			phone : _phone,
			token : UserCache.getLoginToken()
		}
		net.getMessage(param,"ResetSendYZM", function(data){ 
			if(data.state==1){							
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");		
				}else{
					func(data);
				}
			}else if(data.state==-1){
				mui.toast("密码不正确！");
			}
		});
	}
	
	
	
	//微信授权登录
	account_safe_model.prototype.bindWeiXin = function(obj,func) {
		var param = {
			token : UserCache.getLoginToken(),
			Model  : JSON.stringify(obj)
		}
		net.getListMess(param,"WeiXinPay/WxAuthorSignIn", function(data){ 		
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	//微信解绑注销
	account_safe_model.prototype.outWeiXin = function(func) {
		var param = {
			uID : UserCache.getUserToken(),
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"WeiXinPay/WxAuthorSignOut", function(data){ 		
			mui.toast(data.data);
		});
	}
	
	
	//注销开关
	account_safe_model.prototype.isZhuxiao = function(func) {
		net.getListMess(null,"User/GetCheckState", function(data){ 		
			func(data);
		});
	}
	
	
	//确定注销
	account_safe_model.prototype.sureZhuxiao = function(func) {
		var param = {
			token : UserCache.getLoginToken(),
			cellPhone : UserCache.getUserInfo().CellPhone
		}
		net.getListMess(param,"User/ExitUser", function(data){ 		
			if(data.state==1){
				mui.toast(data.data)
			}else{
				mui.toast(data.text)
			}
			func(data)
		});
	}
	
	
	
	//苹果审核
	account_safe_model.prototype.isCheckApp = function(func) {
		net.getListMess(null,"System/CheckTimeFlag", function(data){ 
			func(data);
		})
	}
	return new account_safe_model();
});

