define(["NetMannager","UserCache"], function(net,UserCache) {
	var list=[];
	var state="";						//判断是否跳过填写信息界面
	var payState="";					//支付发起前的第一步验证
	var _id=null;
	function adSuerOrder_model() {
		
	}
	
	//报单
	adSuerOrder_model.prototype.init = function(num,func) {
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			var id=sdata.typeId;
			var param={
				ID     : id,
				UserId : UserCache.getUserToken(),
				token  : UserCache.getLoginToken(),
				num    : num
			}
			net.getListMess(param,"Order/GetOrderDetailByID", function(data){ 
				if(data.state==1){
					list = data.data
				}else if(data.state==-1){
					list = [];
				}
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data);
				}
			})
		})
	}
	
	//门票
	adSuerOrder_model.prototype.initPiao = function(num,func) {
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			var id=sdata.typeId;
			var colorId = sdata.colorId;
			var param={
				ID     : id,
				UserId : UserCache.getUserToken(),
				token  : UserCache.getLoginToken(),
				num    : num,
				colorId: colorId
			}
			net.getListMess(param,"Order/GetOrderDetailByID", function(data){ 
				if(data.state==1){
					list = data.data
				}else if(data.state==-1){
					list = [];
				}
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data);
				}
			})
		})
	}
	
	
	adSuerOrder_model.prototype.getData = function(func) {
		return list;
	}
	
	
	//提交订单
	adSuerOrder_model.prototype.submitOrder = function(func) {
		var param={
			UserId  : UserCache.getUserToken(),
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Order/GetIsRedirect", function(data){ 
			state = data.data;
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	adSuerOrder_model.prototype.getState = function(func) {
		return state;
	}
	
	
	
	//花期会员提交订单---创建订单
	adSuerOrder_model.prototype.creatOrder = function(obj,color,ID,func) {
		var param={
			Model   :  JSON.stringify(obj),
			UserId  :  UserCache.getUserToken(),
			token : UserCache.getLoginToken(),
			color : color,
			couponID : ID
		}
		net.getListMess(param,"Order/CreateOrder", function(data){ 
			func(data);
			if(data.state==1){
				mui.openWindow({
					url:"adPay.html",
					id :"adPay.html",
					extras:{
						orderId : data.data.ID
					},
					styles:{
					      "contentAdjust":false  
					},
					waiting:{
				      autoShow:false
				    }
				})
			}else if(data.state==-1){
				mui.toast(data.text);
				return false;
			}
		})
	}
	//门票提交订单
	adSuerOrder_model.prototype.sure_info_type = function(obj,color,ID,goodCount,func) {
		var param={
			Model   :  JSON.stringify(obj),
			UserId  :  UserCache.getUserToken(),
			token : UserCache.getLoginToken(),
			color : color,
			couponID : ID,
			num   : goodCount
		}
		net.getListMess(param,"Order/CreateTicketOrder", function(data){ 
			func(data);
			if(data.state==1){
				mui.openWindow({
					url:"adPay.html",
					id :"adPay.html",
					extras:{
						orderId : data.data.ID
					},
					styles:{
					      "contentAdjust":false  
					},
					waiting:{
				      autoShow:false
				    }
				})
			}else if(data.state==-1){
				mui.toast(data.text);
				var view = plus.webview.currentWebview().opener();
				mui.fire(view,"refreshGood");
				setTimeout(function(){
					mui.back();
				},1000);
				return false;
			}
		})
	}
	
	
	//获取地址信息
	adSuerOrder_model.prototype.getAdd = function(func) {
		var param={
			UserID  :  UserCache.getUserToken(),
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Address/GetUserAddressList", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	//单个立即购买---进来的数据
	adSuerOrder_model.prototype.signData = function(productID,colorID,num,price,func) {
		var param = {
			token  : UserCache.getLoginToken(),
			userID : UserCache.getUserToken(),		
			productID : productID,									
			colorID : colorID,									
			num   : num,											
			price : price											
		}
		net.getListMess(param,"Product/BuyProductGoods", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	//购物车进来的数据
	adSuerOrder_model.prototype.shopData = function(cardLists,goodCards,nums,colors,prices,func) {
		var param = {
			cardLists : JSON.stringify(cardLists),									//唯一ID
			goodCards : JSON.stringify(goodCards),									//ID
			userID : UserCache.getUserToken(),		
			token  : UserCache.getLoginToken(),
			nums   : JSON.stringify(nums),											//数量
			colors : JSON.stringify(colors),										//规格的ID[1,2,3]
			prices : JSON.stringify(prices)											//数组的单价
		}
		net.getListMess(param,"Product/GetOrdersGoodsCard", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	//购物车的提交订单
	adSuerOrder_model.prototype.sendOrder = function(productIds,productNames,colorIds,priceIds,numIds,couponID,addressID,type,func) {
		var param = {
			token  		: UserCache.getLoginToken(),
			userId 		: UserCache.getUserToken(),
			productIds  : JSON.stringify(productIds),
			productNames: JSON.stringify(productNames),
			colorIds    : JSON.stringify(colorIds),         
			priceIds    : JSON.stringify(priceIds),
			numIds      : JSON.stringify(numIds),
			couponID    : couponID,
			addressID   : addressID,
			type		: type
		}
		net.getListMess(param,"Product/BuyGoodsByGoodsCard", function(data){ 		
			if(data.state==1){
				mui.openWindow({
					url:"adPay.html",
					id :"adPay.html",
					extras:{
						orderId : data.data
					},
					styles:{
					      "contentAdjust":false  
					},
					waiting:{
				      autoShow:false
				    }
				})
			}else{
				mui.toast(data.text);
			}
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	
	//商学院学习数据
	adSuerOrder_model.prototype.getLessonData = function(func) {
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			_id = sdata.typeId;
			var param = {
				token  		: UserCache.getLoginToken(),
				userId      : UserCache.getUserToken(),
				id 			: _id
			}
			net.getListMess(param,"MyCourse/BuyCourse", function(data){ 	
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");		
				}else{
					func(data);
				}
			});
		})
	}
	//商学院学习提交订单
	adSuerOrder_model.prototype.sendLessonData = function(couponID,func) {
		var param = {
			token  		: UserCache.getLoginToken(),
			userId      : UserCache.getUserToken(),
			id 			: _id,
			couponID    : couponID
		}
		net.getListMess(param,"MyCourse/AddCourseOrder", function(data){ 	
			if(data.state==1){
				mui.openWindow({
					url:"adPay.html",
					id :"adPay.html",
					extras:{
						orderId : data.data
					},
					styles:{
					      "contentAdjust":false  
					},
					waiting:{
				      autoShow:false
				    }
				})
			}else{
				mui.toast(data.text);
			}
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	return new adSuerOrder_model();
});