define(["addressList_model","UserCache"], function(model,UserCache) {
	var _this=null;
	var vm = new Vue({
		el: ".mui-content",
		data: {
			list : [],
			isRemove :"",
			num:null,
			isNetWork:0
		},
		methods: {
			bj:function(ID){					//编辑
				for(var i=0;i<vm.list.length;i++){
					if(ID == vm.list[i].ID){
						mui.openWindow({
							url:"addressEdit.html",
							id :"addressEdit.html",
							extras:{
								isDetele :  1,
								type     :  2,
								obj      : JSON.stringify(vm.list[i])
							},
							styles: {
				                popGesture: 'close' ,
								"contentAdjust":false 
				            },
							waiting:{
						      autoShow:false
						    }
						})
						break;
					}
				}
			},
			Delete:function(ID,index){						//删除
				for(var i=0;i<vm.list.length;i++){
					if(ID == vm.list[i].ID){
						vm.num--;
						if(vm.num==0){
							$(".no_order").show();
						}	
						var arry=[];
						arry.push(ID);
						model.Delete(arry,function(data){});
						vm.list.splice(i, 1);
						return vm.list;
					}
				}
			},		
			goAdd:function(){								//添加收货地址
				mui.openWindow({
					url:"addressEdit.html",
					id :"addressEdit.html",
					extras:{
						isDetele :  2,				//是否显示删除
						type     :  4						
					},
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			setInpMoren:function(id,IsDefault){							//设置默认
				if(!IsDefault){									//防止同一个用户地址一直点
					model.SetMoren(id,function(data){
						if(data.state==1){
							for(var i=0;i<vm.list.length;i++){			
								vm.list[i].IsDefault = false;
								if(id == vm.list[i].ID){
									vm.list[i].IsDefault = true;
								}
							}
						}
					})
				}
			}
		}
	})
	function addressList_controller() {
		_this = this;
	}
	addressList_controller.prototype.init = function() {
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				model.init(function(data){
					if(data.state==1){
						vm.list  =  data.data;
						vm.num   = vm.list.length;
						for(var i=0;i<vm.list.length;i++){
							var strStart = ""+vm.list[i].Phone.substring(-1,3);
							var strLast = vm.list[i].Phone.substring(7);
							vm.list[i].LastPhone = strStart+"****"+strLast;
						}
						
						$("#no_order").hide();
						vm.isRemove = 1;					//删除存在
					}else{
						vm.isRemove = 2;					//删除不存在
						vm.list = null;
						$("#no_order").show();
					}
				})
			}
		})
	}

	
	//监听编辑回来的
	window.addEventListener("setBack",function(e){
		_this.init();
	})
	//监听添加后回来的
	window.addEventListener("setAdd",function(e){
		_this.init();
	})
	
	//监听编辑删除返回
	window.addEventListener("Deteledata",function(e){
		_this.init();
	})
	return new addressList_controller();
})
