define(["NetMannager","UserCache"], function(net,UserCache) {
	function bank_model() {
		
	}
	//用户银行列表
	bank_model.prototype.init = function(func){
		var param = {
			UserID  : UserCache.getUserToken(),
			token : UserCache.getLoginToken()
		};
		net.getListMess(param,"Banks/GetUserBanks",function(data){ 

			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		});
	};

	
	//解绑
	bank_model.prototype.removeBank = function(obj,func){
		var param = {
			ListIds  : JSON.stringify(obj),
			token : UserCache.getLoginToken()
		};
		net.getListMess(param,"Banks/DeleteBanks",function(data){ 

			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		});
	};
	
	
	//设为默认
	bank_model.prototype.inpBank = function(ID,func){
		var param = {
			token : UserCache.getLoginToken(),
			ID    : ID,
			Default : true
		};
		net.getListMess(param,"Banks/SetDefault",function(data){ 

			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		});
	};
	return new bank_model();
})