define(['busniessList_model',"UserCache"], function(model,UserCache) {
	var _this=null;
	function busniessList_control(){
		_this=this;
	}
	var vm=new Vue({
		el:".mui-content",
		data:{
			list : [],
			page : 1,
			rows : 10,
			isNetWork:0,
			isData: 1  //判断是否还有数据
		},
		methods:{
			lessonDeault :function(index){
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url: "lessonDeault.html",
						id : "lessonDeault.html",
						extras:{
							ID : index
						},
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					mui.openWindow({
						url: "login.html",
						id : "login.html",
						styles: {
			                popGesture: 'close' ,
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			}
		}
	})
	busniessList_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				model.init(vm.page,vm.rows,function(data){
					if(data.state==1){
						vm.list = data.data;
					}else{
						if(vm.page==1){
							$(".downLoad").hide();
						}else{
							vm.isData = 0;
							$(".downLoad").show();
							$(".downLoad").html("<img src='../mescroll/3.png'/><span>没有更多了</span>");
							setTimeout(function(){
								$(".downLoad").fadeOut(1000);
							},1000)
							
						}
					}
				})
			}
		})
	}
	
	mui.plusReady(function(){
	    document.addEventListener( "plusscrollbottom", onScrollToBottom, false );
	    function onScrollToBottom() {
	    	if(vm.isData ==0){				//如果已经没有更多数据了，在上拉就不在请求数据了
	    		return false;
	    	}
	    	vm.page++;
	    	_this.init(); 
	    }
	});
	
		
	//头部状态栏通过触发这个事件，可以做一些字体颜色变化；
	$(".mui-bar-transparent").on("alpha", function(evt) {
		var alpha= evt.detail.alpha;
		//当前获得标题栏透明度，而且是变化时触发
		if(alpha>=1){
			$(".white").hide();
			$(".black").show();
			$("#top").css("border-bottom","#F0F0F0 solid 1px");
		}else{
			$(".white").show();
			$(".black").hide();
			$("#top").css("border-bottom","none");
		}
	});
	return new busniessList_control();
});