define(["cardEdit_model","UserCache"], function(model,UserCache) {
	var _this=null;
	var vm = new Vue({
		el: ".mui-content",
		data: {
			isNetWork: 0,
			Province : "",				//省
			City	 : "",				//市
			County   : "",				//县、区
			Name     : "",				//银行卡名字
			card     : "",				//卡号
			bankName : "",				//所属银行
			openBank : ""				//开户行
		},
		methods: {
			city_pick: function() {
				var city_picker = new mui.PopPicker({ layer: 3 });
				city_picker.setData(china_city);
				city_picker.pickers[0].setSelectedValue('330000',600);
				setTimeout(function() {
					city_picker.show(function(items) {
//						$("#city_text").text(items[0].text + items[1].text + items[2].text); //该ID为接收城市ID字段
						vm.Province = items[0].text;
						vm.City = items[1].text;
						vm.County = items[2].text;
					});
				}, 20);
			},
			chooseBank:function(){
				mui.openWindow({
					url:"bankList.html",
					id :"bankList.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			sumbit:function(){
				_this.check();
			},
			keyup:function(){
				//替换空格前4位数字为4位数字加空格，只为显示用，上传值需要删除所有空格进行处理，下面处理了
				var testValue = $('#inp_IdentityCard').val().replace(/\D/g, '').replace(/....(?!$)/g, '$& '); 
       			vm.card = testValue;
			}
		}
	})
	function cardEdit_contr() {
		_this = this;
	}
	cardEdit_contr.prototype.init = function() {
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				var userInfo = UserCache.getUserInfo();
				vm.Name=UserCache.getUserInfo().RealName;
				if(vm.Name==null){
					mui.toast('持卡人姓名--请先在购买流程中进行实名认证');
				}
			}
		})
	}
	
	
	//验证各个值不为空
	cardEdit_contr.prototype.check = function() {
		if( !vm.Name || !vm.card || !vm.bankName || vm.card.length<19){
			if(vm.Name =="" || vm.Name ==null){
				mui.alert("请输入持卡人姓名");
			}else if(vm.card == "" || vm.card==null || vm.card.length<19){
				mui.alert("请输入16-19位银行卡号");
			}else if(vm.bankName == "" || vm.bankName==null){
				mui.alert("请选择所属银行");
			}
		}else{
			var cardNum = vm.card.replace(/\s/g, "");			//传值的时候，去掉所有空格
			var btn = ["返回修改","确定无误"];
			mui.confirm("请核对卡号信息，确保无误！","",btn,function(e){
				if(e.index==1){					//确定无误
					var obj={
						Branch    :  vm.Province+vm.City+vm.County+vm.openBank,	
						BankName  :  vm.bankName,
						CardNo    :  cardNum,
						RealName  :  vm.Name,
						UserID    :  UserCache.getUserToken(),
						IsDefault :  true
					}
					model.init(obj,function(data){
						mui.toast(data.text);
						if(data.state==1){
							var view=plus.webview.currentWebview().opener();
							mui.fire(view,"bankSubmit");
							mui.back();
						}
					})
				}
			})
		}
	}
	
	
	window.addEventListener("chooseBankBack",function(e){
		vm.bankName=e.detail.bankName;
	})
	return new cardEdit_contr();
})
