define(['cashGetCode_model','UserCache','util'], function(model,UserCache,util) {
	var _this;
	var clear;					 //清除计时器
	var flag = false;			 //防止一直获取验证码验证码
	function cashGetCode_contr(){
		_this=this;
	}
	
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			type    : "",				//0是设置兑换密码， 1是修改，2是忘记
			contTitle : "",
			contCodeTxt : "",
			list : [],								//控制输入框的位数长度
			num  : -1,
			code : [],
			codeStr : "",
			maxLen : 4,
			
			isInitByFlower : 0,		  //是否只我的花瓣页面进来的
			
			//倒计时
			timeNum : 60,
			isShow  : false
		},
		methods:{
			init:function(){
				this.list = [];
				for(var i=0;i<this.maxLen;i++){
					var obj = {
						text : "",
						isColor : false
					}
					this.list.push(obj);
				}
			},
			initTime:function(){
				clear = setInterval(_this.djstime, 1000);
			},
			choose:function(index){									//防止输入6位后还可以输入
				if(this.num>this.maxLen-2){
					return false;
				}
				this.num++;	
				if(index==0){
					this.list[this.num].text  = "0";
				}else{
					this.list[this.num].text = index;
				}
				this.list[this.num].isColor = true;
				this.code.push(index);
				if(this.code.length>this.maxLen-1){
					this.codeStr = this.code.join('');
		
				}
				
				//如果输入4位了就跳转带设置页面.具体要接口验证
				if(this.type!=1){
					if(this.num==3){
						model.checkPassCode(vm.codeStr,function(data){
							if(data.state==1){
								vm.goNext();
							}else{
								mui.toast(data.text);
							}
						})
					}
				}else{
					if(this.num==5){
						model.changePass(vm.codeStr,function(data){
		
							if(data.state==1){
								vm.goNext();
							}else{
								mui.toast(data.text);
							}
						})
					}
				}
			},	
			goNext:function(){
				mui.openWindow({
					url : "cashGetSetPass.html",
					id  : "cashGetSetPass.html",
					styles: {
					    popGesture: 'close' ,
						"contentAdjust":false 
					},
					waiting:{
					  autoShow:false
					},
					extras:{
						index : vm.type,
						old   : vm.codeStr,
						type  : vm.isInitByFlower
					}
				})
			},
			clear:function(){
				this.num  = -1;
				this.code = [];
				for(var i=0;i<this.list.length;i++){
					this.list[i].text = "";
					this.list[i].isColor = false;
				}
			},
			remove:function(){
				if(this.num>=0){
					this.list[this.num].text = '';
					this.list[this.num].isColor = false;
					this.code.splice(this.num,1);
					this.codeStr = this.code.join('');
					this.num--;
				}
			},
			getCode:function(){			//获取验证码
				if(!flag){
					vm.timeNum = 60;
					vm.isShow = false;
					flag = true;
					clear = setInterval(_this.djstime, 1000);
				}
			},
			forgetPass:function(){		//忘记密码
				vm.contTitle = "";
				setTimeout(function(){
					vm.type = 2;
					vm.maxLen = 4;
					$("#top div").eq(1).text("输入短信验证码");
					vm.contTitle = "输入短信验证码";
					var my = UserCache.getUserInfo().CellPhone;
					vm.contCodeTxt=  "验证码已发送至您的手机"+util.phoneStr(my);
					vm.init();
					vm.initTime();
					vm.clear();
					model.getCode(function(data){
						mui.toast(data.text);
					})
				},10);
			}
		}
	})
	
	cashGetCode_contr.prototype.init = function(){
		mui.plusReady(function () {
		    var sdata = plus.webview.currentWebview();
			vm.type = sdata.index;
			vm.isInitByFlower = sdata.type;				//我的花瓣进来的
			if(vm.type==0 || vm.type==2){				//设置跟忘记
				vm.initTime();
				vm.contTitle = "输入短信验证码";
				var my = UserCache.getUserInfo().CellPhone;
				vm.contCodeTxt=  "验证码已发送至您的手机"+util.phoneStr(my);
				$("#top div").eq(1).text("输入短信验证码");
				model.getCode(function(data){
					mui.toast(data.text);
				})
			}else if(vm.type==1){
				vm.contTitle = "请输入旧密码";
				$("#top div").eq(1).text("请输入旧密码");
				vm.contCodeTxt = " ";
				vm.maxLen = 6;			
			}
			vm.init();
		})
	}
	
	
	
	//60秒倒计时
	cashGetCode_contr.prototype.djstime = function() {
		if(vm.timeNum <= 0) {
			clearInterval(clear);
			vm.timeNum = 60;
			flag = false;
			vm.isShow = true;
		} else {
			vm.timeNum--;
		}
	};
	return new cashGetCode_contr();
});