define(['cashList_model',"Config"], function(model,Config) {
	var _this=null;
	var mescrollArr=new Array(3);
	var curNavIndex=null;
	var mescroll=null;
	function cashList_control(){
		_this=this;
	}
	
	var topvm = new Vue({
		el : ".scrollx",
		data : {
			state : 0
		}
	})
	
	var vm=new Vue({
		el:".box",
		data:{
			rowsAll : 10,
			pageAll : 1,
			
			rowsPay : 10,
			pagePay : 1,
			
			rowsCheck:10,
			pageCheck:1,
			
			
			one  : [],												//全部订单
			two  : [],												//待付款
			three :[],												//待审核

			item_num:0,
			isNetWork:0
		},
		methods:{
			goCashDefaultShare:function(ID){
				mui.openWindow({
					url:"cashShareDefault.html",
					id :"cashShareDefault.html",
					extras:{
						index : ID
					},
					styles: {
				        popGesture: 'close' ,
						"contentAdjust":false 
				    },
					waiting:{
				      autoShow:false
				    }
				})
			},
			goCashDefaultMoney:function(ID){
				mui.openWindow({
					url:"cashMoneyDefault.html",
					id :"cashMoneyDefault.html",
					extras:{
						index : ID
					},
					styles: {
						popGesture: 'close' ,
						"contentAdjust":false 
					},
					waiting:{
					  autoShow:false
					}
				})
			},
			goCashDefault:function(type,ID){
				if(type==1){
					this.goCashDefaultShare(ID);
				}else{
					this.goCashDefaultMoney(ID);
				}
			}
		}
	})
	
	cashList_control.prototype.init = function(){
		mui.plusReady(function(){
			//初始化滑动，还有显示对应的样式，无其他作用
			var sdata=plus.webview.currentWebview();
			vm.item_num=0;   
			curNavIndex = vm.item_num;
			_this.init_scroll();
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				_this.medown();
			}
		})
	}
	
	
	
	//滑动初始化
	cashList_control.prototype.init_scroll = function(){
		setTimeout(function() {
			mui(".mui-slider").slider({
				interval: 0
			});
			mui('.mui-scroll-wrapper').scroll({
				indicators: false, //是否显示滚动条
				deceleration: 0.0005
			});
		}, 1000);
	}
	
	
	
	//分享数据
	cashList_control.prototype.cashShare = function(){
		model.cashShare(vm.rowsPay,vm.pagePay,function(){
			vm.two = model.stateData_two();		
		})
	}
	//提现数据
	cashList_control.prototype.orderData2 = function(){
		model.orderData2(vm.rowsCheck,vm.pageCheck,function(){
			vm.three = model.stateData_three();		
		})
	}
	//全部数据
	cashList_control.prototype.cashAll = function(){
		model.cashAll(vm.rowsAll,vm.pageAll,function(){
			vm.one = model.stateData_one();					
		})
	}


	//下拉刷新----上拉加载
	cashList_control.prototype.medown = function(){
		//初始化首页
		mescrollArr[curNavIndex]= _this.initMescroll(curNavIndex);  
		$("#nav li").click(function(){
			var i=Number($(this).attr("i"));
			swiper.slideTo(i);//以轮播的方式切换列表
			topvm.state = i;
		})
		var swiper=new Swiper('#swiper', {
			initialSlide : vm.item_num,				//根据外部条件显示相对应的
	        onTransitionEnd: function(swiper){
	        	var i=swiper.activeIndex;//轮播切换完毕的事件
	        	_this.changePage(i);
		    }
	    });
	}
	
	
	//切换列表
	cashList_control.prototype.changePage = function(i){
			var curNavDom;//当前菜单项
			// $("#nav li").each(function(n,dom){
			// 	if (dom.getAttribute("i")==i) {
			// 		dom.classList.add("active");
			// 		curNavDom=dom;
			// 	} else{
			// 		dom.classList.remove("active");
			// 	}
			// });
			topvm.state = i;
		
			
			//隐藏当前回到顶部按钮
			mescrollArr[curNavIndex].hideTopBtn();
			//取出菜单所对应的mescroll对象,如果未初始化则初始化
			if(mescrollArr[i]==null){
				mescrollArr[i]=_this.initMescroll(i);
			}else{
				//检查是否需要显示回到到顶按钮
				var curMescroll=mescrollArr[i];
				var curScrollTop=curMescroll.getScrollTop();
//				curMescroll.triggerDownScroll();				//刷新
				
				if(curScrollTop>=curMescroll.optUp.toTop.offset){
					curMescroll.showTopBtn();
				}else{
					curMescroll.hideTopBtn();
				}
			}
			//更新标记
			curNavIndex=i;
	}
	

				
	
	cashList_control.prototype.initMescroll = function(index){
		//创建MeScroll对象,内部已默认开启下拉刷新,自动执行up.callback,刷新列表数据;
		mescroll = new MeScroll("mescroll"+index, {
			//上拉加载的配置项
			down:{										//下拉刷新
				offset:$(".scrollx").height(),
				auto:false,
				callback:function(){ 
					if(curNavIndex==0){
						model.cashAll(10,1,function(data){ 
							if(data.state==1){
								mescrollArr[curNavIndex].resetUpScroll();
							}else{
								setTimeout(function(){
									mescrollArr[curNavIndex].endErr();
								},600)
							}
						})
					}
					else if(curNavIndex==1){
						model.cashShare(10,1,function(data){ 
							if(data.state==1){
								mescrollArr[curNavIndex].resetUpScroll();
							}else{
								setTimeout(function(){
									mescrollArr[curNavIndex].endErr();
								},600)
							}
						})
					}
					else if(curNavIndex==2){
						model.cashMoney(10,1,function(data){ 
							if(data.state==1){
								mescrollArr[curNavIndex].resetUpScroll();
							}else{
								setTimeout(function(){
									mescrollArr[curNavIndex].endErr();
								},600)
							}
						})
					}
				}
			},
			up: {			  					//上拉加载
				callback: function(page){
					var dataIndex=curNavIndex; 
					var arry =[];
					setTimeout(function(){
						if(dataIndex==0){		//全部
							model.cashAll(page.size,page.num,function(data){
								if(data.state==1 || data.state== 2){
									arry = model.stateData_one();
									if(arry==null){
										mescrollArr[dataIndex].endSuccess(0);
									}else{
										mescrollArr[dataIndex].endSuccess(arry.length);
										if(page.num==1){
											vm.one = arry;
										}else{
											for(var i=0;i<arry.length;i++){
												vm.one.push(arry[i]);
											}
										}
									}
								}else{
									 mescrollArr[dataIndex].endErr();
									 vm.one=null;
								}
							})
						}
						else if(dataIndex==1){ //待付款
							model.cashShare(page.size,page.num,function(data){
								if(data.state==1 || data.state== 2){
									arry = model.stateData_two();
									if(arry==null){
										mescrollArr[dataIndex].endSuccess(0);
									}else{
										mescrollArr[dataIndex].endSuccess(arry.length);
										if(page.num==1){
											vm.two = arry;
										}else{
											for(var i=0;i<arry.length;i++){
												vm.two.push(arry[i]);
											}
										}
									}	
								}else{
									 mescrollArr[dataIndex].endErr();
									 vm.two = null;
								}
							})
						}
						else if(dataIndex==2){ //待收货
							model.cashMoney(page.size,page.num,function(data){
								if(data.state==1 || data.state==2){
									arry = model.stateData_three();
									if(arry==null){
										mescrollArr[dataIndex].endSuccess(0);
									}else{  
										mescrollArr[dataIndex].endSuccess(arry.length);
										if(page.num==1){
											vm.three = arry;
										}else{
											for(var i=0;i<arry.length;i++){
												vm.three.push(arry[i]);
											}
										}
									}
								}else{
									 mescrollArr[dataIndex].endErr();
									 vm.three = null;
								}
							})
						} 
				    },600);
				},
				toTop:{ //配置回到顶部按钮
					src : Config.mescroTopImg, //默认滚动到1000px显示,可配置offset修改
				}
			}
		});
		return mescroll;
	}
	return new cashList_control();
});