define(['coupon_model',"Config","UserCache"], function(model,Config,UserCache) {
	var _this=null;
	var zz=/^1\d{10}$/;  		  //正则手机号码验证
	var mescrollArr=new Array(3);
	var curNavIndex=0;
	var mescroll=null;
	
	function coupon_control(){
		_this=this;
	}
	var vm=new Vue({
		el:"#swiper",
		data:{
			notUsed : [],					//未使用
			alreadyUsed:[],					//已使用
			outDate:[],						//已过期
			notrowss : 10,					
			notpage  : 1,
			alreadyrows : 10,
			alreadypage : 1,
			outrows:10,
			outpage:1,
			isNetWork : 0,
			titleType : 0,
      		userId : "",
		  	couponId:"",
			
			Cindex     : 0,
			isShowBtom : false,
			isShowFlag : false,			   //是否展示选择
			isShowArry : []				   //最终要提交的批量数据
		},
		methods:{
			my:function(){                                                     		 //解决vue事件在mui下拉组件中不能点击，非常有用
				mui("#slider").on('tap', '.yhq_btn', function (event) {        	
                    this.click();
                });
                mui("#slider").on('tap', '.yhq_ysy', function (event) {        	
                    this.click();
                });
            },
			choose : function(index){
				vm.titleType  = index;
			},
			sysAll : function(){					//选择批量扫码按钮
				vm.isShowFlag =! vm.isShowFlag;
				var isTrue = false;
				if(!vm.isShowFlag){					//选择完成
					if(vm.isShowArry==''){
						mui.toast("请选择要使用的优惠券");
					}else{
						for(var i=0;i<vm.isShowArry.length;i++){
							if(vm.isShowArry[i].CouponID == vm.isShowArry[0].CouponID){
								isTrue = true;
							}else{
								isTrue = false;
								break;
							}
						}
						if(isTrue){
							// mui.toast("继续走接口");
							mui.openWindow({
								url : "diyongquan.html",
								id  : "diyongquan.html ",
								extras:{
									type  : "all",
									arry  :  JSON.stringify(vm.isShowArry)
								},
								styles: {
							        popGesture: 'close',
									"contentAdjust":false 
							    },
								waiting:{
							      autoShow:false
							    }
							})
						}else{
							mui.toast("请选择同类型的优惠券");
							vm.isShowFlag = true;
						}
					}
				}
			},
			chooseConp : function(data){		//勾选优惠券,CouponID是判断是否是同类型的
				if(vm.isShowFlag){
					for(var i=0;i<vm.notUsed.length;i++){
						var temp = vm.notUsed[i];
						if(data.ID == temp.ID){
							vm.notUsed[i].sysFlag =! vm.notUsed[i].sysFlag;
							if(vm.notUsed[i].sysFlag){
								vm.choosePush(data);
							}else{
								vm.chooseDelete(data);
							}
							break;
						}
					}
				}
			},
			choosePush : function(data){
				vm.isShowArry.push(data);
			},
			chooseDelete : function(data){
				for(var i = 0; i < vm.isShowArry.length; i++) {
					if(data.ID == vm.isShowArry[i].ID) {
						vm.isShowArry.splice(i, 1);
						break;
					}
				}
			},
			use_yhq:function(CouponID){
				mui.openWindow({
					url : "diyongquan.html",
					id  : "diyongquan.html ",
					extras:{
						index : CouponID
					},
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			ysy_yhq:function(CouponID){
				mui.openWindow({
					url : "diyongquan_ysy.html",
					id  : "diyongquan_ysy.html ",
					extras:{
						index : CouponID
					},
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			zengSon:function(id){
				svm.zengSon();
				vm.couponId = id;
			}
		}
	})
	
	var svm=new Vue({
		el:"#sheet",
		data:{
			myphone: "",
			myname : "请仔细核实姓名真实信息"
		},
		methods:{
			zengSon:function(){
				mui("#sheet").popover("toggle");
			},
			keyup:function(){
				if(svm.myphone.length==11){
					model.checkPhone(svm.myphone,function(data){				//邀请人
						if(data.state==-1){
							mui.toast(data.text);
							svm.myname = "请仔细核实姓名真实信息";
						}else if(data.state==1){
							svm.myname = data.data.RealName;
						}
					});
				}
			},
			zengSonBtn:function(){
				if(!(zz.test(svm.myphone)) || svm.myname =="请仔细核实姓名真实信息" ) {
					if(!(zz.test(svm.myphone))){
						mui.alert("请输入正确的手机号");
						return;
					}else if(svm.myname =="请仔细核实姓名真实信息"){
						mui.alert("获赠人不存在,请重新输入手机号!");
						return;
					}
				}
				var btn=["否","是"];
				mui.confirm("请核实当前用户是你要赠送的用户","",btn,function(e){
					if(e.index==1){			//是
						model.zengSonBtn(vm.couponId,svm.myphone,function(data){
							if(data.state==1){
								_this.up();
								mui("#sheet").popover("hide");
								svm.myphone = "";
								svm.myname = "请仔细核实姓名真实信息";
							}else{
								mui.toast(data.text);
							}
						})
					}else{
						mui("#sheet").popover("hide");
						svm.myphone = "";
						svm.myname = "请仔细核实姓名真实信息";
					}
				})
			}
		}
	})
	
	
	coupon_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				vm.my();
				vm.userId = UserCache.getUserToken();
				_this.init_scroll();
				_this.medown();
			}
		})
	}
	
	
	//滑动初始化
	coupon_control.prototype.init_scroll = function(){
		setTimeout(function() {
			mui(".mui-slider").slider({
				interval: 0
			});
			mui('.mui-scroll-wrapper').scroll({
				indicators: false, //是否显示滚动条
				deceleration: 0.0005
			});
		}, 1000);
	}
	
	

	
	//未使用下拉刷新
	coupon_control.prototype.up = function(){
		vm.isShowArry = [];
		mescrollArr[curNavIndex].resetUpScroll();
	}
	

	
	window.addEventListener("codeSuccess",function(){
		mescrollArr[curNavIndex].resetUpScroll();
		vm.isShowArry = [];
	})
	
	
	
	
	
	
	//下拉刷新----上拉加载
	coupon_control.prototype.medown = function(){
		//初始化首页
		mescrollArr[curNavIndex]= _this.initMescroll(curNavIndex);  
		$("#nav li").click(function(){
			var i=Number($(this).attr("i"));
			swiper.slideTo(i);//以轮播的方式切换列表
		})
		var swiper=new Swiper('#swiper', {
	        onTransitionEnd: function(swiper){
	        	var i=swiper.activeIndex;//轮播切换完毕的事件
	        	_this.changePage(i);
		    }
	    });
	}
	
	
	//切换列表
	coupon_control.prototype.changePage = function(i){
			vm.Cindex = i;
			var curNavDom;//当前菜单项
			$("#nav li").each(function(n,dom){
				if (dom.getAttribute("i")==i) {
					dom.classList.add("active");
					curNavDom=dom;
				} else{
					dom.classList.remove("active");
				}
			});
			
		
			
			//隐藏当前回到顶部按钮
			mescrollArr[curNavIndex].hideTopBtn();
			//取出菜单所对应的mescroll对象,如果未初始化则初始化
			if(mescrollArr[i]==null){
				mescrollArr[i]=_this.initMescroll(i);
			}else{
				//检查是否需要显示回到到顶按钮
				var curMescroll=mescrollArr[i];
				var curScrollTop=curMescroll.getScrollTop();
//				curMescroll.triggerDownScroll();				//刷新
				
				if(curScrollTop>=curMescroll.optUp.toTop.offset){
					curMescroll.showTopBtn();
				}else{
					curMescroll.hideTopBtn();
				}
			}
			//更新标记
			curNavIndex=i;
	}
	
	
	
	
	
	coupon_control.prototype.initMescroll = function(index){
		//创建MeScroll对象,内部已默认开启下拉刷新,自动执行up.callback,刷新列表数据;
		mescroll = new MeScroll("mescroll"+index, {
			//上拉加载的配置项
			down:{										//下拉刷新
				offset:$(".scrollx").height(),
				auto:false,
				callback:function(){ 
					if(curNavIndex==0){
						model.getnotUsed(10,1,function(data){ 
							if(data.state==1){
								vm.isShowArry = [];
								vm.isShowBtom = true;
								mescrollArr[curNavIndex].resetUpScroll();
							}else{
								setTimeout(function(){
									mescrollArr[curNavIndex].endErr();
								},600)
								vm.isShowBtom = false;
							}
						})
					}
					else if(curNavIndex==1){
						model.getalreadyUsed(10,1,function(data){ 
							if(data.state==1){
								mescrollArr[curNavIndex].resetUpScroll();
							}else{
								setTimeout(function(){
									mescrollArr[curNavIndex].endErr();
								},600)
							}
						})
					}
					else if(curNavIndex==2){
						model.getoutDate(10,1,function(data){ 
							if(data.state==1){
								mescrollArr[curNavIndex].resetUpScroll();
							}else{
								setTimeout(function(){
									mescrollArr[curNavIndex].endErr();
								},600)
							}
						})
					}
				}
			},
			up: {			  					//上拉加载
				callback: function(page){
					var dataIndex=curNavIndex; 
					var arry =[];
					setTimeout(function(){
						if(dataIndex==0){		//未使用
							model.getnotUsed(page.size,page.num,function(data){
								if(data.state==1 || data.state== 2){
									vm.isShowBtom = true;
									arry = model.returnnotUsed();
									if(arry==null){
										mescrollArr[dataIndex].endSuccess(0);
									}else{
										mescrollArr[dataIndex].endSuccess(arry.length);
										if(page.num==1){
											vm.notUsed = arry;
										}else{
											for(var i=0;i<arry.length;i++){
												vm.notUsed.push(arry[i]);
											}
										}
									}
								}else{
									 mescrollArr[dataIndex].endErr();
									 vm.notUsed = null;
									 vm.isShowBtom = false;
								}
							})
						}
						else if(dataIndex==1){ //已使用
							model.getalreadyUsed(page.size,page.num,function(data){
								if(data.state==1 || data.state== 2){
									arry = model.returnalreadyUsed();
									if(arry==null){
										mescrollArr[dataIndex].endSuccess(0);
									}else{
										mescrollArr[dataIndex].endSuccess(arry.length);
										if(page.num==1){
											vm.alreadyUsed = arry;
										}else{
											for(var i=0;i<arry.length;i++){
												vm.alreadyUsed.push(arry[i]);
											}
										}
									}
								}else{
									 mescrollArr[dataIndex].endErr();
									 vm.alreadyUsed=null;
								}
							})
						}
						else if(dataIndex==2){ //已过期
							model.getoutDate(page.size,page.num,function(data){
								if(data.state==1 || data.state== 2){
									arry = model.returnoutDate();
									if(arry==null){
										mescrollArr[dataIndex].endSuccess(0);
									}else{
										mescrollArr[dataIndex].endSuccess(arry.length);
										if(page.num==1){
											vm.outDate = arry;
										}else{
											for(var i=0;i<arry.length;i++){
												vm.outDate.push(arry[i]);
											}
										}
									}
								}else{
									 mescrollArr[dataIndex].endErr();
									 vm.outDate = null;
								}
							})
						}
				    },600);
				},
				toTop:{ //配置回到顶部按钮
					src : Config.mescroTopImg, //默认滚动到1000px显示,可配置offset修改
				}
			}
		});
		return mescroll;
	}
	
	
	return new coupon_control();
});