define(['customSer_model'], function(model) {
	var _this=null;
	function customSer_contr(){
		_this=this;
	}
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			One:[],
			Two:[],
			Three:[],
			Msg  : "",				//撤销申请描述
			curIndex : 0,			//选项卡切换
			ID : "",	  			//撤销申请--撤销的ID
			isNetWork : 0
		},
		methods:{
			choose:function(index){
				this.curIndex = index;
			},
			isOutShop:function(){
				mui("#sheet").popover("show");
			},
			cancleSq:function(ID,msg){//撤销申请
				vm.ID = ID;
				vm.Msg= msg;
				mui("#sheet3").popover("show");
			},
			cancleSqClose:function(){
				mui("#sheet3").popover("hide");
			},
			Surecancle:function(){//仍要撤销
				_this.cancleSuerBtn();
			},
			goShouHouDeault:function(ID){
				mui.openWindow({
					url : "shouHouDeault.html",
					id  : "shouHouDeault.html",
					extras:{
						ID : ID
					},
					styles:{
						popGesture: 'close',
						"contentAdjust":false
					},
					waiting:{
						autoShow:false
					}
				});
			}
		}
	})
	//初始化拿数据
	customSer_contr.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				_this.initOne();
				_this.initTwo();
				_this.initThree();
			}
		})
	}
	
	//退款中数据
	customSer_contr.prototype.initOne = function(){
		model.initOne(function(data){
			if(data.state==1){
				vm.One=data.data;
			}else{
				vm.One=[];
			}
		});
	}
	//已退款
	customSer_contr.prototype.initTwo = function(){
		model.initTwo(function(data){
			if(data.state==1){
				vm.Two=data.data;
			}
		});
	}
	//已拒绝
	customSer_contr.prototype.initThree = function(){
		model.initThree(function(data){
			if(data.state==1){
				vm.Three=data.data;
			}
		});
	}
	
	
	
	
	
	//仍要撤销
	customSer_contr.prototype.cancleSuerBtn = function(){
		model.cancleSuerBtn(vm.ID,function(data){
			mui.toast(data.text);
			_this.initOne();
			vm.cancleSqClose();
		})
	}
	
	
	
	//监听退货详情撤销事件
	window.addEventListener("shouHouRefresh",function(){
		_this.initOne();
	})
	//监听退货详情提交运单号事件
	window.addEventListener("sendRefresh",function(){
		_this.initOne();
	})
	return new customSer_contr();
});