define(["NetMannager","UserCache"], function(net,UserCache) {
	var list=[];
	var num=0;
	var modelId  = localStorage.getItem("model");
	var clientId = localStorage.getItem("clientid");
	
	
	function diary_xq_model() {}
	
	
	//日记详情数据
	diary_xq_model.prototype.getdata = function(index,func) {
		var param={
			UserID: UserCache.getUserToken(),  
			ID : index,
			page : 1,
			rows : 8
		}
		net.getListMess(param,"Diaries/GetDiariesByID", function(data){ 
			if(data.state==1){
				list = data.data.discussList;
				if(list != null){
					for(var i=0;i<list.length;i++){
						for(var g=1;g<=30;g++){
							if(list[i].DiscussNum>=g*num && list[i].DiscussNum<(g+1)*num){
								list[i].DiscussNum = g*num+"万";
							}
						}
					}
				}
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data);
				}
			}else{
				mui.toast(data.text);
				setTimeout(function(){
					mui.back();
				},100);
			}
		})
	}
	diary_xq_model.prototype.getList = function() {
		return list;
	}



	//评论
	diary_xq_model.prototype.send_data = function(info,rev,ID,txt,func) {
		var param={
			model : JSON.stringify(info),
			IsDiary : true,
			type   :  1,
			UserId : UserCache.getUserToken(),
			ReceiverID : rev,
			DiaryID : ID,
			MsgContent : txt,
			token : UserCache.getLoginToken(),
			ip       : returnCitySN.cip,	
			modelId  : modelId,
			clientId : clientId
		}
		console.log("param: " + JSON.stringify(param));
		net.getListMess(param,"Diaries/Discuss", function(data){ 
			console.log("评论data="+JSON.stringify(data))
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	//添加收藏
	diary_xq_model.prototype.collect_data = function(id,func) {
		var param={
			type  : 1, 
			ID    : id,
			UserID: UserCache.getUserToken(),
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Diaries/Collect", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	//取消收藏
	diary_xq_model.prototype.cancle_collect = function(id,func) {
			var param={
				type  : 1, 
				ID    : id,
				token : UserCache.getLoginToken()
			}
			net.getListMess(param,"Diaries/CollectCanel", function(data){ 
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data);
				}
			})
		}
	
	
	//点赞，typeStatus 2是点赞，1是评论，IsDiary :true-日记  false 会议
	diary_xq_model.prototype.ZanTrue= function(type,id,ReceiverID,msg,func) {
		var param={
			UserID  : UserCache.getUserToken(),
			type    :   type,
			DiariesID : id,
			
			
			UserSendID :UserCache.getUserToken(),
			ReceiverID: ReceiverID,
			typeStatus:2,
			DiaryID :id,
			MsgContent:msg,
			IsDiary :true,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Diaries/ZanOrCancel", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data)
			}
		})
	}
	diary_xq_model.prototype.ZanOrCancel = function(type,id,func) {
		var param={
			UserID  : UserCache.getUserToken(),
			type    :   type,
			DiariesID : id,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Diaries/ZanOrCancel", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data)
			}
		})
	}
	
	
	
	
	
	
	
	//评论点赞   typeStatus 2是点赞，1是评论，IsDiary :true-日记  false 会议
	diary_xq_model.prototype.ClickZanInDiscussTrue = function(type,ID,ReceiverID,msg,id,func) {
		var param={
			ID      : ID,
			type    :   type,
			
			UserId  :UserCache.getUserToken(),
			ReceiverID: ReceiverID,
			typeStatus:2,
			DiaryID :id,
			MsgContent:msg,
			IsDiary :true,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Diaries/ClickZanInDiscuss", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data)
			}
		})
	}
	diary_xq_model.prototype.ClickZanInDiscuss = function(type,ID,func) {
		var param={
			ID      : ID,
			type    :   type,
			token : UserCache.getLoginToken(),
			UserId: UserCache.getUserToken()
		}
		net.getListMess(param,"Diaries/ClickZanInDiscuss", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data)
			}
		})
	}
	
	
	
	
	
	//添加关注
	diary_xq_model.prototype.addFS = function(index,func) {
		var param={
			type    : 1,
			UserID  : UserCache.getUserToken(),
			FansID  : index,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Fans/SetFansOrNo", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	//取消关注
	diary_xq_model.prototype.cancleGz = function(index,func){
		var param={
			type    : 2,                 
			UserID  : UserCache.getUserToken(),
			FansID  : index,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Fans/SetNoFocus", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	
	//删除日记
	diary_xq_model.prototype.removeDiary = function(id,func){
		var param={
			id     : id,
			userId : UserCache.getUserToken(),
			token  : UserCache.getLoginToken(),
			ip       : returnCitySN.cip,	
			modelId  : modelId,
			clientId : clientId
		}
		net.getListMess(param,"Diaries/DeleteDiariesByID", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}

	//设为隐私(false)--显示(true)
	diary_xq_model.prototype.setShowOrHide = function(id,flag,func){
		var param={
			id     : id,
			isShow : flag,           
			token  : UserCache.getLoginToken()
		}
		net.getListMess(param,"Diaries/SetShowOrHide", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	
	//举报功能
	diary_xq_model.prototype.tipOff = function(txt,diaryId,func) {
		var param={
			token : UserCache.getLoginToken(),
			userId: UserCache.getUserToken(),
			text  : txt,
			diaryId:diaryId		
		}
		net.getListMess(param,"DiaryTip/AddDiaryTip", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	
	//加入黑名单
	diary_xq_model.prototype.inBlack = function(index,func){
		var param={          
			userId  : UserCache.getUserToken(),
			fansId  : index,
			token   : UserCache.getLoginToken()
		}
		net.getListMess(param,"Diaries/SetBlackDiaryUser", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	return new diary_xq_model();
});