define(["downModel"], function(model) {
	var _this = null;
	var dtask = null;			
	var localVersion = null;		//当前版本
	var severVersion =null;			//服务器版本
	
	function downRode_contr() {
		_this = this;
	}
	
	function plusReady() {
		plus.key.addEventListener('backbutton', function() {
			plus.nativeUI.confirm("真的要离开吗？", function(event) {
				if(event.index) {
					plus.runtime.quit();
				}
			}, null, ["取消", "确定"]);
		}, false);
	}
	
	
	downRode_contr.prototype.init = function(func) {
		if(window.plus) {
			plusReady();
		} else {
			document.addEventListener("plusready", plusReady, false);
		}
		_this.getLocalVersion();
		_this.getSVersion();
	}
	//获取服务器版本
	downRode_contr.prototype.getSVersion = function() {
		model.getAppVersion(function(data){
			severVersion=model.getVersion();			//具体要从服务器上拿
			_this.checkVersion();
			console.log("服务器应用版本：" + severVersion);
		})			
	}
	
	//获取当前版本
	downRode_contr.prototype.getLocalVersion = function() {
		mui.plusReady(function(){
			plus.runtime.getProperty(plus.runtime.appid, function(inf) {
				localVersion = inf.version;
				console.log("当前应用版本：" + localVersion);
				localStorage.setItem('locaVersion', localVersion);
				_this.checkVersion();
			});	
		})
	}
	
	
	//检测更新,比较当前版本是否跟服务器版本匹配
	downRode_contr.prototype.checkVersion = function() {
		if(localVersion && severVersion && (localVersion<severVersion)) {	
			mui.alert('现在去更新', '检测到新版本', function() {
                if(mui.os.android){
                	var andSrc = model.andPath();
					plus.runtime.openURL(andSrc);
				}else if(mui.os.ios){
					var iosSrc = model.iosPath();
					plus.runtime.openURL(iosSrc);
				}  
				plus.runtime.restart();
            });
		}
	}
	
	return new downRode_contr();
});