define(['fileAudio_model',"Config",'shareList','util'], function(model,Config,shareList,util) {
	var _this=null;
	var flag=false;
	var video = document.getElementById("audio");
	var elem = document.querySelector('input[type="range"]');
	var rangWid=document.querySelector('.rang_width');
	var reRangeVal=false;
	
	var tol     = null;	//视频总时长
	var cTime   = null; //当前的进度条
	
	function fileAudio_contr(){
		_this=this;
	}
	var tvm = new Vue({
		el : "#top",
		methods:{
			share(){
				shareList.shareData(18,vm.item.ID,function(data){
					console.log("data: " + JSON.stringify(data));
					util.share(vm.item.Title,vm.item.Intro,data.data.Url);
				});
			},
		}
	})
	
	var vm=new Vue({
		el:".gobtn",
		data:{
			item : [],
			isNetWork : 0,
			isApple : false,
		},
		methods:{
			goBuy(){			//校验是否能购买该领袖风采资源
				model.isCheck(vm.item.ID,function(data){
					if(data.state==1){
						model.isGoBuy(vm.item.ID,function(res){
							if(res.state==1){
								localStorage.setItem('isAudioTpye',1)
								$("audio")[0].pause();
								mui.openWindow({
									url:"sure_order.html",
									id :"sure_order.html",
									extras:{
										typeId : vm.item.ID,
										type   : 6
									},
									styles: {
								        popGesture: 'close',
										"contentAdjust":false 
								    },
									waiting:{
								      autoShow:false
								    }
								})
							}
						})
					}else{
						mui.toast(data.text)
					}
				})
			}
		}
	})
	fileAudio_contr.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				model.isApple(function(data){
					vm.isApple = data.state;			//1审核期， -1不是
					var sdata = plus.webview.currentWebview();
					model.getData(sdata.ID,function(data){
						vm.item = data.data;
						console.log("data音频: " + JSON.stringify(data));
						$(".boldTitle").text(vm.item.Title);
						$(".intro").text(vm.item.Intro);
						$(".clickNum").text(vm.item.Click);
						$(".meetdate").text(vm.item.CreateAt);
						$(".author").text(vm.item.Title+"一"+vm.item.Author);
						$(".meet_list").html(vm.item.Describe);
						
						
						
						if(vm.item.Type==2){		//灵魂演说 = 1,音乐 = 2
							$("#title_name").text(vm.item.Title);;
							$(".boldTitle").hide();
						}
						
						$("#audio").attr("title", vm.item.Title); 
						if(vm.item.IsBuy){				//已经购买
							$("#audio").attr("src", vm.item.ImageUrl); 
						}else{
							$("#audio").attr("src", vm.item.TryUrl); 
						}
						$("audio")[0].play();
						_this.ready();
					})
				})
			}
		})
	}
	
	

	
	fileAudio_contr.prototype.ready = function(data){	
	  	$("audio")[0].addEventListener("loadedmetadata", function(){	//成功获取视频资源才能获得到总时长；
	    	tol = this.duration;       		//获取总时长
	    	var len = _this.timeLength(tol);
	    	$(".total-time").html(len.h+":"+len.m+":"+len.s); 
	  	});
	}
	
	
	
	
	
	
	//监听播放-暂停事件
	video.addEventListener("play", function () {
		$(".playBtn").attr("src","../icon/isPlay.png");
		flag = true; 
	});
	video.addEventListener("pause", function () {
		$(".playBtn").attr("src","../icon/talkplay.png");
		flag = false;  
	});
	video.addEventListener("timeupdate", function () {  
		_this.onTimeupdate();
	});
	
	$(".playBtn").on("click",function(){
		if(!flag){//开始
			$("audio")[0].play();
			$(".playBtn").attr("src","../icon/isPlay.png");
			flag = true;
		}else{    //暂停			
			$("audio")[0].pause();
			$(".playBtn").attr("src","../icon/talkplay.png");
			flag = false;
		}
	})
	
	
	
	//进度条
	fileAudio_contr.prototype.onTimeupdate = function(){
	    var cTime = $("audio")[0].currentTime;
	    var tTime = $("audio")[0].duration;
	    var value = cTime/tTime;
		if(vm.TryLookSecond==0){
			vm.TryLookSecond = tTime;
		}
		rangWid.style.width = Math.ceil(value*100)+"%";
		
		if(!reRangeVal){				//为了兼容安卓点击选项后，监听abort事件会把elem.value变成50而不是重置成0；
			elem.value= value*100;
		}else{
			elem.value= 0;
		}
		reRangeVal = false;
	    var _obj=_this.timeLength(cTime);
	    $(".curr-time").html(_obj.h+":"+_obj.m+":"+_obj.s);
	}
	
	
	
	
	
	//转换时长
	fileAudio_contr.prototype.timeLength = function(tTime){
	    var h = Math.floor(tTime/3600);
	    var m = Math.floor(tTime%3600/60);
	    var s = Math.floor(tTime%60);
	    //转换格式
	    h = h>10?h:"0"+h;
	    m = m>10?m:"0"+m;
	    s = s>9?s:"0"+s; 
	    //在页面上显示
	    return {h:h,m:m,s:s};
	}
	
	//监听拖动事件
	document.querySelector('input[type="range"]').addEventListener("input", function(){
		var newValue = elem.value;
		var width  = newValue/100*$(".range").width()+"px";
		$("audio")[0].currentTime = newValue/100*tol;
		rangWid.style.width = width;
	});
	
	
	window.addEventListener('audioView',function(e){
		console.log("我刷新了");
		_this.init();
	})
	return new fileAudio_contr();
});