define(['find_pass_model'], function(model) {
	var _this=null;
	var _this = null;
	var zz=/^1\d{10}$/;    //正则手机号码验证
	var flag=false;				 //防止一直获取验证码验证码
	var get_btn=null;			 //获取验证码按钮（方便dom元素操作）
	var num = 60;                //倒计时60秒
	var clear;                   //清除倒计时定时器用的
	function find_pass_control(){
		_this=this;
	}
	var vm=new Vue({
		el:".v-content",
		data:{
			myphone:"",
			mycode:"",
			yz_tel:"",	  //手机号码跟验证码不匹配
			is_code:"",
			is_show:0
		},
		methods:{
			get_code:function(){			//获取验证码
	 			_this.getCode();
	 		},
	 		find_btn:function(){
	 			_this.check_phone();
	 		}
		}
	})
	
	find_pass_control.prototype.init = function(){
		get_btn = document.getElementById("get_btn");
	}
	
	//获取验证码
	find_pass_control.prototype.getCode = function() {
		if(!(zz.test(vm.myphone))) {
			mui.alert("请输入正确的手机号");
		}else{
			_this.getCodeTime();
		}
	}
	
	
	find_pass_control.prototype.getCodeTime = function() {
		if(!flag) {
			get_btn.style.background = "#EEEEEE";
			get_btn.style.color = "#CCCCCC";
			clear = setInterval(_this.djstime, 1000);
			vm.yz_tel = vm.myphone;
			model.get_yzm(vm.myphone,function(data){
				vm.is_code = model.get_code();
				if(data==-1){										//如果手机号未注册的，点击了获取验证码，然后再给还原
					get_btn.style.background = "linear-gradient(90deg,rgba(56,249,215,1),rgba(67,233,123,1))";
					get_btn.style.color = "white";
					get_btn.innerText = "获取验证码";
					clearInterval(clear);
					num = 60;
					flag = false;
				}
			})
			flag = true;
		} else {
			// console.log("您重复点击了，但是没用  哈哈")
		}
	};
	
	//60秒倒计时
	find_pass_control.prototype.djstime = function() {
		if(num <= 0) {
			get_btn.style.background = "linear-gradient(90deg,rgba(56,249,215,1),rgba(67,233,123,1))";
			get_btn.style.color = "white";
			get_btn.innerText = "获取验证码";
			clearInterval(clear);
			num = 60;
			flag = false;
		} else {
			num--;
			get_btn.innerHTML = num + "s";
		}
	};
	
	
	
	//点击找回密码按钮时候进行验证
	find_pass_control.prototype.check_phone = function() {       
		var checkIsOk = false;
		if(!(zz.test(vm.myphone)) || vm.yz_tel != vm.myphone) {
			if(vm.yz_tel != vm.myphone){
				mui.alert("手机号码跟验证码不匹配");
				return;
			}else if(!(zz.test(vm.myphone))){
				mui.alert("请输入正确的手机号");
				return;
			}
		}
		if(vm.mycode.toString().length != 4 || vm.is_code!=vm.mycode) {
			mui.alert("请输入正确的验证码");
			return;
		}
		checkIsOk = true;
		if(checkIsOk) {                     
			mui.openWindow({
				url:"change_pass_login.html",
				id :"change_pass_login.html",
				styles: {
	                popGesture: 'close' ,
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			   },
			   extras:{
			   	  tel_num : vm.myphone
			   }
			})
		}
	}
	
	return new find_pass_control();
});