define(['flower_model','UserCache'], function(model,UserCache) {
	var _this=null;
	function flower_contr(){
		_this=this;
	}
	var vm=new Vue({
		el:".mui-content",
		data:{
			list : [],
			TotalBalance : "",
			FreezeBalance: "",
			RemainBalance: "",
			EnableBalance: ""
		},
		methods:{
			goCash:function(){      //兑换按钮
				var get = UserCache.getUserInfo();		//是否设置过密码
				vm.isFirst = get.PayPassWord;
				if(vm.isFirst){
					mui.openWindow({
						url : "cashOut.html",
						id  : "cashOut.html",
						styles: {
						    popGesture: 'close',
							"contentAdjust":false 
						},
						waiting:{
						  autoShow:false
						}
					})	
				}else{								   //先去设置密码
					mui.alert('去设置', '请先设置兑换密码', function() {
						mui.openWindow({
							url : "cashPass.html",
							id  : "cashPass.html",
							extras:{
								type  :  1
							},
							styles: {
							    popGesture: 'close' ,
								"contentAdjust":false 
							},
							waiting:{
							  autoShow:false
							}
						});	
					});
				}
			},
			goCashList:function(){
				mui.openWindow({
					url : "cashList.html",
					id  : "cashList.html",
					styles: {
					    popGesture: 'close' ,
						"contentAdjust":false 
					},
					waiting:{
					  autoShow:false
					}
				})
			},
			
			
			goCashDefaultShare:function(ID){
				mui.openWindow({
					url:"cashShareDefault.html",
					id :"cashShareDefault.html",
					extras:{
						index : ID
					},
					styles: {
				        popGesture: 'close' ,
						"contentAdjust":false 
				    },
					waiting:{
				      autoShow:false
				    }
				})
			},
			goCashDefaultMoney:function(ID){
				mui.openWindow({
					url:"cashMoneyDefault.html",
					id :"cashMoneyDefault.html",
					extras:{
						index : ID
					},
					styles: {
						popGesture: 'close' ,
						"contentAdjust":false 
					},
					waiting:{
					  autoShow:false
					}
				})
			},
			goCashDefault:function(type,ID){
				if(type==1){
					this.goCashDefaultShare(ID);
				}else{
					this.goCashDefaultMoney(ID);
				}
			}
			
		}
	})
	
	
	flower_contr.prototype.init = function(){
		model.init(function(data){
			if(data.state==1){
				vm.list = data.data.balanceList;
				vm.TotalBalance  = data.data.user.TotalBalance;
				vm.FreezeBalance = data.data.user.FreezeBalance;
				vm.RemainBalance = data.data.user.RemainBalance;
				vm.EnableBalance = data.data.user.EnableBalance;
			}
		})
	}
	
	
	window.addEventListener('cashRefresh',function(){
		_this.init();
	})
	return new flower_contr();
});