define(['good_deault_model',"UserCache","util","shareList","Config"], function(model,UserCache,util,shareList,Config) {
	var _this=null;
	var mescroll=null;
	function good_deault_control(){
		_this=this;
	}
	Vue.use(VueLazyload, {
		preLoad: 1.3,
		error: Config.ERROR_IMG,			//当加载图片失败的时候
		loading: Config.LOAD_IMG,			//当加载图片成功的时候
		attempt: 1							//尝试次数
	});
	
	var hvm=new Vue({
		el:"#top",
		data:{
			index:0,
			title : "",
			Cur_Color:"",								//是否收藏改变颜色
			collect_num:0								//收藏数量
		},
		methods:{
			choose:function(){
				if(vm.isNetWork==0){
					shareList.shareData1(4,vm.ID,UserCache.getUserToken(),function(data){
						util.share("花期商品",vm.Title,data.data.Url);
					});
				}else{
					mui.toast('请检查网络');
				}
			},
			tap:function(t,tap2){
				hvm.index = t;  
				
				if(tap2==2){			
					return;
				}
				var slider_h = $(".mui-slider").height();
				var list_one_h = $(".list_one").height();
				var jx_h = $(".jx").height();
				var tab_1_h= slider_h+list_one_h+jx_h;
				if(t==0){				//商品
					$(window).scrollTop(0);
				}else if(t==1){			//详情
					$(window).scrollTop(tab_1_h);
				}
			},
			collect:function(){
				_this.checkCss();
				_this.is_collect(vm.ID);
			}
		}
	})

		
	var vm=new Vue({
		el:".contBox",
		data:{
			isNetWork:0,
			list:[],
			slider_img:[								 //轮播图片
				{"src":"../img/banner1.jpg"},
				{"src":"../img/banner2.jpg"},
				{"src":"../img/banner3.jpg"}
			],
			txt: "收藏",
			num:1,	        							//轮播页数   
			
			
			ID     : "",
			Describe :"",
			
			Title:"",
			Sale:"",
			HospitalID:"",
			CouponIds:"",
			initStock : 0,
			
			Stock:1,
			type :"",
			count:1,									//门票数量
			ImageUrl:"",
			ggIndex : 0,
			colorId	:""
		},
		methods:{
			ggClick:function(index,price,stock,src,ID){
				this.ggIndex    = index;
				vm.Sale 		= price;				//价格 		
				vm.Stock		= stock;				//库存
				vm.ImageUrl 	= src;
				

				vm.colorId		= ID;				
				vm.count		= 1;
			},
			go:function(){								//在线咨询
				_this.is_login();
			},
			goSuer:function(ID,types){					//立即购买
				if(vm.initStock<=0) return;
				_this.is_loginBuy(ID,types);
			},
			add:function(){
				if(vm.count<vm.Stock){
					vm.count++;
				}else{
					mui.toast("当前数量已是最大库存");
				}
			},
			sign:function(){
				if(vm.count>1){
					vm.count--;
				}
			},
			closeSheet:function(){
				mui("#sheet").popover('hide');
			},
			sureSheetBtn:function(){			//是否登录已经在弹窗开启的时候验证了
				if(vm.Stock<=0) return;
				mui.openWindow({
					url:"sure_order.html",
					id :"sure_order.html",
					extras:{
						typeId : vm.list.ID,
						type   : vm.type,
						count  : vm.count,
						colorId: vm.colorId
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}
		}
	})
		
		
		
		
	good_deault_control.prototype.init = function(){		
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				setTimeout(function(){
					mui(".mui-slider").slider({
						interval: 0
					});
				},1000)
				_this.down();
			}
		})
	}
	
	
	//模拟跳转咨询页面
	good_deault_control.prototype.show_view = function() {
		var wvs = plus.webview.all();　　				 //所有窗口对象
		var launch = plus.webview.getLaunchWebview();　　 //首页窗口对象 
		var self = plus.webview.currentWebview();　　           //当前窗口对象 
		for(var i = 0, len = wvs.length; i < len; i++) {
			if(wvs[i].id === self.id || wvs[i].id === localStorage.homeWebId || wvs[i].id === launch.id ||
				wvs[i].id == "html/home.html" || wvs[i].id == "html/information.html" || wvs[i].id == "html/mall.html" || wvs[i].id == "html/diary_edit.html" || wvs[i].id == "HBuilder"|| wvs[i].id == "html/my.html" || wvs[i].id == "main" || wvs[i].id == "city.html") {
				continue;
			} else {
				wvs[i].close('none');　　 //关闭中间的窗口对象，为防止闪屏，不使用动画效果；
			}
		}
		self.close('slide-out-bottom');
		var view_id = plus.webview.getWebviewById("main");
		mui.fire(view_id, 'go_information',{id:1});
	};
	
	
	//判断在线咨询是否登录
	good_deault_control.prototype.is_login = function(){
		if(UserCache.userIsLogin()){
			var self=plus.webview.getWebviewById('serive.html');
			if(self){
				self.show();
			}else{
				mui.openWindow({
					url:"serive.html",
					id :"serive.html",
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				});
			}
		}else{
			mui.openWindow({
				url:"login.html",
				id :"login.html",
				styles: {
	                popGesture: 'close' ,
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		}
	}
	
	
	
	//立即购买
	good_deault_control.prototype.is_loginBuy = function(ID,types){
		if(UserCache.userIsLogin()){
			if(types==1){							//说明是购物车的商品，要跳转商品详情页面，而不是确定订单,而且不需要实名认证
				mui.openWindow({
					url:"secKillDeault.html",
					id :"secKillDeault.html",
					extras:{
						type : 0,					//弹窗不开启
						ID   : ID 
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}else{
				_this.subOrder(ID,types);
			}

		}else{
			mui.openWindow({
				url:"login.html",
				id :"login.html",
				styles: {
	                popGesture: 'close' ,
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		}
	}
	
	
	good_deault_control.prototype.checkCss = function() {
		if(hvm.collect_num<10){
			$(".collectImg").css("right","1.26rem");
		}
		else if(hvm.collect_num>=10&&hvm.collect_num<100){
			$(".collectImg").css("right","1.3rem");
		}
		else if(hvm.collect_num>=100&&hvm.collect_num<1000){
			$(".collectImg").css("right","1.5rem");
		}
	}
	
	
	good_deault_control.prototype.subOrder = function(ID,types) {
		model.submitOrder(vm.ID,function(data){
			vm.flag = model.getState();						//是否实名认证
			vm.isAlert = model.getIsalert();				//是否可以购买
			
		
			if(vm.isAlert==1){
				if(vm.flag){								//如果vm.flag为true的时候，再调用创建订单接口--然后model层直接跳转支付订单页面
					if(types==5){							//如果是门票弹窗
						mui("#sheet").popover("toggle");
					}else{
						mui.openWindow({
							url:"sure_order.html",
							id :"sure_order.html",
							extras:{
								typeId : ID,
								type   : vm.type                                                                                                                                                                                             
							},
							styles: {
				                popGesture: 'close',
								"contentAdjust":false 
				            },
							waiting:{
						      autoShow:false
						    }
						})
					}
				}else{
					mui.openWindow({
						url:"sure_info.html",
						id :"sure_info.html",
						extras:{
							ID			: ID,
							Title		: vm.Title,
							Sale		: vm.Sale,
							HospitalID	: vm.HospitalID,
							CouponIds   : vm.CouponIds,
							Stock		: vm.Stock,
							type        : vm.type
						},
						styles: {
			                popGesture: 'close' ,
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			}else{
				mui.toast(data.text);
			}
		})
	}
	
	
	
	
	
	
	//是否收藏
	good_deault_control.prototype.is_collect = function(id){
		if(UserCache.userIsLogin()){
			hvm.Cur_Color=!hvm.Cur_Color;
			if(hvm.Cur_Color){					//如果hvm.Cur_Color为false, 就是当前为未收藏，点了之后，就变为已收藏了	
				hvm.collect_num++;
				vm.txt = "已收藏";
				model.addCollect(id,function(data){
					if(data.state==1){
						_this.Event();
					}
				})
			}else{
				hvm.collect_num--;
				vm.txt = "收藏";
				model.cancleCollect(id,function(data){
					if(data.state==1){
						_this.Event();
					}
				})
			}
		}else{
			mui.openWindow({
				url:"login.html",
				id :"login.html",
				styles: {
	                popGesture: 'close' ,
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		}
	}
	
	
	good_deault_control.prototype.Event = function(){
		var view=plus.webview.currentWebview().opener();
		mui.fire(view,"good_list");
	}
	
	
	//监听滑动事件
	document.querySelector('.mui-slider').addEventListener('swipeleft', function(event) {
	 	if(vm.num>=vm.slider_img.length){
	 		vm.num=vm.slider_img.length;
	 	}else{
	 		vm.num++;
	 	}
	});
	document.querySelector('.mui-slider').addEventListener('swiperight', function(event) {
	 	if(vm.num<=1){
	 		vm.num=1;
	 	}else{
	 		vm.num--;
	 	}
	});
	

	//下拉刷新----上拉加载
	good_deault_control.prototype.down = function(func){
		mui("#sheet").popover("hide");
	    mescroll = initMeScroll("mescroll", {
			up: {			  							//上拉加载
				callback: function(page){
					setTimeout(function () {
						model.init(function(data){
							if(data.state==1){
								vm.list=model.getData();
								vm.slider_img = vm.list.productListImgs;
								hvm.title = vm.list.Title;
								//收藏数
								hvm.collect_num = vm.list.FavorNum;
								hvm.Cur_Color = vm.list.FavorState;
								vm.Describe	=vm.list.Describe;
								if(hvm.Cur_Color){	
									vm.txt= "已收藏";
								}else{
									vm.txt= "收藏";
								}
								if(hvm.collect_num==null){
									hvm.collect_num = 0;
								}
								vm.ID = vm.list.ID;
								vm.ImageUrl = vm.list.ProductColors[0].ImageUrl;
								vm.colorId		= vm.list.ProductColors[0].ID;
								
								//实名认证的参数
								vm.Title 		= vm.list.Title;					//名称
								vm.Sale 		= vm.list.Sale;						//价格 
								vm.HospitalID	= vm.list.HospitalID;			
								vm.CouponIds    = vm.list.CouponIds;				
								vm.Stock		= vm.list.ProductColors[0].Stock;	//默认切换个规格的库存
								vm.initStock	= vm.list.Stock						//当前产品库存
								vm.type			= vm.list.Types;					//类型
								
								_this.checkCss();
								mescroll.endSuccess(1,false);
							}else{
								mescroll.endErr();
							}
						})
				    },300);
				},
				toTop:{ //配置回到顶部按钮
					src : Config.mescroTopImg, //默认滚动到1000px显示,可配置offset修改
					//offset : 1000
				}
			}
		});
	}
	
	
	window.addEventListener('refreshGood',function(){
		if(mescroll!=null){
			mescroll.destroy();
		}
		_this.down();
	})
	return new good_deault_control();
});