define(['home_model','UserCache',"Config","util"], function(model,UserCache,Config,util) {
	var _this=null;
	var list=[];
	var flag=false;
	var city=null;
	var ZanArry=[];
	var getZan = localStorage.getItem('Zan');
	var arr = JSON.parse(getZan);
	var myDate =new Date();	
	var messGet=null;
	var flag=false;						//控制小妹提醒的缓存开关
	var num=0;							//每次滚动的距离
	var mescroll = null;
	
	
	function home_control(){
		_this=this;
	}
	Vue.use(VueLazyload, {
		preLoad: 1.3,
		error: Config.ERROR_IMG,			//当加载图片失败的时候
		loading: Config.LOAD_IMG,			//当加载图片成功的时候
		attempt: 1							//尝试次数
	});
	
	var svm=new Vue({
		el:"#sheetAdd",
		data:{
			addFlag : false,
			sbImg   : ""
		},
		methods:{ 
			close:function(){
				this.addFlag = false;
				//抛个事件给main关闭阴影
				var view = plus.webview.getWebviewById('main');
				mui.fire(view,"closeAdd");
			},
			goDefault:function(){
				mui.openWindow({
					url : "adDefault.html",
					id  : "adDefault.html",
					styles: {
				        popGesture: 'close',
						"contentAdjust":false 
				    }
				})
			}
		}
	})
	
	
	var hvm=new Vue({
		el:"#top",
		data:{
		  city_name : "杭州市"							   
		},
		methods:{ 
			pos:function(){					//选择城市--杭州 
				if(mui.os.ios){
					city.show()
				}else{
					mui.openWindow({
						url : "city.html",
						id  : "city.html"
					})
				}
			},
			search:function(){			   //头部--搜索
				mui.openWindow({
					url : "search.html",
					id  : "search.html",
					extras:{
						Type : 1
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}
		}
	})
	
	var vm=new Vue({
		el:".mescroll",
		data:{
			banner_list:[
				{"ImageUrl": "../img/banner1.jpg"}
			],
			good_list : [
				{src:"../icon/home_btn_diary@3x.png",url:"",name:"美丽日记"},
				{src:"../icon/home_btn_hospital@3x.png",url:"",name:"医疗机构"},
				{src:"../icon/home_btn_collection@3x.png",url:"",name:"医美百科"},
				{src:"../icon/hqzx.png",url:"",name:"花期资讯"},
				{src:"../icon/lxrw.png",url:"",name:"领袖风采"}
			],									
			contentList :[],					
			ADIMG : "",
			MALLADIMG:"",
			userid  : UserCache.getUserToken(),									//用来判断，日记是否显示关注，如果是userid，跟日记里面的userid一样就不显示，因为自己不用关注自己
			page  : 1,
			rows  : 10,
			isNetWork : 0,
			messageList:[],
			messagePhoto:"../icon/home_remind_img@3x.png",
			messageLen:0,
			
			imgID : "",
			ticket:false,		//门票开关
			store :false,		//报单开关
			VaddFlag:false		,//慈善开关
			VaddFlagImg:""
		},
		methods:{
			my:function(){                                                     	//解决vue事件在mui下来组件中不能点击，非常有用
				mui("#slider").on('tap', '.one', function (event) {       
                    this.click();
                });
                
                mui("#slider").on('tap', '.card_img', function (event) {		
                    this.click();
                });
                mui("#slider").on('tap', '.ad', function (event) {		
                    this.click();
                });
                
                mui("#slider").on('tap', '.card_btn', function (event) {		
                    this.click();
                });
                
                mui("#slider").on('tap', '.card_txt', function (event) {		 
                    this.click();
                });
                
                mui("#slider").on('tap', '.card_amount', function (event) {		   
                    this.click();
                });
                mui("#slider").on('tap', '.card_last_img_tow', function (event) {		 
                    this.click();
                });
                
                mui("#slider").on('tap', '.objMall', function (event) {		//商城
                    this.click();
                });
			},
			goMall:function(){
				mui.openWindow({
					url : "mall1.html",
					id  : "mall1.html",
					styles: {
		                popGesture: 'close', // 'hide', 'close','none' 此处是关键
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			goDefault2:function(){
				mui.openWindow({
					url : "adDefault.html",
					id  : "adDefault.html",
					styles: {
				        popGesture: 'close',
						"contentAdjust":false 
				    }
				})
			},
			target_list:function(index){
				var id;
				if(index>=2){
					id=index+2;
				}else{
					id=index+1;
				}
				mui.openWindow({
					url : "list_home_"+id+".html",
					id  : "list_home_"+id+".html",
					styles: {
		                popGesture: 'close',// 'hide', 'close','none' 此处是关键
						"contentAdjust":false 
						
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},	
			card_photo:function(index){													 //头像跳转个人主页
				_this.is_login(3,index);
			},
			go_diaryxq:function(index,isZan){										 //主体内容跳转到日记详情
				mui.openWindow({
					url : "diary_xq.html",
					id  : "diary_xq.html",
					styles: {
		                popGesture: 'close' ,// 'hide', 'close','none' 此处是关键
						"contentAdjust":false 
		            },
					waiting:{
				       autoShow:false
				    },
				    extras:{ 
				   	   diaryID : index
				   }
				})
			},
			is_gz:function(index,id){														//是否关注
				_this.is_login(1,index,id);
			},
			zan:function(index,id,ReceiverID){														//点赞，数字+1
				_this.is_login(2,index,id,ReceiverID);
			},
			AD:function(){
				mui.openWindow({
					url : "AD.html",
					id  : "AD.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})

//				mui.openWindow({
//					url : "huaqiNew.html",
//					id  : "huaqiNew.html",
//					styles: {
//		                popGesture: 'close' 
//		            },
//					waiting:{
//				      autoShow:false
//				    }
//				})

			},
			getList:function(){
				this.$nextTick(function() {
					var boxCont = $(".boxCont");	    //内容的宽度
					var boxW = $(".boxScroll").width();	//固定的宽度--（超出这个范围才滚动）
					var boxSleft=parseInt($(".boxScroll").css("left"));
					if(vm.messageList!=null||vm.messageList!=""){
						for(var i=0;i<vm.messageList.data.length;i++){
							if(boxCont.eq(i).width()>boxW){				  //如果当前元素的宽度超过，容器宽度，先横向滚动；-10是为了多加10px好看点
								boxCont.eq(i).animate({
									left : boxW-boxCont.eq(i).width()-boxSleft-10+"px"
								},6000,function(){
									$(this).animate({
										left : "0px"
									},1000);
								})
							}
						}
					}
				});
			},
			goMess:function(ID){
				mui.openWindow({
					url:"sisiterAlert.html",
					id :"sisiterAlert.html",
					extras:{
						ID : vm.imgID
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			bannerGohtml:function(Types,id){		//轮播页面跳转
				_this.bannerGohtml(Types,id);
			}
		}
	})

	
	
	home_control.prototype.init = function(str){		
		mui.plusReady(function(){									//预加载城市页面
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				_this.serverAlert(str);						//先检查是否维护更新
			}
		})
	}
	
	
	//轮播滑动初始化,获取轮播数据
	home_control.prototype.initbanner = function() {
		model.banner(function(){
			vm.banner_list = model.bannerData();
			setTimeout(function() {
				mui("#lbt").slider({
					interval: 5000
				});
			}, 1000);
		});
		
		_this.animate();							//通知滚动初始化
		
		model.AD(function(data){					//最后服务器在获取刷新缓存--下次启动不需要等待服务器响应；
			if(data.state==1){
				vm.ADIMG = data.data;
			}
		})
		
		model.mallAd(function(data){				//最后服务器在获取刷新缓存--下次启动不需要等待服务器响应；
			if(data.state==1){
				vm.MALLADIMG = data.data;
			}
		})
		
		model.Switch(function(data){
			if(data.state==1){
				vm.ticket = data.data.ticket;
				vm.store = data.data.store;
			}
		})
	}
	
	//获取日记数据
	home_control.prototype.initDiary = function() {
		vm.page = 1;
		model.diary(vm.rows,vm.page,function(){
			vm.contentList = model.dirayData();
			vm.userid = UserCache.getUserToken();
		})
	}
	
	
	//调用h5+获取定位
	home_control.prototype.pos = function() {
		mui.plusReady(function() {
			plus.geolocation.getCurrentPosition(function(p){
				hvm.city_name=p.address.city;
				_this.city_length();
			}, function(e){
				hvm.city_name= "杭州";
			} );
		});
	}
	
	
	
	//是否关注
	home_control.prototype.guanZhu = function(index,id) {
		if(vm.contentList !=null){
			for(var i=0;i<vm.contentList.length;i++){
				if(id == vm.contentList[i].UserID){								
					vm.contentList[i].flag = !vm.contentList[i].flag;
					if(vm.contentList[i].flag){   
						vm.contentList[i].gz = "已关注";
						if(index == i){											//接口走一遍就行了
							model.addFS(id,function(){
								_this.myEvent();
							});
						}
					}else{
						vm.contentList[i].gz = "关注";
						if(index == i){
							model.cancleGz(id,function(){
								_this.myEvent();
							});
						}
					}
				}
			}
		}
	}
	home_control.prototype.myEvent = function() {
		var view = plus.webview.getWebviewById("html/my.html");
		mui.fire(view,"my_tab",{type:100});   
	}
	
	//是否点赞
	home_control.prototype.isZan = function(index,id,ReceiverID) {
		for(var i=0;i<vm.contentList.length;i++){
			if(index==i){
				vm.contentList[i].ZanState = !vm.contentList[i].ZanState;
				if(vm.contentList[i].ZanState){		
					//util.zan(arr,id);
					//点赞
					vm.contentList[i].Zan++;
					var mouth = myDate.getMonth()+1+"月";	//获取当前月份
					var Date  = myDate.getDate()+"日";		//获取当前日数
					var msg = UserCache.getUserInfo().Name+" "+mouth+Date+"给你点了赞！";
					model.ZanTure(1,id,ReceiverID,msg,function(){
						
					})
				}else{
					//循环这个缓存，把该条的数据状态改为false
//					util.orZan(id);
					vm.contentList[i].Zan--;											//取消赞
					model.ZanOrCancel(2,id,function(){
						
					}) 
				}
				break;
			}
		}
	}
	
	
	//判断是否登录
	home_control.prototype.is_login = function(t,index,id,ReceiverID){
		if(UserCache.userIsLogin()){
			if(t==1){
				_this.guanZhu(index,id);
			}else if(t==2){
				_this.isZan(index,id,ReceiverID);
			}else if(t==3){
				mui.openWindow({
					url : "my_content.html",
					id  : "my_content.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				   },
				   extras:{
				   	  UserId : UserCache.getUserToken(),
				   	  RequestID : index,
				   	  type   : 2
				   }
				})
			}
		}else{
			mui.openWindow({
				url:"login.html",
				id :"login.html",
				styles: {
	                popGesture: 'close',
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		}
	}
	
	
	//通知消息滚动----先左右滑动
	home_control.prototype.animate = function(){
			model.messageData(function(data){
				if(data.state==1){
					vm.messageList = data.data;
					vm.messagePhoto = data.data.path;
					vm.messageLen  = data.data.data.length;
					vm.imgID  =   vm.messageList.data[0].ID;
					_this.messageScroll();
				}
			})
	}
	
	//竖向滚动
	home_control.prototype.messageScroll = function(){
		var indexNuum = 0;
		setInterval(function(){
			num=num+$(".boxScroll").height();
			indexNuum++;
			if(num>=vm.messageLen*$(".boxScroll").height()){
				num=0;
				indexNuum=0;
				vm.imgID = vm.messageList.data[0].ID;
			}
			vm.getList();
			$(".boxScroll").animate({top:"-"+num+"px"},function(){
				vm.imgID = vm.messageList.data[indexNuum].ID;
			});
		},8000);
	}
	

	
	//轮播页面跳转
	home_control.prototype.bannerGohtml = function(Types,id){
		if(id==null||id==''){
			
		}else{
			if(Types==1){			//商城商品
				mui.openWindow({
					url:"secKillDeault.html",
					id :"secKillDeault.html",
					extras:{
						type : 0,//弹窗不开启
						ID   : id 
					},
					styles: { 
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}else if(Types==2){     //门票
				mui.openWindow({
					url:"good_deault.html",
					id :"good_deault.html",
					extras:{
						goodID : id
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}else if(Types==3){		//报单系统
				mui.openWindow({
					url:"mall_vip.html",
					id :"mall_vip.html",
					extras:{
						typeID : id
					},
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}else if(Types==4){     //公告提醒 
				mui.openWindow({
					url:"sisiterAlert.html",
					id :"sisiterAlert.html",
					extras:{
						ID : vm.imgID
					},
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}else if(Types==5){     //医疗机构
				mui.openWindow({
					url:"hospital_detail.html",
					id :"hospital_detail.html",
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				   },
				   extras:{
				   	   userid  :  id
				   }
				})
			}else if(Types==6){     //6是会议   
				mui.openWindow({
					url:"meet_deault.html",
					id :"meet_deault.html",
					styles: {
			            popGesture: 'close' ,
						"contentAdjust":false 
		            },
		            waiting:{
				      autoShow:false
				    },
		            extras:{
		            	index : id
		            }
				})
			}else if(Types==7){      //7是网址 
				if(mui.os.android){
					mui.openWindow({
						url:"androidH5.html",
						id :"androidH5.html",
						styles: {
					        popGesture: 'close' ,
							"contentAdjust":false 
					    },
					    waiting:{
					      autoShow:false
					    },
					    extras:{
					    	index : id
					    }
					})
				}else{
					plus.runtime.openWeb(id);
				}
			}else if(Types==8){
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url: "lessonDeault.html",
						id : "lessonDeault.html",
						extras:{
							ID : id
						},
						styles: {
				            popGesture: 'close',
							"contentAdjust":false 
				        },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					mui.openWindow({
						url: "login.html",
						id : "login.html",
						styles: {
				            popGesture: 'close' ,
							"contentAdjust":false 
				        },
						waiting:{
					      autoShow:false
					    }
					})
				}
			}
			else if(Types==9){						//花期资讯
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url:"meet_deault.html",
						id :"meet_deault.html",
						styles: {
					        popGesture: 'close' ,
							"contentAdjust":false 
					    },
					    extras:{
					    	index : id,
					    	type: 1,
					    },
						styles: {
						    popGesture: 'close',
							"contentAdjust":false 
						},
						waiting:{
						  autoShow:false
						}
					})
				}else{
					mui.openWindow({
						url: "login.html",
						id : "login.html",
						styles: {
				            popGesture: 'close' ,
							"contentAdjust":false 
				        },
						waiting:{
					      autoShow:false
					    }
					})
				}
			}
			
			
			else if(Types==10 || Types==11){						//10灵魂演说, 11音乐
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url:"fileAudio.html",
						id :"fileAudio.html",
						extras:{
							ID : id
						},
						styles: {
					        popGesture: 'close' ,
							"contentAdjust":false 
					    },
						waiting:{
						  autoShow:false
						}
					})
				}else{
					mui.openWindow({
						url: "login.html",
						id : "login.html",
						styles: {
				            popGesture: 'close' ,
							"contentAdjust":false 
				        },
						waiting:{
					      autoShow:false
					    }
					})
				}
			}
			
			else if(Types==12 || Types==13){						//mv12  电影13
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url: "file.html",
						id : "file.html",
						styles: {
					        popGesture: 'close',
							"contentAdjust":false 
					    },
						extras:{
							ID : id
						},
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					mui.openWindow({
						url: "login.html",
						id : "login.html",
						styles: {
				            popGesture: 'close' ,
							"contentAdjust":false 
				        },
						waiting:{
					      autoShow:false
					    }
					})
				}
			}
		}
	}
	

	//下拉刷新----上拉加载
	home_control.prototype.down = function(func){
	    mescroll = initMeScroll("mescroll", {
			down:{										//下拉刷新
				auto:false,
				offset:$("#top").height()+15,
				callback:function(){
					model.diary(10,1,function(data){ 
						if(data.state==1){
							mescroll.resetUpScroll();
						}else{
							mescroll.endErr();
						}
					})
				}
			},
			up: {			  	 //上拉加载
				callback: function(page){
					var arry =[];
					setTimeout(function () {
						model.diary(page.size,page.num,function(data){
							if(data.state==1){
								vm.userid = UserCache.getUserToken();
								arry = model.dirayData();
								if(page.num==1){
									vm.contentList = arry;
								}else{
									for(var i=0;i<arry.length;i++){
										vm.contentList.push(arry[i]);
									}
								}
								mescroll.endSuccess(arry.length);
							}else{
								mescroll.endErr();
								mescroll.endUpScroll(true)
							}
						})		
				    },300);
				},
				toTop:{ //配置回到顶部按钮
					src : "../mescroll/mescroll-totop.png", //默认滚动到1000px显示,可配置offset修改
					//offset : 1000
				}
			}
		});
	}


	home_control.prototype.sheetAddSwitch = function(){
		model.sheetAddSwitch(function(data){
			if(data.data.flag){
				svm.addFlag = true;
				vm.VaddFlag = true;
				vm.VaddFlagImg   = data.data.path;
				model.getOtherAdd(function(res){
					svm.sbImg = res.data;
				})
			}else{
				svm.addFlag = false;
				vm.VaddFlag = false;
			}
		})
	}

	//服务器是否提示维护
	home_control.prototype.serverAlert = function(str) {
		model.serverAlert(function(data){
			if(data.state==1){				//如果有维护
				$(".sheetText div").eq(0).html(data.data);
				$("#sheet").show();
				vm.banner_list = [];
				$("#top").hide();
				$(".good_list").hide();
				document.addEventListener('touchmove',function(e){
					e.preventDefault();
				})
				return;
			}else{
				$("#sheet").hide();
				$("#top").show();
				$(".good_list").show();
				_this.initbanner();							//轮播数据						
				_this.down();
				_this.pos();
				_this.city_length();						//首页城市字符串的长度，适配用的
				vm.my();								    //执行点击事件	 
				if(mui.os.ios){
					city =plus.webview.create("city.html","city.html");
					city.hide();
				}
				// 每次进来刷新一次待支付订单接口；
				model.refreshOrderData();
				setTimeout(function(){
					mui('.mui-scroll-wrapper').scroll({
						deceleration: 0.0005,
						indicators: false, //是否显示滚动条
						bounce: true
					});
				},100);
				if(str == "resume"){
					return
				}
				_this.sheetAddSwitch();
			}
		})
	}
	
	
	//定位城市字符长度
	home_control.prototype.city_length = function() {
		if(hvm.city_name.length==2){
			$(".inp").css("width","80%");
		}else if(hvm.city_name.length==3){
			$(".inp").css("width","75%");
		}else if(hvm.city_name.length==4){
			$(".inp").css("width","70%");
		}else if(hvm.city_name.length==5){
			//已在css中进行判断，如果大于5个字，则省略号
		}
	}

	//监听城市选择事件，更换当前城市
	window.addEventListener('choose_city',function(e){
		hvm.city_name = e.detail.city;
		_this.city_length();
	})
	
	
	
	window.addEventListener('loginSuccesshome',function(e){
		_this.initDiary();
	})
	window.addEventListener('presonData',function(e){
		_this.initDiary();
	})
	
	

	window.addEventListener('diary_list',function(e){
		var zan_ID = e.detail.zan_ID;
		var zan_num = e.detail.zan_num;
		var zan_flag = e.detail.zan_flag;
		for(var i=0;i<vm.contentList.length;i++){			//界面刷新
			if(zan_ID==vm.contentList[i].ID){
				vm.contentList[i].Zan = zan_num;
				vm.contentList[i].ZanState = zan_flag;
				break;
			}
		}
		
		var get=localStorage.getItem('Zan');				//缓存刷新
		var getObj=JSON.parse(get);
		var getArry = [];
		if(getObj!=null||getObj!=''){
			for(var c=0;c<getObj.length;c++){
				if(zan_ID==getObj[c].ID){
					getObj[c].STATE = zan_flag;
				}
				getArry.push(getObj[c]);
			}
			localStorage.setItem('Zan',JSON.stringify(getArry));
		}
	})
	
	
	
	
	//监听日记详情关注事件
	window.addEventListener('home',function(e){
		var isGz = e.detail.isGz;						//true已关注
		var DriayUserID=e.detail.DriayUserID;			//日记的UserID
		for(var i=0;i<vm.contentList.length;i++){
			if(DriayUserID == vm.contentList[i].UserID){	
				if(isGz){
					vm.contentList[i].flag = true;
					vm.contentList[i].gz = "已关注";
				}else{
					vm.contentList[i].flag = false;
					vm.contentList[i].gz = "关注";
				}
			}
		}
	})
	
	
	//监听关注加入黑名单事件，粉丝列表黑名单事件，设置黑名单事件
	window.addEventListener('homeOther',function(e){
		_this.initDiary();
	})
	
	
	//监听设为隐私事件
	window.addEventListener('isShowEvent',function(e){
		_this.initDiary();
	})
	
	
	//监听服务器关闭
	window.addEventListener('serverClose', function(e) {
		mui.openWindow({
			url : "closeServer.html",
			id  : "closeServer.html"
		})
	});
	
	document.addEventListener('resume', function(e) {
		if(mescroll!=null){
			mescroll.destroy();
		}
		_this.init("resume");
	});
	return new home_control();
});