define(["hospital_model","UserCache","shareList","util","Config"], function(model,UserCache,shareList,util,Config) {
	var _this=null;
	var len=null;
	function hospital_control() {
		_this = this;
	}
	Vue.use(VueLazyload, {
		preLoad: 1.3,
		error: Config.ERROR_IMG,			//当加载图片失败的时候
		loading: Config.LOAD_IMG,			//当加载图片成功的时候
		attempt: 1							//尝试次数
	});
	
	var hvm=new Vue({
		el:"#top",
		data:{},
		methods:{
			alert:function(){
				shareList.shareData(3,vm.hosID,function(data){
					util.share(vm.Name,vm.show_txt,data.data.Url);
				});
			}
		}
	})
	
	var vm=new Vue({
			el:".mui-content",
			data:{
				slider_img:[],//轮播图片
				zj_list:[],	  //团队介绍
				goodALL_list:[],							//查看全部5个有优惠的数据
				good_list:[],
				Name : "",
				num:1,          							//轮播页数   
				flag:false,									//查看全部文字开关
				iS_showALL:false,							//是否查看全部优惠
				show_txt:"",								//显示一部分文字
				showAll_txt:"",							    //可显示的全部数字
				id:"",
				LngX : "",									//经度
				LatY : "",									//纬度
				hosID: ""									//医院id
			},	
			methods:{
				alert_zj:function(index){						
					$(".cont").fadeIn(300);								  //专家弹窗
					var obj=vm.zj_list[index];
					$(".photo_img").attr("src",obj.Photo);			  //头像
					$(".sheet_name").text(obj.Name);			      //专家名字
					$(".sheet_place").text(obj.JobTitle)		      //职位
					$(".sheet_list2 span").eq(0).text(obj.PreOrder);  //预约数
					$(".sheet_list2 span").eq(1).text(obj.Cases);     //案例
					//动画效果
//					$(".cont>div").removeClass('bbh2')
//					$(".cont>div").addClass('bbh');
				},
				sheet_close:function(){						//分享关闭
					mui('#sheet').popover('hide')
				},
				sheet2_img:function(){						//专家弹窗关闭
//					$(".cont>div").addClass("bbh2");
					setTimeout(function(){
						$(".cont").fadeOut();
					},400)
				},
				look_all:function(){						//查看全部文字
					if(!vm.flag){
						vm.show_txt = vm.showAll_txt;
						$(".list_second p span").css("bottom","-0.48rem");
						$(".look_all").text("收起全部");
						vm.flag=true;
					}else{
						var str =""+vm.showAll_txt;
						vm.show_txt=str.substr(0,42)+"...";
						$(".list_second p span").css("bottom","-0.14rem");
						$(".look_all").text("查看全部");
						vm.flag=false;
					}
				},
				inline_information:function(){				//在线咨询
					_this.is_login();
				},
				goMap:function(){							//地图
					mui.openWindow({
						url:"map.html",
						id :"map.html",
						extras:{
							add : $(".add").text(),
							LngX : vm.LngX,
							LatY : vm.LatY
						},
						styles: {
			                popGesture: 'close',
							"contentAdjust":false
			            },
						waiting:{
					      autoShow:false
					    }
					})
				},
				look:function(){							//查看全部5个优惠
					$(".look span").text("查看全部"+vm.goodALL_list.length+"个项目");
					mui.openWindow({
						url:"hospital_list.html",
						id :"hospital_list.html",
						extras:{
							title : vm.Name,
							hosdetail :  JSON.stringify(vm.goodALL_list)
						},
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				},
				good_deault:function(ID,title){
					var myGz = plus.webview.getWebviewById("goodDefaultNew.html");
					if(myGz){
						plus.webview.close("goodDefaultNew.html","none");
					}
					setTimeout(function(){
						mui.openWindow({
							url:"goodDefaultNew.html",
							id :"goodDefaultNew.html",
							extras:{
								typeID : ID,
								title  : title
							},
							styles: {
						        popGesture: 'close',
								"contentAdjust":false 
						    },
							waiting:{
						      autoShow:false
						    }
						})
					},100);
					// mui.openWindow({
					// 	url:"good_deault.html",
					// 	id :"good_deault.html",
					// 	extras:{
					// 		goodID : ID
					// 	},
					// 	styles: {
			  //               popGesture: 'close',
					// 		"contentAdjust":false 
			  //           },
					// 	waiting:{
					//       autoShow:false
					//     }
					// })
				}
			},
			updated: function(){
				mui('.mui-scroll-wrapper').scroll({
					deceleration: 0.0005,
					indicators: false //是否显示滚动条
				});
			}
		})
	hospital_control.prototype.init = function() {
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			vm.id=sdata.userid;
			model.deaultData(vm.id,function(data){
				vm.slider_img = data.data.Imgs;					//轮播
				vm.zj_list = data.data.doctors;					//团队介绍
				vm.goodALL_list = data.data.productKnowledges;	//产品的总数据			
		
				
				vm.hosID = data.data.ID;
				_this.deault_txt(data);							//查看全部医院简介内容
				$(".hos_photo").attr("src",data.data.Photo);    //头像
				$(".add").text(data.data.Addr);					//地址
				vm.Name = data.data.Name;						//医院名称
				$(".list_name").text(data.data.Name);			//医院名称
				$(".num1").text(data.data.PreOrder);			//预约人数
				$(".num2").text(data.data.Cases);				//案列人数
				$(".num3").text(data.data.SortIndex);			//咨询排行
				vm.LngX = data.data.LngX;						//经度
				vm.LatY = data.data.LatY;						//纬度
				if(data.data.productKnowledges==""){
					return false;
				}
				if(data.data.productKnowledges.length>=2){			//如果数据大于等于3条
					len = 2;
				}else{												//少于两条数据直接，展示两条数据
					len = vm.goodALL_list.length;
				}
				for(var i=0;i<len;i++){								//产品默认显示2条
					vm.good_list.push(data.data.productKnowledges[i]);
				}
			})
		})
		_this.initbanner();
	}
	
	
	
	hospital_control.prototype.is_show_all = function() {
		mui.plusReady(function(){
			model.deaultData(vm.id,function(data){
				for(var i=0;i<3;i++){							//产品默认显示3条
					vm.good_list.push(data.data.Products[i]);
					if(vm.good_list[i].Title.length>32){
						var str2 =""+vm.good_list[i].Title;
						vm.good_list[i].Title =str2.substr(0,32)+"...";
					}
				}
			})
		})
	}
	
	
	
	
	//轮播初始化
	hospital_control.prototype.initbanner = function() {
		setTimeout(function() {
			mui(".mui-slider").slider({
				interval: 0
			});
			mui('.mui-scroll-wrapper').scroll({
				indicators: false, //是否显示滚动条
				deceleration: 0.0005
			});
		}, 1000);
	}
	
	

	
	
	//查看全部默认显示的内容
	hospital_control.prototype.deault_txt = function(data) {
		vm.showAll_txt = data.data.Intro;				//医院简介
		var str =""+vm.showAll_txt;
		if(str.length>=42){
			vm.show_txt=str.substr(0,42)+"...";	
		}else{
			vm.show_txt=str;
		}
	}
	
	
	
	//模拟跳转咨询页面
	hospital_control.prototype.show_view = function() {
		var wvs = plus.webview.all();　　				 //所有窗口对象
		var launch = plus.webview.getLaunchWebview();　　 //首页窗口对象 
		var self = plus.webview.currentWebview();　　           //当前窗口对象 
		for(var i = 0, len = wvs.length; i < len; i++) {
			if(wvs[i].id === self.id || wvs[i].id === localStorage.homeWebId || wvs[i].id === launch.id ||
				wvs[i].id == "html/home.html" || wvs[i].id == "html/information.html" || wvs[i].id == "html/diary_edit.html" || wvs[i].id == "html/mall.html" || wvs[i].id == "HBuilder"|| wvs[i].id == "html/my.html" ||wvs[i].id == "main" ||wvs[i].id == "city.html") {
				continue;
			} else {
				wvs[i].close('none');　　 //关闭中间的窗口对象，为防止闪屏，不使用动画效果；
			}
		}
		self.close('slide-out-bottom');
		var view_id = plus.webview.getWebviewById("main");
		mui.fire(view_id, 'go_information',{id:1});
	};
	
	
	//判断是否登录
	hospital_control.prototype.is_login = function(){
		if(UserCache.userIsLogin()){
//			_this.show_view();
			var self=plus.webview.getWebviewById('serive.html');
			if(self){
				self.show();
			}else{
				mui.openWindow({
					url:"serive.html",
					id :"serive.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				});
			}
		}else{
			mui.openWindow({
				url:"login.html",
				id :"login.html",
				styles: {
	                popGesture: 'close',
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		}
	}
	
	
	
	//监听滑动事件
	document.querySelector('.mui-slider').addEventListener('swipeleft', function(event) {
	 	if(vm.num>=vm.slider_img.length){
	 		vm.num=vm.slider_img.length;
	 	}else{
	 		vm.num++;
	 	}
	});
	document.querySelector('.mui-slider').addEventListener('swiperight', function(event) {
	 	if(vm.num<=1){
	 		vm.num=1;
	 	}else{
	 		vm.num--;
	 	}
	});
	
	return new hospital_control();
});