define(['indexModel',"UserCache","downRode"], function(model,UserCache,downRode) {
	var _this=null;
	var len  =0;
	var num  =0;
	var time =null;
	var setTime=null;
	// var subpage_style = {};
	function index_controller(){
		_this=this;
	}
	var vm=new Vue({
		el:".mui-bar ",
		data:{
			state:0
		}
	})
	
	index_controller.prototype.init = function(){
		//检查服务器是否处于维护中
		_this.serverAlert();
		var subpages = ['html/home.html','html/information.html','html/diary_edit.html','html/mall.html',"html/my.html"];
		var subpage_style2 = {
			"contentAdjust":false,
			top:"0px",
			bottom: "0px"
		};
		var subpage_style = {
			"contentAdjust":false,
			top:"0px",
			bottom: $('.mui-bar-tab').height()+ $(".nothing").height()
		}
		mui.plusReady(function(){			
		    var self = plus.webview.currentWebview();
		    var FristSub = plus.webview.create(subpages[0],subpages[0], subpage_style);
		    self.append(FristSub);			//先预加载首页，再延迟加载其它页面；
		    var home = plus.webview.getWebviewById("html/home.html");
		    if(home){
	 			setTimeout(function(){
			 		for (var i = 1; i < subpages.length; i++) { 
				    	if(i==2){
				    		var sub = plus.webview.create(subpages[i],subpages[i], subpage_style2)
				    	}else{
				    		var sub = plus.webview.create(subpages[i],subpages[i], subpage_style)
				    	};
			        	 sub.hide();
			    	}
	 			},500)
		    }    
			_this.isTimeout();
			localStorage.setItem("model",plus.device.model);
			localStorage.setItem("vendor",plus.device.vendor);
		});
		
		
		
		//选项卡点击事件
		var activeTab = subpages[0];
		mui('.mui-bar-tab').on('tap', 'a', function(e) {
			var id=$(this).attr('alt');
			vm.state = id;
			//更换标题
			$(".mui-tab-label").css("color","#CCCCCC").eq(id).css("color","#2ce4d0");
		    //获取目标子页的id
		    var targetTab = subpages[id];
		    if (targetTab == activeTab) {    
		    	if(id==4){
		    		_this.longTap();
		    	}
		        return;
		    }
		    //显示目标选项卡
		    if(id==2||id==4){
		    	//咨询跟中间+页面需要登录才能打开
		    	if(UserCache.userIsLogin()){
						if(id==4){
							plus.webview.show(targetTab);
						}else if(id==2){				//发表日记先验证
							var a=UserCache.getUserInfo();
							if(a.IsJoin){
								plus.webview.show(targetTab,"slide-in-bottom");
								//这个事件是为了，每次一打开写日记页面，传个值给该页面，防止用户点击发表的时候日记重复；
								var dir = plus.webview.getWebviewById('html/diary_edit.html');
								mui.fire(dir,"isFlag",{flag:true});
							}else{
								mui.toast("您还不是花期正式会员,请先加入会员");
								return;
							}
						}else{
							plus.webview.show(targetTab,"slide-in-bottom");					
						}
				}else{
					mui.openWindow({
						url:"html/login.html",
						id :"html/login.html",
						styles:{
							"contentAdjust":false 
						},
						waiting:{
					      autoShow:false
					 	},
					  	extras:{
					  	   type : id
					  	}
					})
					return false;
				}
		    }else{
		    	plus.webview.show(targetTab);
		    }
		    //隐藏当前选项卡
		    plus.webview.hide(activeTab);
		    //更改当前活跃的选项卡
		    activeTab = targetTab;
		});
	}
	
	
	index_controller.prototype.serverAlert = function() {		
		model.serverAlert(function(data){
			console.log("data: " + JSON.stringify(data));
			if(data.state==1){				//如果有维护
				$(".menban").show();
			}else{							
				$(".menban").hide();
				//检查版本更新
				downRode.init();
				_this.goAPP();
				_this.sheetAddSwitch();
			}
		})
	}
	
	index_controller.prototype.serverAlertResume = function() {
		model.serverAlert(function(data){
			console.log("data: " + JSON.stringify(data));
			if(data.state==1){				//如果有维护
				$(".menban").show();
			}else{							
				$(".menban").hide();
				//检查版本更新
				downRode.init();
				_this.goAPP();
			}
		})
	}
	
	
	
	index_controller.prototype.sheetAddSwitch = function() {
		//在判断广告弹窗
		model.sheetAddSwitch(function(res){
			if(res.data.flag){
				$(".menbanAdd").show();
			}else{
				$(".menbanAdd").hide();
			}
		})
	}
	
	
	
	
	document.addEventListener('resume', function(e) {
		_this.serverAlertResume();
	});
	
	
	//访问app指定页面方法
	index_controller.prototype.goAPP = function() {
		mui.plusReady(function(){
	    var data= plus.runtime.arguments;
			args = data.split("?");				  			//取出com.huaqimy.huaqimy://
			if(mui.os.android){
				if(args[0]){
				    // 处理args参数，如打开新页面等
					if(UserCache.userIsLogin()){			//判断是否登录
						switch(args[0]){
							case "com.huaqimy.huaqimy://1": 				//日记
								mui.openWindow({
									url : "html/diary_xq.html",
									id  : "html/diary_xq.html",
									styles: {
						                popGesture: 'close' ,// 'hide', 'close','none' 此处是关键
										"contentAdjust":false 
						            },
									waiting:{
								      autoShow:false
								   },
								   extras:{ 
								   	 diaryID : args[1]
								   }
								})
							break;
							case "com.huaqimy.huaqimy://2": 				//会议
								mui.openWindow({
									url:"html/meet_deault.html",
									id :"html/meet_deault.html",
									styles: {
							            popGesture: 'close',
										"contentAdjust":false 
						            },
						            extras:{
						            	index : args[1],
						            	zan_three: 0
						            }
								})
							break;
							case "com.huaqimy.huaqimy://3": 				//医院
								mui.openWindow({
									url:"html/hospital_detail.html",
									id :"html/hospital_detail.html",
									styles: {
						                popGesture: 'close',
										"contentAdjust":false 
						            },
									waiting:{
								      autoShow:false
								    },
								    extras:{
								   	   userid  : args[1]
								    }
								})
							break;
							case "com.huaqimy.huaqimy://4": 				//商品
								mui.openWindow({
									url:"html/good_deault.html",
									id :"html/good_deault.html",
									extras:{
										goodID : args[1]
									},
									styles: {
						                popGesture: 'close',
										"contentAdjust":false 
						            },
									waiting:{
								      autoShow:false
								    }
								})
							break;
							case "com.huaqimy.huaqimy://5": 				//花期商城
								mui.openWindow({
									url:"html/mall1.html",
									id :"html/mall1.html",
									extras:{
										typeID : args[1]
									},
									styles: {
						                popGesture: 'close',
										"contentAdjust":false 
						            },
									waiting:{
								      autoShow:false
								    }
								})
							break;
							case "com.huaqimy.huaqimy://6": 				//花期商城介绍
								mui.openWindow({
									url:"html/mall_vip.html",
									id :"html/mall_vip.html",
									extras:{
										typeID : args[1]
									},
									styles: {
						                popGesture: 'close' ,
										"contentAdjust":false 
						            },
									waiting:{
								      autoShow:false
								    }
								})
							break;
							case "com.huaqimy.huaqimy://7": 				//邀请好友
								mui.openWindow({
									url:"html/InviteFriends.html",
									id :"html/InviteFriends.html",
									styles: {
						                popGesture: 'close',
										"contentAdjust":false 
						            },
									waiting:{
								      autoShow:false
								    }
								})
							break;
							case "com.huaqimy.huaqimy://8": 				//个人中心
								mui.openWindow({
									url:"html/my_content.html",
									id :"html/my_content.html",
									styles:{
										"contentAdjust":false 
									},
									waiting:{
								      autoShow:false
								    },
								    extras:{
								   	  UserId : UserCache.getUserToken(),
						   	  		  type   : 1
								    }
								})
							break;
							case "com.huaqimy.huaqimy://9": 				//购物车商城商品详情
								mui.openWindow({
									url:"html/secKillDeault.html",
									id :"html/secKillDeault.html",
								    extras:{
								      type : 0,								//弹窗不开启
								   	  ID : args[1]
								    },
									waiting:{
								      autoShow:false
								    },
								    styles: {
						                popGesture: 'close',
										"contentAdjust":false 
						            }
								})
							break;
							case "com.huaqimy.huaqimy://10": 				//秒杀列表分享
								mui.openWindow({
									url:"html/secKillList.html",
									id :"html/secKillList.html",
									waiting:{
								      autoShow:false
								    },
								    styles: {
						                popGesture: 'close' ,
										"contentAdjust":false 
						            }
								})
							break;
							case "com.huaqimy.huaqimy://11": 				//精品推荐分享
								mui.openWindow({
									url:"html/goodShop.html",
									id :"html/goodShop.html",
									waiting:{
								      	autoShow:false
								    },
								    styles: {
						                popGesture: 'close',
										"contentAdjust":false 
						            }
								})
							break;
							case "com.huaqimy.huaqimy://12": 				//首页滚动通知
								mui.openWindow({
									url:"html/sisiterAlert.html",
									id :"html/sisiterAlert.html",
									extras:{
								   	  ID : args[1]
								    },
									waiting:{
								      	autoShow:false
								    },  
								    styles: {
						                popGesture: 'close',
										"contentAdjust":false 
						            }
								})
							break;
							case "com.huaqimy.huaqimy://13": 				//视频跳转
								model.isProtoVideo(args[1],function(data){
									var view = plus.webview.getWebviewById('videoDeault.html');
									if(view){
										view.close();
									}
									if(data.data.Course.IsBuy){				//已经买了跳转原生
										mui.openWindow({
											url : "videoDeault.html",
											id  : "videoDeault.html",
											extras:{
												ID : args[1]
											},
											styles: {
								                popGesture: 'close' ,
												"contentAdjust":false,
								                titleNView: {
											        autoBackButton : true,
											        backgroundColor: "#FFFFFF",
											        titleText  : "视频播放详情",
											        titleColor : "#000000",
											        buttons: [{
									                    "float": "right",
									                    "fontSize": "27px",
									                    "fontSrc": "../fonts/iconfont.ttf",//字体文件
									                    "text": "\ue60c",
									                    "onclick": "javascript:plus.webview.getWebviewById('videoDeault.html').evalJS('myshare();')"
											    	}]
											     }
								            },
											waiting:{
										      autoShow:false
										    }
										})
									}else{									//没买显示h5视频
				        				mui.openWindow({
											url:"html/videoDeault.html",
											id :"html/videoDeault.html",
											extras:{
										   	  ID : args[1]
										    },
											waiting:{
										      	autoShow:false
										    },  
										    styles: {
								                popGesture: 'close',
												"contentAdjust":false 
								            }
										})
									}
								})		
							break;
							case "com.huaqimy.huaqimy://14": 				//音频跳转
								mui.openWindow({
									url:"html/audio.html",
									id :"html/audio.html",
									extras:{
								   	  ID : args[1]
								    },
									waiting:{
								      	autoShow:false
								    },  
								    styles: {
						                popGesture: 'close',
										"contentAdjust":false 
						            }
								})
							break;
							case "com.huaqimy.huaqimy://15": 				//首页滚动通知
								mui.openWindow({
									url:"html/adDefault.html",
									id :"html/adDefault.html",
									waiting:{
								      	autoShow:false
								    },  
								    styles: {
							            popGesture: 'close',
										"contentAdjust":false 
							        }
								})
							break;
							case "com.huaqimy.huaqimy://16": 				//栏目视频跳转
								model.isProtoVideo(args[1],function(data){
									var view = plus.webview.getWebviewById('videoDeault.html');
									if(view){
										view.close();
									}
									if(data.data.Course.IsBuy){				//已经买了跳转原生
										mui.openWindow({
											url : "videoDeault.html",
											id  : "videoDeault.html",
											extras:{
												ID : args[1]
											},
											styles: {
								                popGesture: 'close' ,
												"contentAdjust":false,
								                titleNView: {
											        autoBackButton : true,
											        backgroundColor: "#FFFFFF",
											        titleText  : "视频播放详情",
											        titleColor : "#000000",
											        buttons: [{
									                    "float": "right",
									                    "fontSize": "27px",
									                    "fontSrc": "../fonts/iconfont.ttf",//字体文件
									                    "text": "\ue60c",
									                    "onclick": "javascript:plus.webview.getWebviewById('videoDeault.html').evalJS('myshare();')"
											    	}]
											     }
								            },
											waiting:{
										      autoShow:false
										    }
										})
									}else{									//没买显示h5视频
										mui.openWindow({
											url:"html/videoDeault.html",
											id :"html/videoDeault.html",
											extras:{
										   	  ID : args[1]
										    },
											waiting:{
										      	autoShow:false
										    },  
										    styles: {
								                popGesture: 'close',
												"contentAdjust":false 
								            }
										})
									}
								})		
							break;
							case "com.huaqimy.huaqimy://17": 				//电影分享
								mui.openWindow({
									url: "html/file.html",
									id : "html/file.html",
									styles: {
								        popGesture: 'close',
										"contentAdjust":false 
								    },
									extras:{
										ID : args[1]
									},
									waiting:{
								      autoShow:false
								    }
								})
							break;
						}
					}else{								
				    	mui.openWindow({
							url:"html/login.html",
							id :"html/login.html",
							styles: {
				                popGesture: 'close',
								"contentAdjust":false 
				            },
							waiting:{
						      autoShow:false
						    }
						})
					}
				}
			}
			else{											//ios用通用链接唤醒跳转
				if(args[0]){
					var str =  args[1].replace(/[=]/g, "");		//正则去除=与号
					var arry = str.split("&");					//arry[0]是指定类型,arry[1]是参数
					if(UserCache.userIsLogin()){				//判断是否登录
						if(arry[0]==1 || arry[0]=="1"){
							mui.openWindow({
								url : "html/diary_xq.html",
								id  : "html/diary_xq.html",
								styles: {
							        popGesture: 'close' ,// 'hide', 'close','none' 此处是关键
									"contentAdjust":false 
							    },
								waiting:{
							      autoShow:false
							   },
							   extras:{ 
							   	 diaryID : arry[1]
							   }
							})
						}else if(arry[0] == 2 || arry[0]=="2"){
							mui.openWindow({
								url:"html/meet_deault.html",
								id :"html/meet_deault.html",
								styles: {
							        popGesture: 'close',
									"contentAdjust":false 
							    },
							    extras:{
							    	index : arry[1],
							    	zan_three: 0
							    }
							})
						}else if(arry[0] == 3 || arry[0]=="3"){
							mui.openWindow({
								url:"html/hospital_detail.html",
								id :"html/hospital_detail.html",
								styles: {
							        popGesture: 'close',
									"contentAdjust":false 
							    },
								waiting:{
							      autoShow:false
							    },
							    extras:{
							   	   userid  : arry[1]
							    }
							})
						}else if(arry[0] == 4 || arry[0]=="4"){
							mui.openWindow({
								url:"html/good_deault.html",
								id :"html/good_deault.html",
								extras:{
									goodID : arry[1]
								},
								styles: {
							        popGesture: 'close',
									"contentAdjust":false 
							    },
								waiting:{
							      autoShow:false
							    }
							})
						}else if(arry[0] == 5 || arry[0]=="5"){
							mui.openWindow({
								url:"html/mall1.html",
								id :"html/mall1.html",
								extras:{
									typeID : arry[1]
								},
								styles: {
							        popGesture: 'close',
									"contentAdjust":false 
							    },
								waiting:{
							      autoShow:false
							    }
							})
						}else if(arry[0] == 6 || arry[0]=="6"){
							mui.openWindow({
								url:"html/mall_vip.html",
								id :"html/mall_vip.html",
								extras:{
									typeID : arry[1]
								},
								styles: {
							        popGesture: 'close',
									"contentAdjust":false 
							    },
								waiting:{
							      autoShow:false
							    }
							})
						}else if(arry[0] == 7 || arry[0]=="7"){
							mui.openWindow({
								url:"html/InviteFriends.html",
								id :"html/InviteFriends.html",
								styles: {
							        popGesture: 'close',
									"contentAdjust":false 
							    },
								waiting:{
							      autoShow:false
							    }
							})
						}else if(arry[0] == 8 || arry[0]=="8"){
							mui.openWindow({
								url:"html/my_content.html",
								id :"html/my_content.html",
								styles:{
									"contentAdjust":false 
								},
								waiting:{
							      autoShow:false
							    },
							    extras:{
							   	  UserId : UserCache.getUserToken(),
								  type   : 1
							    }
							})
						}else if(arry[0] == 9 || arry[0]=="9"){
							mui.openWindow({
								url:"html/secKillDeault.html",
								id :"html/secKillDeault.html",
							    extras:{
							      type : 0,								//弹窗不开启
							   	  ID : arry[1]
							    },
								waiting:{
							      autoShow:false
							    },
							    styles: {
							        popGesture: 'close',
									"contentAdjust":false 
							    }
							})
						}else if(arry[0] == 10 || arry[0]=="10"){
							mui.openWindow({
								url:"html/secKillList.html",
								id :"html/secKillList.html",
								waiting:{
							      autoShow:false
							    },
							    styles: {
							        popGesture: 'close',
									"contentAdjust":false 
							    }
							})
						}else if(arry[0] == 11 || arry[0]=="11"){
							mui.openWindow({
								url:"html/goodShop.html",
								id :"html/goodShop.html",
								waiting:{
							      	autoShow:false
							    },
							    styles: {
							        popGesture: 'close',
									"contentAdjust":false 
							    }
							})
						}else if(arry[0] == 12 || arry[0]=="12"){
							mui.openWindow({
								url:"html/sisiterAlert.html",
								id :"html/sisiterAlert.html",
								extras:{
							   	  ID : arry[1]
							    },
								waiting:{
							      	autoShow:false
							    },  
							    styles: {
							        popGesture: 'close',
									"contentAdjust":false 
							    }
							})
						}else if(arry[0] == 13 || arry[0]=="13"){
							model.isProtoVideo(arry[1],function(data){
								var view = plus.webview.getWebviewById('videoDeault.html');
								if(view){
									view.close();
								}
								if(data.data.Course.IsBuy){				//已经买了跳转原生
									mui.openWindow({
										url : "videoDeault.html",
										id  : "videoDeault.html",
										extras:{
											ID : arry[1]
										},
										styles: {
							                popGesture: 'close' ,
											"contentAdjust":false ,
							                titleNView: {
										        autoBackButton : true,
										        backgroundColor: "#FFFFFF",
										        titleText  : "视频播放详情",
										        titleColor : "#000000",
										        buttons: [{
								                    "float": "right",
								                    "fontSize": "27px",
								                    "fontSrc": "../fonts/iconfont.ttf",//字体文件
								                    "text": "\ue60c",
								                    "onclick": "javascript:plus.webview.getWebviewById('videoDeault.html').evalJS('myshare();')"
										    	}]
										     }
							            },
										waiting:{
									      autoShow:false
									    }
									})
								}else{									//没买显示h5视频
									mui.openWindow({
										url:"html/videoDeault.html",
										id :"html/videoDeault.html",
										extras:{
									   	  ID : arry[1]
									    },
										waiting:{
									      	autoShow:false
									    },  
									    styles: {
							                popGesture: 'close' ,
											"contentAdjust":false 
							            }
									})
								}
							})
						}else if(arry[0] == 14 || arry[0]=="14"){
							mui.openWindow({
								url:"html/audio.html",
								id :"html/audio.html",
								extras:{
							   	  ID : arry[1]
							    },
								waiting:{
							      	autoShow:false
							    },  
							    styles: {
							        popGesture: 'close' ,
									"contentAdjust":false 
							    }
							})
						}else if(arry[0] == 15 || arry[0]=="15"){
							mui.openWindow({
								url:"html/adDefault.html",
								id :"html/adDefault.html",
								waiting:{
							      	autoShow:false
							    },  
							    styles: {
							        popGesture: 'close' ,
									"contentAdjust":false 
							    }
							})
						}else if(arry[0] == 16 || arry[0]=="16"){
							model.isProtoVideo(arry[1],function(data){
								var view = plus.webview.getWebviewById('videoDeault.html');
								if(view){
									view.close();
								}
								if(data.data.Course.IsBuy){				//已经买了跳转原生
									mui.openWindow({
										url : "videoDeault.html",
										id  : "videoDeault.html",
										extras:{
											ID : arry[1]
										},
										styles: {
							                popGesture: 'close' ,
											"contentAdjust":false ,
							                titleNView: {
										        autoBackButton : true,
										        backgroundColor: "#FFFFFF",
										        titleText  : "视频播放详情",
										        titleColor : "#000000",
										        buttons: [{
								                    "float": "right",
								                    "fontSize": "27px",
								                    "fontSrc": "../fonts/iconfont.ttf",//字体文件
								                    "text": "\ue60c",
								                    "onclick": "javascript:plus.webview.getWebviewById('videoDeault.html').evalJS('myshare();')"
										    	}]
										     }
							            },
										waiting:{
									      autoShow:false
									    }
									})
								}else{									//没买显示h5视频
									mui.openWindow({
										url:"html/videoDeault.html",
										id :"html/videoDeault.html",
										extras:{
									   	  ID : arry[1]
									    },
										waiting:{
									      	autoShow:false
									    },  
									    styles: {
							                popGesture: 'close' ,
											"contentAdjust":false 
							            }
									})
								}
							})
						}
						else if(arry[0] == 17 || arry[0]=="17"){			//领袖风采MV
							mui.openWindow({
								url: "html/file.html",
								id : "html/file.html",
								styles: {
							        popGesture: 'close',
									"contentAdjust":false 
							    },
								extras:{
									ID : arry[1]
								},
								waiting:{
							      autoShow:false
							    }
							})
						}
						else if(arry[0] == 18 || arry[0]=="18"){			//领袖音频
							mui.openWindow({
								url:"html/fileAudio.html",
								id :"html/fileAudio.html",
								styles: {
							        popGesture: 'close' ,
									"contentAdjust":false 
							    },
								waiting:{
								  autoShow:false
								},
							    extras:{
							    	ID : arry[1]
							    }
							})
						}
					}else{								
						mui.openWindow({
							url:"html/login.html",
							id :"html/login.html",
							styles: {
					            popGesture: 'close' ,
								"contentAdjust":false 
					        },
							waiting:{
						      autoShow:false
						    }
						})
					}
				}
			}
		})
  	}

	//如果app在后台处理
	document.addEventListener('newintent',function(){
	    _this.goAPP();
	},false);
	
	
	
	//验证登录失效
	index_controller.prototype.isTimeout = function(){
		if(UserCache.userIsLogin()){					     //如果登录的情况下，验证是否失效
			var myDate = new Date();					
			var mySecond  =myDate.getTime();				 //本地时间
			var starttime = UserCache.getTokenTimeOut().replace(new RegExp("-","gm"),"/");
   			var tokenTime = (new Date(starttime)).getTime(); //得到毫秒数，服务器时间戳

			if(tokenTime<=mySecond){
				UserCache.removeUserToken();			
				UserCache.removeLoginToken();
				UserCache.removeTokenTimeOut();	
				mui.openWindow({
					url:"html/login.html",
					id :"html/login.html",
					waiting:{
				      autoShow:false
				 	}
				})
				mui.toast("您已经很久没有登录了，为了您的账户安全请重新登录！");
			}
		};
		if(UserCache.getLoginToken()){			//有token的时候调用这个接口
			model.isToken(function(data){
				if(data.state==-1){				//-1清空缓存
					UserCache.removeUserToken();			
					UserCache.removeLoginToken();
					UserCache.removeTokenTimeOut(); 	
				}else if(data.state==1){		//token重新缓存,
					UserCache.saveLoginToken(data.data.Token);
				}
			});
		}
	}
	
	
	
	
	
	//连续点击我的提示版本信息---10秒之内如果连续点击5次
	index_controller.prototype.longTap = function(){
		len++;
		if(len>=6){
			plus.runtime.getProperty(plus.runtime.appid, function(inf) {
				mui.toast("v "+inf.version);
			});	
			len=0;
			clearInterval(setTime);
		};
		clearInterval(setTime);
		setTime=setInterval(function(){
			num=num+1000;
			if(num>=10000){
				num = 0;
				len=0;
				clearInterval(setTime);
			}
		},1000);
	}
	
	
	
	//模拟点击首页事件
	window.addEventListener('go_home', function(e) {
		var myTab = document.getElementById("one");
		mui.trigger(myTab, 'tap');
		vm.state = 0;
		$(".mui-tab-label").css("color","#CCCCCC").eq(0).css("color","#2ce4d0");
	});

	//模拟点击咨询
	window.addEventListener('go_information', function(e) {
		var myTab = document.getElementById("tow");
		mui.trigger(myTab, 'tap');
		vm.state = 1;
		$(".mui-tab-label").css("color","#CCCCCC").eq(1).css("color","#2ce4d0");
		var view=plus.webview.getWebviewById('html/information.html');
		mui.fire(view,"hos_go",{id:1})
	});
	
	//商城
	window.addEventListener('go_mall', function(e) {
		var myTab = document.getElementById("three");
		mui.trigger(myTab, 'tap');
		vm.state = 3;   
		$(".mui-tab-label").css("color","#CCCCCC").eq(3).css("color","#2ce4d0");
	});
	
	
	//我的
	window.addEventListener('go_my', function(e) {
		var myTab = document.getElementById("four");
		mui.trigger(myTab, 'tap');
		vm.state = 4;
		$(".mui-tab-label").css("color","#CCCCCC").eq(4).css("color","#2ce4d0");
	});
	
	
	window.addEventListener('closeAdd', function(e) {
		$(".menbanAdd").hide();
	});
	return new index_controller();
});