define(['list_home_6_model',"UserCache",'file_model'], function(model,UserCache,file_model) {
	var _this=null;
	function list_home_6_contr(){
		_this=this;
	}
	var hvm=new Vue({
		el:"#top",
		data:{
			searchVal : ""
		},
		methods:{
			goSearch:function(){
				if(hvm.searchVal.trim()==''){
					mui.toast('搜索内容不能为空')
					return 
				}
				model.search(hvm.searchVal,function(data){
					if(data.state==1){
						var temp = data.data;
						var dataSay = [];
						var dataMusic = [];
						var dataFile = [];
						for(var i=0;i<temp.length;i++){
							if(temp[i].Type==1){
								dataSay.push(temp[i])
							}else if(temp[i].Type==2 || temp[i].Type==3){
								dataMusic.push(temp[i])
							}else if(temp[i].Type==4){
								dataFile.push(temp[i])
							}
						}
						vm.dataSay   = dataSay;
						vm.dataMusic = dataMusic;
						vm.dataFile  = dataFile;
					}else{
						mui.toast(data.text)
					}
					console.log("data: " + JSON.stringify(data));
				})
			},
			onInput(e){
				console.log(": " + JSON.stringify(hvm.searchVal));
				if(hvm.searchVal==''){
					_this.dataMusic();
					_this.dataFile();
					_this.dataSay();
				}
			},
			onFocus:function(){
				document.body.scrollTop=document.documentElement.scrollTop=0
			},
			onblur:function(){
				console.log(333)
			},
			goLesson:function(){	//最近学习闹钟小图标
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url: "nearLesson.html",
						id : "nearLesson.html",
						styles: {
			                popGesture: 'close' ,
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					mui.openWindow({
						url: "login.html",
						id : "login.html",
						styles: {
			                popGesture: 'close' ,
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			}
		}
	});
			
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			ylDescribe: "",
			ylIndex   : 0,
			manBanner : [],
			dataMusic : [],
			dataFile  : [],
			dataSay   : [],
			
			dataBanTop: "",
			dataBanner: [],
			dataBanBom: "",
			isApple   : "",
			
			MovieFlag : false,
			MvFlag    : false,
			SoundFalg : false,
			
			slierNum  : 0,
			sliderStopImg : ""
		},
		methods:{
			goLeft(){
				if(vm.slierNum<=0){
					vm.slierNum=vm.dataBanner.length-1;
				}else{
					vm.slierNum--;
				}
				var gallery = mui('.mui-slider2');
				gallery.slider().gotoItem(vm.slierNum);
			},
			goRight(){
				if(vm.slierNum>=vm.dataBanner.length-1){
					vm.slierNum=0;
				}else{
					vm.slierNum++;
				}
				var gallery = mui('.mui-slider2');
				gallery.slider().gotoItem(vm.slierNum);
			},
			goMan(ID){
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url:"man.html",
						id :"man.html",
						extras:{
							ID : ID
						},
						styles: {
					        popGesture: 'close' ,
							"contentAdjust":false 
					    },
						waiting:{
						  autoShow:false
						}
					})
				}else{
					mui.openWindow({
						url: "login.html",
						id : "login.html",
						styles: {
					        popGesture: 'close' ,
							"contentAdjust":false 
					    },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			goFlie(ID,type){
				console.log("ID: " + JSON.stringify(ID));
				if(UserCache.userIsLogin()){
					if(type==2 || type==1){			//跳转音频   灵魂演说 = 1,音乐 = 2,MV = 3, 电影 = 4
						mui.openWindow({
							url:"fileAudio.html",
							id :"fileAudio.html",
							extras:{
								ID : ID
							},
							styles: {
						        popGesture: 'close' ,
								"contentAdjust":false 
						    },
							waiting:{
							  autoShow:false
							}
						})
					}else{							//其它跳转视频
						mui.openWindow({
							url: "file.html",
							id : "file.html",
							styles: {
						        popGesture: 'close',
								"contentAdjust":false 
						    },
							extras:{
								ID : ID
							},
							waiting:{
						      autoShow:false
						    }
						})
					}
				}else{
					mui.openWindow({
						url: "login.html",
						id : "login.html",
						styles: {
				            popGesture: 'close' ,
							"contentAdjust":false 
				        },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			gofileList(){
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url: "fileList.html",
						id : "fileList.html",
						styles: {
					        popGesture: 'close',
							"contentAdjust":false 
					    },
						extras:{
							isSay : 2
						},
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					mui.openWindow({
						url: "login.html",
						id : "login.html",
						styles: {
				            popGesture: 'close' ,
							"contentAdjust":false 
				        },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			gosayList(){
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url: "sayList.html",
						id : "sayList.html",
						styles: {
					        popGesture: 'close',
							"contentAdjust":false 
					    },
						extras:{
							isSay : 1
						},
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					mui.openWindow({
						url: "login.html",
						id : "login.html",
						styles: {
				            popGesture: 'close' ,
							"contentAdjust":false 
				        },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			goMv:function(){
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url : "musicAndVideo.html",
						id  : "musicAndVideo.html",
						styles: {
					        popGesture: 'close',
							"contentAdjust":false 
					    },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					mui.openWindow({
						url: "login.html",
						id : "login.html",
						styles: {
				            popGesture: 'close' ,
							"contentAdjust":false 
				        },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			lessonDeault :function(index){
				if(vm.isTrue==true){
					mui.openWindow({
						url: "lessonDeault.html",
						id : "lessonDeault.html",
						extras:{
							ID : index
						},
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					if(UserCache.userIsLogin()){
						mui.openWindow({
							url: "lessonDeault.html",
							id : "lessonDeault.html",
							extras:{
								ID : index
							},
							styles: {
				                popGesture: 'close',
								"contentAdjust":false 
				            },
							waiting:{
						      autoShow:false
						    }
						})
					}else{
						mui.openWindow({
							url: "login.html",
							id : "login.html",
							styles: {
				                popGesture: 'close' ,
								"contentAdjust":false 
				            },
							waiting:{
						      autoShow:false
						    }
						})
					}
				}
			},
			lookAll:function(){
				mui.openWindow({
					url: "busniessList.html",
					id : "busniessList.html",
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			changeYuLu(){
				vm.ylIndex++;
				if(vm.ylIndex>vm.dataBanner.length-1){
					vm.ylIndex = 0
				}
				vm.ylDescribe = vm.dataBanner[vm.ylIndex].Describe;
				$(".yuLu").fadeOut(300,function(){
					$(this).fadeIn();
				})
			},
			target:function(t){
				if(!UserCache.userIsLogin()){
					mui.openWindow({
						url:"login.html",
						id :"login.html",
						styles: {
					        popGesture: 'close',
							"contentAdjust":false 
					    },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					mui.openWindow({
						url:"meet_deault.html",
						id :"meet_deault.html",
						styles: {
					        popGesture: 'close' ,
							"contentAdjust":false 
					    },
					    extras:{
					    	index : t,
					    	type: 1
					    },
						waiting:{
						  autoShow:false
						}
					})
				}
			},
			goAudio(ID){
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url:"fileAudio.html",
						id :"fileAudio.html",
						styles: {
					        popGesture: 'close' ,
							"contentAdjust":false 
					    },
						waiting:{
						  autoShow:false
						},
					    extras:{
					    	ID : ID
					    }
					})
				}else{
					mui.openWindow({
						url: "login.html",
						id : "login.html",
						styles: {
				            popGesture: 'close' ,
							"contentAdjust":false 
				        },
						waiting:{
					      autoShow:false
					    }
					})
				}
			}
		}
	})
	
	list_home_6_contr.prototype.init = function(){
		file_model.isApple(function(data){
			vm.isApple = data.state;		//1审核期， -1不是
		})
		model.isFlag(function(data){		//3个开关
			if(data.state==1){
				vm.MovieFlag = data.data.MovieFlag;
				vm.MvFlag    = data.data.MvFlag;
				vm.SoundFalg = data.data.SoundFalg;
			}
		})
		_this.getBanner();
		_this.dataMusic();
		_this.dataFile();
		_this.dataSay();
		_this.dataBanner();
		// _this.initScroll();
	}
	
	
	
	//男人轮播
	list_home_6_contr.prototype.getBanner = function() {
		model.getBanner(function(data){
			if(data.state==1){
				vm.manBanner = data.data;
				vm.sliderStopImg = data.data[0];
				setTimeout(function() {
					mui("#lbt").slider({
						interval: 6000
					});
				}, 1000);
			}
		})
	}
	
	
	
	//经典语录
	list_home_6_contr.prototype.dataBanner = function() {
		model.dataBanner(function(data){
			if(data.state==1){
				vm.dataBanner = data.data;
				vm.dataBanTop = data.data[data.data.length-1].Describe;
				vm.dataBanBom = data.data[0].Describe;
				setTimeout(function() {
					mui("#lbt2").slider({
						interval: 3000
					});
				}, 1000);
			}
		})
	}
	
	//灵魂演说
	list_home_6_contr.prototype.dataSay = function() {
		model.dataSay(function(data){
			if(data.state==1){
				vm.dataSay = data.data;
			}
		})
	}
	
	//音乐及MV
	list_home_6_contr.prototype.dataMusic = function() {
		model.dataMusic(function(data){
			if(data.state==1){
				vm.dataMusic = data.data;
			}
		})
	}
	
	//网络电影
	list_home_6_contr.prototype.dataFile = function() {
		model.dataFile(function(data){
			if(data.state==1){
				vm.dataFile = data.data
			}
		})
	}
	
	
	
	//监听滑动事件
	document.querySelector('.mui-slider2').addEventListener('swipeleft', function(event) {
	 	if(vm.slierNum>=vm.dataBanner.length-1){
	 		vm.slierNum=0;
	 	}else{
	 		vm.slierNum++;
	 	}
		console.log("vm.slierNum++: " + JSON.stringify(vm.slierNum));
	});
	document.querySelector('.mui-slider2').addEventListener('swiperight', function(event) {
	 	if(vm.slierNum<=0){
	 		vm.slierNum=vm.dataBanner.length-1;
	 	}else{
	 		vm.slierNum--;
	 	}
		console.log("vm.slierNum--: " + JSON.stringify(vm.slierNum));
	});
	

	return new list_home_6_contr();
});


