define(["NetMannager","UserCache"], function(net,UserCache) {
	var _this=null;
//	var get = localStorage.getItem('clientid');
	function loginModel() {
		_this=this;
	}


	//手机登录
	loginModel.prototype.phone_login = function(_phone,code,ClientID,func){
		var param={
			phone  : _phone,
			ClientID : ClientID,
			yzm    : code,
			ModelID:localStorage.getItem('vendor')+","+localStorage.getItem('model')
		}
		net.getMessage(param,"LoginByPhone", function(data){ 
			if(data.state==1){							
				_this.saveCache(data);
				localStorage.setItem("isphone",1);     //账户于安全如果是手机快捷登录，就不存在修改密码的功能
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");		
				}else{
					func(data);
				}
			}
			mui.toast(data.text);
		});
	}
		
		
	//账户密码登录
	loginModel.prototype.userAndpass_login = function(userid,pass,ClientID,func) {
		var param={
			UserID  : userid,
			ClientID : ClientID,
			Pwd     :  pass,
			ModelID:localStorage.getItem('vendor')+","+localStorage.getItem('model')
		}
		net.getMessage(param,"Login", function(data){ 
			// console.log("登录返回="+JSON.stringify(data))
			if(data.state==1){
				_this.saveCache(data);
				localStorage.setItem("isphone",0);        //账户于安全如果是账户登录，就有修改密码的功能
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data);
				}
			}
			mui.toast(data.text);
		});
	}	
		
		
		
		
	//苹果登录校验
	loginModel.prototype.loginApple = function(appleId,ClientID,func) {
		var param={
			appleId  : appleId,
			ClientID : ClientID,
			ModelID  : localStorage.getItem('vendor')+","+localStorage.getItem('model')
		}
		net.getMessage(param,"LoginByAppleId",function(data){ 
			if(data.state==1){
				_this.saveCache(data);
				localStorage.setItem("isphone",1);     //账户于安全如果是手机快捷登录，就不存在修改密码的功能
			}
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
		
		
		
		
		
		
		
	//获取验证码
	loginModel.prototype.get_yzm = function(phone,func) {
		var param={
			UserName : phone
		}
		net.getMessage(param,"GetYanZM", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
			
			if(data.success==false){
				mui.toast("验证码发送频繁，请稍后再试！");
			}
		})
	}

	//缓存用户信息
	loginModel.prototype.saveCache = function(data) {
		UserCache.saveCache(JSON.stringify(data.data));  	//缓存用户所有信息
		UserCache.saveUserToken(data.data.ID);				//缓存用户的唯一标识ID
		UserCache.saveLoginToken(data.data.Token);			//缓存用户唯一的token
		UserCache.saveTokenTimeOut(data.data.TokenTimeOut);	//TokenTimeOut有效时间
	}
	
	
	
	//获取验证码
	loginModel.prototype.ceshiBtn = function(a,b) {
		var param={
			Token     : b,
			ClientID  : a
		}
		net.getListMess(param,"Values/SendMessageToIOS", function(data){ 
			// console.log("ios推送发送的数据："+JSON.stringify(data))
		})
	}
	
	
	//微信登录授权验证是否有openid
	loginModel.prototype.loginByWeixin = function(openid,ClientID,ModelID,func) {
		var param={
			wxOpenID   : openid,
			ClientID   : ClientID,
			ModelID	   : ModelID
		}
		net.getListMess(param,"WeiXinPay/WxLogin ", function(data){ 
			func(data);
		})
	}
	
	
	//苹果审核
	loginModel.prototype.isCheckApp = function(func) {
		net.getListMess(null,"System/CheckTimeFlag", function(data){ 
			func(data);
		})
	}
	return new loginModel();
});