define(["NetMannager","UserCache"], function(net,UserCache){
	var list=[];
	var modelId  = localStorage.getItem("model");
	var clientId = localStorage.getItem("clientid");
	
	function look_comment_model(){
		
	}
	
	//全部日记数据
	look_comment_model.prototype.all_data = function(id,rows,page,func) {
		var param={
			id     :  id,
			rows   : rows,
			page   : page,
			token :  UserCache.getLoginToken(),
			userID : UserCache.getUserToken()
		}
		net.getListMess(param,"Diaries/GetDiscussByPages", function(data){ 
			list = data.data;
			if(list !=null){
				for(var i=0;i<list.length;i++){
					list[i].is_zan = false;
					list[i].flag = false;
					list[i].txt = "查看全部";
				}
			}
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	//全部会议数据
	look_comment_model.prototype.all_meet_data = function(id,rows,page,func) {
		var param={
			id     :  id,
			rows   : rows,
			page   : page,
			token : UserCache.getLoginToken(),
			userID : UserCache.getUserToken()
		}
		net.getListMess(param,"Meetings/GetDiscussByPages", function(data){ 
			list = data.data;
			
			
			if(list !=null){
				for(var i=0;i<list.length;i++){
					list[i].flag = false;
					list[i].txt = "查看全部";
					
					
					list[i].UserID = list[i].UserId;
					if(list[i].discussList != null){
						for(var j=0;j<list[i].discussList.length;j++){
							list[i].discussList[j].UserID = list[i].discussList[j].UserId;
						}	
					}
				}
			}
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	look_comment_model.prototype.get_data = function() {
		return list;
	}
	
	
	
	//日记评论点赞
	look_comment_model.prototype.ClickZanInDiscussTrue = function(type,id,ReceiverID,msg,DiaryID,func) {
		var param={
			ID      :   id,
			type    :   type,
			UserSendID :UserCache.getUserToken(),
			ReceiverID: ReceiverID,
			typeStatus:2,
			DiaryID :DiaryID,
			MsgContent:msg,
			IsDiary :true,
			token : UserCache.getLoginToken(),
			UserId : UserCache.getUserToken()
		}
		net.getListMess(param,"Diaries/ClickZanInDiscuss", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data)
			}
		})
	}
	look_comment_model.prototype.ClickZanInDiscuss = function(type,id,func) {
		var param={
			ID      :   id,
			type    :   type,
			token : UserCache.getLoginToken(),
			UserId : UserCache.getUserToken()
		}
		net.getListMess(param,"Diaries/ClickZanInDiscuss", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data)
			}
		})
	}
	
	
	
	//会议评论点赞
	look_comment_model.prototype.ClickZanInMeetTrue = function(type,id,ReceiverID,msg,DiaryID,func) {
		var param={
			ID      :   id,
			type    :   type,
			UserSendID :UserCache.getUserToken(),
			ReceiverID: ReceiverID,
			typeStatus:2,
			DiaryID :DiaryID,
			MsgContent:msg,
			IsDiary :false,
			token : UserCache.getLoginToken(),
			UserId : UserCache.getUserToken()
		}
		net.getListMess(param,"Meetings/DiscussZanOrNot", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data) 
			}
		})
	}
	look_comment_model.prototype.ClickZanInMeet = function(type,id,func) {
		var param={
			ID      :   id,
			type    :   type,
			token : UserCache.getLoginToken(),
			UserId : UserCache.getUserToken()
		}
		net.getListMess(param,"Meetings/DiscussZanOrNot", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data)
			}
		})
	}
	
	
	
	
	
	//会议进来的----发表评论
	look_comment_model.prototype.send_meet_data = function(info,rev,ID,txt,DiscussType,func) {
		var param={
			model : JSON.stringify(info),
			DiscussType : DiscussType,
			IsDiary : false,
			type   :  1,
			UserId : UserCache.getUserToken(),
			ReceiverID : rev,
			DiaryID : ID,
			MsgContent : txt,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Meetings/Discuss", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	//日记进来的----发表评论
	look_comment_model.prototype.send_diary_data= function(info,rev,ID,txt,func) {
		var param={
			model : JSON.stringify(info),
			IsDiary : true,
			type   :  1,
			UserId : UserCache.getUserToken(),
			ReceiverID : rev,
			DiaryID : ID,
			MsgContent : txt,
			token : UserCache.getLoginToken(),
			ip       : returnCitySN.cip,	
			modelId  : modelId,
			clientId : clientId
		}
		net.getListMess(param,"Diaries/Discuss", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	
	//花期资讯全部列表数据
	look_comment_model.prototype.huaQuai = function(page,rows,id,func) {
		var param={
			id      : id,
			token    : UserCache.getLoginToken(),
			page    : page,
			rows    : rows,
			userId  : UserCache.getUserToken()
		}
		console.log("param: " + JSON.stringify(param));
		net.getListMess(param,"Culture/GetCultureDiscussByPage", function(data){ 
			list = data.data;
			if(list !=null){
				for(var i=0;i<list.length;i++){
					list[i].flag = false;
					list[i].txt = "查看全部";
					
					
					list[i].UserID = list[i].UserId;
					if(list[i].discussList != null){
						for(var j=0;j<list[i].discussList.length;j++){
							list[i].discussList[j].UserID = list[i].discussList[j].UserId;
						}	
					}
				}
			}	
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data)
			}
		})
	}
	
	
	//花期共生发表评论
	look_comment_model.prototype.sendGs = function(ID,txt,func) {
		var param={
			id	: ID,
			userId   : UserCache.getUserToken(),
			discuss  : txt,
			token	 : UserCache.getLoginToken()
		}
		net.getListMess(param,"Culture/DiscussCulture", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	return new look_comment_model();
});

