define(["mall_model","util","shareList","Config"], function(model,util,shareList,Config) {
	var _this = null;
	var mescroll=null;
	function mall_control() {
		_this = this;
	} 
	Vue.use(VueLazyload, {
		preLoad: 1.3,
		error: Config.LOAD_IMG,				//当加载图片失败的时候
		loading: Config.LOAD_IMG,			//当加载图片成功的时候
		attempt: 1							//尝试次数
	});
	var vm=new Vue({
		el:".mescroll",
		data:{
			shop_list:[],		//总列表
			list : [],       //左右滑动
			rows : 10,
			page : 1,
			isNetWork:0
		},
		methods:{
			my:function(){
				mui("#slider").on('tap', '.banner', function (event) {        	//五大模块事件
	                    this.click();
	            });
	            mui("#slider").on('tap', '.preson', function (event) {        	//五大模块事件
	                    this.click();
	            });
			},
			mall_vip:function(ID){
				mui.openWindow({
					url:"mall_vip.html",
					id :"mall_vip.html",
					extras:{
						typeID : ID
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			sheet_close:function(){
				mui('#sheet').popover('hide');
			},
			good_Deault:function(id){
				mui.openWindow({
					url:"good_deault.html",
					id :"good_deault.html",
					extras:{
						goodID : id
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			copy:function(){												//复制链接
				  // var  txt="http://www.wzbbh.top/my";
				  // $('.mui-btn-click').attr("data-clipboard-text", txt);
				  // var Clipboard = new ClipboardJS('.mui-btn-click');
				  //     Clipboard.on('success', function(e) {
				  //       mui.toast("复制成功");
				  // });
			}
		}
	})
		
	
	
	mall_control.prototype.init = function() {
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				vm.my();
				_this.initbanner();
				_this.down();
			}
			
		})
	}
	
	
	//左右滑动初始化
	mall_control.prototype.initbanner = function() {
		setTimeout(function() {
			mui('.mui-scroll-wrapper').scroll({
				scrollX : true,
				indicators: false, //是否显示滚动条
				deceleration: 0.0009,
				bounce: false
			});
		}, 1000);
	}
	
	//监听刷新，如果init会有两个初始化上啦刷新
	mall_control.prototype.AddeventInit = function() {
		model.mallData(10,1,function(data){
			if(data.state==1){
				vm.shop_list = model.getData();
			}
		});
	}
	
	
	
	
	//下拉刷新----上拉加载
	mall_control.prototype.down = function(func){
		 mescroll = initMeScroll("mescroll", {
			down:{										//下拉刷新
				auto:false,
				offset:$("#top").height()+StatusbarHeight,
				callback:function(){
					model.mallData(10,1,function(data){ 
						if(data.state==1){
							mescroll.resetUpScroll();
						}else{
							mescroll.endErr();
						}
					})
				}
			},
			up: {			  							//上拉加载
				callback: function(page){
					var arry =[];
					setTimeout(function () {
						model.mallData(page.size,page.num,function(data){
							if(data.state==1){
								arry = model.getData();
								mescroll.endSuccess(arry.length);
								if(page.num==1){
									vm.shop_list = arry;
								}else{
									for(var i=0;i<arry.length;i++){
										vm.shop_list.push(arry[i]);
									}
								}
								
								_this.initbanner();
							}else{
								mescroll.endErr();
							}
						})	
				    },300);
				},
				toTop:{ //配置回到顶部按钮
					src : Config.mescroTopImg, //默认滚动到1000px显示,可配置offset修改
					//offset : 1000
				}
			}
		});
	}
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	var alr =document.getElementById("alert");
	alr.addEventListener('tap',function(){
		if(vm.isNetWork==0){
			shareList.shareData2(5,null,vm.rows,vm.page,function(data){
				util.share("花期商城","花期商城,加入我们，一起创造价值",data.data.Url);
			});
		}else{
			mui.toast('请检查网络');
		}
	})
	
	window.addEventListener('mall',function(){
		vm.page = 1;
		_this.AddeventInit();
	})
	return new mall_control();
});