define(['mall_vip_model','UserCache',"util","shareList","Config"], function(model,UserCache,util,shareList,Config) {
	var _this=null;
	function mall_vip_control(){
		_this=this;
	}
	Vue.use(VueLazyload, {
		preLoad: 1.3,
		error: Config.mallLazy,			//当加载图片失败的时候
		loading: Config.mallLazy,			//当加载图片成功的时候
		attempt: 1							//尝试次数
	});
	
	
	var vm=new Vue({
		el:"#top",
		data:{},
		methods:{
			alert:function(){
				if(vm.isNetWork==0){
					shareList.shareData(6,vm.ID,function(data){
						util.share("花期会员套餐介绍",vm.Title,data.data.Url);
					});
				}else{
					mui.toast('请检查网络');
				}
			}
		}
	})
	
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			list : [],
			ID :"",					//从商城页面传来的id,然后在传给确定订单页面
			Title:"",
			Sale:"",
			HospitalID:"",
			CouponIds:"",
			Stock:"",
			isNetWork:0,
			type : 0
		},
		methods:{
			pay:function(){
				if(vm.Stock==0) return;
				_this.is_login();
			},
			sheet_close:function(){
				mui('#sheet').popover('hide')
			}
		}
	})
	mall_vip_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				var sdata=plus.webview.currentWebview();
				vm.ID = sdata.typeID;
				//_this.refreshMall();
				model.getAllMenu(vm.ID,function(){
					vm.list = model.getList();
					
					vm.Stock= model.stock();
			});
			}
		})
	}
	
	
	
	//判断是否登录
	mall_vip_control.prototype.is_login = function(){
		if(UserCache.userIsLogin()){
			_this.subOrder();
		}else{
			mui.openWindow({
				url:"login.html",
				id :"login.html",
				styles: {
	                popGesture: 'close',
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		}
	}
	
	
	mall_vip_control.prototype.refreshMall = function(){
		var view = plus.webview.currentWebview().opener();
			mui.fire(view,"mall");
	}
	
	
	
	
	//提交订单
	mall_vip_control.prototype.subOrder = function() {
		model.submitOrder(vm.ID,function(data){
			vm.flag = model.getState();						//是否实名认证
			vm.isAlert = model.getIsalert();				//是否可以购买
			if(vm.isAlert==1){	
				if(vm.flag){								//如果vm.flag为true的时候，再调用创建订单接口--然后model层直接跳转支付订单页面
					mui.openWindow({
						url:"sure_order.html",
						id :"sure_order.html",
						extras:{
							typeId : vm.ID,
							type   : 4
						},
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					model.initInfo(vm.ID,function(data){
						if(data.state==1){
							//创建新订单的5个参数
							vm.ID 			= data.data.ID;
							vm.Title 		= data.data.Title;
							vm.Sale 		= data.data.Sale;
							vm.HospitalID	= data.data.HospitalID;
							vm.CouponIds    = data.data.CouponIds;
							vm.Stock		= data.data.Stock;
							vm.type			= data.data.Types;
							mui.openWindow({
								url:"sure_info.html",
								id :"sure_info.html",
								extras:{
									ID			: vm.ID,
									Title		: vm.Title,
									Sale		: vm.Sale,
									HospitalID	: vm.HospitalID,
									CouponIds   : vm.CouponIds,
									Stock		: vm.Stock,
									type        : vm.type
								},
								styles: {
					                popGesture: 'close',
									"contentAdjust":false 
					            },
								waiting:{
							      autoShow:false
							    }
							})
						}
					});
				}
			}else{
				mui.toast(data.text);
			}
		})
	}
	return new mall_vip_control();
});