define(["NetMannager","UserCache"], function(net,UserCache){
	var list=[];
	var meet_list=[];
	function meet_deault_model(){
		
	}
	
	//会议详情 
	meet_deault_model.prototype.getdata = function(index,type,func) {
		console.log("type: " + JSON.stringify(type));
		if(type==1){		//花期共生
			var param={				
				id	: index,
				userId : UserCache.getUserToken(),
				page   : 1,
				rows   : 10,
				pageZan : 1,
				rowsZan	: 10,
				token : UserCache.getLoginToken()
			}
			net.getListMess(param,"Culture/GetCultureDetailByID", function(data){ 
				console.log("data花期文化详情: " + JSON.stringify(data));
				list = data.data;
				meet_list = data.data.CultureDiscuss;
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data);
				}
			})
		}else{
			var param={
				UserID: UserCache.getUserToken(),  
				ID : index,
				page : 1,
				rows : 8
			}
			net.getListMess(param,"Meetings/GetMeetingDetail", function(data){ 
				console.log("data: " + JSON.stringify(data));
				list = data.data;
				meet_list = data.data.MeetingDiscusses;
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data);
				}
			})
		}
	}
	meet_deault_model.prototype.getList = function() {
		return list;
	}

	meet_deault_model.prototype.getmeetList = function() {
		return meet_list;
	}

	//会议点赞
	meet_deault_model.prototype.ZanOrNot = function(type,id,typeIs,func) {
		if(typeIs==1){	//共生
			var param={
				type  : type,
				id    :  id,
				token : UserCache.getLoginToken(),
				userId: UserCache.getUserToken()
			}
			console.log("param: " + JSON.stringify(param));
			net.getListMess(param,"Culture/ZanCulture", function(data){ 
				console.log("文化底部点赞: " + JSON.stringify(data));
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data)
				}
			})
		}else{
			var param={
				type  : type,
				ID    :  id,
				token : UserCache.getLoginToken(),
				UserID: UserCache.getUserToken()
			}
			console.log("param: " + JSON.stringify(param));
			net.getListMess(param,"Meetings/ZanOrNot", function(data){ 
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data)
				}
			})
		}
	}
	
	
	//评论区是否点赞
	meet_deault_model.prototype.pl_ZanOrTrue = function(type,id,ReceiverID,DiaryID,Msg,typeIs,func) {
		if(typeIs==1){	//共生
			var param={
				id		: id,
				userId  : UserCache.getUserToken(),
				type 	: type,
				token	: UserCache.getLoginToken()
			}
			net.getListMess(param,"Culture/ZanCultureDiscuss", function(data){ 
				console.log("评论点赞data: " + JSON.stringify(data));
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data)
				}
			})
		}else{
			var param={
				type  :  type,
				ID    :  id,
				
				
				UserId : UserCache.getUserToken(),  
				ReceiverID :ReceiverID,
				typeStatus :2,
				DiaryID    :DiaryID,
				MsgContent :Msg,
				IsDiary    :false,
				token : UserCache.getLoginToken()
			}
			net.getListMess(param,"Meetings/DiscussZanOrNot", function(data){ 
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data)
				}
			})
		}
	}
	
	
	meet_deault_model.prototype.pl_ZanOrNot = function(type,id,typeIs,func) {
		if(typeIs==1){	//共生
			var param={
				id		: id,
				userId  : UserCache.getUserToken(),
				type 	: type,
				token	: UserCache.getLoginToken()
			}
			net.getListMess(param,"Culture/ZanCultureDiscuss", function(data){ 
				console.log("评论点赞data: " + JSON.stringify(data));
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data)
				}
			})
		}else{
			var param={
				type  :  type,
				ID    :  id,
				token : UserCache.getLoginToken(),
				UserId : UserCache.getUserToken()
			}
			net.getListMess(param,"Meetings/DiscussZanOrNot", function(data){ 
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data)
				}
			})
		}
	}
	
	
	
	
	
	
	//添加收藏
	meet_deault_model.prototype.collect_data = function(id,type,func) {
		if(type==1){	//共生
			var param={
				type  : 6, 
				ID    : id,
				UserID: UserCache.getUserToken(),
				token : UserCache.getLoginToken()
			}
			net.getListMess(param,"Diaries/Collect", function(data){ 
				console.log("文化添加收藏data: " + JSON.stringify(data));
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data);
				}
			})
		}else{
			var param={
				type  : 3, 
				ID    : id,
				UserID: UserCache.getUserToken(),
				token : UserCache.getLoginToken()
			}
			net.getListMess(param,"Diaries/Collect", function(data){ 
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data);
				}
			})
		}
	}
	
	//取消收藏
	meet_deault_model.prototype.cancle_collect = function(id,type,func) {
			if(type==1){	//共生
				var param={
					type  : 6, 
					ID    : id,
					token : UserCache.getLoginToken()
				}
				net.getListMess(param,"Diaries/CollectCanel", function(data){ 
					console.log("文化取消收藏: " + JSON.stringify(data));
					if(typeof(func)==="undefined"){
						console.log("回调方法不可用");
					}else{
						func(data);
					}
				})
			}else{
				var param={
					type  : 3, 
					ID    : id,
					token : UserCache.getLoginToken()
				}
				net.getListMess(param,"Diaries/CollectCanel", function(data){ 
					if(typeof(func)==="undefined"){
						console.log("回调方法不可用");
					}else{
						func(data);
					}
				})
			}
		}
	
	
	
	//评论
	meet_deault_model.prototype.send_data = function(info,rev,ID,txt,DiscussType,type,func) {
		if(type==1){  //共生
 			var param={
				id	: ID,
				userId   : UserCache.getUserToken(),
				discuss  : txt,
				token	 : UserCache.getLoginToken()
 			}
			console.log("param: " + JSON.stringify(param));
 			net.getListMess(param,"Culture/DiscussCulture", function(data){ 
				console.log("文化评论: " + JSON.stringify(data));
 				if(typeof(func)==="undefined"){
 					console.log("回调方法不可用");
 				}else{
 					func(data);
 				}
 			})
		}else{
			var param={
				model : JSON.stringify(info),
				DiscussType : DiscussType,
				UserId : UserCache.getUserToken(),
				ReceiverID : rev,
				type   :  1,
				DiaryID : ID,
				MsgContent : txt,
				IsDiary :false,
				token : UserCache.getLoginToken()
			}
			net.getListMess(param,"Meetings/Discuss", function(data){ 
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data);
				}
			})
		}
	}
	return new meet_deault_model();
});

