define(['message_model',"UserCache"], function(model,UserCache) {
	var _this=null;
	function message_control(){
		_this=this;
	}
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			pllist:[],
			zanlist:[],
			rows : 20,
			page : 1,
			rowsZan:20,
			pageZan:1,
			state : 0,
			type:"",
			ID  :"",
			ZanID :"",
			num : 0,
			zanNum:0,
			isNetWork:0
		},
		methods:{
			choose:function(t){
				vm.state = t;
			},
			go_diary:function(index,t,type,UserID,ID){
				vm.ID = ID;
				if(type==true){				//日记
					vm.type	= 1;
				}else{						//会议
					vm.type = 2;
				}
				model.allReadyLook(ID,UserID,function(data){
					if(data.state==1){
						mui.openWindow({
							url:"look_comment.html",
							id :"look_comment.html",
							extras:{
								rev   : UserCache.getUserToken(),
							   	pl_id : index,
							   	sec   : t,
							   	num   : 1,
							   	type  : vm.type,									//type为1就是日记详情跳转全部页面，为了区分全部评论里面发送评论区别接口，是日记进来的还是会议进来的查看全部
							    message : 1											//只要我这里要传，其它都不用，只是为了返回的时候刷新数据
							},
							styles: {
				                popGesture: 'close',
								"contentAdjust":false 
				            },
							waiting:{
						      autoShow:false
						    }
						})
						vm.refreshInit();
					}else{
						mui.toast(data.text);
					}
				})
			},
			go_content:function(UserID,ID){
				model.allReadyLook(ID,UserID,function(data){
					if(data.state==1){
						mui.openWindow({
							url:"my_content.html",
							id :"my_content.html",
							extras:{
						   	  UserId : UserCache.getUserToken(),
						   	  RequestID : UserID,
						   	  type   : 2,
						   	  message : 1											//只要我这里要传，其它都不用，只是为了返回的时候刷新数据
						    },
							styles: {
				                popGesture: 'close',
								"contentAdjust":false 
				            },
							waiting:{
						      autoShow:false
						    }
						})
						vm.refreshInit();
					}else{
						mui.toast(data.text);
					}
				})
			},
			refreshInit:function(){
				setTimeout(function(){
					vm.page =1;
					vm.pageZan = 1;
					_this.init();
					_this.Event();
				},300);
			},
			remove:function(ID,index){
				vm.ID = ID;
				model.Delete(ID,function(){
					_this.Event();
				});
				for(var i=0;i<vm.pllist.length;i++){
					if(ID==vm.pllist[i].ID){
						vm.pllist.splice(i,1);
						if(vm.pllist.length==0){
							vm.pllist = null;
						}
						return vm.pllist;
					    break;
					}
				}
			},
			removeZan:function(ID,index){
				vm.ZanID = ID;
				model.Delete(ID,function(){
					_this.Event();
				});
				for(var i=0;i<vm.zanlist.length;i++){
					if(ID==vm.zanlist[i].ID){
					    vm.zanlist.splice(i,1);
					    if(vm.zanlist.length==0){
							vm.zanlist = null;
						}
						return vm.zanlist;
					    break;
					}
				}
			}
		}
	})
	
	

	message_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				_this.pl();
				_this.zan();
			}
		})
	}
	
	//评论数据
	message_control.prototype.pl = function(){
		model.getPinglun(vm.page,vm.rows,function(){
			vm.pllist = model.getPL();
		})
	}
	
	//赞数据
	message_control.prototype.zan = function(){
		model.getZan(vm.pageZan,vm.rowsZan,function(){
			vm.zanlist = model.getZ();
		})
	}
	
	//评论上啦加载
	message_control.prototype.downPL = function(func){
		vm.page++;
		model.getPinglun(vm.page,vm.rows,function(data){
			var arry_pl=[];
			arry_pl = model.getPL();
			if(arry_pl!=null){
				for(var i=0;i<arry_pl.length;i++){
					vm.pllist.push(arry_pl[i]);
				}
			}
			func(data.state);
		})
	}
	message_control.prototype.downZan = function(func){
		vm.pageZan++;
		model.getZan(vm.pageZan,vm.rowsZan,function(data){
			var arry_zan=[];
			arry_zan = model.getZ();
			if(arry_zan!=null){
				for(var i=0;i<arry_zan.length;i++){
					vm.zanlist.push(arry_zan[i]);
				}
			}
			func(data.state);
		})
	}
	
	
	
	
	
	mui.plusReady(function(){
	    document.addEventListener("plusscrollbottom", onScrollToBottom, false );
	    function onScrollToBottom() {
	    	if(vm.state==0){							//评论滑到底部
	    		_this.downPL(function(data){
	    			if(data==1){
	         		$(".jiazai span").text("正在加载中...");
	         			setTimeout(function(){
			         		$(".jiazai").fadeOut(100);
			         	},3000)
	         		}else{
	         			$(".jiazai img").hide();
	         			$(".jiazai span").text("没有更多数据了");
	         			$(".jiazai span").css("margin-top","0rem");
			         	$(".jiazai").show();
			         	
			         	setTimeout(function(){
			         		$(".jiazai").fadeOut(100);
			         	},1000)
	         		}
	    		})
	    	}else if(vm.state==1){						//赞-滑倒底部
	    		_this.downZan(function(data){
	    			if(data==1){
	         		$(".jiazai2 span").text("正在加载中...");
	         			setTimeout(function(){
			         		$(".jiazai2").fadeOut(100);
			         	},3000)
	         		}else{
	         			$(".jiazai2 img").hide();
	         			$(".jiazai2 span").text("没有更多数据了");
	         			$(".jiazai2 span").css("margin-top","0rem");
			         	$(".jiazai2").show();
			         	
			         	setTimeout(function(){
			         		$(".jiazai2").fadeOut(100);
			         	},1000)
	         		}
	    		})
	    	}
	    }
	});
	
	
	
//	 $(".jiazai").fadeIn(100,function(){
//	         	_this.down(function(data){
//	         		if(data==1){
//	         			$(".jiazai span").text("正在加载中...");
//	         			setTimeout(function(){
//			         		$(".jiazai").fadeOut(100);
//			         	},3000)
//	         		}else{
//	         			$(".jiazai img").hide();
//	         			$(".jiazai span").text("没有更多数据了");
//	         			$(".jiazai span").css("margin-top","0rem");
//			         	$(".jiazai").show();
//	         		}
//	         	})
//	         });


	function anmit(data){
		if(data==1){
 		$(".jiazai span").text("正在加载中...");
 			setTimeout(function(){
         		$(".jiazai").fadeOut(100);
         	},3000)
 		}else{
 			$(".jiazai img").hide();
 			$(".jiazai span").text("没有更多数据了");
 			$(".jiazai span").css("margin-top","0rem");
         	$(".jiazai").show();
 		}
	}
	
	
	//评论已读
	window.addEventListener('refreshMessage',function(){
//		model.Delete(vm.ID,function(){
//			_this.init();
//			_this.Event();
//		});
	})
	//赞已读
	window.addEventListener('refreshMessage2',function(){
//		model.Delete(vm.ZanID,function(){
//			_this.init();
//			_this.Event();
//		});
	})
	
	
	
	
	message_control.prototype.Event = function(func){
		var View = plus.webview.currentWebview().opener();
			mui.fire(View,"loginSuccess");
	}
	return new message_control();
});