define(["NetMannager","UserCache"], function(net,UserCache){
	var PLlist=[];
	var Zlist =[];
	var _this=null;
	function message_model(){
		_this=this;
	}
	//评论1
	message_model.prototype.getPinglun = function(p,r,func){		
		var param={
			UserID  : UserCache.getUserToken(),
			type    : 1,
			page    : p,
			rows    : r,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Messages/GetMessagesByPages", function(data){ 
			if(data.state==1){
				_this.GradePath(data.data);
				PLlist =data.data;
			}else{
				PLlist = null;
			}
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	//zan2
	message_model.prototype.getZan = function(p,r,func){		
		var param={
			UserID  : UserCache.getUserToken(),
			type    : 2,
			page    : p,
			rows    : r,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Messages/GetMessagesByPages", function(data){ 
			if(data.state==1){
				_this.GradePath(data.data);
				Zlist =data.data;
			}else{
				Zlist = null;
			}
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	//删除评论数据
	message_model.prototype.Delete = function(id,func){		
		var param={
			ID : id,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Messages/SetMessageToRead", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	
	//已读但是不删除数据
	message_model.prototype.allReadyLook = function(id,SendID,func){		
		var param={
			ID : id,
			token : UserCache.getLoginToken(),
			UserID: UserCache.getUserToken(),
			SendID: SendID
		}
		net.getListMess(param,"Messages/ReadZan", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	//
	message_model.prototype.GradePath = function(data){		
		data.forEach(function(item,index){
			//默认游客
			if(item.GradePath == "ZS.png"){	   //钻石
				item.GradePath = "../my-img/4.png";
			}else if(item.GradePath == "JK.png"){ //金卡
				item.GradePath = "../my-img/3.png";
			}else if(item.GradePath == "HY.png"){ //正式会员
				item.GradePath = "../my-img/2.png";
			}else if(item.GradePath == "FWS.png"){//服务商
				item.GradePath = "../my-img/5.png";
			}else if(item.GradePath == "TY.png"){ //体验会员就是vip会员
				item.GradePath = "../my-img/6.png";
			}else{
				item.GradePath = "../my-img/1.png";
			}
		})
	}
	
	
	message_model.prototype.getPL = function(){
		return PLlist;
	}
	
	message_model.prototype.getZ = function(){
		return Zlist;
	}
	return new message_model();
});

