define(['music_model','UserCache',"util","Config"], function(model,UserCache,util,Config) {
	var _this=null;
	var flag=false;

	var mescrollArr=new Array(2);
	var curNavIndex=0;
	var mescroll=null;
	function music_contr(){
		_this=this;
	}
	
	var hvm = new Vue({
		el : ".scrollx",
		data : {
			state : 0
		}
	})
	
	var vm=new Vue({
		el:"#swiper",
		data:{	
			rows : 10,
			page : 1,
			
			hotpage : 1,
			contentList :[],								//最新												
			host:[],										//最热
			userid  : "",									//用来判断，日记是否显示关注，如果是userid，跟日记里面的userid一样就不显示，因为自己不用关注自己
			isNetWork:0
		},
		methods:{
			my:function(){    		//解决vue事件在mui下来组件中不能点击，非常有用
				mui("#slider").on('tap', '.mui-control-item', function (event) {        	
                    this.click();
               });
				mui("#slider").on('tap', '.one', function (event) {        	
                    this.click();
                });
                mui("#slider").on('tap', '.card_img', function (event) {		 
                    this.click();
                });
                
                mui("#slider").on('tap', '.card_btn', function (event) {		 
                    this.click();
                });
                
                mui("#slider").on('tap', '.card_amount', function (event) {		    
                    this.click();
                });
                mui("#slider").on('tap', '.card_last_img_tow', function (event) {		
                    this.click();
                });
			},
			goFlie(ID,type){		//跳转视频
				mui.openWindow({
					url: "file.html",
					id : "file.html",
					styles: {
						popGesture: 'close',
						"contentAdjust":false 
					},
					extras:{
						ID : ID
					},
					waiting:{
					  autoShow:false
					}
				})
			},
			goAudio(ID,type){
				mui.openWindow({
					url:"fileAudio.html",
					id :"fileAudio.html",
					styles: {
				        popGesture: 'close' ,
						"contentAdjust":false 
				    },
				    extras:{
				    	ID : ID,
						type : type
				    },
					waiting:{
					  autoShow:false
					}
				})
			}
		}
	})
	
	
	
	
	
	
	
	
	music_contr.prototype.init = function(){
		vm.my();
		//判读网络状态
		mui.plusReady(function(){   
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				_this.down();
				_this.scroll();
			}
	   })
		
	}
	
	music_contr.prototype.scroll = function(){
		setTimeout(function() {
			mui(".mui-slider").slider({
				interval: 0
			});
		}, 100);
		
		setTimeout(function(){
			mui('.mui-scroll-wrapper').scroll({
				deceleration: 0.0005,
				indicators: false, //是否显示滚动条
				bounce: true
			});
		},100)
	}


	
	
	
	
	


	
	
	
	
	//判断是否登录
	music_contr.prototype.is_login = function(t,index,id,ReceiverID){
		if(UserCache.userIsLogin()){
			if(t==1){
				_this.guanZhu(index,id);
			}else if(t==2){
				_this.isZan(index,id,ReceiverID);
			}else if(t==3){
				mui.openWindow({
					url : "my_content.html",
					id  : "my_content.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				   },
				   extras:{
				   	  UserId : UserCache.getUserToken(),
				   	  RequestID : index,
				   	  type   : 2
				   }
				})
			}if(t==4){
				_this.hotguanZhu(index,id);
			}else if(t==5){
				_this.hotisZan(index,id,ReceiverID);
			}
		}else{
			mui.openWindow({
				url:"login.html",
				id :"login.html",
				styles: {
	                popGesture: 'close',
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		}
	}
	

	
	
	//下拉刷新----上拉加载
	music_contr.prototype.down = function(){
		//初始化首页
		mescrollArr[curNavIndex]= _this.initMescroll(curNavIndex);  
		$("#nav li").click(function(){
			var i=Number($(this).attr("i"));
			hvm.state = i;
			swiper.slideTo(i);//以轮播的方式切换列表
		})
		var swiper=new Swiper('#swiper', {
	        onTransitionEnd: function(swiper){
	        	var i=swiper.activeIndex;//轮播切换完毕的事件
	        	_this.changePage(i);
		    }
	    });
	}
	
	
	//切换列表
	music_contr.prototype.changePage = function(i){

			var curNavDom;//当前菜单项
			// $("#nav li").each(function(n,dom){
			// 	if (dom.getAttribute("i")==i) {
			// 		dom.classList.add("active");
			// 		curNavDom=dom;
			// 	} else{
			// 		dom.classList.remove("active");
			// 	}
			// });
			hvm.state = i;
		
			
			//隐藏当前回到顶部按钮
			mescrollArr[curNavIndex].hideTopBtn();
			//取出菜单所对应的mescroll对象,如果未初始化则初始化
			if(mescrollArr[i]==null){
				mescrollArr[i]=_this.initMescroll(i);
			}else{
				//检查是否需要显示回到到顶按钮
				var curMescroll=mescrollArr[i];
				var curScrollTop=curMescroll.getScrollTop();
//				curMescroll.triggerDownScroll();				//刷新
				
				if(curScrollTop>=curMescroll.optUp.toTop.offset){
					curMescroll.showTopBtn();
				}else{
					curMescroll.hideTopBtn();
				}
			}
			//更新标记
			curNavIndex=i;
	}
	

				
	
	music_contr.prototype.initMescroll = function(index){
		//创建MeScroll对象,内部已默认开启下拉刷新,自动执行up.callback,刷新列表数据;
		mescroll = new MeScroll("mescroll"+index, {
			//上拉加载的配置项
			down:{										//下拉刷新
				offset:$(".scrollx").height(),
				auto:false,
				callback:function(){ 
					if(curNavIndex==0){
						model.diary(10,1,function(data){ 
							if(data.state==1){
								mescrollArr[curNavIndex].resetUpScroll();
							}else{
								mescrollArr[curNavIndex].endErr();
							}
						})
					}else if(curNavIndex==1){
						model.hot(10,1,function(data){ 
							if(data.state==1){
								mescrollArr[curNavIndex].resetUpScroll();
							}else{
								mescrollArr[curNavIndex].endErr();
							}
						})
					}
				}
			},
			up: {			  					//上拉加载
				callback: function(page){
					var dataIndex=curNavIndex; 
					var arry =[];
					setTimeout(function(){
						if(dataIndex==0){		//最新日记
							model.diary(page.size,page.num,function(data){
								if(data.state==1){
									arry = model.dirayData();
									mescrollArr[dataIndex].endSuccess(arry.length);
									if(page.num==1){
										vm.contentList = arry;
									}else{
										for(var i=0;i<arry.length;i++){
											vm.contentList.push(arry[i]);
										}
									}
								}else{
									 mescrollArr[dataIndex].endErr();
									 mescroll.endUpScroll(true)
								}
								vm.userid = UserCache.getUserToken();
							})
						}
						else if(dataIndex==1){ //热门日记
							model.hot(page.size,page.num,function(data){
								if(data.state==1){
									arry = model.hotData();
									mescrollArr[dataIndex].endSuccess(arry.length);
									if(page.num==1){
										vm.host = arry;
									}else{
										for(var i=0;i<arry.length;i++){
											vm.host.push(arry[i]);
										}
									}
								}else{
									 mescrollArr[dataIndex].endErr();
									 mescroll.endUpScroll(true)
								}
								vm.userid = UserCache.getUserToken();
							})
						}
				    },200);
				},   
				toTop:{ //配置回到顶部按钮
					src : Config.mescroTopImg, //默认滚动到1000px显示,可配置offset修改
				}
			}
		});
		return mescroll;
	}

	
	

	
	
	
	
	
	
	
	//监听滑动事件
//	document.querySelector('#item1').addEventListener('swipeleft', function(event) {
//		console.log("向左滑动了");
//		vm.page=1;
//		_this.getHotlist();
//		_this.scrolltop2();
//	});
//	document.querySelector('#item2').addEventListener('swiperight', function(event) {
//		console.log("向右滑动了");
//		vm.page=1;
//	 	_this.getNewlist();
//		_this.scrolltop();
//	});
	
	//滑动返回顶部
	music_contr.prototype.scrolltop = function(){
		var nT = mui('.mui-slider').slider().slideNumber;
		 mui('.mui-scroll-wrapper').scroll()[1].scrollTo(0,0,100)
	}
	
	
	music_contr.prototype.scrolltop2 = function(){
		var nT = mui('.mui-slider').slider().slideNumber;
		 mui('.mui-scroll-wrapper').scroll()[2].scrollTo(0,0,100)
	}

	return new music_contr();
});