define(['myLeseon_model'], function(model) {
	var _this=null;
	function myLeseon_control(){
		_this=this;
	}
	var vm=new Vue({
		el:".mui-content",
		data:{
			list:[],
			isNetWork:0
		},
		methods:{
			lessonDeault : function(index){
				mui.openWindow({
					url: "lessonDeault.html",
					id : "lessonDeault.html",
					extras:{
						ID : index
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}
		}
	})
	myLeseon_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				model.init(function(data){
					if(data.state==1){
						vm.list = data.data;
					}else{
						vm.list = null;
						mui.toast(data.text);
					}
				})
			}
		})
	}
	return new myLeseon_control();
});