define(['myMeet_model','UserCache'], function(model,UserCache) {
	var _this=null;
	var zz=/^1\d{10}$/;  		 //正则手机号码验证
	function myMeet_contr(){
		_this=this;
	}
	var vm=new Vue({
		el:".mui-content",
		data:{
			meetName : "",				//组织人
			meetPhone: "",				//联系方式
			meetType : "",				//活动类型
			meetNum  : "",				//参会人数
			meetAdd  : "",				//会议地址
			meetTime : "",				//开会时间
			meetNeedList : [],			//会议支持
			choose_tab : [],			//会议支持数据，只做是否选择用
			
			UserName : "",
			UserID	 : "",
			CellPhone:"",
			showNeed : [],
			lastShowArry : [],
			
			chanceArry : []
		},
		methods:{
			chooseTime : function(){
				var _self = $("#start_date");
				var optionsJson = $("#start_date").attr("data-options");
				var options = JSON.parse(optionsJson);
				_self.picker = new mui.DtPicker(options);
				_self.picker.show(function(rs) {
					vm.meetTime = rs.text;
					_self.picker.dispose();
					_self.picker = null;
				});
			},		
			finsh:function(){
				_this.check();
			},
			sure :function(){								//点击确定时候，才显示数据,但是第一次点击确定的时候vm.lastShowArry就跟vm.showNeed绑定了，
				mui("#sheet2").popover('toggle');			
				localStorage.removeItem("showMeet");
				var arry =[];			//写入缓存
				for(var i=0;i<vm.choose_tab.length;i++){	//看choose_tab数据有几条是true
					if(vm.choose_tab[i].flag){
						arry.push(vm.choose_tab[i]);
					}
				}
				localStorage.setItem("showMeet",JSON.stringify(arry)); 
				vm.lastShowArry = arry;		
			},
			toggle : function(){
				var arry = [];
				var get=localStorage.getItem("showMeet");
				var aa=JSON.parse(get);
				mui("#sheet2").popover('toggle');
			},
			clear:function(){							//取消原来的数据，跟存起来的数据进行对比，如果相同就把它设为false	
				mui("#sheet2").popover('toggle');
			},
			remove : function(id){
				var arry = [];
				var obj  = [];
				var get=localStorage.getItem("showMeet");
				arry = JSON.parse(get);
				obj	 = JSON.parse(get);
				for(var i=0;i<arry.length;i++){			//如果缓存的数据跟当前的id相同，就删除
					 if(id == arry[i].id){
					 	//弹出状态变化数据
					 	//最后外面要展示的数据
					 	arry.splice(i,1);
					 	vm.lastShowArry = arry;
					 	localStorage.setItem("showMeet",JSON.stringify(arry));
					 	

					 }
				}
				
				
				//如果删除掉，里面的状态也要发生变化
				for(var j=0;j<vm.choose_tab.length;j++){
					if(id==vm.choose_tab[j].id){
						vm.choose_tab[j].flag = false;
					}
				}
			},
			inp:function(ID){
				for(var i=0;i<vm.choose_tab.length;i++){
					if(ID ==vm.choose_tab[i].id){
						vm.choose_tab[i].flag = !vm.choose_tab[i].flag;
					}
				};
			}
		}
	})
	
	myMeet_contr.prototype.init = function(){
		setTimeout(function(){
			mui('.mui-scroll-wrapper').scroll({
				deceleration: 0.0005,
				indicators: false, //是否显示滚动条
				bounce: true
			});
		},100);
		
		localStorage.removeItem("showMeet");
		
		model.getNeedList(function(data){
			if(data.state==1){
				vm.choose_tab = model.getNeed();
				vm.meetName   = data.data.UserName;
				vm.UserID	  = data.data.UserID;
				vm.meetPhone  = data.data.CellPhone;
			}
			mui.toast(data.text);
		})
	}
	
	myMeet_contr.prototype.check = function(){
		var addText = $("#inp_address").text();
		if(vm.meetName==""){
			mui.toast("组织人不能为空");
			return;
		}else if(!(zz.test(vm.meetPhone))){
			mui.toast("请输入正确的联系方式");
			return;
		}else if(vm.meetType==""){
			mui.toast("请输入当前的活动类型");
			return;
		}else if(vm.meetNum==""){
			mui.toast("参会人数不能为空");
			return;
		}else if(addText==""){
			mui.toast("请填写参会地址");
			return;
		}else if(vm.meetTime==""){
			mui.toast("请选择开会时间");
			return;
		}
		
		var temp = "";
		for(var i=0;i<vm.showNeed.length;i++){
			if(i==0){
				temp += vm.showNeed[i].name;
			}else{
				temp += ","+vm.showNeed[i].name;
			}
		}
		var obj = {
			UserName		: vm.meetName,
			UserID 			: vm.UserID,
			CellPhone 		: vm.meetPhone,
			MeetingType  	: vm.meetType,
			MeetingPersons  : vm.meetNum,
			MeetingAddress  : addText,
			MeetingTime     : vm.meetTime,
			MeetingDesc     : temp
		}
		
		model.init(obj,function(data){
			mui.toast(data.text);
			if(data.state==1){
				mui.back();
			}
		})
	}

	return new myMeet_contr();
});