define(["NetMannager","UserCache"], function(net,UserCache){
	var needList = [];
	
	function myMeet_model(){
		
	}
	
	
	//报备接口
	myMeet_model.prototype.init = function(obj,func) {
		var param = { 
			meeting : JSON.stringify(obj),
			token   : UserCache.getLoginToken()
		}
		net.getListMess(param,"AskForMeeting/AddAskForMeeting", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	//获取会议支持列表
	myMeet_model.prototype.getNeedList = function(func) {
		var param = {
			userId : UserCache.getUserToken(),
			token:UserCache.getLoginToken(),
		}
		net.getListMess(param,"AskForMeeting/GetMeetingConfigs", function(data){ 
			if(data.state==1){
				for(var i=0;i<data.data.MeetingList.length;i++){
					var obj = {
						name : data.data.MeetingList[i],
						flag : false,
						id   : i
					}
					needList.push(obj);
				}
			}
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	myMeet_model.prototype.getNeed = function() {
		return needList;
	}
	return new myMeet_model();
});

