define(['my_content_model',"UserCache","util","shareList"], function(model,UserCache,util,shareList) {
	var _this=null;
	var  id=null;
	
	var myDate =new Date();
	var  FansStatus =null;
	var  diary =[]
	var  num=10000;
	
	var getZan = localStorage.getItem('Zan');
	var arr3 = JSON.parse(getZan);
	function my_content_control(){
		_this=this;
	}
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			name : "",
			photo: "",
			address : "",
			jianjie : "",
			gzNum   : 0,
			fsNum   : 0,
			diNum   : 0,
			FansStatus : null,
			id      : null,
			contentList : [],
			editTxt : "",
			Gender  : "",
			gzClass : 0,     //0是+关注他，1是已关注,2是编辑资料
			GradePath:"",
			GradePathText:"",
			
			
			Type:null,
			ReID:null,
			isBlack:0	
		},
		methods:{
			goHtml:function(index){
				if(vm.isBlack!=1){
					if(index==0){
						_this.goGz();
					}
					else if(index==1){
						_this.goFs();
					}
					else if(index==2){
						_this.goDiary();
					}
				}else{
					mui.toast("由于对方设置,您无法看到该内容");
				}
			},
			photoChange:function(){
				if(vm.Type==1){
					_this.change();
				}else if(vm.Type==2 && vm.ReID==UserCache.getUserToken()){
					_this.change();	
				}
			},
			changeImg:function(){
				_this.changeImg();
			},
			cancle:function(){
				mui("#sheet").popover("hide");
			},
			go_diaryxq:function(ID){
				_this.diaryXq(ID);
			},
			editChoose:function(){
				_this.goEdit();
			},
			zan:function(index,id,ReceiverID){														//点赞，数字+1
				_this.isZan(index,id,ReceiverID);
			}
		}
	})
	

	
	my_content_control.prototype.init = function(){
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			vm.Type = sdata.type;
			vm.ReID = sdata.RequestID;							//外部传进来的userID
			model.userInfo(function(data){
				if(data.state==1){
					var	    data   = model.getData();
					vm.FansStatus  = data.FansStatus;			//如果是-1说明是黑名单
					if(data.FansStatus>=0){
						vm.contentList = data.listDiaries;
					}else{
						vm.isBlack = 1;							//展示黑名单布局					
					}
					vm.name        = data.Name;
					vm.photo	   = data.Photo;
					vm.address     = data.Province+data.City+data.County;
					vm.jianjie     = data.Intro;
					vm.gzNum       = data.FavoNum;
					vm.fsNum       = data.FansNum;
					vm.diNum       = data.DiaryNum;
					vm.id		   = data.ID;
					vm.Gender	   = data.Gender;				

					//默认游客
					if(data.GradePath == "ZS.png"){		  //钻石
						vm.GradePath = "../my-img/4.png";
						vm.GradePathText = "钻石会员";
					}else if(data.GradePath == "JK.png"){ //金卡
						vm.GradePath = "../my-img/3.png";
						vm.GradePathText = "金卡会员";
					}else if(data.GradePath == "HY.png"){ //正式会员
						vm.GradePath = "../my-img/2.png";
						vm.GradePathText = "正式会员";
					}else if(data.GradePath == "FWS.png"){//服务商
						vm.GradePath = "../my-img/5.png";
						vm.GradePathText = "服务商";
					}else if(data.GradePath == "TY.png"){ //体验会员就是vip会员
						vm.GradePath = "../my-img/6.png";
						vm.GradePathText = "VIP会员";
					}else{
						vm.GradePath = "../my-img/1.png";
						vm.GradePathText = "游客";
					}
					
					if(data.Province==null){vm.address="暂无该用户所在地区"};
					if(data.Intro   ==null){vm.jianjie="暂无该用户简介信息"};
					_this.check_gz();
				}
			});
		})
	}
	

	//关注-粉丝-日记
	my_content_control.prototype.goGz = function(){
		if(FansStatus == -1){
			mui.toast("由于对方设置,您无法看到该内容");
			return;
		}
		var myGz = plus.webview.getWebviewById("my_tab_gz.html");
		if(myGz){
			plus.webview.close("my_tab_gz.html","none");
		}
		setTimeout(function(){
			mui.openWindow({
				url : "my_tab_gz.html",
				id  : "my_tab_gz.html",
				extras:{
					UserId : vm.id
				},
				styles: {
	                popGesture: 'close',
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		},100);
	}
	my_content_control.prototype.goFs = function(){
		var myFs = plus.webview.getWebviewById("my_tab_fs.html");
		if(myFs){
			plus.webview.close("my_tab_fs.html","none");
		}
		setTimeout(function(){
			mui.openWindow({
				url : "my_tab_fs.html",
				id  : "my_tab_fs.html",
				extras:{
					UserId : vm.id
				},
				styles: {
	                popGesture: 'close',
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		},100);
	}
	my_content_control.prototype.goDiary = function(){
		var myDir = plus.webview.getWebviewById("my_tab_diary.html");
		if(myDir){
			plus.webview.close("my_tab_diary.html","none");
		}
		setTimeout(function(){
			mui.openWindow({
				url : "my_tab_diary.html",
				id  : "my_tab_diary.html",
				extras:{
					UserId : vm.id
				},
				styles: {
	                popGesture: 'close',
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		},100)
	}
	
	
	//更换头像
	my_content_control.prototype.change = function(){
		mui.openWindow({
			url : "change_photo.html",
			id  : "change_photo.html",
			extras:{
				photo_img : vm.photo,
				userId : UserCache.getUserToken(),
				token  : UserCache.getLoginToken(),
				bg	: 2,
				num : 2
			},
			styles: {
                popGesture: 'close',
				"contentAdjust":false 
            },
			waiting:{
		      autoShow:false
		    }
		})
	}
	
	//更换背景
	my_content_control.prototype.changeImg = function(){
		mui.openWindow({
			url : "change_photo.html",
			id  : "change_photo.html",
			extras:{
				photo_img : vm.photo,
				userId : UserCache.getUserToken(),
				token  : UserCache.getLoginToken(),
				bg	: 1,
				num : 3
			},
			styles: {
                popGesture: 'close',
				"contentAdjust":false 
            },
			waiting:{
		      autoShow:false
		    }
		})
		mui("#sheet").popover("hide");
	};

	//日记详情
	my_content_control.prototype.diaryXq = function(ID){
		var myDir = plus.webview.getWebviewById("diary_xq.html");
		if(myDir){
			plus.webview.close("diary_xq.html","none");
		}
		 mui.openWindow({ 
				url : "diary_xq.html",
				id  : "diary_xq.html",
				styles: {
	                popGesture: 'close' ,// 'hide', 'close','none' 此处是关键
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			   },
			   extras:{ 
			   	 diaryID : ID
			   }
		})
	};
	
	//初始化检查是否关注过
	my_content_control.prototype.check_gz = function() {
		if(vm.Type==1){					//看自己
			vm.editTxt = "编辑资料";
			vm.gzClass = 2;
			$(".diaryTitleSpan").text("我写过的日记");
		}else if(vm.Type==2){
			if(vm.ReID==UserCache.getUserToken()){		//如果当前的userID跟传进来的userID相等，说明还是看自己
				vm.editTxt = "编辑资料";
				vm.gzClass = 2;
				$(".diaryTitleSpan").text("我写过的日记");
			}else{
				if(UserCache.getUserInfo()){			//看别人的，如果缓存里有这个用户关注信息，说明已经关注过了;
					var gz_user = UserCache.getUserInfo().listFocus;
					if(gz_user==''){					//从来没关注过任何人
						if(vm.Gender=="男"||vm.Gender==null){
							vm.editTxt = "关注他";
						}else{
							vm.editTxt = "关注她";
						}
					}else{
						for(var i=0;i<gz_user.length;i++){
							if(gz_user[i].UserID==vm.id){	
								vm.editTxt = "已关注";
								vm.gzClass = 1;
								break;
							}else{
								if(vm.Gender=="男"||vm.Gender==null){
									vm.editTxt = "关注他";
								}else{
									vm.editTxt = "关注她";
								}
							}
						}
					}
				}
				
				 
				if(vm.Gender=="男"||vm.Gender==null){
					$(".diaryTitleSpan").text("他写过的日记");
				}else{
					$(".diaryTitleSpan").text("她写过的日记");
				}
			}
		}
	}
	//编辑资料--关注--取消关注事件；
	my_content_control.prototype.goEdit = function() {
		if(vm.editTxt == "编辑资料"){					
			mui.openWindow({
				url:"personal_data.html",
				id :"personal_data.html",
				styles: {
	                popGesture: 'close',
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			});
		}else if(vm.editTxt == "关注他" ||vm.editTxt == "关注她"){					//关注
			vm.editTxt = "已关注";
			vm.gzClass = 1;
			model.addFS(vm.id,function(data){
				if(data.state==1){
					_this.myEvent(true,vm.id);	
				}else{
					mui.toast(data.text);
				}
			})
		}else if(vm.editTxt == "已关注"){				//取消关注
			if(vm.Gender=="男"||vm.Gender==null){
				vm.editTxt = "关注他";
			}else{
				vm.editTxt = "关注她";
			}
			vm.gzClass = 0;
			model.cancleGz(vm.id,function(data){
				if(data.state==1){
					_this.myEvent(false,vm.id);	
				}else{
					mui.toast(data.text);
				}
			})
		}
	}

	

	//点击关注后，抛个事件让首页--日记详情--我的页面（刷新缓存）--美丽日记--关注列表--刷新
	my_content_control.prototype.myEvent = function(isGz,DriayUserID) {
		var view = plus.webview.getWebviewById("html/my.html");
		var viewDiary=plus.webview.getWebviewById("diary_xq.html");
		var viewList=plus.webview.getWebviewById("list_home_1.html");
		var viewContent = plus.webview.getWebviewById("my_tab_gz.html");
		mui.fire(view,"my_tab",{isGz:isGz,DriayUserID :DriayUserID});
		mui.fire(viewList,'DirayList',{isGz:isGz,DriayUserID : DriayUserID});
		mui.fire(viewDiary,"diary_xq");
		mui.fire(viewContent,"ChangeGz");
	}
	
	
	//是否点赞
	my_content_control.prototype.isZan = function(index,id,ReceiverID) {
		for(var i=0;i<vm.contentList.length;i++){
			if(index==i){
				vm.contentList[i].ZanState = !vm.contentList[i].ZanState;
				if(vm.contentList[i].ZanState){												//点赞	
					vm.contentList[i].Zan++;
					var mouth = myDate.getMonth()+1+"月";	//获取当前月份
					var Date  = myDate.getDate()+"日";		//获取当前日数
					var msg = UserCache.getUserInfo().Name+" "+mouth+Date+"给你点了赞！";
					model.ZanTure(1,id,ReceiverID,msg,function(data){
						_this.diaryevent(id,vm.contentList[i].Zan,true);
					})
				}else{
					vm.contentList[i].Zan--;								    //取消赞
					model.ZanOrCancel(2,id,function(){
						_this.diaryevent(id,vm.contentList[i].Zan,false);
					})
				}
				break;
			}
		}
	};
	my_content_control.prototype.diaryevent = function(t,s,d){
		var view=plus.webview.getWebviewById("html/home.html");
		var view2=plus.webview.getWebviewById("list_home_1.html");
		var viewDiary=plus.webview.getWebviewById("diary_xq.html");
		var viewCollect=plus.webview.getWebviewById("collect.html");
		mui.fire(view,"diary_list",{zan_ID:t,zan_num:s,zan_flag:d});
		mui.fire(view2,"diary_list",{zan_ID:t,zan_num:s,zan_flag:d});
		mui.fire(viewCollect,"diary_list");
		mui.fire(viewDiary,"diary_xq");
	}
	
	
	
	
	
	
	var img_upload=document.getElementById("img_upload");
    img_upload.addEventListener('change',function(){
    	var file=this.files[0];
        if(!/image\/\w+/.test(file.type)){ 
            alert("请确保文件为图像类型"); 
            return false; 
        }
        var reader=new FileReader();
        plus.nativeUI.showWaiting();
        reader.onload=function(){
        plus.nativeUI.closeWaiting();
           var baseText = this.result; 
           mui.openWindow({
				url:"change_photo.html",
				id :"change_photo.html",
				styles: {
	                popGesture: 'close',
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    },
			    extras : {
			    	userId : UserCache.getUserToken(),
			    	token  : UserCache.getLoginToken(),
			    	bg     : 2,					//头像
			    	num    : 2,
			    	baseText :baseText
			    }
			})
        }
        reader.onerror = function(e) {
			alert("图片加载失败");
		};
        reader.readAsDataURL(file);
    },false);
	
	
	
	
	
	
	
  	//分享
   	$("#share").on("click",function(){
		shareList.shareData(8,UserCache.getUserToken(),function(data){
			util.share("美业花期","来花期遇见不一样的你!!!",data.data.Url);
		});
	});
   	
   	
   	
   	window.addEventListener('my_tab',function(){
  		_this.init();
  	});
  	
  	
  	//修改头像和背景返回刷新数据
  	window.addEventListener("changePhoto",function(){
  		_this.init();
  	});
  	
  	//日记详情点赞刷新
  	window.addEventListener("diary_list",function(){
  		_this.init();
  	});
  	window.addEventListener("diary_list2",function(){
  		_this.init();
  	});
  	//监听我的日记刷新
  	window.addEventListener("my_tabDiary",function(){
  		_this.init();
  	});
  	
  	window.addEventListener("reshresFs",function(e){
  		_this.init();
  	});
  	
  	//监听编辑资料刷新
  	window.addEventListener("myContent",function(e){
  		_this.init();
  	});
  	
  	//监听日记详情删除事件
	window.addEventListener('isShowEvent',function(e){
		_this.init();
	})
	return new my_content_control();
});