define(['my_tab_diary_model',"UserCache","util"], function(model,UserCache,util) {
	var _this=null;
	var list=[];
	var flag=false;
	var myDate =new Date();
	var getZan = localStorage.getItem('Zan');
	var arr = JSON.parse(getZan);
	function my_tab_diary_control(){
		_this=this;
	}
	var vm=new Vue({
		el:".mui-content",
		data:{					
			contentList :null,													
			otherList   :null,
			is_guanZhu:true,											//是否关注
			page: 1,
			rows: 10,
			state:1,
			UserId:"",
			isNetWork:0,
			tabIndex : 0
		},
		methods:{
			go_diaryxq:function(index,isZan){							//主体内容跳转到日记详情	
				var cont = plus.webview.getWebviewById("diary_xq.html");
				if(cont){
					plus.webview.close("diary_xq.html","none");
				}
				 mui.openWindow({
					url : "diary_xq.html",
					id  : "diary_xq.html",
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				   },
				   extras:{ 
				   	  diaryID : index,
				   	  isZan   : isZan
				   }
				})			
			},
			is_gz:function(index){														//是否关注
				_this.guanZhu(index);
			},
			zan:function(ID,ReceiverID){																//点赞，数字+1
				_this.isZan(ID,ReceiverID);
			},
			tabChoose:function(index){							
				if(index==0){
					$(".tabLine").animate({
	 					left : "1.66rem"
	 				})
					vm.tabIndex = 0;
				}else if(index==1){
					if(vm.state ==1){								//自己才能查看
						$(".tabLine").animate({
		 					left : "5.44rem"
		 				})
						vm.tabIndex = 1;
					}else{
						vm.tabIndex = 0;
						mui.toast("您无权限查看");
					}
				}
			}
		}
	})
	
	


	
	



	
	my_tab_diary_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				_this.initbanner();
				_this.initDiary();
			}
		})
	}
	
	
	
	//获取日记数据
	my_tab_diary_control.prototype.initDiary = function() {
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			vm.UserId = sdata.UserId;
			if(vm.UserId != UserCache.getUserToken()){					//如果不是自己进来的
				vm.state = 0;	
			}
			model.diary(vm.UserId,vm.page,vm.rows,function(data){
				var arry = model.getlist();
				var contentList = [];
				var otherList   = [];
				
				if(arry!=null){
					arry.forEach(function(item,index){
						if(item.CheckStatus){
							contentList.push(item);
						}else{
							otherList.push(item);
						}
					})
				}
				vm.contentList = contentList;				//已通过,必须=与一个变量，不能直接push,数据显示是没问题，但是监听事件后界面刷新不了
				vm.otherList   = otherList;					//未通过
			})
		})
	}
	
	//轮播初始化
	my_tab_diary_control.prototype.initbanner = function() {
		setTimeout(function() {
			mui('.mui-scroll-wrapper').scroll({
				indicators: false, //是否显示滚动条
				deceleration: 0.0005
			});
		}, 1000);
	}
	
	
	//是否关注
	my_tab_diary_control.prototype.guanZhu = function(index) {
		for(var i=0;i<vm.contentList.length;i++){
			if(index==i){
				vm.contentList[i].flag = !vm.contentList[i].flag;
				if(vm.contentList[i].flag){
					vm.contentList[i].gz = "已关注";
				}else{
					vm.contentList[i].gz = "关注";
				}
				break;
			}
		}
	}
	
	
	//是否点赞
	my_tab_diary_control.prototype.isZan = function(ID,ReceiverID) {
		for(var i=0;i<vm.contentList.length;i++){
			if(ID==vm.contentList[i].ID){
				vm.contentList[i].ZanState = !vm.contentList[i].ZanState;
				if(vm.contentList[i].ZanState){
					vm.contentList[i].Zan++;
					var mouth = myDate.getMonth()+1+"月";	//获取当前月份
					var Date  = myDate.getDate()+"日";		//获取当前日数
					var msg = UserCache.getUserInfo().Name+" "+mouth+Date+"给你点了赞！";
					model.ZanTure(1,ID,ReceiverID,msg,function(){
						_this.meetevent(ID,vm.contentList[i].Zan,true);
					})
				}else{
					vm.contentList[i].Zan--;
					model.ZanOrCancel(2,ID,function(){
						_this.meetevent(ID,vm.contentList[i].Zan,false);
					})
				}
				break;
			}
		}
	}
	
	my_tab_diary_control.prototype.meetevent = function(t,s,d){
		var view=plus.webview.getWebviewById('html/home.html');
			mui.fire(view,"diary_list",{zan_ID:t,zan_num:s,zan_flag:d});
			
		
		//给我的个人中心，刷新日记数据
		var viewParent = plus.webview.currentWebview().opener();
		mui.fire(viewParent,"my_tabDiary")
	}
	
	
	
//	my_tab_diary_control.prototype.down = function(func){
//		var arry =[];
//		vm.page++;
//		model.diary(vm.UserId,vm.page,vm.rows,function(data){
//			if(data.state==1){
//				if(vm.tabIndex==0){
//					arry = model.getlist();
//					vm.contentList=vm.contentList.concat(arry);   //合并数组
//				}else{
//					arry = model.getOtherlist();				  //未通过
//					vm.otherList=vm.otherList.concat(arry);   	  //合并数组
//				}
//			}
//			func(data.state);
//		})
//	}
	
//	mui.plusReady(function(){
//	    document.addEventListener( "plusscrollbottom", onScrollToBottom, false );
//	    function onScrollToBottom() {
//	         $(".jiazai").fadeIn(100,function(){
//	         	_this.down(function(data){
//	         		if(data==1){
//	         			$(".jiazai span").text("正在加载中...");
//	         			setTimeout(function(){
//			         		$(".jiazai").hide(100);
//			         	},3000)
//	         		}else{
//	         			$(".jiazai img").hide();
//	         			$(".jiazai span").text("没有更多数据了");
//	         			$(".jiazai span").css("margin-top","0rem");
//			         	$(".jiazai").show();
//	         		}
//	         	})
//	         });
//	    }
//	});
	
	
	
	//监听设为隐私事件
	window.addEventListener('isShowEvent',function(e){
		vm.page = 1;
		vm.tabIndex = 0;
		_this.init();
	})
	return new my_tab_diary_control();
});