define(["NetMannager","UserCache"], function(net,UserCache){
	var list=[];
	var state=null;
	function my_tab_fs_model(){
		
	}
	
	//粉丝数据
	my_tab_fs_model.prototype.fsData = function(UserId,p,r,func) {
		var param={
			UserID  : UserId,
			page  : p,
			rows  : r,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Fans/Focus", function(data){ 
			if(data.state==1){
				list = data.data;
				for(var i=0;i<list.length;i++){
					if(list[i].Address==null || list[i].Address==""){
						list[i].Address = "暂无该用户所在地区";
					}
				}
			}else{
				list = [];
			}
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	my_tab_fs_model.prototype.getlist = function(func) {
		return list;
	}
	
	
	
	//添加粉丝
	my_tab_fs_model.prototype.addFS = function(t,index,func) {
		var param={
			type    : t,
			UserID  : UserCache.getUserToken(),
			FansID  : index,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Fans/FocusOrNot", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	
	
	
	//加入黑名单
	my_tab_fs_model.prototype.initBlack = function(index,func) {
		var param={
			type    : 1,
			userID  : UserCache.getUserToken(),
			FansID  : index,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Fans/SetBlack", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	
	//是否关注
	my_tab_fs_model.prototype.is_gz = function(index,func) {
		var param={
			UserID  : UserCache.getUserToken(),
			FansID  : index,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Fans/GetIsFocus", function(data){ 
			state = data.flag;
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	my_tab_fs_model.prototype.get_state = function() {
		return state;
	}
	return new my_tab_fs_model();
});

