define(["NetMannager","UserCache"], function(net,UserCache){
	function news_model(){
		
	}
	
	news_model.prototype.init = function(p,r,func) {
		var param = {
			userID : UserCache.getUserToken(),
			token  : UserCache.getLoginToken(),
			page   : p,
			rows   : r
		}
		net.getListMess(param,"Messages/GetMessageOhters", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	
	//跳转日记详情前先调用该接口
	news_model.prototype.check = function(type,id,sendId,messageID,func) {
		if(type==5){
			var param = {
				token  : UserCache.getLoginToken(),
				type   : type,
				id     : id,
				messageID : messageID,
				sendId : sendId
			}
		}else{
			var param = {
				token  : UserCache.getLoginToken(),
				type   : type,
				messageID : messageID,
				id     : id
			}
		}
		net.getListMess(param,"Messages/ReadDiaryAndSystemMessage", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	//全部设为已读
	news_model.prototype.setReadTrue = function(func) {
		var param = {
			user   : UserCache.getUserToken(),
			token  : UserCache.getLoginToken()
		}
		net.getListMess(param,"Messages/SetReadAllMessageDiaryAndSystem", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	return new news_model();
});

