define(["NetMannager","UserCache"], function(net,UserCache){
	var list=[];
	var state=null;
	
	var modelId  = localStorage.getItem("model");
	var clientId = localStorage.getItem("clientid");
	function payOrder_model(){
		
	}
	
	//确定支付----获取订单信息
	payOrder_model.prototype.commitOrder = function(func){
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			var orderId = sdata.orderId;
			var param={
				OrderId : orderId,
				token : UserCache.getLoginToken()
			}
			net.getListMess(param,"Order/GetOrderByOrderID", function(data){
				if(data.state==1){
					list = data.data;
				}else if(data.state==-1){
					list = [];
				}
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data);
				}
			});
		})
	}
	payOrder_model.prototype.getData = function(){
		return list;
	}
	
	//支付成功后在调去这个接口，通知后台改掉订单状态
	payOrder_model.prototype.getState = function(func){
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			var orderId = sdata.orderId;
			var param={
				OrderId : orderId,
				token : UserCache.getLoginToken()
			}
			net.getListMess(param,"Order/ChangeOrderStatus", function(data){
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data);
				}
			});
		})
	}
	
	
	//
	payOrder_model.prototype.getOrder = function(or,func){
			var param={
				OrderNo : or,
				token : UserCache.getLoginToken()
			}
			net.getListMess(param,"Order/GetOrderStates", function(data){
				state = data.state;
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");
				}else{
					func(data);
				}
			});
	}
	payOrder_model.prototype.State = function(){
		return state;
	}
	
	
	//每次跳转支付宝前调用
	payOrder_model.prototype.isGoalipay = function(func){
		var param={
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Order/GetTokenTimeOut", function(data){
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		});
	}
	
	
	
	//支付宝POST
	payOrder_model.prototype.Post = function(OrderNo,func){
		var param={
			OrderNo  : OrderNo,
			token    : UserCache.getLoginToken(),
			ip       : returnCitySN.cip,	
			modelId  : modelId,
			clientId : clientId
		}
		net.getListMess(param,"Values/CreateAppOrder", function(data){
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		});
	}
	
	
	//微信POST
	payOrder_model.prototype.WxPost = function(OrderNo,func){
		var param={
			OrderNo  : OrderNo,
			token    : UserCache.getLoginToken(),
			ip       : returnCitySN.cip,	
			modelId  : modelId,
			clientId : clientId
		}
		net.getListMess(param,"WeiXinPay/CreateWXOrder", function(data){
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		});
	}
	return new payOrder_model();
});