define(['search_model',"Config","util",'UserCache'], function(model,Config,util,UserCache) {
	var _this=null;
	var get=[];
	function search_control(){
		_this=this;
	}
	
	Vue.use(VueLazyload, {
		preLoad: 1.3,
		error: Config.ERROR_IMG,			//当加载图片失败的时候
		loading: Config.LOAD_IMG,			//当加载图片成功的时候
		attempt: 1							//尝试次数
	});
	var hvm=new Vue({
		el:"#top",
		data:{
			inp : ""
		},
		methods:{
			search:function(){
				var search=$(".search").val();
				if(search.trim()!=""){
					if(get==null){										//第一次搜索的时候
						var frist_list=[];
						frist_list.push(search);
						localStorage.setItem('search',JSON.stringify(frist_list));
					}else{											    //第二次搜索的时候
						get=localStorage.getItem('search');				
						var arry=JSON.parse(get);
						arry.push(search);
						localStorage.setItem('search',JSON.stringify(arry));
					}
					_this.searchData();
				}else{
					mui.toast("搜索内容不能为空");
					$(".no_order_net").hide();
					$(".box22").show();
				}
			},
			myfocus:function(){
				$(".tab").css("position","absolute");
			},
			myblur:function(){
				$(".tab").css("position","fixed");
			}
		}
	})
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			status:1,
			is_show:true,                               //如果有数据，就为false,否则隐藏
			oldList:[],									//历史数据
			hot:[],										//热门数据
			tabList:[{name:"综合"},{name:"宝典"},{name:"套餐"},{name:"机构"},{name:"商品"},{name:"学习"}],
			tabIndex:0,
			isNetWork:0,
			
		    isShowHos : 1,	
			
			mp  : [],	  //门票
			good: [],	  //宝典
			tc  : [],	  //套餐
			jg  : [],	  //机构
			shop: [],	  //商品
			lessone:[]	  //学习
		},
		methods:{
			clear:function(){							//清除历史记录
				localStorage.removeItem("search");
				get=null;								//必须重新赋值，不然清空的时候，get当前页面其实还存在的，这时候如果点击搜索会报错（进入到第二次搜索里面来）
				vm.status=0;
			},
			tabChoose:function(index){
				vm.tabIndex= index;
			},
			good_list:function(index){		//产品跳转
				mui.openWindow({
					url:"good_deault.html",
					id :"good_deault.html",
					extras:{
						goodID : index
					},
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			btn_search:function(txt){						//热门搜索按钮
				hvm.inp = txt;
				_this.searchData(txt);
			},
			goHos:function(index){
				mui.openWindow({
					url:"hospital_detail.html",
					id :"hospital_detail.html",
					extras:{
				   	   userid  :  index
				    },
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			mall_vip:function(ID){
				mui.openWindow({
					url:"mall_vip.html",
					id :"mall_vip.html",
					extras:{
						typeID : ID
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			goSecDeault : function(goodID){
				mui.openWindow({
					url:"secKillDeault.html",
					id :"secKillDeault.html",
					extras:{
						type : 0,					//弹窗不开启
						ID   : goodID 
					},
					styles:{
						popGesture:"close",
						"contentAdjust":false 
					},
					waiting:{
						autoShow:false
					}
				})
			},
			lessonDeault:function(index){
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url: "lessonDeault.html",
						id : "lessonDeault.html",
						extras:{
							ID : index
						},
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					mui.openWindow({
						url: "login.html",
						id : "login.html",
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			}
		}
	})
	
	
	
	search_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				model.hotData(function(){
					vm.hot = model.getHot();
				})
				
				get=localStorage.getItem('search');
				vm.oldList=JSON.parse(get);
				vm.oldList=util.arryClearNear(vm.oldList);//数组去重
				vm.oldList=vm.oldList.reverse();//数组倒序
				if(vm.oldList==''||vm.oldList==null){
					vm.status = 0;
				}
				setTimeout(function() {
					mui('.mui-scroll-wrapper').scroll({
						scrollX : true,
						indicators: false, //是否显示滚动条
						deceleration: 0.0009,
						bounce: true
					});
				}, 1500);
				
				setTimeout(function() {
					mui(".mui-slider").slider({
						interval: 0
					});
				},1000);
			}
		})
	}
	
	//监听键盘搜索事件
	$(document).keyup(function(event){
		var val2 = $(".search").val();
		if($(".search").val()==""){
			vm.is_show = true;
			$(".ishaveData").hide();
//			mui.toast("搜索内容不能为空");
			$(".no_order_net").hide();
			vm.isShowHos = 1;
			return;
		}
		if(event.which==13){
			hvm.search();
			$(".search").blur();
		}
	});
	
	//搜索数据
	search_control.prototype.searchData = function(txt){
		var val;
		if(txt){
			val = txt;
		}else{
			val	= $(".search").val()
		}
		vm.isShowHos = 0;
		model.initData(val,function(data){
			var state=model.getState();
			if(state==-1){							//搜索无结果
				vm.is_show = true;
				$(".ishaveData").hide();
				$(".no_order_net").show();
			}else if(state==1){					    //有数据
				vm.is_show = false;
				vm.tabIndex = 0;
				$(".search").blur();
				$(".no_order_net").hide();
				_this.getData(data.data);
				$(".ishaveData").show();
			}
		})
	}
	
	//获取相对的数据
	search_control.prototype.getData = function(data){
		data.forEach(function(item,i){
			var obj = item.TypeStatus;
			if(obj==1){
				vm.shop.push(item);
			}else if(obj==2){
				vm.jg.push(item);
			}else if(obj==3){
				vm.good.push(item);
			}else if(obj==4){
				vm.tc.push(item);
			}else if(obj==5){
				vm.mp.push(item);
			}else if(obj==6){
				vm.lessone.push(item);
			}
		})
	}
	return new search_control();
});