define(['secKillDeault_model',"shareList","util","Config","UserCache"], function(model,shareList,util,Config,UserCache) {
	var _this=null;
	function secKillDeault_contr(){
		_this=this;
	}
	
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			ID:"",									//产品的ID	
			
			AllList : [],
			bannerList:[],
			bannerLookNum:1,						//轮播图当前的数字位置
			secTime:"",								//秒杀倒计时---是否显示秒杀倒计时
			Sale : "",								//优惠价
			Price: "",								//划掉的价
			ShowNew:"",								//是否是新品
			Freight:"",								//运费
			Title  :"",								//商品名称
			Left   :"",								//【符号样式的问题
			ColorsDeault : "请选择规格",				//默认规格
			SampleData:[],							//相似好物
			Describe: "",							//图文详情
			Stock   : 1,
			
			
			
			count:1,								//购物车产品数量
			isSheet:0,								//是否弹出sheet;
			sheetID:"",								//规格的ID
			sheetProductID:"",						//商品的ProductID
			sheetImg:"",							//商品图片
			sheetList:[],							//弹窗规格数据
			sheetPrice:"",							//规格价格
			sheetIndex:0,							//默认颜色样式
			sheetNum:0,								//库存
			couponList:"",							//优惠券列表
			buyOrshop :0,						//是购物车弹窗还是立即购买弹窗,0是立即购买，1是购物车
			showPrice : ""
		},
		methods:{
			ad:function(){//广告跳转
				mui("#sheet2").popover("show");
			},
			add:function(){
				if(this.count<this.sheetNum){
					this.count++;
				}else{
					mui.toast('当前库存不足！')
				}
			},
			sign:function(){
				if(vm.count==1){
					return;
				}
				this.count--;
			},
			closeSheet:function(index){					//关闭sheet弹窗
			console.log("vm.buyOrshop: " + JSON.stringify(vm.buyOrshop));
				if(index==0){							//点击确定的时候才刷新这个值，否则为上一个选中的值
					if(vm.sheetIndex==null){
						mui.toast("请先选择一个商品规格");
						return;
					}
					// var get= localStorage.getItem("Color");	
					// if(get){							//如果打开弹窗什么都不选，直接确定，那么规格还是现实默认规格；
					// 	vm.ColorsDeault = get;
					// }
					// localStorage.setItem("IsSure",1);   //立即购买时候判断状态要用
					if(vm.buyOrshop==0){
						this.NowBuy();
					}else if(vm.buyOrshop==1){
						model.sendShopData(vm.ID,vm.sheetID,vm.count,function(data){
							mui.toast(data.text);
						})
					};
				}
				mui("#sheet").popover("hide");
			},
			chooseStock:function(index,Enabled,ImgUrl,Stock,Color,Price,ID,sheetProductID){		//弹窗规格选择
				if(Enabled){							//说明是可以选择的
					this.sheetIndex 	= index;		//选中的颜色
					this.sheetImg		= ImgUrl;		//更换商品图片
					this.sheetPrice 	= Price;		//更换商品价格
					this.sheetNum		= Stock;		//更换库存
					this.count      	= 1;			//初始化产品数量
					this.sheetID    	= ID;			//产品规格的ID
					this.sheetProductID = sheetProductID//产品规格的ProductID
					localStorage.setItem("Color",Color);//缓存该规格
				}else{
					mui.toast("该规格暂无货")
				}
			},
			sheetShow:function(){
				mui("#sheet").popover("toggle");
			},
			timeOut:function(){						//限时秒杀----倒计时
				var time=setInterval(function(){
					if(vm.secTime<=0){
						clearInterval(time);
						mui.toast("当前秒杀活动已结束！")
						vm.secTime = 0;
						return;
					}
					vm.secTime=vm.secTime-1000;
					var temp = util.diffTime(vm.secTime);
					var d = temp.days*24;	//天---这里换算成小时
					var h = temp.hours; //时
					var t = temp.mins;  //分
					var s = temp.secs;  //秒
					
					var hh=parseInt(h+d);
					if(hh<10){hh ="0"+hh;}
					if(t<10){t ="0"+t;}
					if(s<10){s ="0"+s;}
					
					$(".timeBox").eq(0).text(hh);
					$(".timeBox").eq(1).text(t);
					$(".timeBox").eq(2).text(s);
				},1000)
			},
			goShopCar:function(){		//跳转购物车
				_this.goShopCar();
			},
			enterShopCar:function(){	//加入购物车
				if(vm.Stock==0)  return;
				_this.enterShop();
			},
			NowBuy:function(){			//先判断是否登录，再立即购买,判断是否选择规格，如果没选就跳出 弹窗，如果选了就跳确定订单页面
				if(vm.Stock==0)  return;
				if(UserCache.userIsLogin()){
					// var IsSure=localStorage.getItem("IsSure");
					vm.buyOrshop = 0;
					
					model.pay(vm.sheetProductID,vm.sheetID,vm.count,vm.sheetPrice,function(data){
						if(data.state==1){
							mui.openWindow({ 
								url:"sure_order.html",
								id :"sure_order.html",
								extras:{
									type : 2 ,				
									shopData : data.data
								},
								styles: {
					                popGesture: 'close',
									"contentAdjust":false 
					            },
								waiting:{
							      autoShow:false
							    }
							});
						}else{
							mui.toast(data.text);
						}
					})	
					
					// if(IsSure){
					// 	model.pay(vm.sheetProductID,vm.sheetID,vm.count,vm.sheetPrice,function(data){
					// 		if(data.state==1){
					// 			mui.openWindow({ 
					// 				url:"sure_order.html",
					// 				id :"sure_order.html",
					// 				extras:{
					// 					type : 2 ,				
					// 					shopData : data.data
					// 				},
					// 				styles: {
					// 	                popGesture: 'close',
					// 					"contentAdjust":false 
					// 	            },
					// 				waiting:{
					// 			      autoShow:false
					// 			    }
					// 			});
					// 		}else{
					// 			mui.toast(data.text);
					// 		}
					// 	})	
					// }else{
					// 	this.sheetShow();
					// }
				}else{
					mui.openWindow({
						url:"login.html",
						id :"login.html",
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			receive:function(ID,flag){	//优惠券立即领取
				if(flag){
					model.recevie(ID,function(data){
						if(data.state==1){
							for(var i=0;i<vm.couponList.length;i++){
								if(ID==vm.couponList[i].ID){
									vm.couponList[i].Enabled = false;		  //已领取
									mui.toast("优惠券已领取");
									break;
								}
							}
						}
					})
				}
			}
		}
	})
	
	secKillDeault_contr.prototype.init = function(){
		mui.plusReady(function(){
			localStorage.removeItem("Color");
			localStorage.removeItem("IsSure");
			var sData = plus.webview.currentWebview();
			vm.isSheet = sData.type;				//是否开启sheet弹窗
			if(vm.isSheet==1){						 
				vm.sheetShow();
			}
			//商品详情
			vm.ID      = sData.ID;					//产品ID
			model.initData(vm.ID,function(data){
				if(data.state==1){
					var obj=data.data.Data;
					vm.AllList = data.data;
					vm.bannerList = obj.ProductImgs;
					vm.secTime = obj.SecondTime;
					vm.Sale    = obj.MinPrice;
					vm.Price   = obj.MaxPrice;
					vm.ShowNew = obj.ShowNew;
					vm.Freight = obj.Freight;
					vm.Title   = obj.Title;
					
					
					if(obj.MinPrice==obj.MaxPrice){
						if(obj.MinPrice==0&&obj.MaxPrice==0){
							vm.showPrice = obj.Sale;
						}else{
							vm.showPrice = obj.MinPrice;
						}
					}else{
						vm.showPrice = obj.MinPrice+"~"+obj.MaxPrice;
					}


					var str =""+ obj.Title.substr(0,1);
					if(str=="【"){
						vm.Left = 1;
					} 
					vm.SampleData    = data.data.SampleData;
					vm.Describe 	 = obj.Describe;
					vm.sheetList	 = obj.ProductColors;
					vm.sheetID		 = obj.ProductColors[0].ID;	//默认的产品规格ID
					vm.sheetProductID= obj.ProductColors[0].ProductID;//默认的ProductID
					vm.sheetImg		 = obj.ProductColors[0].ImageUrl;//默认显示的第一张图片
					vm.sheetPrice	 = obj.ProductColors[0].Price;//默认显示第一个价格
					vm.sheetNum		 = obj.ProductColors[0].Stock;//默认库存
					vm.ColorsDeault  = obj.ProductColors[0].Color; //默认规格
					vm.Stock         = obj.Stock;				//是否展示库存图标用的；
					vm.couponList    = obj.Coupons;		
					if(vm.secTime!=null){						//如果有限时秒杀就开启秒杀倒计时；
						vm.timeOut();	
					}
				}
			})
		})

		
		
		var headerH = h('#top').eq(0).height();
		var mui_slider_itemHeight = $(".mui-slider").height();
		var scroll = mui('#mui-scroll-wrapper').scroll();
		var xqY= $(".good-btm").offset().top-$(".goodHead").height();
		var y = null;
		//手机滑动效果
		document.querySelector('#mui-scroll-wrapper').addEventListener('scroll', function (e){ 
			y=scroll.y;
			if(y<-mui_slider_itemHeight){
				$(".showOtherTop").css("opacity",1);
				$(".showOtherTop").show();
				$("#top").hide();
				$(".xqLine").eq(0).show();
				$(".xq").eq(0).css("color","#2ce4d0");
				$(".xq").eq(0).css("font-size","0.36rem");
				$(".xq").eq(0).css("font-weight","500");
				$(".xqLine").eq(1).hide();
				$(".xq").eq(1).css("color","#666666");
				$(".xq").eq(1).css("font-size","0.3rem");
				$(".xq").eq(1).css("font-weight","400");
				
			}else{
				$(".showOtherTop").css("opacity",0);
				$(".showOtherTop").hide();
				$("#top").show();
			}
			//当滑动距离到图文详情时，详情字体变化
			if(y<-xqY){
				$(".xqLine").eq(1).show();
				$(".xq").eq(1).css("color","#2ce4d0");
				$(".xq").eq(1).css("font-size","0.36rem");
				$(".xq").eq(1).css("font-weight","500");
				$(".xqLine").eq(0).hide();
				$(".xq").eq(0).css("color","#666666");
				$(".xq").eq(0).css("font-size","0.3rem");
				$(".xq").eq(0).css("font-weight","400");
			}
		})
		
		
		//商品点击滑动
		$(".xq").eq(0).on("click",function(){
			mui('#mui-scroll-wrapper').scroll().scrollTo(0,0,100);
			$(".xqLine").eq(0).show();
			$(".xq").eq(0).css("color","#2ce4d0");
			$(".xq").eq(1).css("color","#666666");
			$(".xqLine").eq(1).hide();
		})
		//详情点击滑动
		$(".xq").eq(1).on("click",function(){
			mui('#mui-scroll-wrapper').scroll().scrollTo(0,-xqY,100);
			$(".xqLine").eq(0).hide();
			$(".xq").eq(0).css("color","#666666");
			$(".xq").eq(1).css("color","#2ce4d0");
			$(".xqLine").eq(1).show();
		})
		
		//商城详情分享暂定为9
		$(".ShareList").on("tap",function(){
			shareList.shareData(9,vm.ID,function(data){
				util.share("花期商品详情",vm.Title,data.data.Url);
			});
		})
		//阻止默认事件
		document.addEventListener("touchmove",function(e){
			e.preventDefault();
		})
		document.querySelector('.mui-slider').addEventListener('slide', function(event) {
 			vm.bannerLookNum=event.detail.slideNumber+1;
		});
		_this.initScroll();
	}
	
	secKillDeault_contr.prototype.initScroll = function(){
		setTimeout(function() {
			mui('.mui-scroll-wrapper').scroll({
				scrollX : true,
				indicators: false, //是否显示滚动条
				deceleration: 0.0009,
				bounce: false
			});
		}, 1000);
		setTimeout(function(){
			mui(".mui-slider").slider({
				interval: 0
			});
		},1000)
	}
	
	
	//加入购物车
	secKillDeault_contr.prototype.enterShop = function(){
		if(UserCache.userIsLogin()){						//先判断登录
			// var IsSure=localStorage.getItem("IsSure");		//在验证是否选择规格都要弹窗
			vm.buyOrshop = 1;
			vm.sheetShow();
		}else{
			mui.openWindow({
				url:"login.html",
				id :"login.html",
				styles: {
	                popGesture: 'close',
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		}
	}
	
	
	//跳转购物车列表--先判断购物车页面是否存在
	secKillDeault_contr.prototype.goShopCar = function(){
			var shopCarView = plus.webview.getWebviewById('shopCar.html');
			if(shopCarView){		//如果存在了购物车页面，这里面的点击事件，抛个事件给购物车监听刷新
				mui.fire(shopCarView,"isDeault");
				mui.back();
			}else{					
				mui.openWindow({
					url:"shopCar.html",
					id :"shopCar.html",
					styles: { 
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}
	}
	
	
	window.addEventListener('shoipCar',function(e){
		localStorage.removeItem("Color");
		localStorage.removeItem("IsSure");
		vm.ID = e.detail.ID;
		model.initData(vm.ID,function(data){
			if(data.state==1){ 
				var obj=data.data.Data;
				vm.AllList = data.data;
				vm.bannerList = obj.ProductImgs;
				vm.secTime = obj.SecondTime;
				vm.Sale    = obj.MinPrice;
				vm.Price   = obj.MaxPrice;
				vm.ShowNew = obj.ShowNew;
				vm.Freight = obj.Freight;
				vm.Title   = obj.Title;

				var str =""+ obj.Title.substr(0,1);
				if(str=="【"){
					vm.Left = 1;
				} 
				vm.SampleData    = data.data.SampleData;
				vm.Describe 	 = obj.Describe;
				vm.sheetList	 = obj.ProductColors;
				vm.sheetID		 = obj.ProductColors[0].ID;	//默认的产品规格ID
				vm.sheetProductID= obj.ProductColors[0].ProductID;//默认的ProductID
				vm.sheetImg		 = obj.ProductColors[0].ImageUrl;//默认显示的第一张图片
				vm.sheetPrice	 = obj.ProductColors[0].Price;//默认显示第一个价格
				vm.sheetNum		 = obj.ProductColors[0].Stock;//默认库存
				vm.couponList    = obj.Coupons;		
				if(vm.secTime!=null){						//如果有限时秒杀就开启秒杀倒计时；
					vm.timeOut();	
				}
			}
		})
	})
	return new secKillDeault_contr();
});