define(['set_black_model'], function(model) {
	var _this=null;
	function set_black_control(){
		_this=this;
	}
	var vm=new Vue({
		el:".mui-content",
		data:{
			list : [],
			page :  1,				//每次请求的页数
			rows :  5				//每次请求5条数据
		},
		methods:{
			close:function(index){
				_this.deleteBlack(index);
			}
		}
	})
	
	set_black_control.prototype.init = function(){
		_this.initBlack();
	}
	
	//黑名单数据
	set_black_control.prototype.initBlack = function(){
		model.getBlack(vm.page,vm.rows,function(data){
			if(data.state==1){
				vm.list = data.data;
				console.log("list="+JSON.stringify(vm.list));
			}else if(data.state==-1){
				vm.list = [];
			}
		})
	}
	
	
	//删除黑名单数据
	set_black_control.prototype.deleteBlack = function(index){
		model.removeblack(index ,function(){
			_this.Event();
			_this.init();
		});
	}
	
		
	set_black_control.prototype.Event = function(){			
		//我的页面进行刷新
		var view=plus.webview.getWebviewById('html/my.html');
		mui.fire(view,"loginSuccess");
		
		
		//首页进行刷新
		var view2=plus.webview.getWebviewById('html/home.html');
		mui.fire(view2,"homeOther");
	}
		
	return new set_black_control();
});