define(['set_model','UserCache'], function(model,UserCache) {
	var _this=null;
	var auths=null;
	function set_control(){
		_this=this;
	}
	var vm=new Vue({
		el:".mui-content",
		data:{
			version:"1.0",
			tel :"",
			isShowWeixinFlag:""
		},
		methods:{
			open:function(){
				mui.openWindow({							//账户与安全
					url:"account_safe.html",
					id :"account_safe.html",
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					extras:{
						isShowWeixinFlag : vm.isShowWeixinFlag
					},
					aniShow:"none",
					waiting:{
				      autoShow:false
				    }
				})
			},
			open_tow:function(){							//个人中心
				mui.openWindow({
					url:"personal_data.html",
					id :"personal_data.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			open_three:function(){							//黑名单
				mui.openWindow({
					url:"set_black.html",
					id :"set_black.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			bankCard:function(){
				mui.openWindow({
					url:"bankCard.html",
					id :"bankCard.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			login_Out:function(){							//退出登录
				UserCache.removeUserToken();				//退出登录清楚用户的ID
				UserCache.removeLoginToken();				//退出登录清楚用户的token
				UserCache.removeTokenTimeOut();				//退出登录清楚TokenTimeOut 重置失效时间
				mui.toast("退出登录成功！")					
				_this.goHome();
			},
			update_app:function(){							//版本更新
//				console.log("更新版本")
//				downRode.init();
			},
			about_huaqi:function(){
				mui.openWindow({
					url:"about_huaqi.html",
					id :"about_huaqi.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			xieyi:function(){
				mui.openWindow({
					url:"xieyi.html",
					id :"xieyi.html",
					extras:{
						type : 1
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			goApp:function(){
				model.getAppVersion(function(){
		    		if(mui.os.ios){
						location.href = model.iosPath();
					}else if(mui.os.android){
						plus.runtime.openWeb(model.andPath());
					}
		    	});
			},
			add:function(){
				mui.openWindow({
					url:"addressSetList.html",
					id :"addressSetList.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			unWeixin:function(){
				mui.openWindow({
					url:"Weixin.html",
					id :"Weixin.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
		            extras:{
		            	isShowWeixinFlag : vm.isShowWeixinFlag
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}
		}
	})
	
	set_control.prototype.init = function(){
		mui.plusReady(function(){
			var sdata = plus.webview.currentWebview();
			vm.isShowWeixinFlag = sdata.isShowWeixinFlag;
			plus.runtime.getProperty(plus.runtime.appid,function(inf){
		        vm.version=inf.version;
		   });
		    model.tel(function(data){
		    	vm.tel = data.data.Phone;
		    });
		    
		   
		})
	}
	
	
	//返回首页
	set_control.prototype.goHome = function(){
		var sdata=plus.webview.currentWebview();
		var self = plus.webview.currentWebview();　　 	 //当前窗口对象 
		var launch = plus.webview.getLaunchWebview();　　 //首页窗口对象 
		var wvs = plus.webview.all();　　				 //所有窗口对象	
		for(var i = 0, len = wvs.length; i < len; i++) {
			if(wvs[i].id === self.id || wvs[i].id === localStorage.homeWebId || wvs[i].id === launch.id ||
				wvs[i].id == "html/home.html" || wvs[i].id == "html/diary_edit.html" || wvs[i].id == "html/my.html"|| wvs[i].id == "html/mall.html"|| wvs[i].id == "html/city.html" || wvs[i].id == "html/information.html"|| wvs[i].id == "main") {
				continue; 
			} else {
				wvs[i].close('none');　　 //关闭中间的窗口对象，为防止闪屏，不使用动画效果；
			}
		}
		self.close("slide-out-right");
		var view=plus.webview.getWebviewById('main');
		mui.fire(view,'go_home');
		_this.loginoutCallback();
	}
	
	
	//退出登录时,抛个事件给我的页面,还原数据
	set_control.prototype.loginoutCallback = function() {
		var myView=plus.webview.getWebviewById('html/my.html');
		mui.fire(myView,'loginOut');
	}
	
	function plusReady(){
		
	}
	if(window.plus){
		plusReady();
	}else{
		document.addEventListener("plusready",plusReady,false);
	}
	
	//拨打电话
	document.getElementById("telephone").addEventListener('tap',function(){
        plus.device.dial(vm.tel,true);
    });

	//监听微信登录绑定事件刷新状态
	window.addEventListener("setWeixin",function(e){
		vm.isShowWeixinFlag = e.detail.flag;
	})
	return new set_control();
});