define(["NetMannager","UserCache"], function(net,UserCache){
	function shopCar_model(){
		
	}
	
	//购物车数据
	shopCar_model.prototype.init = function(func) {
		var param = {
			userID : UserCache.getUserToken(),
			token  : UserCache.getLoginToken()
		}
		net.getListMess(param,"Product/GetGoodsCard", function(data){ 
			var obj = {};
			
			if(data.state==1){
				for(var i=0;i<data.data.length;i++){
					data.data[i].check 	= false;			//是否选中
					data.data[i].isDele = false;			//是否删除
					
								
					var str2 =""+data.data[i].Title;				
					data.data[i].zifuchuang = str2.substr(0,1);
					if(data.data[i].zifuchuang =="【"){
						data.data[i].fuhao = 1;			
					}else{ 
						data.data[i].fuhao = 2;
					}
					
					
					
					if(!obj[data.data[i].ProductID]){		//判断是否有重复的ProductID,计算运费要用
				        obj[data.data[i].ProductID] = true;
				        data.data[i].isChongfu = true;
			        }else{
			        	data.data[i].isChongfu = false;
			        }
					

					
				}
			}
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	//删除
	shopCar_model.prototype.remove = function(obj,func) {
		var param = {
			cardIds : JSON.stringify(obj)
		}
		net.getListMess(param,"Product/DelGoodsCardList", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	
	//结算
	shopCar_model.prototype.pay = function(cardLists,goodCards,nums,colors,prices,func) {
		var param = {
			cardLists : JSON.stringify(cardLists),									//唯一ID
			goodCards : JSON.stringify(goodCards),									//产品ID
			userID : UserCache.getUserToken(),		
			token  : UserCache.getLoginToken(),
			nums   : JSON.stringify(nums),											//数量
			colors : JSON.stringify(colors),										//规格的ID[1,2,3]
			prices : JSON.stringify(prices)											//数组的单价
		}
		net.getListMess(param,"Product/CheckGoodsCard", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	//增加减少走一个接口
	shopCar_model.prototype.changeCount= function(id,count,func) {
		var param = {
				token : UserCache.getLoginToken(),
				id    : id,
				num   : count
		}
		net.getListMess(param,"Product/ChangeGoodCardInfo", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	return new shopCar_model();
});

