define(['shouHouDeault_model'], function(model) {
	var _this=null;
	function shouHouDeault_control(){
		_this=this;
	}
	var vm = new Vue({
		el: ".mui-content",
		data: {
			state: 3, //1是等待处理中(默认)，2是已同意申请,3是等待卖家收货,4是退款成功
			goodList : [],
			ALLMoney : "",		//退款总金额
			Remark	 : "",		//退款原因
			RefundNo : "",		//退款编号
			tel		 : "",		//客服号码
			
			Enable   : "",		//确认收货为true的时候才能走
			refundId :"",
			OrderID  :"",
			inpText: "中通快递",
			inpNum: ""
		},
		methods: {
			sheetToggle: function() {
				mui("#sheet").popover("show");
			},
			cancleSq: function() {
				mui("#sheet3").popover("show");
			},
			cancleClose:function() {
				mui("#sheet3").popover("hide");
			},
			cancleSuerBtn:function(){				//仍要撤销
				_this.cancleSuerBtn();
			},
			send: function() {
				if(this.inpText == "") {
					mui.toast("物流公司不能为空");
					return;
				} else if(this.inpNum == "") {
					mui.toast("运单号不能为空");
					return;
				} else {
					_this.SubmitNumber();
				}
			},
			choose:function(index){
				this.state=index;
			},
			call:function(){
				plus.device.dial(vm.tel,true);
			},
			sureShow:function(){
				mui("#sheet4").popover('show');
			},
			sureClose:function(){
				mui("#sheet4").popover('hide');
			},
			sureShouhuo:function(){//确认收货
				model.sureShouhuo(vm.OrderID,function(data){
					mui.toast(data.text);
					if(data.state==1){												//确认收货返回，刷新订单状态；
						var view=plus.webview.currentWebview().opener();
						var viewMy=plus.webview.getWebviewById("my_order.html");
						mui.fire(view,"orderRefresh",{type:"no"});
						mui.fire(viewMy,"myorderRefresh");
						
						mui("#sheet4").popover('hide');
						mui.back();
					} 
				})
			},
			keyUp:function(){ 
				setTimeout(function(){  
				    document.body.scrollTop = document.body.scrollHeight;  
				},100); 
			}
		}
	})
	shouHouDeault_control.prototype.init = function(){
		model.init(function(data){
			if(data.state==1){
				var str=""+data.data.Title;
				if(str.substr(0,1)=="【"){
					data.data.fuhao=1;
				}else{
					data.data.fuhao=2;
				}
				vm.state 	= data.data.Refunds.States;
				vm.goodList = data.data;
				vm.ALLMoney = data.data.Refunds.RealRefund;
				vm.Remark   = data.data.Refunds.Remark;
				vm.RefundNo = data.data.Refunds.RefundNo;
				vm.refundId = data.data.Refunds.ID;
				vm.tel      = data.data.PhoneNo;
				vm.OrderID  = data.data.OrderID;
				vm.Enable	= data.data.Order.States;				
			}
		})
	}
	
	
	//提交运单号
	shouHouDeault_control.prototype.SubmitNumber = function(){
		model.SubmitNumber(vm.inpText,vm.inpNum,vm.refundId,function(data){
			mui.toast(data.text);
			if(data.state==1){
				mui("#sheet").popover("hide");
				var view=plus.webview.currentWebview().opener();	//这一步：如果是退货/售后进来的，抛个事件刷新
				mui.fire(view,"sendRefresh");
				_this.init();
			}
		})
	}
	
	//仍要撤销
	shouHouDeault_control.prototype.cancleSuerBtn = function(){
		model.cancleSuerBtn(vm.refundId,function(data){
			if(data.state==1){
				_this.listen();
			}else{
				mui.toast(data.text);
			}
		})
	}
	
	
	
	shouHouDeault_control.prototype.listen = function(){			//抛个事件给订单详情页面，还有我的订单刷新数据,如果是退货/售后进来的也得刷新
		var viewPertent=plus.webview.currentWebview().opener();
		var view=plus.webview.getWebviewById("order_deault.html");
		var viewMy=plus.webview.getWebviewById("my_order.html");
		mui.fire(view,"orderRefresh");
		mui.fire(viewMy,"myorderRefresh");
		mui.fire(viewPertent,"shouHouRefresh");
		
		mui("#sheet3").popover("hide");
		mui.back();
	};
	
	function plusReady(){
		
	}
	if(window.plus){
		plusReady();
	}else{
		document.addEventListener("plusready",plusReady,false);
	}
	
	
	
	return new shouHouDeault_control();
});