define(['sure_info_model'], function(model) {
	var zz=/^1\d{10}$/;
	function sure_info_control(){
		_this=this;
	}

		
	var vm=new Vue({
		el:".mui-content",
		data:{
			user :[],
			orderID	: "",
			Title	: "",
			Sale	: "",
			HospitalID	: "",
			CouponIds   : "",
			Stock:"",
			type :"",
			count:1,		
			isSubmit: 0,		   //如果是0就不让提交
			
			ID       :"",		   //ID
			RealName : "",		   //姓名
			IdentityCard : "",	   //身份证号
			CellPhone: "",		   //手机号码
			Wechat   :"",          //微信
			Province :"",          //省
			City     :"",          //市
			County   :"",          //县/区
			Gender    :"",         //性别
			ParentId :"",      	   //邀请人ID
			InviteName :"",        //邀请人姓名
			InviteTel  :"" ,       //邀请人电话
			isshowInp : false	   //是否展示可以输入默认不能输入
		},
		methods:{
			sure_pay:function(){                 //提交订单
				_this.suBmit();
			},
			city_pick: function() {
				var city_picker = new mui.PopPicker({ layer: 3 });
				city_picker.setData(china_city);
				city_picker.pickers[0].setSelectedValue('330000',600);
				setTimeout(function() {
					city_picker.show(function(items) {
//						$("#city_text").text(items[0].text + items[1].text + items[2].text); //该ID为接收城市ID字段
						
						vm.Province = items[0].text;
						vm.City = items[1].text;
						vm.County = items[2].text;
					});
				}, 20);
			},
			sex_pick:function(){
				var city_picker = new mui.PopPicker({ layer: 1});
				city_picker.setData(sex_city);
				city_picker.pickers[0].setSelectedValue('1',600);
				setTimeout(function() {
					city_picker.show(function(items) {
//						$("#sex").text(items[0].text); //该ID为接收城市ID字段
						vm.Gender=items[0].text;
					});
				}, 20);
			},
			keyup:function(){
				if(vm.InviteTel.length==11){
					model.yqr(vm.InviteTel,vm.type,function(data){				//邀请人
						if(data.state==-1){
							mui.toast(data.text);
							vm.ParentId = "";
							vm.InviteName = " ";
							vm.isSubmit = 0;
							vm.isshowInp = false;
							return false;
						}else if(data.state==1){
							vm.ParentId = data.data.ID;
							vm.isSubmit = 1;
							vm.InviteName = data.data.RealName;
							vm.InviteTel = data.data.CellPhone;
							vm.isshowInp = false;
							$("#InviteTel").blur();
						}else if(data.state==3){
							vm.ParentId = "";
							vm.isSubmit = 1;
							vm.isshowInp = true;
							vm.InviteName = data.data.RealName;
						}
					});
				}
			},
			colseKey:function(index){
				if(index==1){				//身份证的
					if(vm.IdentityCard.length==18){			//输入完手机号，关掉软键盘，优化体验
						$("#inp_IdentityCard").blur();
					}
				}else if(index==2){
					if(vm.CellPhone.length==11){			//输入完手机号，关掉软键盘，优化体验
						$("#inp_phone").blur();
					}
				}
			}
		}
	})
	
	
	sure_info_control.prototype.init = function(){
		mui.plusReady(function(){
			 if(mui.os.android){
				$(".sumbit").css("position","relative");
				$(".sumbit").css("bottom","0rem");
			}
			
			var sdata=plus.webview.currentWebview();			//接受上个页面传过来的参数5个，只是为了提交订单用的（其它没用）
				vm.orderID=sdata.ID;
				vm.Title=sdata.Title;
				vm.Sale=sdata.Sale;
				vm.HospitalID=sdata.HospitalID;
				vm.CouponIds =sdata.CouponIds;
				vm.Stock     =sdata.Stock;
				vm.type		 =sdata.type;
			model.userInfo(function(){
				vm.user = model.getUserInfo();
				vm.ID = vm.user.ID;
				vm.IdentityCard = vm.user.IdentityCard ;
				vm.CellPhone = vm.user.CellPhone ;
				vm.Wechat = vm.user.Wechat;
				vm.Province = vm.user.Province;
				vm.City = vm.user.City ;
				vm.County = vm.user.County ;
				vm.Gender = vm.user.Gender ;
				vm.ParentId = vm.user.ParentID;
				vm.InviteName = vm.user.InviteName;
				vm.InviteTel = vm.user.InviteTel;
				vm.RealName  = vm.user.RealName;
			})
		})
	}


	//提交
	sure_info_control.prototype.suBmit = function(){
		//第一步先验证填写信息;
		if(!vm.RealName|| !vm.IdentityCard|| !vm.CellPhone || !vm.Province || !vm.Gender|| !vm.InviteName|| !vm.InviteTel){
			if(vm.RealName ==  "" || vm.RealName ==  null){
				mui.toast("请填写您的姓名");
			}else if(vm.IdentityCard== ""|| vm.IdentityCard ==  null){
				mui.toast("请填写您的身份证号");
			}else if(vm.CellPhone== ""|| vm.CellPhone ==  null){
				mui.toast("请填写您的手机号");
			}else if(vm.Province== ""|| vm.Province ==  null){
				mui.toast("请填写您的城市信息");
			}else if(vm.Gender== ""|| vm.Gender ==  null){
				mui.toast("请填写您的性别");
			}else if(vm.InviteName== ""|| vm.InviteName ==  null){
				mui.toast("请填写您的邀请人");
			}else if(vm.InviteTel== ""|| vm.InviteTel ==  null){
				mui.toast("请填写您的邀请人号码");
			}
		}else if(!(zz.test(vm.CellPhone)) || !(zz.test(vm.InviteTel))){
			if(!(zz.test(vm.CellPhone))){
				mui.toast("你的手机号码填写有误");
			}else if(!(zz.test(vm.InviteTel))){
				mui.toast("你的邀请号码填写有误");
			}
		}else{													//如果信息都填写正确，则跳转支付订单页面
			if(vm.isSubmit==0){
				mui.toast("没有对应的邀请人,请重新输入");
				return;
			}
			_this.check_txt();
		}
	}


	
	
	
	
	//身份证验证
	sure_info_control.prototype.check_txt = function(){
		var code = vm.IdentityCard;
		var city={11:"北京",12:"天津",13:"河北",14:"山西",15:"内蒙古",21:"辽宁",22:"吉林",23:"黑龙江 ",31:"上海",32:"江苏",33:"浙江",34:"安徽",35:"福建",36:"江西",37:"山东",41:"河南",42:"湖北 ",43:"湖南",44:"广东",45:"广西",46:"海南",50:"重庆",51:"四川",52:"贵州",53:"云南",54:"西藏 ",61:"陕西",62:"甘肃",63:"青海",64:"宁夏",65:"新疆",71:"台湾",81:"香港",82:"澳门",91:"国外 "};  
	    if(!code || !/^\d{6}(18|19|20)?\d{2}(0[1-9]|1[012])(0[1-9]|[12]\d|3[01])\d{3}(\d|[xX])$/.test(code)){  
	         mui.alert("身份证有误！");
	    }else if(!city[code.substr(0,2)]){  
	         mui.alert("身份证有误，请重新输入！") 
	    }else{  
	        //18位身份证需要验证最后一位校验位  
	        if(code.length == 18){  
	            code = code.split('');  
	            //∑(ai×Wi)(mod 11)  
	            //加权因子  
	            var factor = [ 7, 9, 10, 5, 8, 4, 2, 1, 6, 3, 7, 9, 10, 5, 8, 4, 2 ];  
	            //校验位  
	            var parity = [ 1, 0, 'X', 9, 8, 7, 6, 5, 4, 3, 2 ];  
	            var sum = 0;  
	            var ai = 0;  
	            var wi = 0;  
	            for (var i = 0; i < 17; i++)  
	            {  
	                ai = code[i];  
	                wi = factor[i];  
	                sum += ai * wi;  
	            }  
	            if(parity[sum % 11] != code[17].toUpperCase()){  
	                 mui.alert("身份证有误！");
	                 return false;
	            }else{
					_this.fristSubmit();
	            }
	        }else{
	        		mui.alert("身份证有误，请重新输入！");
	        		return false;
	        }
	    }  
	}

	
	sure_info_control.prototype.fristSubmit = function(){
		var obj={
				ID      	 :   vm.ID,
				RealName     :   vm.RealName,
				CellPhone    :   vm.CellPhone,         
				IdentityCard :   vm.IdentityCard,          
				Wechat       :   vm.Wechat,      
				Province     :   vm.Province,          
				City         :   vm.City,               
				County       :   vm.County,        
				Gender       :   vm.Gender,     
				ParentId     :   vm.ParentId,  
				InviteName   :   vm.InviteName,
				InviteTel    :   vm.InviteTel   
		}
		model.changeUser(obj,function(data){					//提交保存所有用户信息后
			if(data.state==1){									//原本是提交订单，现在变成提交到确认订单
				//刷新缓存，这样银行就能拿到RealName
				var view=plus.webview.getWebviewById("html/my.html");
				mui.fire(view,"loginSuccess");

				var self=plus.webview.currentWebview();      //如果保存成功，关闭这个页面；
				plus.webview.create('sure_order.html', 'sure_order.html', {popGesture:'close',"contentAdjust":false}, {
					typeId : vm.orderID,
					type   : vm.type,
					count  : vm.count
				}).show('slide-in-right');
				
				setTimeout(function() {
                    plus.webview.close(self,"none");
                }, 1000);
//				self.close();
			}else{
				mui.toast(data.text);
			}
		})
	}
	
	return new sure_info_control();
});