define(['use_model',"UserCache","Config"], function(model,UserCache,Config) {
	var _this=null;
	
	var mescroll=null;
	function use_control(){
		_this=this;
	}
	//邀请好友，抵用券，收藏
	var vm=new Vue({
		el:"#mescroll",
		data:{
			userInfo: [],
			tabList : [
				{name:"关注",num:"0"},
				{name:"粉丝",num:"0"},
				{name:"日记",num:"0"},
				{name:"动态",num:"0"}
			],
			user_txt : "",			   			   //用户简介
			photo_img:"",		 				   //默认头像
			photo_name:"",				  		   //默认昵称
			sex:"男",							   //性别，默认男
			isHave: false,						   //其他的开关
			isHaveMeet:false,					   //报备开关
			FansAddNum : "",					   //粉丝角标
			MessageAddNum : "",					   //动态角标
			HasMessage : false,
			isShowWeixinFlag : true,			   //微信登录授权跟注销登录开关
			isShowChat : false,
			isShowFlower:false,
			RemainBalance :"",					   //剩余花瓣
			EnableBalance : "",					   //可用花瓣
			isAppFlag : false
		},
		methods:{
//			my:function(){                                                     		 //解决vue事件在mui下来组件中不能点击，非常有用
//				mui("#slider").on('tap', '.set_img', function (event) {        	//五大模块事件
//                  this.click();
//             });
//          }, 
			chat:function(){
				mui.openWindow({
					url : "chat.html",
					id  : "chat.html",
					styles: {
		                popGesture: 'close' // 'hide', 'close','none' 此处是关键
		            },
					waiting:{
				      autoShow:false,
					  "contentAdjust":false 
				    },
				    extras:{
				    	userID : UserCache.getUserToken(),
				    	photo_img : vm.photo_img
				    }
				})
			},
			news:function(){
				mui.openWindow({
					url:"news.html",
					id :"news.html",
					styles: {
		                popGesture: 'close',
						 "contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			open:function(){                       //邀请好友
				mui.openWindow({
					url:"InviteFriends.html",
					id :"InviteFriends.html",
					styles: {
		                popGesture: 'close',
						 "contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			open_one:function(){				   //我的学习
				mui.openWindow({
					url:"myLesson.html",
					id :"myLesson.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			open_tow:function(){ 				   //抵用券
				mui.openWindow({
					url:"coupon.html",
					id :"coupon.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			open_three:function(){ 				   //收藏
				mui.openWindow({
					url:"collect.html",
					id :"collect.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			open_four:function(){ 				   //优惠券
				mui.openWindow({
					url:"couponTow.html",
					id :"couponTow.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			meet:function(){
				mui.openWindow({
					url:"myMeet.html",
					id :"myMeet.html",
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			goFlower:function(){
				mui.openWindow({
					url:"flower.html",
					id :"flower.html",
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		           }, 
					waiting:{
				      autoShow:false
				    }
				})
			},
			goShouhou:function(){
				mui.openWindow({
					url:"customSer.html",
					id :"customSer.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		           }, 
					waiting:{
				      autoShow:false
				    }
				})
			},
			goto_order:function(t){				   //我的订单
				mui.openWindow({
					url:"my_order.html",
					id :"my_order.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					extras:{
						index : t
					},
					waiting:{
				      autoShow:false
				    }
				})
			},
			target:function(){                     //头部个人中心
				mui.openWindow({
					url:"my_content.html",
					id :"my_content.html",
					styles:{
						"contentAdjust":false 
					},
					waiting:{
				      autoShow:false
				   },
				   extras:{
				   	  UserId : UserCache.getUserToken(),
				   	  type   : 1
				   }
				})
			},
			set:function(){							//设置
				mui.openWindow({
					url:"set.html",
					id :"set.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
		            extras:{
		            	isShowWeixinFlag : vm.isShowWeixinFlag
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			tab_list:function(index){					//关注-粉丝-日记-通知
				if(index==0){
					mui.openWindow({
						url:"my_tab_gz.html",
						id :"my_tab_gz.html",
						extras:{
							UserId : UserCache.getUserToken()
						},
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					       autoShow:false
					    }
					})
				}else if(index==1){
					mui.openWindow({
						url:"my_tab_fs.html",
						id :"my_tab_fs.html",
						extras:{
							UserId : UserCache.getUserToken()
						},
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else if(index==2){
					mui.openWindow({
						url:"my_tab_diary.html",
						id :"my_tab_diary.html",
						extras:{
							UserId : UserCache.getUserToken()
						},
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else if(index==3){
					mui.openWindow({
						url:"message.html",
						id :"message.html",
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			yeJi:function(){
				mui.openWindow({
					url:"yeji.html",
					id :"yeji.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			loginByWeiXin:function(){
				mui.openWindow({
					url:"Weixin.html",
					id :"Weixin.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
		            extras:{
		            	isShowWeixinFlag : vm.isShowWeixinFlag
		            },
					waiting:{
				      autoShow:false
				    }
				})
	 		},
			clearLogin(){
				model.clearLogin()
			}
		}
	})
	
	use_control.prototype.init = function(){
		if(UserCache.userIsLogin()){//用户如果登录的情况下，就去接口拿数据，如果不是，就从监听拿
//			_this.init_info();
			_this.down();
		}	
		if(mui.os.ios){
			 model.isCheckApp(function(res){
				 vm.isAppFlag = res.data;
			 })
		}
	}
	
	
	//获取用户信息
	use_control.prototype.init_info = function(){
		mui.plusReady(function(){
	 	model.userInfo(function(data){
	 		if(data.state==1){
	 			vm.photo_img = data.data.Photo;						//用户头像
	 			vm.photo_name =data.data.Name;					    //用户昵称		
	 			vm.sex		  =data.data.Gender;					//性别
	 			vm.tabList[0].num = data.data.FavoNum;				//关注数量
	 			vm.tabList[1].num = data.data.FansNum;				//粉丝数量   
	 			vm.tabList[2].num = data.data.DiaryNum;				//日记数量
	 			vm.tabList[3].num = data.data.MessagesCount;		//通知数量
	 			vm.FansAddNum =data.data.FansAddNum;				//粉丝角标
	 			vm.MessageAddNum=data.data.MessageAddNum;			//动态角标
	 			vm.HasMessage = data.data.HasMessage;				//消息小红点
	 			vm.isShowWeixinFlag = data.data.Wechat;				//判断是否微信登录	
				vm.RemainBalance = data.data.RemainBalance;
				vm.EnableBalance = data.data.EnableBalance;
	 			if(data.data.Intro==null){
					vm.user_txt = "您还未介绍自己";
				}else{
					vm.user_txt  = data.data.Intro; 				//用户简介
				}
				
				if(data.data.GradePath=="YK.png"){ //游客
					$(".set_img3").attr('src','../my-img/1.1.JPG');
					$(".jibie").text('游客');
					$(".persong_txt img").hide();
				}else if(data.data.GradePath == "ZS.png"){	//钻石
					$(".set_img3").attr('src','../my-img/1.4.JPG');
					$(".jibie").text('钻石会员');
					$(".persong_txt img").show();
				}else if(data.data.GradePath == "JK.png"){	//金卡
					$(".set_img3").attr('src','../my-img/1.3.JPG');
					$(".jibie").text('金卡会员');
					$(".persong_txt img").show();
				}else if(data.data.GradePath == "HY.png"){	//正式会员
					$(".set_img3").attr('src','../my-img/1.2.JPG');
					$(".jibie").text('正式会员');
					$(".persong_txt img").show();
				}else if(data.data.GradePath == "FWS.png"){	//服务商
					$(".set_img3").attr('src','../my-img/1.5.JPG');
					$(".jibie").text('服务商');
					$(".persong_txt img").show();
				}else if(data.data.GradePath == "VIP.png"){	//vip
					$(".set_img3").attr('src','../my-img/1.6.JPG');
					$(".jibie").text('VIP会员');
					$(".persong_txt img").show();
				}
		 			_this.saveCache(data);
		 		}
		 	});
		 	_this.isShowOther();
		 	_this.isShowMeet();
		 	_this.isShowChat();
			_this.isShowFlower();
		})
	}
	
	//监听登录成功事件，刷新数据，关注的黑名单事件,设置的移除黑名单事件
	window.addEventListener('loginSuccess',function(e){							//如果是其他页面事件的监听，直接刷新就可以了，不然头部会有好几个刷新；
		if(mescroll!=null){
			mescroll.destroy();
		}
		_this.down();
	})

	
	window.addEventListener("isShowEvent",function(){
		_this.init_info();
	})
	
	
	window.addEventListener('my_tab',function(e){
		_this.init_info();
		//每次刷新完我的页面后，在抛个事件给首页进行刷新；
		if(e.detail.type==100){        //首页过来的，不需要在把事件抛回去，不然首页在点击关注会有bug,连续点击多次
			return ;
		}
		
		var  isGz=e.detail.isGz;					//监听到日记详情发过来的参数，目的，主要不然首页通过后台刷新，而是通过缓存刷新关注状态；
		var  DriayUserID =e.detail.DriayUserID;
		
		
		
	 	var view=plus.webview.getWebviewById('html/home.html');
		mui.fire(view,"home",{isGz:isGz,DriayUserID :DriayUserID});
	})
	window.addEventListener('push_num',function(){
		_this.init_info();
		if(UserCache.userIsLogin()){
			mui.openWindow({
				url:"message.html",
				id :"message.html",
				styles: {
	                popGesture: 'close',
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		}else{
			var  self=plus.webview.getWebviewById("login.html");
			if(self){
				self.show();
			}else{
				mui.openWindow({
					url:"login.html",
					id :"login.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}
		}
	})
	
	//更新缓存用户信息
	use_control.prototype.saveCache = function(data) {
		UserCache.saveCache(JSON.stringify(data.data));  	//缓存用户所有信息
		UserCache.saveUserToken(data.data.ID);				//缓存用户的唯一标识ID
	}
	
	
	
	

	//下拉刷新----上拉加载
	use_control.prototype.down = function(func){
	 mescroll = initMeScroll("mescroll", {
			up: {			  								//上拉加载
				offset:$("#top").height()+StatusbarHeight,
				callback: function(page){
					var arry =[];
					setTimeout(function () {
						if(mui.os.ios){
							 model.isCheckApp(function(res){
								 vm.isAppFlag = res.data;
							 })
						}
						model.userInfo(function(data){
					 		if(data.state==1){
					 			vm.photo_img = data.data.Photo;						//用户头像
					 			vm.photo_name =data.data.Name;					    //用户昵称		
					 			vm.sex		  =data.data.Gender;					//性别
					 			vm.tabList[0].num = data.data.FavoNum;				//关注数量
					 			vm.tabList[1].num = data.data.FansNum;				//粉丝数量   
					 			vm.tabList[2].num = data.data.DiaryNum;				//日记数量
					 			vm.tabList[3].num = data.data.MessagesCount;		//通知数量
					 			vm.FansAddNum =data.data.FansAddNum;				//粉丝角标
					 			vm.MessageAddNum=data.data.MessageAddNum;			//动态角标
					 			vm.HasMessage = data.data.HasMessage;				//消息小红点
					 			vm.isShowWeixinFlag = data.data.Wechat;				//判断是否微信登录	
								vm.RemainBalance = data.data.RemainBalance;
								vm.EnableBalance = data.data.EnableBalance;
					 			if(data.data.Intro==null){
									vm.user_txt = "您还未介绍自己";
								}else{
									vm.user_txt  = data.data.Intro; 				//用户简介
								}
								if(data.data.GradePath=="YK.png"){ //游客
									$(".set_img3").attr('src','../my-img/1.1.JPG');
									$(".jibie").text('游客');
									$(".persong_txt img").hide();
								}else if(data.data.GradePath == "ZS.png"){	//钻石
									$(".set_img3").attr('src','../my-img/1.4.JPG');
									$(".jibie").text('钻石会员');
									$(".persong_txt img").show();
								}else if(data.data.GradePath == "JK.png"){	//金卡
									$(".set_img3").attr('src','../my-img/1.3.JPG');
									$(".jibie").text('金卡会员');
									$(".persong_txt img").show();
								}else if(data.data.GradePath == "HY.png"){	//正式会员
									$(".set_img3").attr('src','../my-img/1.2.JPG');
									$(".jibie").text('正式会员');
									$(".persong_txt img").show();
								}else if(data.data.GradePath == "FWS.png"){	//服务商
									$(".set_img3").attr('src','../my-img/1.5.JPG');
									$(".jibie").text('服务商');
									$(".persong_txt img").show();
								}else if(data.data.GradePath == "VIP.png"){	//vip
									$(".set_img3").attr('src','../my-img/1.6.JPG');
									$(".jibie").text('VIP会员');
									$(".persong_txt img").show();
								}
								
               					_this.isShowOther();
               					_this.isShowMeet();
               					_this.isShowChat();
								_this.isShowFlower();
					 			_this.saveCache(data);
								mescroll.endSuccess(1,false);
					 		}else{
					 			mescroll.endErr();
					 		}
					 	});
				    },1000);
				},
				toTop:{ //配置回到顶部按钮
					src : Config.mescroTopImg, //默认滚动到1000px显示,可配置offset修改
					//offset : 1000
				}
			}
		});
	}
	
	
	use_control.prototype.isShowOther = function() {
		model.isShowOther(function(data){
	 		if(data.state==1){
	 			if(data.data){
	 				vm.isHave= true;
	 			}else{
	 				vm.isHave= false;
	 			}
	 		}else{
	 			vm.isHave= false;
	 		}
	 	})
	}
	
	use_control.prototype.isShowMeet = function() {
		model.isShowMeet(function(data){
	 		if(data.state==1){
	 			if(data.data){
	 				vm.isHaveMeet= true;
	 			}else{
	 				vm.isHaveMeet= false;
	 			}
	 		}else{
	 			vm.isHaveMeet= false;
	 		}
	 	})
	}
	use_control.prototype.isShowChat = function() {
		model.isShowChat(function(data){
	 		if(data.state==1){
	 			if(data.data){
	 				vm.isShowChat= true;
	 			}else{
	 				vm.isShowChat= false;
	 			}
	 		}else{
	 			vm.isShowChat= false;
	 		}
	 	})
	}
	
	
	use_control.prototype.isShowFlower = function() {
		model.isShowFlower(function(data){
	 		if(data.state==1){
	 			if(data.data.pointState){
	 				vm.isShowFlower= true;
	 			}else{
	 				vm.isShowFlower= false;
	 			}
	 		}else{
	 			vm.isShowFlower= false;
	 		}
	 	})
	}
	
	
	//后台返回前台，从新刷新
	window.addEventListener('serverCloseResume', function(e) {
		if(mescroll!=null){
			mescroll.destroy();
		}
		_this.down();
	});
	
	
	
	return new use_control();
});