define(['AD_model',"Config"], function(model,Config) {
	function AD_control(){
		_this=this;
	}
	
	Vue.use(VueLazyload, {
		preLoad: 1.3,
		error: Config.ERROR_IMG,			//当加载图片失败的时候
		loading: Config.LOAD_IMG,			//当加载图片成功的时候
		attempt: 1							//尝试次数
	});
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			list : [],
			isNetWork : 0
		},
		methods:{
			good_list:function(id){
				mui.openWindow({
					url:"good_deault.html",
					id :"good_deault.html",
					extras:{
						goodID : id
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}
		}
	})
	AD_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				model.AD_list(function(){
					vm.list = model.getList();
					if(vm.list != null){
						for(var i=0;i<vm.list.length;i++){
							vm.list[i].fuhao = 1;					//【的样式
							vm.list[i].zifuchuang = "";	
							var str2 =""+vm.list[i].Title;				
							vm.list[i].zifuchuang = str2.substr(0,1);
							if(vm.list[i].zifuchuang =="【"){
								vm.list[i].fuhao = 1;			
							}else{ 
								vm.list[i].fuhao = 2;
							}
							
							
							if(vm.list[i].Title.length>32){
								var str =""+vm.list[i].Title;
								vm.list[i].Title =str.substr(0,32)+"...";
							}
						}
					}
				})
			}
		})
	}
	
	
	return new AD_control();
});