define(['PresonCenter_model'], function(model) {
	var _this=null;
	function PresonCenter_control(){
		_this=this;
	}
	var vm=new Vue({
		el:".mui-content",
		data:{
			allTotal:"",		//总业绩
			monthPrice:"",		//本月收益
			incomePrice:"",		//累积收益
			DerectCount:"",		//直接推荐人
			InRectCount:""		//间接推荐人
		},
		methods:{
			zhiJie:function(index){
				mui.openWindow({
					url:"zhiJie.html",
					id :"zhiJie.html",
					extras:{
						type : index 
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			shouYi:function(index){
				mui.openWindow({
					url:"shouYi.html",
					id :"shouYi.html",
					extras:{
						type : index 
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}
		}
	})
	
	PresonCenter_control.prototype.init = function(){
		model.init(function(data){
			if(data.state==1){
				vm.allTotal= data.data.TotalMoney;
				vm.monthPrice=data.data.MonthAchievement;
				vm.incomePrice=data.data.Achievement;
				vm.DerectCount=data.data.DerectCount;
				vm.InRectCount=data.data.InRectCount;
			}else{
				mui.toast(data.text);
			}
		})
	}
	return new PresonCenter_control();
});