define(["Weixin_model","UserCache"], function(model,UserCache){
	var _this=null;
	var auths;
	var flag;
	function Weixin_contr() {
		_this=this;
	}
	
	Weixin_contr.prototype.init = function(){
		mui.plusReady(function(){
			var sdata = plus.webview.currentWebview();
			flag = sdata.isShowWeixinFlag;
			if(flag==null){		//说明未绑定支付，要显示绑定
				showBind();
			}else{				//显示解绑
				unBind();
			}
		})
	};
	
	
	function showBind(){
		$(".outBind img").attr("src","../icon/wechat_unbound_icon@2x.png");
		$("#btn").text("绑定");
		$("#btn").css({
			color : "white",
			"background":"#43E97B"
		})
	}
	function unBind(){
		$(".outBind img").attr("src","../icon/wechat_binding_icon@2x.png");
		$("#btn").text("解绑");
		$("#btn").css({
			color : "#999999",
			"background":"#EEEEEE"
		})
	}
	
	function listen(){
		var viewSet = plus.webview.getWebviewById("set.html");
		var view = plus.webview.getWebviewById("html/my.html");
		mui.fire(view,"loginSuccess");
		mui.fire(viewSet,"setWeixin",{flag : flag})
	}
	
	$("#btn").on("click",function(){
		if(flag==null){
			_this.otherLogin();
		}else{
			var btn = ["否","是"];
			mui.confirm("您确定注销微信一键登录吗？","",btn,function(e){
				if(e.index==1){
					model.outWeiXin();
					flag = null;		 //注销后，未绑定所以要显示绑定
				    showBind();
				    listen();
		 			for (var i in auths) {
			            var s = auths[i];
			            if (s.authResult) {
			                s.logout(function(e) {
			                    // console.log("注销登录认证成功！");
			                }, function(e) {
			                    // console.log("注销登录认证失败！");
			                });
			            }
			        }
				}
			})
		}
	})
	
	


	//第三方登录
	
	Weixin_contr.prototype.otherLogin = function() {
		mui.plusReady(function() {  
	        plus.oauth.getServices(function(services) {
	            auths = services;
	            _this.authLogin('weixin');
	        }, function(e) {
	           
	        });
        });
	}

	
	Weixin_contr.prototype.authLogin = function(type) {
		var s;
        for (var i = 0; i < auths.length; i++) {
            if (auths[i].id == type) {
                s = auths[i];
                break;
            }
        }
        if (!s.authResult) {
            s.login(function(e) {
            	s.getUserInfo( function(e){
            		//把openid 给服务器；
              		//console.log( "获取用户信息成功："+JSON.stringify(s.userInfo));
            		var _obj = {
            			Wechat  : s.userInfo.openid,
            			ID      : UserCache.getUserToken()
            		};
            		model.bindWeiXin(_obj,function(data){						//认证成功
            			console.log("json="+JSON.stringify(data));
            			
            			//绑定后显示解绑
            			flag = 1;
            			unBind();
						listen();						
            			mui.toast(data.data);
            		})
				}, function(e){
					// console.log( "获取用户信息失败："+e.message+" - "+e.code );
					mui.toast('获取用户信息失败');
				});
            }, function(e) {
                mui.toast("登录认证失败！");
            });
        } else {
        	var _obj = {
    			Wechat  : s.userInfo.openid,
    			ID      : UserCache.getUserToken()
    		};
    		model.bindWeiXin(_obj,function(data){						//认证成功    			
    			//绑定后显示解绑
    			flag = 1;
    			unBind();
				listen();						
    			mui.toast(data.data);
    		})
//          mui.toast("已经登录认证！");
        }
	};	
		

	return new Weixin_contr();
});
