define(['adDefault_model','UserCache'], function(model,UserCache) {
	var _this=null;
	

	
	function adDefault_contr(){
		_this=this;
	}
	var vm=new Vue({
		el:"#appBox",
		data:{
			ID   : "",
			item : [],
			talk : [],
			
			list : [],
			inp  : "",
			saveText  : "",
			screenSrc : ""
		},
		methods:{
			write:function(){
				if(UserCache.userIsLogin()){
					$(".msg_send").show();
					this.$nextTick((x)=>{   //正确写法
					   this.$refs.inputs.focus();
					})
				}else{
					mui.openWindow({
						url:"login.html",
						id :"login.html",
						styles: {
					        popGesture: 'close' ,
							"contentAdjust":false 
					    },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			send:function(){
				if(vm.inp.trim() == ''){
					mui.toast("内容不能为空");
					return
				}
				model.sendLess(vm.ID,vm.inp,function(data){
					if(data.state==1){
						mui.toast(data.data);
						_this.init();
						$(".msg_send").hide();
						vm.inp = "";
					}else{
						mui.toast(data.text);
					}
				})
			},
			closeInp:function(){
				$(".msg_send").hide();
			},
			closeSheet:function(){
				$(".sheetAlert").hide();
			},
			isZan : function(ID,state){
				if(UserCache.userIsLogin()){
					for(var i=0;i<vm.talk.length;i++){
						if(ID == vm.talk[i].ID){
							if(state){							//走取消赞接口
								vm.talk[i].ZanStates = false;
								vm.talk[i].Zan--;
								model.isZan(vm.ID,ID,2,function(data){
									
								})
							}else{
								vm.talk[i].ZanStates = true;	//走点赞接口
								vm.talk[i].Zan++;
								model.isZan(vm.ID,ID,1,function(data){
									
								})
							}
							break;
						}
					}
				}else{
					mui.openWindow({
						url:"login.html",
						id :"login.html",
						styles: {
					        popGesture: 'close' ,
							"contentAdjust":false 
					    },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			goBuy:function(){
				if(UserCache.userIsLogin()){
					if(vm.item.Stock <= 0){
						mui.toast("当前库存不足！");
						return;
					}
					mui.openWindow({
						url:"adSureOrder.html",
						id :"adSureOrder.html",
						extras:{
							typeId : vm.list.ID,
							type   : vm.list.Types,
							count  : 1,
							colorId: vm.list.ProductColors[0].ID
						},
						styles: {
							popGesture: 'close',
							"contentAdjust":false  
						},
						waiting:{
						  autoShow:false
						}
					})	
				}else{
					mui.openWindow({
						url:"login.html",
						id :"login.html",
						styles: {
				            popGesture: 'close' ,
							"contentAdjust":false 
				        },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			takeScreenshot(){
				var downLoader = plus.downloader.createDownload(vm.screenSrc,{
				    method: 'GET',
				    filename: '_doc/'
				}, function(download, status) {
				    var fileName = download.filename;
				    if(status==200){
						$(".sheetAlert").hide();
				    	plus.gallery.save(fileName, function() {
						    mui.toast("保存图片到相册成功");
						});
				    }
				});
				downLoader.start();
			}
		}
	})
	adDefault_contr.prototype.init = function(){
		mui.plusReady(function(){
			model.sheetAddSwitch(function(obj){			//确保分享进来的时候，如果活动已经结束了，就返回
				if(obj.data.flag){
					model.init(function(data){

						if(data.state==1){
							vm.ID   = data.data.ID;
							vm.item = data.data;
							vm.talk = data.data.charityDiscusses;
							model.initGood(vm.item.ProductId,function(res){
								vm.list = res.data;
							});
							$(".lazy").hide();
						}
					});
				}else{
					mui.back();
				}
			})
		});
	}
	
	window.addEventListener('adPaySucc',function(option){
		model.getImg(vm.ID,option.detail.orderNo,function(data){
			if(data.state==1){
				$(".sheetAlert").show();
				$(".saveBg").attr("src",data.data.bg);	
				vm.saveText  = data.data.btnLast;
				vm.screenSrc = data.data.bg2;
			}else{
				mui.toast(data.text)
			}
		})
	})
	
	
	
	document.getElementById('body').addEventListener("swipeup",function(){
		$(".msg_send").hide();
	})
	
	document.getElementById('body').addEventListener("swipedown",function(){
	    $(".msg_send").hide();
	})
	
	
	
	
	return new adDefault_contr();
});