define(["NetMannager","UserCache"], function(net,UserCache){
	function adDefault_model(){
		
	}
	//详情数据
	adDefault_model.prototype.init = function(func){ 
		var param = {
			page   : 1,
			rows   : 100,
			userId : UserCache.getUserToken()
		}
		net.getListMess(param,"Charity/GetChartityDetail", function(data){ 
			func(data);			
		});
	}
	
	
	//获取商品详情数据
	adDefault_model.prototype.initGood = function(id,func){
		var param={
			ID      : id,
			UserID  : UserCache.getUserToken(),
			token   : UserCache.getLoginToken()
		}
		net.getListMess(param,"Product/GetDetailByProductID", function(data){ 
	
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	
	
	
	
	adDefault_model.prototype.buy = function(id,func){
		var param = {
			userId  : UserCache.getUserToken(),
			token   : UserCache.getLoginToken(),
			id      : id
		}
		net.getListMess(param,"Charity/CheckChartityOrder", function(data){ 
			func(data);			
		});
	}
	
	
	//发表留言
	adDefault_model.prototype.sendLess = function(id,discuss,func){
		var param = {
			userId  : UserCache.getUserToken(),
			token   : UserCache.getLoginToken(),
			discuss : discuss,
			id      : id
		}
		net.getListMess(param,"Charity/Discuss", function(data){ 
			func(data);			
		});
	}
	
	//点赞
	adDefault_model.prototype.isZan = function(id,discussId,type,func){
		var param = {
			userId    : UserCache.getUserToken(),
			type      : type,					//1.点赞  2.取消赞)
			Id        : id,     
			discussId : discussId			
		}
		net.getListMess(param,"Charity/ClickZanOrNot", function(data){ 
			func(data);			
		});
	}
	
	
	
	//base64转图片接口
	adDefault_model.prototype.baseToImg = function(file,func){
		var param = {
			UserID  : UserCache.getUserToken(),
			token   : UserCache.getLoginToken(),
			file    : file,
			bg		: 1
		}
		net.getListMess(param,"User/UploadUserFile", function(data){ 
			func(data);			
		});
	}
	
	
	//监听支付成功拿到弹窗图片数据
	adDefault_model.prototype.getImg = function(id,orderNo,func){
		var param = {
			token  : UserCache.getLoginToken(),
			userId : UserCache.getUserToken(),
			id     : id,
			orderNo: orderNo
		}
		net.getListMess(param,"Charity/BuyCharitySuccess", function(data){ 
			func(data);			
		});
	}
	
	
	
	//广告弹窗开关
	adDefault_model.prototype.sheetAddSwitch = function(func) {
		net.getListMess(null,"HomeNavs/GetIsCharity", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	return new adDefault_model();
});

