define(["NetMannager","UserCache"], function(net,UserCache) {
	function addOrderlist_model() {
		
	}
	//地址列表
	addOrderlist_model.prototype.init = function(func){
		var param = {
			UserID  : UserCache.getUserToken(),
			token : UserCache.getLoginToken()
		};
		net.getListMess(param,"Address/GetUserAddressList",function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		});
	};


	//删除  obj是个数组
	addOrderlist_model.prototype.Delete = function(obj,func){
		var param = {
			ListIds  : JSON.stringify(obj),
			token : UserCache.getLoginToken()
		};
		net.getListMess(param,"Address/DeleteAddress",function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		});
	};
	
	
	//设置默认 true -设为默认  false-取消默认
	addOrderlist_model.prototype.SetMoren = function(id,func){
		var param = {
				ID       : id,
				Default  : true,
				token : UserCache.getLoginToken()
		};
		net.getListMess(param,"Address/SetDefault",function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		});
	};
	
	
	//选项
	addOrderlist_model.prototype.tab = function(id,UserID,func){
		var param = {
				AddressID  : id,
				UserID	   : UserID,
				token : UserCache.getLoginToken()
		};
		net.getListMess(param,"Address/SetSelectionTap",function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		});
	};
	
	return new addOrderlist_model();
})