define(["addressEdit_model","UserCache"], function(model,UserCache) {
	var _this=null;
	var hvm = new Vue({
		el: "#top",
		data: {
			isDetele : "",
			type     : "",
			index    : ""
		},
		methods: {
			removeAdd:function(){
				var arry=[];
				arry.push(vm.ID);
				plus.nativeUI.confirm( "你确定要删除吗？",function(e){
	                if (e.index == 0) {
	                	model.Delete(arry,function(data){
							if(data.state==1){
								var view = plus.webview.getWebviewById("sure_order.html");
								var view2 = plus.webview.currentWebview().opener();
								mui.fire(view,"Deteledata");
								mui.fire(view2,"Deteledata",{id:vm.ID,index:hvm.index});
								setTimeout(function(){				//优化体验，给确定订单足够时间刷新页面
									mui.back();
								},500)
							}else{
								mui.toast(data.text);
							}
						})
	                }
	            })
			}
		}
	})
	
	var vm = new Vue({
		el: ".mui-content",
		data: {
			Province : "",			//省
			City	 : "",			//市
			Area     : "",			//区、县
			
			ID		 : 0,			//0说明是新增加的，编辑传对应的
			IsDefault: false,		//不是默认
			inp_name :"",			//姓名
			inp_phone :"",			//手机
			inp_address :"",		//详细地址
			isNetWork : 0
		},
		methods: {
			city_pick: function() {
				var city_picker = new mui.PopPicker({ layer: 3 });
				city_picker.setData(china_city);
				city_picker.pickers[0].setSelectedValue('330000',600);
				setTimeout(function() {
						city_picker.show(function(items) {
							$("#city_text").val(items[0].text + items[1].text + items[2].text); //该ID为接收城市ID字段
							vm.Province = items[0].text;
							vm.City = items[1].text;
							vm.Area = items[2].text;
						},false);
				}, 20);
			},
			subMit:function(){
				_this.suBmit();
			},
			keyup:function(){
				if(vm.inp_phone.length==11){			//输入完手机号，关掉软键盘，优化体验
					$("#inp_phone").blur();
				}
			}
		}
	})
	function addressEdit_contr() {
		_this = this;
	}
	addressEdit_contr.prototype.init = function() {
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				var sdata=plus.webview.currentWebview();
				hvm.type     = sdata.type;								//1是从确定订单进来的，2是设置页面进来的，3是确定订单收货地址编辑进来的
				hvm.isDetele = sdata.isDetele;							//1删除存在，其它不存在
				hvm.index    = sdata.Index;								//删除功能用的
				//编辑进来的时候，显示数据，否则就为默认数据，3是确定订单编辑进来的，2是设置编辑点进来的
				if(hvm.type==3 || hvm.type==2){							
					var data= sdata.obj;
					var obj = JSON.parse(data);
					vm.Province = obj.Province;
					vm.City		= obj.City;
					vm.Area     = obj.Area;
					$("#city_text").val(vm.Province+vm.City+vm.Area);
					vm.inp_name = obj.RecevieName;
					vm.inp_phone= obj.Phone;
					vm.inp_address = obj.AddressInfo;
					vm.IsDefault   = obj.IsDefault;
					vm.ID		   = obj.ID;
				}
			}
		})
	}

	addressEdit_contr.prototype.suBmit = function() {
			var aa = /^1\d{10}$/;
			var n_val = $("#inp_name").val();
			var p_val = $("#inp_phone").val();
			var c_val = $("#city_text").val();
			var a_val = $("#inp_address").text();
			
			if(p_val == "" || n_val == "" || c_val == "" || a_val == "") {		//如果都为空
				if(n_val == "") {
					mui.alert("请输入姓名！")
				} else if(!p_val.match(aa)) {
					mui.alert("请输入正确的手机号！")
				} else if(c_val == "") {
					mui.alert("请输入地址！")
				} else if(a_val == "") {
					mui.alert("请输入详细地址！")
				}
			} else if(p_val.match(aa)){						//如果都不为空，而且符合手机格式
					var obj={
						ID		   : vm.ID,
						Province   : vm.Province,
						City       : vm.City,
						Area       : vm.Area,
						AddressInfo  : a_val,
						UserID       : UserCache.getUserToken(),
						IsDefault    : vm.IsDefault,
						Phone        : vm.inp_phone,
						RecevieName  : vm.inp_name
					}
					var myView=plus.webview.currentWebview();
					
					
					
					if(hvm.type==3){					   //编辑的就更新地址接口3，收货地址增加新收货地址5
						model.editrefresh(obj,function(data){	
							if(data.state==1){
								var view=plus.webview.currentWebview().opener();					//抛个事件给确定订单的收货地址，刷新数据
								var view2=plus.webview.getWebviewById('sure_order.html');			//抛个事件给确定订单，刷新数据；
									mui.fire(view,"orderBack");
									mui.fire(view2,"Deteledata");			
									myView.close();
							}else{
								mui.toast(data.text);
								return false;
							}
						})
					}else if(hvm.type==1){					//确定订单进来的，第一次没有收货地址时候
						model.subAddress(obj,function(data){		
							if(data.state==1){
								var view=plus.webview.currentWebview().opener();			//抛个事件给确定订单，确定订单刷新数据
								mui.fire(view,"addEdit",{obj:JSON.stringify(obj),addressID:data.data});										
								mui.toast(data.text);
								plus.webview.create('addressOrderList.html', 'addressOrderList.html', {}, {}).show('slide-in-left');
								myView.close();
							}else{
								mui.toast(data.text);
								return false;
							}
						})
					}else if(hvm.type==2){					//设置管理地址，编辑点进来的
						model.editrefresh(obj,function(data){	
							if(data.state==1){
								var view3=plus.webview.currentWebview().opener();
									mui.fire(view3,"setBack");
									mui.back();
							}else{
								mui.toast(data.text);
								return false;
							}
						})
					}else if(hvm.type==4){					//设置管理地址，添加点进来的
						model.subAddress(obj,function(data){		
							if(data.state==1){
								var view4=plus.webview.currentWebview().opener();			
								mui.fire(view4,"setAdd");										
								myView.close();
							}else{
								mui.toast(data.text);
								return false;
							}
						})
					}else if(hvm.type==5){					//收货地址底部添加点进来的
						model.subAddress(obj,function(data){		
							if(data.state==1){
								var view=plus.webview.currentWebview().opener();					//抛个事件给确定订单的收货地址，刷新数据
								var view2=plus.webview.getWebviewById('sure_order.html');			//抛个事件给确定订单，刷新数据；
									mui.fire(view,"orderBack");
									mui.fire(view2,"addEdit",{obj:JSON.stringify(obj),addressID:data.data});					
									myView.close();
							}else{
								mui.toast(data.text);
								return false;
							}
						})
					}
					
			}else{
				mui.alert("你的手机输入有误！");
			}
	}
	return new addressEdit_contr();
})
