define(['appleLogin_model',"Config","UserCache"], function(model,Config,UserCache) {
	var _this = null;
	var zz=/^1\d{10}$/;  		 //正则手机号码验证
	var flag=false;				 //防止一直获取验证码验证码
	var get_btn=null;			 //获取验证码按钮（方便dom元素操作）
	var num = 60;                //倒计时60秒 
	var clear;                   //清除倒计时定时器用的

	
	function appleLogin_contr(){
		_this=this;
	}
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			myphone : "",
			mycode  : ""
		},
		methods:{
			underFind:function(){
				$(".underFindCode").fadeIn(200);
			},
			get_code:function(){			//获取验证码
				_this.getCode();
			},
			in_login:function(){
				_this.check_phone();
			}
		}
	})
	appleLogin_contr.prototype.init = function(){
		get_btn = document.getElementById("get_btn");
	}
	
	
	
	
	
	appleLogin_contr.prototype.check_phone = function() {
		var checkIsOk = false;
		if(!zz.test(vm.myphone)) {
			mui.alert("请输入正确的手机号");
		}
		if(vm.mycode.toString().length != 4){
			mui.alert("请输入验证码");
			return;	
		}
		checkIsOk = true;
		if(checkIsOk) {         
			 model.phone_login(vm.myphone,vm.mycode,function(data){
				 if(data.state==1){
					 _this.go_home(); 
				 }
			 })
		}
	}
	
	
	
	
	
	
	
	//获取验证码
	appleLogin_contr.prototype.getCode = function() {
		if(!(zz.test(vm.myphone))) {
			mui.alert("请输入正确的手机号");
		}else{
			_this.getCodeTime();
		}
	}
	
	
	appleLogin_contr.prototype.getCodeTime = function() {
		if(!flag) {
			get_btn.style.background = "#EEEEEE";
			get_btn.style.color = "#CCCCCC";
			clear = setInterval(_this.djstime, 1000);
			vm.yz_tel = vm.myphone;
			flag=true;
			model.get_yzm(vm.myphone,function(data){
				if(data.state==-1){											//获取验证码失败
					get_btn.style.background = "linear-gradient(90deg,rgba(56,249,215,1),rgba(67,233,123,1))";
					get_btn.style.color = "white";
					get_btn.innerText = "获取验证码";
					clearInterval(clear);
					num = 60;
					flag = false;
					mui.toast(data.text);
				}else if(data.state==1){									//获取验证码成功
					mui.toast(data.text);
					vm.sendCode=data.data;
				}else if(data.state==-2){									//该该手机号码不存在，跳转注册页面
					get_btn.style.background = "linear-gradient(90deg,rgba(56,249,215,1),rgba(67,233,123,1))";
					get_btn.style.color = "white";
					get_btn.innerText = "获取验证码";
					clearInterval(clear);
					num = 60;
					flag = false;
					mui.toast(data.text);
					vm.register(vm.myphone);
				}
			})
		} else {
			// console.log("您重复点击了，但是没用  哈哈");
		}
	};
	
	//60秒倒计时
	appleLogin_contr.prototype.djstime = function() {
		if(num <= 0) {
			get_btn.style.background = "linear-gradient(90deg,rgba(56,249,215,1),rgba(67,233,123,1))";
			get_btn.style.color = "white";
			get_btn.innerText = "获取验证码";
			clearInterval(clear);
			num = 60;
			flag = false;
		} else {
			num--;
			get_btn.innerHTML = num + "s";
		}
	};
	
	
	
	
	//跳转主页
	appleLogin_contr.prototype.go_home = function() {
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			var self = plus.webview.currentWebview();　　 	 //当前窗口对象 
			var launch = plus.webview.getLaunchWebview();　　 //首页窗口对象 
			var wvs = plus.webview.all();　　				 //所有窗口对象	
			for(var i = 0, len = wvs.length; i < len; i++) {
				if(wvs[i].id === self.id || wvs[i].id === localStorage.homeWebId || wvs[i].id === launch.id ||
					wvs[i].id == "html/home.html" || wvs[i].id == "html/diary_edit.html" || wvs[i].id == "html/my.html"|| wvs[i].id == "html/mall.html"|| wvs[i].id == "html/city.html" || wvs[i].id == "html/information.html"|| wvs[i].id == "main") {
					continue; 
				} else {
					wvs[i].close('none');　　 //关闭中间的窗口对象，为防止闪屏，不使用动画效果；
				}
			}
			self.close("slide-out-right");
			var view=plus.webview.getWebviewById('main');
			mui.fire(view,'go_home');
			
			var view=plus.webview.getWebviewById('html/my.html');
			mui.fire(view,"loginSuccess",{isLogin:1});
		})
	}
	
	
	
	function plusReady(){
		
	}
	if(window.plus){
		plusReady();
	}else{
		document.addEventListener("plusready",plusReady,false);
	}
	return new appleLogin_contr();
});