define(["NetMannager","UserCache"], function(net,UserCache){
	var list =[];
	var _this;
	function appleLogin_model(){
		_this=this;
	}

	
	
	//绑定手机登录
	appleLogin_model.prototype.phone_login = function(_phone,code,func){
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			var appid = sdata.appid;
			var info = plus.push.getClientInfo();
			var clientid=info.clientid;
			var param={
				appleId: appid,
				phone  : _phone,
				yzm    : code,
				ClientID : clientid,
				ModelID  : localStorage.getItem('vendor')+","+localStorage.getItem('model')
			}
			net.getMessage(param,"SetAppleId", function(data){ 
				if(data.state==1){			
					_this.saveCache(data);
					localStorage.setItem("isphone",1);    
					if(typeof(func)==="undefined"){
						console.log("回调方法不可用");		
					}else{
						func(data);
					}
				}
			});
		})
	}
	
	
	
	//获取验证码
	appleLogin_model.prototype.get_yzm = function(phone,func) {
		var param={
			phone   : phone
		}
		net.getMessage(param,"SendPayPasswordYZM ", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
			if(data.success==false){
				mui.toast("验证码发送频繁，请稍后再试！");
			}
		})
	}
	
	
	
	appleLogin_model.prototype.saveCache = function(data) {
		UserCache.saveCache(JSON.stringify(data.data));  	//缓存用户所有信息
		UserCache.saveUserToken(data.data.ID);				//缓存用户的唯一标识ID
		UserCache.saveLoginToken(data.data.Token);			//缓存用户唯一的token
		UserCache.saveTokenTimeOut(data.data.TokenTimeOut);	//TokenTimeOut有效时间
	}
	
	
	return new appleLogin_model();
});

