define(["bank_model","UserCache"], function(model,UserCache) {
	var _this=null;
	function bank_contr() {
		_this = this;
	}
	var hvm = new Vue({
		el: "#top",
		data: {
			
		},
		methods: {
			back:function(){
				mui.back();
			},
			addcard:function(){
				mui.openWindow({
					url:"addBank.html",
					id :"addBank.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}
		}
	})
	
	var vm = new Vue({
		el: ".mui-content",
		data: {
			list : [],
			num  : 0,
			isNetWork : 0
		},
		methods:{
			DeleteBankCard :function(id,index){
				for(var i=0;i<vm.list.length;i++){
					if(id==vm.list[i].ID){
						var arry=[];
						arry.push(id);
						model.removeBank(arry,function(data){
							if(data.state==1){
								vm.num--;
								$(".mui-table-view").eq(index).hide();
								mui.toast(data.text);
								if(vm.num==0){
									vm.list = null;
								};
							}
						})
						break;
					}
				}
			},
			inpBank:function(id){
				for(var i=0;i<vm.list.length;i++){
					if(id==vm.list[i].ID){
						if(!vm.list[i].IsDefault){
							vm.list[i].IsDefault = true;
							model.inpBank(id,function(data){
								mui.toast(data.data);
							})
						}else{
							break;
						}
					}else{
						vm.list[i].IsDefault = false;
					}
				}
			}
		}
	});
	
	bank_contr.prototype.init = function() {
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				model.init(function(data){
					if(data.state==1){
						vm.list = data.data;
						vm.num = vm.list.length;
						for(var i=0;i<vm.list.length;i++){
							var str2 =""+vm.list[i].CardNo;				
							vm.list[i].CardNo = str2.substr(str2.length-4);
						}
					}else{
						vm.list =null;
					}
				});
			}
		})
	}
	
	
	window.addEventListener('bankSubmit',function(){
		_this.init();
	})
	return new bank_contr();
})
