define(['business_model',"UserCache"], function(model,UserCache) {
	var _this=null;
	function business_control(){
		_this=this;
	}
	
	var hvm=new Vue({
		el:"#top",
		data:{
			searchVal : ""
		},
		methods:{
			goSearch:function(){
				mui.openWindow({
					url : "search.html",
					id  : "search.html",
					extras:{
						Type  : 2
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			onFocus:function(){
				$(".searchIcon").hide();
				$("#inp").attr("placeholder","");
			},
			onblur:function(){
				if(this.searchVal.length>0){
					$(".searchIcon").hide();
				}else{
					$(".searchIcon").show();
					$("#inp").attr("placeholder","搜索商学院期刊名称");
				}
			},
			goLesson:function(){	//最近学习闹钟小图标
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url: "nearLesson.html",
						id : "nearLesson.html",
						styles: {
			                popGesture: 'close' ,
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					mui.openWindow({
						url: "login.html",
						id : "login.html",
						styles: {
			                popGesture: 'close' ,
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			}
		}
	});
			
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			isNetWork : 0,
			newID : "",
			hot : [],
			his : [],
			lanMu: [],
			isTrue : "",
			LanmuTitle : ""
		},
		methods:{
			lessonDeault :function(index){
				if(vm.isTrue==true){
					mui.openWindow({
						url: "lessonDeault.html",
						id : "lessonDeault.html",
						extras:{
							ID : index
						},
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					if(UserCache.userIsLogin()){
						mui.openWindow({
							url: "lessonDeault.html",
							id : "lessonDeault.html",
							extras:{
								ID : index
							},
							styles: {
				                popGesture: 'close',
								"contentAdjust":false 
				            },
							waiting:{
						      autoShow:false
						    }
						})
					}else{
						mui.openWindow({
							url: "login.html",
							id : "login.html",
							styles: {
				                popGesture: 'close' ,
								"contentAdjust":false 
				            },
							waiting:{
						      autoShow:false
						    }
						})
					}
				}
			},
			lookAll:function(){
				mui.openWindow({
					url: "busniessList.html",
					id : "busniessList.html",
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}
		}
	})
	
	business_control.prototype.init = function(){
		_this.isShowBuy();
		_this.dataNew();
		_this.dataHot();
		_this.dataHis();
		_this.initbanner();
		_this.dataLanMu();
	}
	
	

	business_control.prototype.isShowBuy = function() {
		model.isShowBuy(function(data){
			if(data.state==1){
				vm.isTrue = data.data;
			}
		})
	}
	
	business_control.prototype.dataNew = function() {
		model.dataNew(function(data){
			if(data.state==1){
				$(".dataNew").attr("src",data.data[0].BannerPhoto);
				vm.newID = data.data[0].ID;
			}
		})
	}
	
	business_control.prototype.dataHot = function() {
		model.dataHot(function(data){
			vm.hot = data.data;
		})
	}
	
	business_control.prototype.dataLanMu = function() {
		model.dataLanMu(function(data){
			if(data.state==1){
				vm.lanMu = data.data.data;
				vm.LanmuTitle = data.data.title;
			}else{
				vm.lanMu = null;
			}
		})
	}
	
	
	business_control.prototype.dataHis = function() {
		model.dataHis(function(data){
			if(data.state==1){
				vm.his = data.data;
			}
		})
	}
	business_control.prototype.initbanner = function() {
		setTimeout(function() {
			mui('.mui-scroll-wrapper').scroll({
				scrollX : true,
				indicators: false, //是否显示滚动条
				deceleration: 0.0009,
				bounce: false
			});
		}, 100);
	}
	
	
	
	//后台返回前台，从新刷新
	window.addEventListener('resume', function(e) {
		_this.init();
	});
	return new business_control();
});