define(['cashGetSetPass_model'], function(model) {
	function cashGetSetPass_contr(){
		_this=this;
	}

	
	var vm=new Vue({
		el:".mui-content",
		data:{
			type      : "",
			list : [],								//控制输入框的位数长度
			num  : -1,
			code : [],
			codeStr : "",
			maxLen : 6,
			
			 
			isInitByFlower : 0
		},
		created:function(e){
			this.init();
		},
		methods:{
			init:function(){
				for(var i=0;i<this.maxLen;i++){
					var obj = {
						text : "",
						isColor : false
					}
					this.list.push(obj);
				}
			},
			choose:function(index){									//防止输入6位后还可以输入
				if(this.num>this.maxLen-2){
					return false;
				}
				this.num++;	
				if(index==0){
					this.list[this.num].text  = "0";
				}else{
					this.list[this.num].text = index;
				}
				this.list[this.num].isColor = true;
				this.code.push(index);
				if(this.code.length>this.maxLen-2-1){
					this.codeStr = this.code.join('');
				}
				
				//如果输入4位了就跳转带设置页面.具体要接口验证
				if(this.num==5){
					if(vm.type==0){
						model.setPass(this.codeStr,function(data){
							if(data.state==1){
								mui.toast("设置成功");
								_this.event();
							}else{
								mui.toast(data.text);
							}
						});
					}
					if(vm.type==1){
						model.changePass(this.codeStr,function(data){
							if(data.state==1){
								mui.toast("修改成功");
								_this.event();
							}else{
								mui.toast(data.text);
							}
						});
					}
					if(vm.type==2){
						model.resizePass(this.codeStr,function(data){
							if(data.state==1){
								mui.toast("重置成功");
								_this.event();
							}else{
								mui.toast(data.text);
							}
						});
					}
				}
			},			
			clear:function(){
				this.num  = -1;
				this.code = [];
				for(var i=0;i<this.list.length;i++){
					this.list[i].text = "";
					this.list[i].isColor = false;
				}
			},
			remove:function(){
				if(this.num>=0){
					this.list[this.num].text = '';
					this.list[this.num].isColor = false;
					this.code.splice(this.num,1);
					this.codeStr = this.code.join('');
					this.num--;
				}
			}
		}
	})
	cashGetSetPass_contr.prototype.init = function(){
		mui.plusReady(function () {
		    var sdata = plus.webview.currentWebview();
			vm.type = sdata.index;
			vm.isInitByFlower = sdata.type;
		})
	}
	cashGetSetPass_contr.prototype.event = function(){
		var safeView = plus.webview.getWebviewById('account_safe.html');
		var selfView = plus.webview.currentWebview();
		var cashView = plus.webview.getWebviewById('cashPass.html');
		var codeView = plus.webview.getWebviewById('cashGetCode.html');
		var myView   = plus.webview.getWebviewById('html/my.html');
		var floView  = plus.webview.getWebviewById('flower.html');
		var inpView  = plus.webview.getWebviewById('inpCashPass.html');
		var outView  = plus.webview.getWebviewById('cashOut.html');
		mui.fire(myView,"isShowEvent");
		if(codeView){
			codeView.close("none");
		}
		if(cashView){
			cashView.close("none");
		}
		if(inpView){
			inpView.close("none");
		}
		if(outView){
			outView.close("none");
		}
		if(vm.isInitByFlower==1){			//我的花瓣--设置兑换密码
			floView.show();
		}else if(vm.isInitByFlower==3){		//兑换身份验证，忘记密码--忘记密码
			mui.fire(floView,"cashRefresh");
			floView.show();
		}else{
			safeView.show();
		}
		setTimeout(function(){
			selfView.close("none");
		},1000);
		
		
	}
	return new cashGetSetPass_contr();
});