define(['couponTwo_model',"Config"], function(model,Config) {
	var _this=null;
	
	var mescrollArr=new Array(3);
	var curNavIndex=0;
	var mescroll=null;
	function couponTwo_control(){
		_this=this;
	}
	var vm=new Vue({
		el:"#swiper",
		data:{
			notUsed : [],					//未使用
			alreadyUsed:[],					//已使用
			outDate:[],						//已过期
			notrowss : 10,					
			notpage  : 1,
			alreadyrows : 10,
			alreadypage : 1,
			outrows:10,
			outpage:1,
			isNetWork : 0
		},
		methods:{
			my:function(){
			   mui("#slider").on('tap', '.lookOut', function (event) {        	
                    this.click();
               });
               mui("#slider").on('tap', '.goUser', function (event) {        	
                    this.click();
               });
			},
			lookOut:function(){
				mui.back();
			},
			goMall:function(){
				_this.mall();
			}
		}
	})
	couponTwo_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				vm.isNetWork = 1;
				return false;
			}else{
				vm.my();
				_this.init_scroll();
				_this.medown();
			}
		})
	}
	
	
	//滑动初始化
	couponTwo_control.prototype.init_scroll = function(){
		setTimeout(function() {
			mui(".mui-slider").slider({
				interval: 0
			});
			mui('.mui-scroll-wrapper').scroll({
				indicators: false, //是否显示滚动条
				deceleration: 0.0005
			});
		}, 1000);
	}
	
	
	couponTwo_control.prototype.getnotUsed = function(){
		model.getnotUsed(vm.notrowss,vm.notpage,function(data){										//未使用
			vm.notUsed = model.returnnotUsed();
		});
	}
	couponTwo_control.prototype.getalreadyUsed = function(){
		model.getalreadyUsed(vm.alreadyrows,vm.alreadypage,function(data){							//已使用
			vm.alreadyUsed =model.returnalreadyUsed();
		});
	}
	couponTwo_control.prototype.getoutDate = function(){
		model.getoutDate(vm.outrows,vm.outpage,function(data){										//已过期
			vm.outDate=model.returnoutDate();
		});
	}
	
	
	

	
	//返回首页
	couponTwo_control.prototype.mall = function(){
//		var sdata=plus.webview.currentWebview();
//		var self = plus.webview.currentWebview();　　 	 //当前窗口对象 
//		var launch = plus.webview.getLaunchWebview();　　 //首页窗口对象 
//		var wvs = plus.webview.all();　　				 //所有窗口对象	
//		for(var i = 0, len = wvs.length; i < len; i++) {
//			if(wvs[i].id === self.id || wvs[i].id === localStorage.homeWebId || wvs[i].id === launch.id ||  wvs[i].id == "couponOne.html" ||
//				wvs[i].id == "html/home.html" || wvs[i].id == "html/diary_edit.html" || wvs[i].id == "html/my.html"|| wvs[i].id == "html/mall.html"|| wvs[i].id == "html/city.html" || wvs[i].id == "city.html"|| wvs[i].id == "html/information.html"|| wvs[i].id == "main") {
//				continue; 
//			} else {
//				wvs[i].close('none');　　 //关闭中间的窗口对象，为防止闪屏，不使用动画效果；
//			}
//		}
//		self.close("slide-out-right");
//		var view=plus.webview.getWebviewById('main');
//		mui.fire(view,'go_mall');
		
		var view=plus.webview.currentWebview().opener();
		mui.fire(view,"one");
	}
	
	
	
	
	
	//下拉刷新----上拉加载
	couponTwo_control.prototype.medown = function(){
		//初始化首页
		mescrollArr[curNavIndex]= _this.initMescroll(curNavIndex);  
		$("#nav li").click(function(){
			var i=Number($(this).attr("i"));
			swiper.slideTo(i);//以轮播的方式切换列表
		})
		var swiper=new Swiper('#swiper', {
	        onTransitionEnd: function(swiper){
	        	var i=swiper.activeIndex;//轮播切换完毕的事件
	        	_this.changePage(i);
		    }
	    });
	}
	
	
	//切换列表
	couponTwo_control.prototype.changePage = function(i){
			var curNavDom;//当前菜单项
			$("#nav li").each(function(n,dom){
				if (dom.getAttribute("i")==i) {
					dom.classList.add("active");
					curNavDom=dom;
				} else{
					dom.classList.remove("active");
				}
			});
			
		
			
			//隐藏当前回到顶部按钮
			mescrollArr[curNavIndex].hideTopBtn();
			//取出菜单所对应的mescroll对象,如果未初始化则初始化
			if(mescrollArr[i]==null){
				mescrollArr[i]=_this.initMescroll(i);
			}else{
				//检查是否需要显示回到到顶按钮
				var curMescroll=mescrollArr[i];
				var curScrollTop=curMescroll.getScrollTop();
//				curMescroll.triggerDownScroll();				//刷新
				
				if(curScrollTop>=curMescroll.optUp.toTop.offset){
					curMescroll.showTopBtn();
				}else{
					curMescroll.hideTopBtn();
				}
			}
			//更新标记
			curNavIndex=i;
	}
	
	
	
	
	
	couponTwo_control.prototype.initMescroll = function(index){
		//创建MeScroll对象,内部已默认开启下拉刷新,自动执行up.callback,刷新列表数据;
		mescroll = new MeScroll("mescroll"+index, {
			//上拉加载的配置项
			down:{										//下拉刷新
				offset:$(".scrollx").height(),
				auto:false,
				callback:function(){ 
					if(curNavIndex==0){
						model.getnotUsed(10,1,function(data){ 
							if(data.state==1){
								mescrollArr[curNavIndex].resetUpScroll();
							}else{
								setTimeout(function(){
									mescrollArr[curNavIndex].endErr();
								},1000)
							}
						})
					}
					else if(curNavIndex==1){
						model.getalreadyUsed(10,1,function(data){ 
							if(data.state==1){
								mescrollArr[curNavIndex].resetUpScroll();
							}else{
								setTimeout(function(){
									mescrollArr[curNavIndex].endErr();
								},1000)
							}
						})
					}
					else if(curNavIndex==2){
						model.getoutDate(10,1,function(data){ 
							if(data.state==1){
								mescrollArr[curNavIndex].resetUpScroll();
							}else{
								setTimeout(function(){
									mescrollArr[curNavIndex].endErr();
								},1000)
							}
						})
					}
				}
			},
			up: {			  					//上拉加载
				callback: function(page){
					var dataIndex=curNavIndex; 
					var arry =[];
					setTimeout(function(){
						if(dataIndex==0){		//未使用
							model.getnotUsed(page.size,page.num,function(data){
								if(data.state==1 || data.state==2){
									arry = model.returnnotUsed();
									if(arry==null){
										mescrollArr[dataIndex].endSuccess(0);
									}else{
										mescrollArr[dataIndex].endSuccess(arry.length);
										if(page.num==1){
											vm.notUsed = arry;
										}else{
											for(var i=0;i<arry.length;i++){
												vm.notUsed.push(arry[i]);
											}
										}
									}
								}else{
									 mescrollArr[dataIndex].endErr();
									 vm.notUsed = null;
								}
							})
						}
						else if(dataIndex==1){ //已使用
							model.getalreadyUsed(page.size,page.num,function(data){
								if(data.state==1 || data.state==2){
									arry = model.returnalreadyUsed();
									if(arry==null){
										mescrollArr[dataIndex].endSuccess(0);
									}else{
										mescrollArr[dataIndex].endSuccess(arry.length);
										if(page.num==1){
											vm.alreadyUsed = arry;
										}else{
											for(var i=0;i<arry.length;i++){
												vm.alreadyUsed.push(arry[i]);
											}
										}
									}
								}else{
									 mescrollArr[dataIndex].endErr();
									 vm.alreadyUsed=null;
								}
							})
						}
						else if(dataIndex==2){ //已过期
							model.getoutDate(page.size,page.num,function(data){
								if(data.state==1 || data.state==2){
									arry = model.returnoutDate();
									if(arry==null){
										mescrollArr[dataIndex].endSuccess(0);
									}else{
										mescrollArr[dataIndex].endSuccess(arry.length);
										if(page.num==1){
											vm.outDate = arry;
										}else{
											for(var i=0;i<arry.length;i++){
												vm.outDate.push(arry[i]);
											}
										}
									}
								}else{
									 mescrollArr[dataIndex].endErr();
									 vm.outDate = null;
								}
							})
						}
				    },1000);
				},
				toTop:{ //配置回到顶部按钮
					src : Config.mescroTopImg, //默认滚动到1000px显示,可配置offset修改
				}
			}
		});
		return mescroll;
	}
	return new couponTwo_control();
});