define(["diary_edit_model","util","UserCache","Config"], function(model,util,UserCache,Config) {
	var _this=null;
	var imglen = 6;     //最多4张图片
	function diary_edit_control(){
		_this=this;
	}
	var hvm=new Vue({
		el:"#top",
		data:{
		},
		methods:{
			close:function(){
				var self= plus.webview.currentWebview();
				self.hide("slide-out-bottom");
				setTimeout(function(){
					var edit = plus.webview.currentWebview().opener();
	     			mui.fire(edit,"go_home");
				},200)
			}
		}
	})
	
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			count:"",                                 //字体数量
			photo_img: [],							  //图片数组
			flag : true,
			isNetWork:0,
			Cindex : 0								  //当前放大图片的小标
		},
		methods:{
			btnSumbit:function(){
				if(vm.photo_img.length<2  || vm.photo_img.length>6 || vm.count.trim().length<30){
					if(vm.photo_img.length<2){
						mui.alert("至少2张图片！");
					}else if(vm.count.trim().length<30){
						mui.alert("文字内容最少不低于30个字");
					}else if(vm.photo_img.length>6){
						mui.alert("最多可以上传6张图片");
					}
				}else{																	//还要上传照片到服务器
					if(vm.flag){
						_this.sumbit();
					}
				}
			},
			get_photo: function() {													//拍照
				if(vm.photo_img.length >= imglen) {
					mui.alert("最多可以上传" + imglen + "张图片");
					return;
				}
				if(mui.os.plus) {
					var a = [{
						title: "拍照"
					}, {
						title: "从手机相册选择"
					}];
					plus.nativeUI.actionSheet({
						cancel: "取消",
						buttons: a
					}, function(b) { /*actionSheet 按钮点击事件*/
						switch(b.index) {
							case 0:
								break;
							case 1:
								util.getImageFromCamera(function(path) {
									vm.photo_img.push(path);
	
								}); /*拍照*/
								break;
							case 2:
								util.galleryImgMore(function(path) {
									vm.photo_img.push(path);
						
								}); /*打开相册*/
								break;
							default:
								break;
						}
					})
				}
			},
			close_img:function(index){						//删除照片
				for(var i=0;i<vm.photo_img.length;i++){
					if(index==i){
						vm.photo_img.splice(i, 1);
					}
				}
		
			},
			choose:function(index,src){						//图片放大
				$(".bigImg").fadeIn();
				$(".bigImg img").attr("src",src);
				vm.Cindex = index;
			},
			deleteImg:function(){						    //删除图片按钮
				for(var i=0;i<vm.photo_img.length;i++){
					if(vm.Cindex==i){
						vm.photo_img.splice(i, 1);
						$(".bigImg").fadeOut();
						break;
					}
				}
			},
			imgClick:function(){
				$(".bigImg").fadeOut();
			},
			closeInfo:function(){
				$(".alertInfo").fadeOut();
			}
		}
	})
	
	
	
	diary_edit_control.prototype.init = function(){
		$(".bigImg").hide();
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				setTimeout(function() {
					mui('.mui-scroll-wrapper').scroll({
						indicators: false, //是否显示滚动条
						deceleration: 0.0005
					});
				}, 1000);
			}
		})
	}
	
	
	
	
	

	diary_edit_control.prototype.sumbit = function() {
		vm.flag = false;												//每次只能点击一次
		//上传多张图片
		var server = Config.DIARYUPLOADMIMG;
		util.jyUPLoaders(server,vm.photo_img,function(data){
			var jonData = eval("("+data.responseText+")");				//转化为js的json对象
			
			var  list=[];
			list=jonData.data;	
			var info={
				UserId	: UserCache.getUserToken(),
				Pic1	: list[0],	
				Pic2	: list[1],		
				Pic3    : list[2],	
				Pic4	: list[3],	
				Pic5	: list[4],	
				Pic6	: list[5],	
				Describe: vm.count,
				Click	: 0,
				Zan		: 0,
				DiscussNum :0
			}
			model.init(info,function(data){
				
				if(data.state==1){
					var id= data.data;
					model.checkDiary(id,function(){
						
					})
				}
				
				var self= plus.webview.currentWebview();
				self.hide("slide-out-bottom");
				
				setTimeout(function(){
					//返回首页
					var edit = plus.webview.currentWebview().opener();
	     				mui.fire(edit,"go_home"); 
	     				
	     			//首页数据的刷新
	   				var view = plus.webview.getWebviewById('html/home.html');
	   					mui.fire(view,"home"); 
	 				
	 				
	 				var view3 = plus.webview.getWebviewById('html/my.html');
	   					mui.fire(view3,"loginSuccess");
				},200)

 				mui.toast(data.text);
 				vm.photo_img =[];
 				vm.count = "";
			});
		});
	}
	
	
	window.addEventListener('isFlag',function(e){
		vm.flag = e.detail.flag;
	})
	return new diary_edit_control();
});