define(["diary_xq_model",'UserCache',"util","shareList","Config"], function(model,UserCache,util,shareList,Config) {
	var _this=null;
	var num=10000;
	var a=false;
	var myDate =new Date();
	
	Vue.use(VueLazyload, {
		preLoad: 1.3,
		error: Config.ERROR_IMG,			//当加载图片失败的时候
		loading: Config.LOAD_IMG,			//当加载图片成功的时候
		attempt: 1							//尝试次数
	});
	
	function diary_xq_controller() {
		_this = this;
	}
	
	var vm=new Vue({
		el:".page",
		data:{
			is_gz : true,      							 //是否关注
			is_zan: true,								 //是否点赞
			is_star:"",								 	 //是否收藏
			is_showFace:true,    						 //是否展示表情
			zan_num:0,								 	 //点赞数
			star_num:0,								     //收藏数
			DiscussNum:"",								 //评论
			FaceList:[],		  						 //总表情数
			pages:"",            						 //总页数
			faceNum:24,				  					 //每页显示24个图标
			DiaryId : "",								 //评论传参用的日记id
			ZanCount: 0,
			ZanList: [],
			ParentId : null,	
			talk_list :[],
			talk_ALL_list:[],
			showAll_img:[], 							 //显示所有图片
			showTow_img:[],								 //默认展示2张图
			DiscussCount:"",							 //全部评论数
			id:"",
			my_UserId : "",								 //用来判断，如果是userid，跟日记里面的userid一样就不显示，因为自己不用关注自己	
			ReceiverID :null,
			zan_ID:"",
			Describe : "",
			CheckStatus: "",							 //日记是否审核通过，显示图片
			IsShow	:""
		},
		methods:{
			sheet:function(){
				if(UserCache.userIsLogin()){
					mui("#sheet").popover('toggle');
				}else{
					mui.openWindow({
						url:"login.html",
						id :"login.html",
						styles: {
			                popGesture: 'close' ,
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			goZanlist:function(index){
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url:"zanList.html",
						id :"zanList.html",
						extras:{
							type : 1,
							ID   : vm.id
						},
						styles: {
			                popGesture: 'close' ,
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					util.goLogin();
				}
			},
			pinglun:function(index,ReceiverID){
				vm.ParentId = index;
				vm.ReceiverID = ReceiverID;
				_this.is_login(0);
			},
			my_content:function(index){						//头像跳转
				if(UserCache.userIsLogin()){
					var cont = plus.webview.getWebviewById("my_content.html");
					if(cont){
						plus.webview.close("my_content.html","none");
					}
					setTimeout(function(){
						mui.openWindow({
							url : "my_content.html",
							id  : "my_content.html",
							extras:{
						   	  UserId : UserCache.getUserToken(),
						   	  RequestID : index,
						   	  type   : 2
						  	},
							styles: {
				                popGesture: 'close' ,
								"contentAdjust":false 
				            },
							waiting:{
						      autoShow:false
						   }
						})
					},100)
				}else{
					mui.openWindow({
						url:"login.html",
						id :"login.html",
						styles: {
			                popGesture: 'close' ,
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			keyClose:function(){
				$(".my_footer").show();
				$(".msg_send").hide();
				$("#form_article").val("");
			},
			gz:function(){
				_this.is_login(1);						//是否关注
			},
			check_img:function(){						//图片放大开启
				mui('#big_img').popover('show');
			},
			zan:function(id){							//是否点赞
				_this.is_login(2,id);
			},
			star:function(){							//是否收藏
				_this.is_login(3);
			},
			talk_list_Zan:function(index,id,ReceiverID,ID){//评论点赞
				_this.isZan(index,id,ReceiverID,ID)
			},
			inp:function(){							//软键盘不会呗覆盖
				setTimeout(function(){  
				    document.body.scrollTop = document.body.scrollHeight;  
				},100); 
			},
			see_all:function(index,t,num,ID){						//查看50条全部评论
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url : "look_comment.html",
						id  : "look_comment.html",
						styles: {
			                popGesture: 'close' ,
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					   },
					   extras:{
					   	  rev   : vm.my_UserId,
					   	  pl_id : index,
					   	  sec   : t,
					   	  num   : num,
					   	  type  : 1									//type为1就是日记详情跳转全部页面，为了区分全部评论里面发送评论区别接口，是日记进来的还是会议进来的查看全部
					   }
					})
				}else{
					mui.openWindow({
						url:"login.html",
						id :"login.html",
						styles: {
			                popGesture: 'close' ,
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			send:function(){
				_this.send_pl(vm.ParentId);
				$(".my_footer").show();
				$(".msg_send").hide();
				$("#form_article").val("");
			}
		}
	})
	
	
	//特殊模块
	var Svm=new Vue({
		el:".Sheet",
		data:{
			choose_tab:["广告信息","不实信息","敏感信息","淫秽信息","人身攻击","抄袭我内容"],
			flag      : false,
			adtxt     : ""								 //举报内容
		},
		methods:{
			share:function(){
				if(UserCache.userIsLogin()){
					shareList.shareData1(1,vm.DiaryId,UserCache.getUserToken(),function(data){
						util.share("花期美丽日记",vm.Describe,data.data.Url);
					});
				}else{
					mui.openWindow({
						url:"login.html",
						id :"login.html",
						styles: {
			                popGesture: 'close' ,
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			jubao:function(){
				if(UserCache.userIsLogin()){
					mui("#sheet2").popover('toggle');
				}else{
					mui.openWindow({
						url:"login.html",
						id :"login.html",
						styles: {
					        popGesture: 'close' ,
							"contentAdjust":false 
					    },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			inpChoose:function(txt){
				Svm.adtxt = txt;
			},
			choose_tab_sub:function(){
				// mui.toast("提交成功,我们会严格审查您所反馈的信息！");
				model.tipOff(Svm.adtxt,vm.DiaryId,function(data){
					mui.toast(data.text);
				})
				mui("#sheet2").popover('hide');
				mui("#sheet").popover('hide');
			},
			inBlack:function(){			//加入黑名单
				model.inBlack(vm.my_UserId,function(data){
					if(data.state==1){
						mui.toast("已拉黑该用户!");
						mui("#sheet").popover('hide');
						_this.BlackEvent();
					}else{
						mui.toast(data.text);
					}
				});
			},
			sheetDetele:function(){	
				var btn=["否","是"];
				mui.confirm("你确定要删除该日记吗","",btn,function(e){
					if(e.index==1){
						model.removeDiary(vm.DiaryId,function(data){
							if(data.state==1){
								_this.isShowEvent();
								var my=plus.webview.getWebviewById("html/my.html");			//我的页面要刷新那个日记数量
									mui.fire(my,"isShowEvent");
								setTimeout(function(){		//让他有足够的时间去刷新，不加其实也没事，为了以防万一；为了兼容安卓要先关闭窗口才能返回；
									mui("#sheet2").popover('hide');
									mui("#sheet").popover('hide');
									mui.back();
								},100);
							}else{
								mui.toast(data.text);
							}
						});
					}
				})
			},
			setMy:function(){
				model.setShowOrHide(vm.DiaryId,!vm.IsShow,function(data){
					if(data.state==1){
						if(vm.IsShow){				//如果当前的为显示状态，
							$(".setMy").text("显示");
							vm.IsShow = false;
						}else{						//如果当前的设为隐私状态
							$(".setMy").text("设为隐私");
							vm.IsShow = true;
						}
						_this.isShowEvent();
					}else{
						mui.toast(data.text);
					}
				})
			}
		}
	})
//	
	diary_xq_controller.prototype.isShowEvent = function() {
		var view = plus.webview.currentWebview().opener();
		mui.fire(view,"isShowEvent");
		
		
		var home=plus.webview.getWebviewById("html/home.html");
		mui.fire(home,"isShowEvent");
	}
	
	

	
	
	diary_xq_controller.prototype.init = function() {
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			var id = sdata.diaryID;
			vm.zan_ID = sdata.diaryID;
			$("html").css("height","100%");
			model.getdata(id,function(data){
				console.log("data: " + JSON.stringify(data));
				$(".titlePhoto").show();										//头像
				$(".titlePhoto").attr("src",data.data.UserPhoto);				//头像
				$(".titleInfo div").eq(0).text(data.data.UserName);				//姓名
				$(".titleInfo div").eq(1).text(data.data.CreateDt);				//日期
				$(".card_txt").html(data.data.Describe);						//简介文字，两张图片下面的
				$(".card_num").text(data.data.Click);							//浏览量
				vm.my_UserId = data.data.UserID;								//用户id，用来判断是否显示已关注	
				vm.UserName	 = data.data.UserName;								//谁回复谁
				vm.Describe  = data.data.Describe;
				vm.CheckStatus=data.data.CheckStatus;							//是否显示未审核水印图片
				vm.is_zan     =data.data.ZanState;								
				vm.ZanCount   =data.data.ZanCount;
				vm.ZanList    =data.data.ZanList;
				vm.IsShow	  =data.data.IsShow;
	
				if(vm.CheckStatus==false){
					$(".notPass").show();
				};
				if(vm.my_UserId == UserCache.getUserToken()){					//如果是自己进来的
					$(".card_btn").hide();
					$(".inBlack").hide();
					// $("#sheet").css("height","4rem");
					$(".sheetDetele").show();
					$(".setMy").show();
					if(vm.IsShow){				//如果是true则显示，
						$(".setMy").text("设为隐私");
					}else{						//如果为false则隐藏
						$(".setMy").text("显示");
					}
				}else{
					$(".card_btn").show();
				}
				vm.DiscussNum=data.data.DiscussNum;							    //评论数
				for(var g=1;g<=30;g++){
					if(vm.DiscussNum>=g*num && vm.DiscussNum<(g+1)*num){
						vm.DiscussNum = g*num+"万";
					}
				}
				
				vm.zan_num = data.data.Zan;										//点赞量
				vm.DiaryId = data.data.ID;										//点击评论时，要发送的参数
				vm.id = data.data.ID;										    //全部评论要发送的参数，虽然设置一样，但是区分开以防混乱
				vm.DiscussCount=data.data.DiscussCount;							//全部评论数量
				vm.is_star = data.data.FacoriteState;							//是否收藏
				vm.star_num =data.data.FavorNum;								//收藏数量
				vm.talk_ALL_list = model.getList();					    		//全部评论数据
				
				
				if(vm.talk_ALL_list !=null){
					for(var i=0;i<vm.talk_ALL_list.length;i++){
						vm.talk_list.push(vm.talk_ALL_list[i]);
					}												
				}
				if(!a){
					_this.big_img(data);										//图片放大
					a=true;
				}
				_this.check_gz();
				_this.len(data.data.Zan,data.data.FavorNum);
			});
		})

		setTimeout(function() {
			mui(".mui-slider").slider({
				interval: 0
			});
			mui('.mui-scroll-wrapper').scroll({
				indicators: false, //是否显示滚动条
				deceleration: 0.0005
			});
		}, 1000);
	}
	


	
	
	//评论区是否点赞
	diary_xq_controller.prototype.isZan = function(index,id,ReceiverID,ID) {
		if(UserCache.userIsLogin()){
			for(var i=0;i<vm.talk_list.length;i++){
				if(index==i){
					vm.talk_list[i].ZanStates = !vm.talk_list[i].ZanStates;
					if(vm.talk_list[i].ZanStates){
						vm.talk_list[i].Zan++;
						var mouth = myDate.getMonth()+1+"月";	//获取当前月份
						var Date  = myDate.getDate()+"日";		//获取当前日数
						var msg = UserCache.getUserInfo().Name+" "+mouth+Date+"给你点了赞！";
						model.ClickZanInDiscussTrue(1,ID,ReceiverID,msg,id,function(){})
					}else{
						vm.talk_list[i].Zan--;
						model.ClickZanInDiscuss(2,ID,function(){})
					}
					break;
				}
			}
		}else{
			mui.openWindow({
				url:"login.html",
				id :"login.html",
				styles: {
	                popGesture: 'close' ,
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		}
	}
	
	//收藏
	diary_xq_controller.prototype.is_collect = function(){
		model.collect_data(vm.id,function(data){
			if(data.state==1){
				_this.myEventcollect();
			}else{
				mui.toast(data.text)
			}
		})
	}
	//取消收藏
	diary_xq_controller.prototype.cancle_collect = function(){
		model.cancle_collect(vm.id,function(data){
			if(data.state==1){ 
		
				_this.myEventcollect();
			}else{
				mui.toast(data.text)
			}
		})
	}
	
	
	//点击评论,发送
	diary_xq_controller.prototype.send_pl = function(index){
		var str = $("#form_article").val();	
		var str2 = util.clearHtml(str);
		if(str2 ==""){
			mui.toast('评论不能为空');
			return;
		}
		var info= {
			DiaryId	 :  vm.DiaryId,
			ParentId :  index,
			UserId :    UserCache.getUserToken(),
			Discuss:   encodeURI($("#form_article").val()),         //输入的内容
			Zan:0
		}
		model.send_data(info,vm.ReceiverID,vm.DiaryId,$("#form_article").val(),function(data){				//评论完成后，重新刷新数据
			vm.ReceiverID = vm.my_UserId;    //重置
			vm.talk_ALL_list =[];
			vm.talk_list =[];
			_this.init();
			_this.refreshHome();
		})
	}
	
	
	
	//图片放大
	diary_xq_controller.prototype.big_img = function(data){
		var arry=[];
		arry.push(data.data.Pic1);
		arry.push(data.data.Pic2);
		arry.push(data.data.Pic3);
		arry.push(data.data.Pic4);
		arry.push(data.data.Pic5);
		arry.push(data.data.Pic6); 
		for(var k=0;k<arry.length;k++){
			if(arry[k]!=""){
				vm.showAll_img.push(arry[k]);
			}
		}
	}
	
	
	//判断是否登录
	diary_xq_controller.prototype.is_login = function(t,id,ReceiverID){
		if(UserCache.userIsLogin()){
			if(t==0){
				$(".my_footer").hide();
				$(".msg_send").show();
				$("#form_article").focus();
				setTimeout(function(){  
				    document.body.scrollTop = document.body.scrollHeight;  
				},100); 
			}else if(t==1){
				if(vm.is_gz){
					model.addFS(vm.my_UserId,function(){
						$(".card_btn span").hide();
						$(".card_btn").text("已关注");
						$(".card_btn").css({
							"color":"rgba(204,204,204,1)",
							"background":"rgba(245,245,245,1)"
						});
						_this.myEvent();
						vm.is_gz=false;
					})
				}else{
					model.cancleGz(vm.my_UserId,function(){
						$(".card_btn").html("<img src='../icon/me_homepage_icon_attention@3x.png' /><span>关注</span>");
						$(".card_btn").css({
							"color":"white",
							"background":"linear-gradient(90deg,rgba(56,249,215,1),rgba(67,233,123,1))"
						});
						$(".card_btn span").show();
						_this.myEvent();
						vm.is_gz=true;
					})
				}
			}else if(t==2){													//底部固定点赞
				vm.is_zan=!vm.is_zan;
				if(vm.is_zan){
					vm.zan_num++;
					var mouth = myDate.getMonth()+1+"月";	//获取当前月份
					var Date  = myDate.getDate()+"日";		//获取当前日数
					var msg = UserCache.getUserInfo().Name+" "+mouth+Date+"给你点了赞！";
					model.ZanTrue(1,id,vm.my_UserId,msg,function(){
						_this.diaryevent(true);
					})
					
				}else{
					vm.zan_num--;
					model.ZanOrCancel(2,id,function(){
						_this.diaryevent(false);
					})
					
					
				}
			}else if(t==3){
				vm.is_star=!vm.is_star;
	
				if(vm.is_star){ 
					_this.is_collect();
					vm.star_num++;
				}else{							//取消收藏
					_this.cancle_collect();
					vm.star_num--;
				}
			}
		}else{
			mui.openWindow({
				url:"login.html",
				id :"login.html",
				styles: {
	                popGesture: 'close' 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		}
	}
	
	//评论发完刷新首页
	diary_xq_controller.prototype.refreshHome = function(){
		var view2=plus.webview.getWebviewById("html/home.html");
		mui.fire(view2,"home"); 
	}
	
	diary_xq_controller.prototype.diaryevent = function(t){
		var view=plus.webview.currentWebview().opener();
			mui.fire(view,"diary_list",{zan_ID:vm.zan_ID,zan_num:vm.zan_num,zan_flag:t});
		
		
		//如果是美丽日记进来的，首页的缓存也得刷新
		var viewHome = plus.webview.getWebviewById('html/home.html');
			mui.fire(viewHome,"diary_list",{zan_ID:vm.zan_ID,zan_num:vm.zan_num,zan_flag:t});
			
		var viewMyCont=plus.webview.getWebviewById('my_content.html');
			mui.fire(viewMyCont,"diary_list2");	
	}
	
	//加入黑名单后，我的关注这个数值要发生变化，首页要刷新
	diary_xq_controller.prototype.BlackEvent = function(){				
		var view2=plus.webview.getWebviewById('html/home.html');
		mui.fire(view2,"homeOther");
		
		var view2=plus.webview.getWebviewById('html/my.html');
		mui.fire(view2,"loginSuccess");
		
		_this.goHome();
	}
	//返回首页
	diary_xq_controller.prototype.goHome = function(){
		var sdata=plus.webview.currentWebview();
		var self = plus.webview.currentWebview();　　 	 //当前窗口对象 
		var launch = plus.webview.getLaunchWebview();　　 //首页窗口对象 
		var wvs = plus.webview.all();　　				 //所有窗口对象	
		for(var i = 0, len = wvs.length; i < len; i++) {
			if(wvs[i].id === self.id || wvs[i].id === localStorage.homeWebId || wvs[i].id === launch.id ||
				wvs[i].id == "html/home.html" || wvs[i].id == "html/diary_edit.html" || wvs[i].id == "html/my.html"|| wvs[i].id == "html/mall.html"|| wvs[i].id == "html/city.html" || wvs[i].id == "html/information.html"|| wvs[i].id == "main") {
				continue; 
			} else {
				wvs[i].close('none');　　 //关闭中间的窗口对象，为防止闪屏，不使用动画效果；
			}
		}
		self.close("slide-out-right");
		var view=plus.webview.getWebviewById('main');
		mui.fire(view,'go_home');
	}
	
	
	//如果有该id，则表示已关注
	diary_xq_controller.prototype.check_gz = function(index) {
		if(UserCache.getUserInfo()){
			var gz_user = UserCache.getUserInfo().listFocus;

				if(gz_user){
					for(var i=0;i<gz_user.length;i++){
						if(gz_user[i].UserID==vm.my_UserId){				//如果缓存里有这个用户关注信息，说明已经关注过了
							$(".card_btn span").hide();
							$(".card_btn").text("已关注");
							$(".card_btn").css({
								"color":"rgba(204,204,204,1)",
								"background":"rgba(245,245,245,1)"
							});
							vm.is_gz = false;
							break;
						}else{
							$(".card_btn").html("<img src='../icon/me_homepage_icon_attention@3x.png' /><span>关注</span>");
							$(".card_btn").css({
								"color":"white",
								"background":"linear-gradient(90deg,rgba(56,249,215,1),rgba(67,233,123,1))"
							});
							$(".card_btn span").show();
							vm.is_gz=true;
						}
					}
				}
			}
	}
	
	//事件的抛出，点击关注的时候，首页跟我的还有收藏  ，，，，，都要进行数据刷新,先刷新我的在刷新首页，因为首页缓存的数据要先更新我的里面缓存
	diary_xq_controller.prototype.myEvent = function(data){
		var view2=plus.webview.getWebviewById('html/my.html');				//先刷新我的页面，刷新缓存，在通过我的页面去刷新我的页面
		mui.fire(view2,'my_tab',{isGz:vm.is_gz,DriayUserID : vm.my_UserId});
		
		var view3=plus.webview.getWebviewById('my_tab_gz.html');
		mui.fire(view3,"ChangeGz",{UserId:vm.my_UserId});
		
		
		//这个事件是针对美丽日记的进来的，还有收藏日记关注进来的，如果是首页进来的上面已经抛事件到我的页面，那里已经进行处理，所以这里首页不需要在做监听
		var view=plus.webview.currentWebview().opener();
			mui.fire(view,'DirayList',{isGz:vm.is_gz,DriayUserID : vm.my_UserId});
//		setTimeout(function(){
//			var view=plus.webview.currentWebview().opener();
////			mui.fire(view,'collect');
////			mui.fire(view,'home');
////			mui.fire(view,'homeDiray',{isGz:vm.is_gz,DriayUserID : vm.my_UserId});
//		},100)
	}
	
	
	//收藏 跟首页数据美关系
	diary_xq_controller.prototype.myEventcollect = function(data){
		var view=plus.webview.currentWebview().opener();
		mui.fire(view,'collect');
	}
	
	
	
	
	diary_xq_controller.prototype.len = function(z,s){
		var z=""+z;
		var s=""+s;
		var a=z.length+s.length;
		if(a==2){
			$(".footTwo").css("width","65%");
		}else if(a==3){
			$(".footTwo").css("width","63%");
		}else if(a==4){
			$(".footTwo").css("width","60%");
		}else if(a==5){
			$(".footTwo").css("width","60%");
		}else if(a>=6){
			$(".footTwo").css("width","57%");
		}
	}
	
	
	//监听全部评论发表评论后刷新数据；
	window.addEventListener('diary_xq',function(){ 
		vm.talk_ALL_list =[];
		vm.talk_list =[];
		_this.init();
	})
	

    //点击表情的时候让软键盘出于 关闭--状态
//  document.getElementById('body').addEventListener("touchend",function(){
//     	$("#form_article").blur();
//  })
    
    document.getElementById('body').addEventListener("swipeup",function(){
	    $(".my_footer").show();
		$(".msg_send").hide();
		$("#form_article").text("");
		$("#form_article").blur();
    })
    document.getElementById('body').addEventListener("swipedown",function(){
	    $(".my_footer").show();
		$(".msg_send").hide();
		$("#form_article").text("");
		$("#form_article").blur();
    })
    
	
    
    
    //3次点赞
	window.addEventListener('diary_home',function(e){
		var zan_ID = e.detail.zan_ID;
		var zan_num = e.detail.zan_num;
		var ZanStates =e.detail.flag;
		for(var i=0;i<vm.talk_list.length;i++){
			if(zan_ID==vm.talk_list[i].ID){
				vm.talk_list[i].Zan = zan_num;
				vm.talk_list[i].ZanStates = ZanStates;
				break;
			}
		}
	})
	return new diary_xq_controller();
});