define(["NetMannager","UserCache"], function(net,UserCache){
	var list =[];
	function file_model(){
		
	}
	//初始化数据
	file_model.prototype.getData = function(videoId,func){ 
		var param = {
			videoId   : videoId,
			rows 	  : 10,
			page      : 1,
			userId  : UserCache.getUserToken(),
			token   : UserCache.getLoginToken()
		}
		net.getListMess(param,"TeamVideo/GetDetailVideoById", function(data){ 		
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	
	//是否有资格
	file_model.prototype.isCheck = function(videoId,func){
		var param = {
			id      : videoId,
			userId  : UserCache.getUserToken(),
			token   : UserCache.getLoginToken()
		}
		net.getListMess(param,"TeamVideo/CheckBuyVideo", function(data){ 		
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	//第二次校验购买
	file_model.prototype.isGoBuy = function(videoId,func){
		var param = {
			id   : videoId,
			userId  : UserCache.getUserToken(),
			token   : UserCache.getLoginToken()
		}
		net.getListMess(param,"TeamVideo/BuyVideo", function(data){ 		
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	//是否审核期
	file_model.prototype.isApple = function(func){
		net.getListMess(null,"User/GetCheckState", function(data){ 		
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	return new file_model();
});

