define(['good_list_model',"Config"], function(model,Config) {
	var _this=null;
	function good_list_control(){
		_this=this;
	}
	
	Vue.use(VueLazyload, {
		preLoad: 1.3,
		error: Config.ERROR_IMG,			//当加载图片失败的时候
		loading: Config.LOAD_IMG,			//当加载图片成功的时候
		attempt: 1							//尝试次数
	});
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			list:[],
			isNetWork:0,
			len : 0,
			Cindex : -1
		},
		methods:{
			chooseLei:function(id,name,index){
				model.initChoose(id,function(){
					var str = model.getData();
					if(str==''){
						mui.toast('暂无'+name+'该项目信息');
						return false
					}
					vm.Cindex = index;
					$("#title_name").text(name);
					vm.list = str;
				})
			},
			good_list:function(id,title){
				// mui.openWindow({
				// 	url:"good_deault.html",
				// 	id :"good_deault.html",
				// 	extras:{
				// 		goodID : id
				// 	},
				// 	styles: {
		  //               popGesture: 'close',
				// 		"contentAdjust":false 
		  //           },
				// 	waiting:{
				//       autoShow:false
				//     }
				// })
				
				mui.openWindow({
					url:"goodDefaultNew.html",
					id :"goodDefaultNew.html",
					extras:{
						typeID : id,
						title  : title
					},
					styles: {
				        popGesture: 'close',
						"contentAdjust":false 
				    },
					waiting:{
				      autoShow:false
				    }
				})
				
			},
			goMoreHos:function(){
				mui.plusReady(function(){
					var sdata=plus.webview.currentWebview();
					var ID = sdata.typeID;
					
					var myGz = plus.webview.getWebviewById("hosMore.html");
					if(myGz){
						plus.webview.close("hosMore.html","none");
					}
					setTimeout(function(){
						mui.openWindow({
							url:"hosMore.html",
							id :"hosMore.html",
							extras:{
								ID : ID
							},
							styles: {
						        popGesture: 'close',
								"contentAdjust":false 
						    },
							waiting:{
						      autoShow:false
						    }
						})
					},100);
				})
			},
			lookMore:function(){
				mui.plusReady(function(){
					var sdata=plus.webview.currentWebview();
					var ID = sdata.typeID;
					var title = sdata.title;
					mui.openWindow({
						url:"goodListMore.html",
						id :"goodListMore.html",
						extras:{
							ID : ID,
							more : 1,
							name : title
						},
						styles: {
					        popGesture: 'close',
							"contentAdjust":false 
					    },
						waiting:{
					      autoShow:false
					    }
					})
				})
			},
			goHos:function(index){
				var myGz = plus.webview.getWebviewById("hospital_detail.html");
				if(myGz){
					plus.webview.close("hospital_detail.html","none");
				}
				setTimeout(function(){
					mui.openWindow({
						url:"hospital_detail.html",
						id :"hospital_detail.html",
						styles: {
					        popGesture: 'close',
							"contentAdjust":false 
					    },
						waiting:{
					      autoShow:false
					   },
					   extras:{
					   	   userid  :  index
					   }
					})
				},100);
			},
			goBaidu:function(){
				plus.runtime.openWeb("http://www.baidu.com");
			}
		}
	})
	
	good_list_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				var sdata=plus.webview.currentWebview();
				var more = sdata.more;
				if(more==1){				//说明是查看更多进来的
					var id = sdata.ID;
					$("#title_name").text(sdata.name);
					model.initMore(id,function(){
						vm.list = model.getData().ProductKnowledgeList;
					})
				}
				//其它
				else{
					model.init(function(){
						vm.list = model.getData();
						console.log("vm.list: " + JSON.stringify(vm.list));
						if(typeof(vm.list.SampleProductCategoryList) != "undefined"  && vm.list.SampleProductCategoryList!=null){
							for(var i=0;i<vm.list.SampleProductCategoryList.length;i++){
								var temp = vm.list.SampleProductCategoryList[i];
								if(temp.ID == sdata.typeID){
									vm.Cindex = i;
									break;
								}
							}
						}
						
						if(typeof(vm.list.ProductKnowledgeList) != "undefined"  && vm.list.ProductKnowledgeList!=null){
							vm.len  = vm.list.ProductKnowledgeList.length;
						}
					})
				}
			}
		})
	}
	
	window.addEventListener("good_list",function(){
		_this.init();
	})
	return new good_list_control();
});