define(['inpCashPass_model'], function(model) {
	function inpCashPass_contr(){
		_this=this;
	}
	var vm=new Vue({
		el:".mui-content",
		data:{
			num  : -1,
			list : [],
			code : [],
			codeStr : "",
			inpFlag : false,
			maxLen : 6
		},
		created:function(e){
			this.init();
		},
		methods:{
			init:function(){
				for(var i=0;i<this.maxLen;i++){
					var obj = {
						text : "",
						showText : "",
						isColor : false
					}
					this.list.push(obj);
				}
			},
			forGetPass:function(){
				mui.openWindow({
					url:"cashGetCode.html",
					id :"cashGetCode.html",
					extras:{
						index : 2,
						type  : 3,
					},
					styles: {
				        popGesture: 'close',
						"contentAdjust":false 
				    },
					waiting:{
				      autoShow:false
				    }
				})
			},
			choose:function(index){									//防止输入6位后还可以输入
				if(this.num>this.maxLen-2){
					return false;
				}
				this.num++;	
				this.list[this.num].text = index;
				setTimeout(function(){
					vm.list[vm.num].text = "●";
				},50);
				this.list[this.num].isColor = true;
				this.code.push(index);
				if(this.code.length>this.maxLen-1){
					this.codeStr = this.code.join('');
					plus.nativeUI.showWaiting("正在提交中...");			//防止用户重复点击
					model.CheckPayPassWord(vm.codeStr,function(data){
						plus.nativeUI.closeWaiting();
						if(data.state==1){
							model.getCash(function(nextData){
								if(nextData.state==1){
									mui.openWindow({
										url : "cashFinsh.html",
										id  : "cashFinsh.html",
										extras:{
											arry :nextData
										},
										styles: {
											popGesture: 'close' 
										},
										waiting:{
										  autoShow:false
										}
									});
									
									//关闭当前页面，并关闭兑换页面，这样在完成页面点击完成的时候，就不用再处理这两个页面,在抛个事件给我的花瓣进行刷新，；
									var self = plus.webview.currentWebview();
									var cashOut = plus.webview.getWebviewById('cashOut.html');
									cashOut.close('none');
									setTimeout(function(){
										self.close('none');
									},600);
								}else{
									if(nextData.state== -2){
										vm.clear();
									}
									mui.toast(nextData.text);
								}
							})
						}else{
							mui.toast(data.text);
						}
					});
					
					setTimeout(function() {
						plus.nativeUI.closeWaiting();
					}, 6000);
				}
			},	
			clear:function(){
				this.num  = -1;
				this.code = [];
				for(var i=0;i<this.list.length;i++){
					this.list[i].text = "";
					this.list[i].isColor = false;
				}
			},
			remove:function(){
				if(this.num>=0){
					this.list[this.num].text = '';
					this.list[this.num].isColor = false;
					this.code.splice(this.num,1);
					this.codeStr = this.code.join('');
					this.num--;
				}
			}
		}
	})
	inpCashPass_contr.prototype.init = function(){
		
	}
	
	return new inpCashPass_contr();
});