define(['listHome_2_model',"Config",'file_model','UserCache'], function(model,Config,file_model,UserCache) {
	var _this=null;
	function listHome_2_control(){
		_this=this;
	}
	var vm=new Vue({
		el:".mescroll",
		data:{
			list:[],
			page:1,
			rows:10,
			isNetWork:0,
			
			isSay : "",
			isApple : ""
		},
		methods:{ 
			my:function(){                                                     	//解决vue事件在mui下来组件中不能点击，非常有用
				mui("#slider").on('tap', '.list', function (event) {        	//五大模块事件
                    this.click();
                });
            },    
			choose:function(index){
				var myGz = plus.webview.getWebviewById("hospital_detail.html");
				if(myGz){
					plus.webview.close("hospital_detail.html","none");
				}
				setTimeout(function(){
					mui.openWindow({
						url:"hospital_detail.html",
						id :"hospital_detail.html",
						styles: {
					        popGesture: 'close',
							"contentAdjust":false 
					    },
						waiting:{
					      autoShow:false
					   },
					   extras:{
					   	   userid  :  index
					   }
					})
				},100);
			},
			goAudio(ID,type){
				if(UserCache.userIsLogin()){
					if(type==2 || type==1){			//跳转音频   灵魂演说 = 1,音乐 = 2,MV = 3, 电影 = 4
						mui.openWindow({
							url:"fileAudio.html",
							id :"fileAudio.html",
							styles: {
						        popGesture: 'close' ,
								"contentAdjust":false 
						    },
						    extras:{
						    	ID : ID
						    },
							waiting:{
							  autoShow:false
							}
						})
					}else{							//其它跳转视频
						mui.openWindow({
							url: "file.html",
							id : "file.html",
							styles: {
						        popGesture: 'close',
								"contentAdjust":false 
						    },
							extras:{
								ID : ID
							},
							waiting:{
						      autoShow:false
						    }
						})
					}
				}else{
					mui.openWindow({
						url: "login.html",
						id : "login.html",
						styles: {
				            popGesture: 'close' ,
							"contentAdjust":false 
				        },
						waiting:{
					      autoShow:false
					    }
					})
				}
			}
		}
	})
	listHome_2_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				file_model.isApple(function(data){
					vm.isApple = data.state;		//1审核期， -1不是
				})
				
				
				var sdata=plus.webview.currentWebview();
				var id =sdata.ID;
				vm.isSay = sdata.isSay;
				if(typeof(id)=="undefined"){
					if(vm.isSay==1){
						_this.dataSay();
					}else if(vm.isSay==2){
						_this.dataFile();
					}else{
						_this.initData();
					}
					_this.down();
					vm.my();
					setTimeout(function() {
						mui('.mui-content').scroll({
							deceleration: 0.000005
						});
					}, 1000);
				}else{
					_this.initBd(id)
				}
			}
		})
	}
	
	
	//初始化加载数据
	var initNum = 1;
	listHome_2_control.prototype.initData = function(){
		model.getData(vm.page,vm.rows,function(data){
			if(data.state==1){
				vm.list = model.listData();
			}else{
				mui.toast(data.text);
			}
		})
	}
	
	
	
	listHome_2_control.prototype.initBd = function(id){
		model.getDataByBd(id,function(data){
			if(data.state==1){
				vm.list = model.listData();
			}else{
				mui.toast(data.text);
			}
		})
	}
	
	listHome_2_control.prototype.dataSay = function(){
		model.dataSay(vm.page,vm.rows,function(data){
			if(data.state==1){
				vm.list = model.listData();
			}else{
				mui.toast(data.text);
			}
		})
	}
	
	listHome_2_control.prototype.dataFile = function(){
		model.dataFile(vm.page,vm.rows,function(data){
			if(data.state==1){
				vm.list = model.listData();
			}else{
				mui.toast(data.text);
			}
		})
	}
	

	//下拉刷新----上拉加载
	listHome_2_control.prototype.down = function(func){
		var mescroll = initMeScroll("mescroll", {
			down:{										//下拉刷新
				auto:false,
				offset:$("#top").height()+15,
				callback:function(){
					if(vm.isSay==1){
						model.dataSay(1,10,function(data){
							if(data.state==1){
								initNum = 0;
								mescroll.resetUpScroll();
							}else{
								mescroll.endErr();
							}
						})
					}else if(vm.isSay==2){
						model.dataFile(1,10,function(data){
							if(data.state==1){
								initNum = 0;
								mescroll.resetUpScroll();
							}else{
								mescroll.endErr();
							}
						})
					}
					else{
						model.getData(1,10,function(data){
							if(data.state==1){
								initNum = 0;
								mescroll.resetUpScroll();
							}else{
								mescroll.endErr();
							}
						})
					}
				}
			},
			up: {			  							//上拉加载
				auto : false,
				callback: function(page){
					var arry =[];
					setTimeout(function () {
						var num = (page.num+initNum);
						if(vm.isSay==1){
							model.dataSay(num,page.size,function(data){
								if(data.state==1){
									arry = model.listData();
									mescroll.endSuccess(arry.length);
									if(num==1){
										vm.list = arry;
									}else{
										for(var i=0;i<arry.length;i++){
											vm.list.push(arry[i]);
										}
									}
								}else{
									mescroll.endErr();
								}
							})	
						}else if(vm.isSay==2){
							model.dataFile(num,page.size,function(data){
								if(data.state==1){
									arry = model.listData();
									mescroll.endSuccess(arry.length);
									if(num==1){
										vm.list = arry;
									}else{
										for(var i=0;i<arry.length;i++){
											vm.list.push(arry[i]);
										}
									}
								}else{
									mescroll.endErr();
								}
							})	
						}
						else{
							model.getData(num,page.size,function(data){
								if(data.state==1){
									arry = model.listData();
									mescroll.endSuccess(arry.length);
									if(num==1){
										vm.list = arry;
									}else{
										for(var i=0;i<arry.length;i++){
											vm.list.push(arry[i]);
										}
									}
								}else{
									mescroll.endErr();
								}
							})	
						}
				    },300);
				},
				toTop:{ //配置回到顶部按钮
					src : Config.mescroTopImg, //默认滚动到1000px显示,可配置offset修改
					//offset : 1000
				}
			}
		});
	}
	
	return new listHome_2_control();
});

