define(['listHome_5_model',"UserCache","shareList","util","Config"], function(model,UserCache,shareList,util,Config) {
	var _this=null;
	var mescroll=null;
	function listHome_5_control(){
		_this=this;
	}
	Vue.use(VueLazyload, {
		preLoad: 1.3,
		error: Config.ERROR_IMG,			//当加载图片失败的时候
		loading: Config.LOAD_IMG,			//当加载图片成功的时候
		attempt: 1							//尝试次数
	});
	
	var hvm=new Vue({
		el:"#top",
		data:{},
		methods:{
			choose:function(){
				var type=null;
				if(mui.os.android){
					type = 2;
				}else if(mui.os.ios){
					type = 1;
				}
				shareList.shareData(type,6,function(data){
					util.share(data.data.Content,data.data.Url);
				});
			}
		}
	})
	
	var vm=new Vue({
		el:".mescroll",
		data:{
			list:[],
			page :1,
			rows :10,
			isNetWork:0
		},
		methods:{
			target:function(t){
				mui.openWindow({
					url:"meet_deault.html",
					id :"meet_deault.html",
					styles: {
			            popGesture: 'close',
						"contentAdjust":false 
		            },
		            waiting:{
				      autoShow:false
				    },
		            extras:{
		            	index : t
		            }
				})
			},
			sheet_close:function(){
				mui("#sheet").popover('hide');
			},
			my:function(){                                                     		 //解决vue事件在mui下来组件中不能点击，非常有用
				mui("#slider").on('tap', '.list_img', function (event) {        	
                    this.click();
                });
                mui("#slider").on('tap', '.list_content', function (event) {        	
                    this.click();
                });
                mui("#slider").on('tap', '.zan', function (event) {        	
                    this.click();
                });
                mui("#slider").on('tap', '.zanbox', function (event) {        	
                    this.click();
                });
           },
           zan:function(index,id){
           		_this.is_login(index,id);
           }
		}
	})
	
	
	listHome_5_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				_this.initData();
				_this.down();
				vm.my();
			}
		})
	}
	
	
	//初始化加载数据
	listHome_5_control.prototype.initData = function(){				
		model.meet(vm.page,vm.rows,function(data){
			if(data.state==1){
				vm.list = model.get_list();
			}else{
				mui.toast(data.text);
			}
		})
	}
	
	
	
	
	//是否点赞
	listHome_5_control.prototype.isZan = function(index,id) {
		for(var i=0;i<vm.list.length;i++){
			if(id==vm.list[i].ID){
				vm.list[i].ZanStates = !vm.list[i].ZanStates;
				if(vm.list[i].ZanStates){											//点赞	
					vm.list[i].Zan++;
						model.ZanOrCancel(1,id,function(){
						
						})
				}else{
					vm.list[i].Zan--;											//取消赞
						model.ZanOrCancel(2,id,function(){
						
						})
				}
			}
		}
	}
	
	//判断是否登录
	listHome_5_control.prototype.is_login = function(index,id){
		if(UserCache.userIsLogin()){
			_this.isZan(index,id);
		}else{
			mui.openWindow({
				url:"login.html",
				id :"login.html",
				styles: {
	                popGesture: 'close',
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		}
	}
	
	
	
	
	
	
	
	//下拉刷新----上拉加载
	listHome_5_control.prototype.down = function(func){
		mescroll = initMeScroll("mescroll", {
			down:{				 //下拉刷新
				auto:false,
				offset:$("#top").height()+15,
				callback:function(){
					model.meet(1,10,function(data){ 
						if(data.state==1){
							mescroll.resetUpScroll();
						}else{
							mescroll.endErr();
						}
					})
				}
			},
			up: {			  	//上拉加载
				callback: function(page){
					var arry =[];
					setTimeout(function () {
						model.meet(page.num,page.size,function(data){
							if(data.state==1){
								arry = model.get_list();
								mescroll.endSuccess(arry.length);
								if(page.num==1){
									vm.list = arry;
								}else{
									for(var i=0;i<arry.length;i++){
										vm.list.push(arry[i]);
									}
								}
							}else{
								mescroll.endErr();
							}
						})	
				    },200);
				},
				toTop:{ //配置回到顶部按钮
					src : Config.mescroTopImg, //默认滚动到1000px显示,可配置offset修改
					//offset : 1000
				}
			}
		});
	}
	
	
	
	
	
	window.addEventListener('meet_list',function(e){
		mescroll.triggerDownScroll();
	})
	return new listHome_5_control();
});