define(['look_comment_model', "UserCache","util"], function(model, UserCache,util) {
	var _this = null;

	function look_comment_control() {
		_this = this;
	}

	var vm = new Vue({
		el: ".page",
		data: {
			show_all: [{
					name: "我是美女1",
					photo_img: "../img/banner1.jpg",
					dated: "08-17",
					zan: "659",
					doc: "头条 报销我的流量！一夏天了",
					user: [{
						name: "俊熙哥哥",
						doc: "没有，不需要把，我没吸收多少没有，不需要把，我没吸收多少",
						img: "../img/banner1.jpg"
					}, {
						name: "阳光刺眼的明媚",
						doc: "保持微笑",
						img: "../img/banner1.jpg"
					}, {
						name: "俊熙哥哥2",
						doc: "没有，不需要把，我没吸收多少没有，不需要把，我没吸收多少",
						img: "../img/banner1.jpg"
					}, {
						name: "阳光刺眼的明媚2",
						doc: "保持微笑",
						img: "../img/banner1.jpg"
					}],
					flag: false
				},
				{
					name: "我是美女2",
					photo_img: "../img/banner2.jpg",
					dated: "09-18",
					zan: "210",
					doc: "我很喜欢帽子，就是头小不适合我的，带上不好看带上不好看带上不好看",
					user: [{
						name: "吴晓那",
						doc: "nihao,bbh!",
						img: "../img/banner3.jpg"
					}, {
						name: "吴晓那",
						doc: "nihao,bbh!",
						img: "../img/banner3.jpg"
					}, {
						name: "吴晓那",
						doc: "nihao,bbh!",
						img: "../img/banner3.jpg"
					}, {
						name: "吴晓那",
						doc: "nihao,bbh!",
						img: "../img/banner3.jpg"
					}, {
						name: "吴晓那",
						doc: "nihao,bbh!",
						img: "../img/banner3.jpg"
					}],
					flag: false
				},
				{
					name: "哈根随缘",
					photo_img: "../img/banner3.jpg",
					dated: "10-23",
					zan: "328",
					doc: "做好的还不错，只能这么说",
					user: [],
					flag: false
				}
			],
			list: [],
			FaceList: [], //总表情数
			pages: "", //总页数
			faceNum: 24, //每页显示24个图标
			is_showFace: true, //是否展示表情
			page: 1,
			rows: 50,
			tt: "", //判断是全部评论还是单个评论进来的
			is_zan: false, //单个评论的是否点赞
			type: "", //判断是会议详情跳转进来还是日记详情跳转进来
			ParentId: null,
			id: "",
			ReceiverID: null,
			userid: null,
			DiscussType:1
		},
		mounted: function() {
			window.addEventListener('scroll', this.handleScroll)
		},
		methods: {
			my_comment: function(RequestID) {
				mui.openWindow({
					url: "my_content.html",
					id: "my_content.html",
					extras: {
						UserId: UserCache.getUserToken(),
						RequestID: RequestID,
						type: 2
					},
					styles: {
						popGesture: 'close',
						"contentAdjust":false 
					},
					waiting: {
						autoShow: false
					}
				})
			},
			handleScroll: function() {
				var scrollTop = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop
			},
			look_all: function(index) {
				_this.get_all(index);
			},
			is_zan: function(index, id,ReceiverID,DiaryID) {
				_this.isZan(index, id,ReceiverID,DiaryID);
			},
			sign_is_zan: function(id) {
				_this.sign_isZan(id);
			},
			inp: function() { //软键盘不会呗覆盖
				setTimeout(function() {
					document.body.scrollTop = document.body.scrollHeight;
				}, 100);
			},
			call: function(index, ReceiverID,DiscussType) {
				$("#form_inp").focus();
				setTimeout(function() {
					document.body.scrollTop = document.body.scrollHeight;
				}, 100);
				vm.ParentId = index;
				vm.ReceiverID = ReceiverID;
				
				if(vm.type == 2){
					vm.DiscussType = DiscussType;
				}
			},
			send: function() {
				_this.send_pl(vm.ParentId);
			}
		}
	})

	look_comment_control.prototype.init = function() {
		_this.init_data();
		// _this.getFace_img();
	}

	//默认只展示2条数据
	look_comment_control.prototype.data_deault = function() {
		vm.show_all = model.get_data();
		$(".header div").eq(1).text("全部评论 "+vm.show_all.length);
		vm.list = [];
		if(vm.show_all == null){
			return;
		}
		for(var i = 0; i < vm.show_all.length; i++) {
			var arry = {
				UserName: vm.show_all[i].UserName,
				Photo: vm.show_all[i].Photo,
				level: vm.show_all[i].level,
				ID: vm.show_all[i].ID,
				DiaryID: vm.show_all[i].DiaryID,
				ParentID: vm.show_all[i].ParentID,
				CreateAt: vm.show_all[i].CreateAt,
				discussTime: vm.show_all[i].discussTime,
				Zan: vm.show_all[i].Zan,
				Discuss: vm.show_all[i].Discuss,
				flag: vm.show_all[i].flag,
				Sort: vm.show_all[i].Sort,
				txt: vm.show_all[i].txt,
				discussList: [],
				UserID: vm.show_all[i].UserID,
				is_zan: vm.show_all[i].is_zan,
				zan_three : vm.show_all[i].zan_three,
				ZanStates: vm.show_all[i].ZanStates
			}
			vm.list.push(arry);
			if(vm.show_all[i].discussList != null) {
				for(var j = 0; j < 3; j++) {
					var arry2 = {
						user: vm.show_all[i].discussList[j]
					}
					if(arry2.user != null) {
						vm.list[i].discussList.push(arry2.user);
					}
				}
			}
		}
	}

	look_comment_control.prototype.init_data = function(index) {
		mui.plusReady(function() {
			var sdata = plus.webview.currentWebview();
			vm.id = sdata.pl_id;
			vm.tt = sdata.sec; //判断是全部评论还是单个评论进来的
			vm.type = sdata.type;
			
			console.log("vm.type: " + JSON.stringify(vm.type));
			if(sdata.message==1){			//消息通知进来的,一进来就给消息中心它刷新数据--说明已查看该条消息
				var messView = plus.webview.currentWebview().opener();
				mui.fire(messView,"refreshMessage");
			};
			if(vm.type == 1) {
				vm.userid = sdata.rev; //日记详情传进来的当前日记的userID
			} else if(vm.type == 2) {
				vm.userid = UserCache.getUserToken(); //会议详情传进来的userid
			}
			
			
			
			
			
			if(vm.type == 1) { //日记
				model.all_data(vm.id, vm.rows, vm.page, function() {
					_this.data_deault();
				})  
			} else if(vm.type == 2) {  //会议查看全部的数据
				model.all_meet_data(vm.id, vm.rows, vm.page, function(data) {
					console.log("data: " + JSON.stringify(data));
					_this.data_deault();
				})
			}else if(vm.type==3){
				model.huaQuai(vm.page,vm.rows,vm.id,function(data) {
					console.log("data: " + JSON.stringify(data));
					_this.data_deault();
				})
			}

			setTimeout(function() {
				mui(".mui-slider").slider({
					interval: 0
				});
				mui('.mui-scroll-wrapper').scroll({
					indicators: false, //是否显示滚动条
					deceleration: 0.0005
				});
			}, 1000);
		})
	}

	//查看全部，收起回复
	look_comment_control.prototype.get_all = function(index) {
		for(var i = 0; i < vm.list.length; i++) {
			if(index == vm.list[i].Sort) { //判断是哪个需要查看全部回复
				if(!vm.list[index].flag) {
					vm.list[i].discussList = vm.show_all[i].discussList;
					vm.list[i].txt = "收起全部";
					vm.list[index].flag = true;
				} else {
					vm.list[i].discussList = [];
					for(var j = 0; j < 3; j++) {
						var arry2 = {
							user: vm.show_all[i].discussList[j]
						}
						vm.list[i].discussList.push(arry2.user)
					}
					vm.list[i].txt = "查看全部";
					vm.list[index].flag = false;
				}
				break;
			}
		}
	}

	//是否点赞
	look_comment_control.prototype.isZan = function(index,id,ReceiverID,DiaryID) {
		if(vm.type == 1) {	//日记点赞
			for(var i = 0; i < vm.list.length; i++) {
				if(i == index) {
					vm.list[i].ZanStates = !vm.list[i].ZanStates;
					if(vm.list[i].ZanStates) {
						vm.list[i].Zan++;
						var msg = UserCache.getUserInfo().Name+"刚刚给你点了赞！"
						model.ClickZanInDiscussTrue(1,id,ReceiverID, msg,DiaryID,function() {
							_this.diaryevent(vm.list[i].zan_three,vm.list[i].ID,vm.list[i].Zan,true);
						});
					} else {
						vm.list[i].Zan--;
						model.ClickZanInDiscuss(2, id, function() {
							_this.diaryevent(vm.list[i].zan_three,vm.list[i].ID,vm.list[i].Zan,false);
						});
					}
					break;
				}
			}
		}else if(vm.type == 2 || vm.type == 3) {//会议点赞
			for(var i = 0; i < vm.list.length; i++) {
				if(i == index) {
					vm.list[i].ZanStates = !vm.list[i].ZanStates;
					if(vm.list[i].ZanStates) {
						vm.list[i].Zan++;
						var msg = UserCache.getUserInfo().RealName+"刚刚给你点了赞！"
						model.ClickZanInMeetTrue(1,id,ReceiverID, msg,DiaryID,function() {
							_this.meetevent(vm.list[i].zan_three,vm.list[i].ID,vm.list[i].Zan,true);
						});
					} else {
						vm.list[i].Zan--;
						model.ClickZanInMeet(2, id, function() {
							_this.meetevent(vm.list[i].zan_three,vm.list[i].ID,vm.list[i].Zan,false);
						});
					}
					break;
				}
			}
		}
	}


	look_comment_control.prototype.diaryevent = function(t,s,d,f){
		var view=plus.webview.currentWebview().opener();
			mui.fire(view,"diary_home",{zan_three:t,zan_ID:s,zan_num:d,flag:f});
	}
	look_comment_control.prototype.meetevent = function(t,s,d,f){
		var view=plus.webview.currentWebview().opener();
			mui.fire(view,"meet_home",{zan_three:t,zan_ID:s,zan_num:d,flag:f});
	}

	//单个点赞
	look_comment_control.prototype.sign_isZan = function(id) {
		vm.is_zan = !vm.is_zan;
		if(vm.is_zan) {
			vm.list[0].Zan--;
			model.ClickZanInDiscuss(2, id, function() {});
		} else {
			vm.list[0].Zan++;
			model.ClickZanInDiscuss(1, id, function() {});
		}
	}

	//所有表情图标
	look_comment_control.prototype.getFace_img = function() {
		for(var i = 0; i <= 100; i++) {
			var src = {
				arry: "../arclist/" + i + ".gif"
			}
			vm.FaceList.push(src.arry)
		}
		vm.pages = Math.ceil(vm.FaceList.length / vm.faceNum);
	}

	//点击评论发送
	look_comment_control.prototype.send_pl = function(index) {
		var str = $("#form_inp").val();	
		var str2 = util.clearHtml(str);
		if(str2 ==""){
			mui.toast('评论不能为空');
			return;
		}
		if(vm.type == 1) { //这是日记详情进来的
			var info = {
				DiaryId: vm.id,
				ParentId: index,
				UserId: UserCache.getUserToken(),
				Discuss: $("#form_inp").val(),
				Zan: 0
			}
			model.send_diary_data(info, vm.ReceiverID, vm.id, $("#form_inp").val(), function(data) {
				vm.list = [];
				vm.page = 1;
				if(vm.tt == 1) {
					vm.ParentId = null; //如果是全部查看进来的重置ParentId，如果点击输入框，还是写的一级列表，还原默认
					vm.ReceiverID = vm.userid; //还原默认
				}
				$("#form_inp").val("");
				_this.Event();
				_this.init();
				_this.refreshHome();
			})
		} else if(vm.type == 2) { //这是会议详情进来的
			var info = {
				MeetingId: vm.id,
				ParentId: index,
				UserId: UserCache.getUserToken(),
				Discuss: $("#form_inp").val(),
				Zan: 0
			}
			model.send_meet_data(info, vm.ReceiverID, vm.id, $("#form_inp").val(),vm.DiscussType,function(data) {
				vm.list = [];
				vm.DiscussType = 1;
				vm.page = 1;
				if(vm.tt == 1) {
					vm.ParentId = null;
					vm.ReceiverID = vm.userid; //还原默认
				}
				$("#form_inp").val("");
				_this.Event();
				_this.init();
				_this.refreshHome();
			})
		}else if(vm.type==3){
			//共生
			model.sendGs(vm.id, $("#form_inp").val(),function(data) {
				console.log("data: " + JSON.stringify(data));
				vm.list = [];
				vm.DiscussType = 1;
				vm.page = 1;
				if(vm.tt == 1) {
					vm.ParentId = null;
					vm.ReceiverID = vm.userid; //还原默认
				}
				$("#form_inp").val("");
				_this.Event();
				_this.init();
				_this.refreshHome();
			})
		}
	}

		

	//如果发送成功，抛个事件给日记详情页面，还有会议详情页面进行数据的刷新
	look_comment_control.prototype.Event = function() {
		var view = plus.webview.currentWebview().opener();
		mui.fire(view, 'diary_xq');
		mui.fire(view, 'meet_xq');
	}

	look_comment_control.prototype.refreshHome = function(){
		var view2=plus.webview.getWebviewById("html/home.html");
		mui.fire(view2,"home");
	}

	//上拉加载
	look_comment_control.prototype.down = function(func) {
		var arry3 = [];
		if(vm.type == 1) { //日记
			if(vm.tt == 1) { //查看全部的数据
				vm.page++;
				model.all_data(vm.id, vm.rows, vm.page, function(data) {
					if(data.state == 1) {
						vm.show_all = model.get_data();
						if(vm.show_all == null){
							return;
						}
						for(var i = 0; i < vm.show_all.length; i++) {
							var arry = {
								UserName: vm.show_all[i].UserName,
								Photo: vm.show_all[i].Photo,
								level: vm.show_all[i].level,
								ID: vm.show_all[i].ID,
								DiaryID: vm.show_all[i].DiaryID,
								ParentID: vm.show_all[i].ParentID,
								CreateAt: vm.show_all[i].CreateAt,
								discussTime: vm.show_all[i].discussTime,
								Zan: vm.show_all[i].Zan,
								Discuss: vm.show_all[i].Discuss,
								flag: vm.show_all[i].flag,
								Sort: vm.show_all[i].Sort,
								txt: vm.show_all[i].txt,
								discussList: [],
								UserID: vm.show_all[i].UserID,
								is_zan: vm.show_all[i].is_zan,
								zan_three : vm.show_all[i].zan_three
							}
							arry3.push(arry);
							if(vm.show_all[i].discussList != null) {
								for(var j = 0; j < 3; j++) {
									var arry2 = {
										user: vm.show_all[i].discussList[j]
									}
									if(arry2.user != null) {
										arry3[i].discussList.push(arry2.user);
									}
								}
							}
							for(var n = 0; n < arry3.length; n++) {
								vm.list.push(arry3[n]);
							}
						}
					}
					func(data.state);
				})
			} 
		}
		else if(vm.type == 2) {
				if(vm.tt == 1) { //查看全部的数据
					vm.page++;
					model.all_meet_data(vm.id, vm.rows, vm.page, function(data) {
						if(data.state == 1) {
							vm.show_all = model.get_data();
							if(vm.show_all == null){
								return;
							}
							for(var i = 0; i < vm.show_all.length; i++) {
								var arry = {
									UserName: vm.show_all[i].UserName,
									Photo: vm.show_all[i].Photo,
									level: vm.show_all[i].level,
									ID: vm.show_all[i].ID,
									DiaryID: vm.show_all[i].DiaryID,
									ParentID: vm.show_all[i].ParentID,
									CreateAt: vm.show_all[i].CreateAt,
									discussTime: vm.show_all[i].discussTime,
									Zan: vm.show_all[i].Zan,
									Discuss: vm.show_all[i].Discuss,
									flag: vm.show_all[i].flag,
									Sort: vm.show_all[i].Sort,
									txt: vm.show_all[i].txt,
									discussList: [],
									UserID: vm.show_all[i].UserID,
									is_zan: vm.show_all[i].is_zan,
									zan_three : vm.show_all[i].zan_three
								}
								arry3.push(arry);
								if(vm.show_all[i].discussList != null) {
									for(var j = 0; j < 3; j++) {
										var arry2 = {
											user: vm.show_all[i].discussList[j]
										}
										if(arry2.user != null) {
											arry3[i].discussList.push(arry2.user);
										}
									}
								}
								for(var n = 0; n < arry3.length; n++) {
									vm.list.push(arry3[n]);
								}
							}
						}
						func(data.state);
					})
				}
			}
	}
	
	//滑倒底部进行上啦加载
	mui.plusReady(function() {
		document.addEventListener("plusscrollbottom", onScrollToBottom, false);
		function onScrollToBottom() {
			$(".jiazai").fadeIn(100, function() {
				_this.down(function(data) {
					if(data == 1) {
						$(".jiazai span").text("正在加载中...");
						setTimeout(function() {
							$(".jiazai").fadeOut(100);
						}, 3000)
					} else {
						$(".jiazai img").hide();
						$(".jiazai span").text("没有更多数据了");
						$(".jiazai span").css("margin-top", "0rem");
						$(".jiazai").show();
						
						setTimeout(function() {				//延迟一秒后把他关掉，体验会好点；
							$(".jiazai").fadeOut(100);
						}, 1000)
					}
				})
			});
		}
	});

	return new look_comment_control();
});