define(["mall_model2","util","shareList","Config"], function(model,util,shareList,Config) {
	var _this = null;
	function mall_control2() {
		_this = this;
	}
	Vue.use(VueLazyload, {
		preLoad: 1.3,
		error: Config.LOAD_IMG,				//当加载图片失败的时候
		loading: Config.LOAD_IMG,			//当加载图片成功的时候
		attempt: 1							//尝试次数
	});
	var vm=new Vue({
		el:".mui-content",
		data:{
			list : ["../img/banner1.jpg","../img/banner2.jpg"],       //必须初始化数据，不能为空数据不然滑动会有bug左右滑动,可以先放入几张默认
			secKill: [],
			secTime:"",
			
			imgNew  : "",
			goodList:[],	//精品推荐
			
			rows : 10,
			page : 1,
			isNetWork : 0
		},
		methods:{
			my:function(){
				mui("#slider").on('tap', '.banner', function (event) {        	
	                    this.click();
	            });
	            mui("#slider").on('tap', '.preson', function (event) {        	
	                    this.click();
	            });
	            
	            mui("#slider").on('tap', '.allSpan', function (event) {        	
	                    this.click();
	            });
	            
	            mui("#slider").on('tap', 'span', function (event) {        	
	                    this.click();
	            });
	            
	            mui("#slider").on('tap', 'div', function (event) {        	
	                    this.click();
	            });
	          	
	          	mui("#slider").on('tap', 'img', function (event) {        	
	                    this.click();
	            });
			},
			sheet_close:function(){
				mui('#sheet').popover('hide');
			},
			good_Deault:function(id){
				mui.openWindow({
					url:"good_deault.html",
					id :"good_deault.html",
					extras:{
						goodID : id
					},
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			allSecData:function(){				    //查看全部秒杀商品
				mui.openWindow({
					url:"secKillList.html",
					id :"secKillList.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			goSecDeault:function(goodID){			//单个秒杀商品详情
				mui.openWindow({
					url:"secKillDeault.html",
					id :"secKillDeault.html",
					extras:{
						type : 0,					//弹窗不开启
						ID   : goodID 
					},
					styles: { 
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			shopCar:function(){						//查看购物车
				mui.openWindow({
					url:"shopCar.html",
					id :"shopCar.html",
					styles: { 
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			goodShop:function(){				    //查看精品
				mui.openWindow({
					url:"goodShop.html",
					id :"goodShop.html",
					styles: { 
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			NewShop:function(){					    //查看新品
				mui.openWindow({
					url:"goodNewList.html",
					id :"goodNewList.html",
					styles: { 
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			timeOut:function(){						//限时秒杀----倒计时
				var time=setInterval(function(){
					if(vm.secTime<=0){
						clearInterval(time);
						mui.toast("当前秒杀活动已结束！")
						vm.secTime = 0;
						return;
					}
					vm.secTime=vm.secTime-1000;
					var temp = util.diffTime(vm.secTime);
					var d = temp.days*24;//天---这里换算成小时
					var h = temp.hours; //时
					var t = temp.mins;  //分
					var s = temp.secs;  //秒
					
					var hh=parseInt(h+d);
					if(hh<10){hh ="0"+hh;}
					if(t<10){t ="0"+t;}
					if(s<10){s ="0"+s;}
					
					
					
					
					$(".timeBox").eq(0).text(hh);
					$(".timeBox").eq(1).text(t);
					$(".timeBox").eq(2).text(s);
				},1000)
			}
		}
	})
	
	
	
	mall_control2.prototype.init = function() {
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				model.banner(function(data){
					if(data.state==1){
						vm.list  = data.data;
						$(".topbg").css("background","url("+vm.list[0].ImageUrl+") no-repeat");
					}
				})
				
				model.newImg(function(data){
					if(data.state==1){
						vm.imgNew = data.data[0].ImageUrl;
					}
					console.log("data: " + JSON.stringify(data));
				})
				
				
				model.timeOutData(vm.page,vm.rows,function(data){
					if(data.state==1){
						vm.secKill = data.data.Data;
						vm.secTime = data.data.SecondTime;
						vm.timeOut();   //要放在外面，不放在init初始化里面，不让下拉刷新会再次调用这个方法；	
					}
				})
				
				model.goodFood(function(data){
					if(data.state==1){
						vm.goodList = data.data;
						for(var i=0;i<vm.goodList.length;i++){
							vm.goodList[i].fuhao = 1;					//【的样式
							var str2 =""+vm.goodList[i].Title;				
							vm.goodList[i].zifuchuang = str2.substr(0,1);
							if(vm.goodList[i].zifuchuang =="【"){
								vm.goodList[i].fuhao = 1;			
							}else{ 
								vm.goodList[i].fuhao = 2;
							}
						}
					}
				})
				
				
				vm.my();				//初始化点击事件，用了这个下拉刷新上拉加载有冲突，事件必须这样处理
				_this.initbanner();		//初始化滑动事件
			}
		})

	}
	
	
	
	
	//左右滑动初始化
	mall_control2.prototype.initbanner = function() {
		setTimeout(function() {
			mui('.mui-scroll-wrapper').scroll({
				scrollX : true,
				indicators: false, //是否显示滚动条
				deceleration: 0.0009,
				bounce: false
			});
		}, 1500);
		
		setTimeout(function() {
			mui(".mui-slider").slider({
				interval: 0
			});
		},1000);
	}
	

	
	//上拉加载
	mall_control2.prototype.down = function(func){
		var arry =[];
		vm.page++;
		model.mallData(vm.rows,vm.page,function(data){
			if(data.state==1){
				arry  = model.getData();
				for(var i=0;i<arry.length;i++){
					vm.list.push(arry[i]);
				}
			}
			func(data.state);
		})
	}
	
	
	//下拉刷新
	mall_control2.prototype.up = function(){
		vm.page = 1;
		$(".mui-pull-bottom-tips").show();
		_this.init();
	}
	mall_control2.prototype.display = function(){
		var tipbottomHeight = $(".mui-pull-bottom-tips").height();								//正在加载的高度
		var height = $(".bbhScroll").css("transform").split(',')[5].replace(')','');			//拿到translate3d的y轴的值
		var delta = parseInt(height)+tipbottomHeight;
        var string = "translate3d(0px, "+delta+"px, 0px) translateZ(0px)";
        $(".bbhScroll").css("transform",string);
		$(".mui-pull-bottom-tips").hide();
	}
	
	//监听轮播图滑动事件，切换背景  
	document.querySelector('#lbt').addEventListener('slide', function(event) {
	 	$(".topbg").css("background","url("+vm.list[event.detail.slideNumber].ImageUrl+") no-repeat");
	});
	
	
	
	//手机滑动效果，头部状态变化，其实可以用header里面的mui-transparent去写的，这里之前框架已经搭好，不去改动了，下面自己手写滑动效果；
	var lbtHeight = $('#lbt .mui-slider-item').height();
	document.querySelector('.mui-slider-group .bbhScroll').addEventListener('scroll', function (e){ 
		
		if(e.detail.y>-lbtHeight){
			$(".mui-segmented-control.mui-segmented-control-inverted .mui-control-item.mui-active").css("color","white");
			$(".mui-segmented-control.mui-scroll-wrapper .mui-control-item").css("color","white");
			$("#shopCarImg").attr("src","../icon/mall_home_nav_btn_sc@3x.png");
			$("#sliderSegmentedControl").css({
				'background':"transparent",
				"box-shadow":"none"
			});
		}else{
			$(".mui-segmented-control.mui-segmented-control-inverted .mui-control-item.mui-active").css("color","black");
			$(".mui-segmented-control.mui-scroll-wrapper .mui-control-item").css("color","black");
			
			$("#shopCarImg").attr("src","../icon/common_nav_btn_sc@3x.png");
			$("#sliderSegmentedControl").css({
				'background':"white",
				"box-shadow":"0px 0.01rem 1rem #F1F1F1"
			});
		}
	})
	
	//后台返回前台，从新刷新
	window.addEventListener('serverCloseResume', function(e) {
		_this.init();
	});
	return new mall_control2();
});