define(["meet_deault_model",'UserCache',"shareList","util","Config"], function(model,UserCache,shareList,util,Config) {
	var _this=null;
	var num=10000;
	var myDate =new Date();
	function meet_deault_controller() {
		_this = this;
	}
	Vue.use(VueLazyload, {
		preLoad: 1.3,
		error: Config.ERROR_IMG,			//当加载图片失败的时候
		loading: Config.LOAD_IMG,			//当加载图片成功的时候
		attempt: 1							//尝试次数
	});
	
	
	var vm=new Vue({
		el:".page",
		data:{
			title:"",									 //会议标题
			Click:"",									 //浏览量
			meetIMG:"",									 //展示单张的图片
			meetDate:"",								 //会议日期
			is_gz : true,      							 //是否关注
			is_zan: true,								 //是否点赞
			is_star:true,								 //是否收藏
			is_showFace:true,    						 //是否展示表情
			pl_num:"",									 //评论数
			zan_num:"",								 //点赞数
			star_num:"",								 //收藏数				
			FaceList:[],		  						 //总表情数
			pages:"",            						 //总页数
			faceNum:24,				  					 //每页显示24个图标
			list : [],									 //会议详情
			talk_ALL_list:[],
			talk_list:[],								 //全部评论列表,								
			showTow_img:[],								 //默认展示2张图
			id:"",										 //会议详情唯一的id
			MeetingId:"",											
			ParentId:null,								 //区分是一级评论还是二级评论
			ReceiverID:null,
			my_UserId:null,
			DiscussType:1,
			zan_three:"",
			zan_ID : "",
			ZanCount: 0,
			ZanList: [],
			
			type : "",
			typeIndex : 0
		},
		methods:{
			choose:function(){
				if(UserCache.userIsLogin()){
					shareList.shareData1(2,vm.id,UserCache.getUserToken(),function(data){
						util.share("花期会议",vm.title,data.data.Url);
					});
				}else{
					mui.openWindow({  
						url:"login.html",
						id :"login.html",
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			pinglun:function(index,ReceiverID,DiscussType){
				vm.ParentId = index;
				vm.ReceiverID = ReceiverID;
				vm.DiscussType = DiscussType;
				_this.is_login(0);
			},
			gz:function(){
				_this.is_login(1);
			},
			my_comment :function(RequestID){
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url : "my_content.html",
						id  : "my_content.html",
						extras:{
						  UserId : UserCache.getUserToken(),
					   	  RequestID : RequestID,
					   	  type   : 2
						},
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					mui.openWindow({  
						url:"login.html",
						id :"login.html",
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			zan:function(){								//是否点赞
				_this.is_login(2);
			},
			star:function(){							//是否收藏
				_this.is_login(3);
			},
			talk_list_Zan:function(index,id,ReceiverID,DiaryID){
				_this.isZan(index,id,ReceiverID,DiaryID);
			},
			pl_all:function(){							//全部5条评论
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url : "look_comment.html",
						id  : "look_comment.html",
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					mui.openWindow({  
						url:"login.html",
						id :"login.html",
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			inp:function(){							//软键盘不会呗覆盖
				setTimeout(function(){  
				    document.body.scrollTop = document.body.scrollHeight;  
				},100); 
			},
			see_all:function(index,t,num){						//查看50条全部评论
				if(UserCache.userIsLogin()){
					if(vm.typeIndex!=0){			//说明是共生查看的跳转
						var str = 3
					}else{
						var str = 2						//2是原来的
					}
					mui.openWindow({
						url : "look_comment.html",
						id  : "look_comment.html",
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					   },
					   extras:{
					   	  pl_id : index,
					   	  sec   : t,
					   	  num   : num,
					   	  type  : str									//type为2就是会议详情跳转全部页面，为了区分全部评论里面发送评论区别接口，是日记进来的还是会议进来的查看全部
					   }
					})
				}else{
					mui.openWindow({  
						url:"login.html",
						id :"login.html",
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			},
			send:function(){
				_this.send_pl(vm.ParentId);
				$(".my_footer").show();
				$(".msg_send").hide();
			},
			goZanlist:function(index){
				if(UserCache.userIsLogin()){
					mui.openWindow({
						url:"zanList.html",
						id :"zanList.html",
						extras:{
							type : 3,
							ID   : vm.id
						},
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					util.goLogin();
				}
			}
		}
	})
	
	

	
	
	
	
	
	meet_deault_controller.prototype.init = function() {
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			var ID = sdata.index;
			var type = sdata.type;		//判断是花期共生1 ，
			vm.type = sdata.type;
			vm.typeIndex = sdata.typeIndex;	//查看全部评论跳转用的
			// if(sdata.typeIndex==1){
			// 	$('.hName').text("花期共生")
			// }else if(sdata.typeIndex==2){
			// 	$('.hName').text("花期慈善")
			// }
			// else if(sdata.typeIndex==3){
			// 	$('.hName').text("花期奖项")
			// }
			model.getdata(ID,type,function(){
				vm.list = model.getList();
				vm.title = vm.list.Title;
				vm.Click = vm.list.Click;
				vm.meetIMG = vm.list.ImgURL;	
				vm.meetDate= vm.list.CreateAt;
				vm.MeetingId = vm.list.ID;							//要发送的参数
				vm.id = vm.list.ID;									//会议详情的唯一id,防止混乱
				vm.zan_num= vm.list.Zan;
				vm.is_star = vm.list.FacoriteState;					//是否收藏
				vm.star_num = vm.list.Favorite;						//收藏数量
				vm.pl_num = vm.list.DiscussNum;
				vm.is_zan = vm.list.ZanStates;						//是否点赞
				
				console.log("vm.list: " + JSON.stringify(vm.list));

				vm.ZanCount= vm.list.ZanCount;
				vm.ZanList = vm.list.ZanList;
				for(var g=1;g<=30;g++){
					if(vm.pl_num>=g*num && vm.pl_num<(g+1)*num){
						vm.pl_num = g*num+"万";
					}
				}
				
				_this.len(vm.list.Zan,vm.list.Favorite);
				vm.my_UserId = UserCache.getUserToken();
				$(".meet_list").html(vm.list.Describe);
				
				
				
				vm.talk_ALL_list = model.getmeetList();		
				if(vm.talk_ALL_list !=null){
					for(var i=0;i<vm.talk_ALL_list.length;i++){
						vm.talk_list.push(vm.talk_ALL_list[i]);
					}								
				}
			})
		})
		
		
		
		setTimeout(function() {
			mui(".mui-slider").slider({
				interval: 0
			});
			mui('.mui-scroll-wrapper').scroll({
				indicators: false, //是否显示滚动条
				deceleration: 0.0005
			});
		}, 1000);
	}
	
	//评论区是否点赞
	meet_deault_controller.prototype.isZan = function(index,id,ReceiverID,DiaryID) {
		if(UserCache.userIsLogin()){
			for(var i=0;i<vm.talk_list.length;i++){
				if(index==i){
					vm.talk_list[i].ZanStates = !vm.talk_list[i].ZanStates;
					if(vm.talk_list[i].ZanStates){
						vm.talk_list[i].Zan++;
						var mouth = myDate.getMonth()+1+"月";	//获取当前月份
						var Date  = myDate.getDate()+"日";		//获取当前日数
						var msg = UserCache.getUserInfo().Name+" "+mouth+Date+"给你点了赞！";
						model.pl_ZanOrTrue(1,id,ReceiverID,DiaryID,msg,vm.type,function(){});
					}else{
						vm.talk_list[i].Zan--;						//取消赞
						model.pl_ZanOrNot(2,id,vm.type,function(){});
					}
					break;
				}
			}
		}else{
			mui.openWindow({  
				url:"login.html",
				id :"login.html",
				styles: {
	                popGesture: 'close',
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		}
	}
	
	//点击评论,发送
	meet_deault_controller.prototype.send_pl = function(index){
		var str = $("#form_article").val();	
		var str2 = util.clearHtml(str);
		if(str2 ==""){
			mui.toast('评论不能为空');
			return;
		}
		var info= {
			MeetingId	:  vm.MeetingId,
			ParentId :  index,
			UserId :    UserCache.getUserToken(),
			Discuss:    encodeURI($("#form_article").val()),          //输入的内容
			Zan:0
		}
		model.send_data(info,vm.ReceiverID,vm.MeetingId,$("#form_article").val(),vm.DiscussType,vm.type,function(data){				//评论完成后，重新刷新数据													//所有数据重置，不在是点击那个人的
			vm.ReceiverID = UserCache.getUserToken();				
			vm.talk_ALL_list =[];
			vm.talk_list =[];
			_this.init();
		})
	}
	
	
	//判断是否登录
	meet_deault_controller.prototype.is_login = function(t){
		if(UserCache.userIsLogin()){
			if(t==0){
				$(".my_footer").hide();
				$(".msg_send").show();
				$("#form_article").focus();
				setTimeout(function(){  
				    document.body.scrollTop = document.body.scrollHeight;  
				},100); 
			}else if(t==1){
				if(vm.is_gz){
					$(".preson_btn span").text("已关注");
					$(".preson_btn span").css({
						"color":"#cccccc",
						"position":"relative",
						"top":"0px",
						"left":"0px",
						"line-height":"0.64rem"
					});
					$(".preson_btn img").hide();
					vm.is_gz=false;
				}else{
					$(".preson_btn span").text("关注");
					$(".preson_btn span").css({
						"color":"#36D1C1",
						"position":"absolute",
						"left":"0.56rem"
					});
					$(".preson_btn img").show();
					vm.is_gz=true;
				}
			}else if(t==2){
					vm.is_zan=!vm.is_zan;
					if(!vm.is_zan){
						vm.zan_num--;
						model.ZanOrNot(2,vm.id,vm.type,function(data){
							if(data.state==1){
								_this.meetevent(vm.zan_three,vm.zan_ID);
							}
						})
					}else{
						vm.zan_num++;
						model.ZanOrNot(1,vm.id,vm.type,function(data){
							if(data.state==1){
								_this.meetevent(vm.zan_three,vm.zan_ID);
							}
						})
					}
			}else if(t==3){
				vm.is_star=!vm.is_star;
				if(vm.is_star){
					vm.star_num++;
					model.collect_data(vm.id,vm.type,function(data){
						if(data.state==1){
							_this.meetevent(vm.zan_three,vm.zan_ID);
						}
					});
				}else{
					vm.star_num--;
					model.cancle_collect(vm.id,vm.type,function(data){
						if(data.state==1){
							_this.meetevent(vm.zan_three,vm.zan_ID);
						}
					});
				}
			}
		}else{
			mui.openWindow({  
				url:"login.html",
				id :"login.html",
				styles: {
	                popGesture: 'close',
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		}
	}
	meet_deault_controller.prototype.meetevent = function(t,s){
		var view=plus.webview.currentWebview().opener();
			mui.fire(view,"meet_list",{zan_three:t,zan_ID:s,zan_num:vm.zan_num});
	}
	
	
	meet_deault_controller.prototype.len = function(z,s){
		var z=""+z;
		var s=""+s;
		var a=z.length+s.length;
		if(a==2){
			$(".footTwo").css("width","65%");
		}else if(a==3){
			$(".footTwo").css("width","63%");
		}else if(a==4){
			$(".footTwo").css("width","60%");
		}else if(a==5){
			$(".footTwo").css("width","60%");
		}else if(a>=6){
			$(".footTwo").css("width","57%");
		}
	}
	
	
	document.getElementById('body').addEventListener("swipeup",function(){
	    $(".my_footer").show();
		$(".msg_send").hide();
		$("#form_article").val("");
		$("#form_article").blur();
    })
    document.getElementById('body').addEventListener("swipedown",function(){
	    $(".my_footer").show();
		$(".msg_send").hide();
		$("#form_article").val("");
		$("#form_article").blur();
    })
	
	
	//监听全部评论发表评论后刷新数据；
	window.addEventListener('meet_xq',function(){
		vm.talk_ALL_list =[];
		vm.talk_list =[];
		_this.init();
	})
	
	
	 //3次点赞
	window.addEventListener('meet_home',function(e){
		var zan_ID = e.detail.zan_ID;
		var zan_num = e.detail.zan_num;		
		var ZanStates =e.detail.flag;
		for(var i=0;i<vm.talk_list.length;i++){
			if(zan_ID==vm.talk_list[i].ID){
				vm.talk_list[i].Zan = zan_num;
				vm.talk_list[i].ZanStates = ZanStates;
				break;
			}
		}
	})
	return new meet_deault_controller();
});