define(["NetMannager","UserCache"], function(net,UserCache){
	var list = [];
	var _this=null;
	function my_content_model(){
		_this = this;
	}
	
	//获取用户信息
	my_content_model.prototype.userInfo = function(func) {
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			var Id = sdata.UserId;
			var type = sdata.type;  				//如果是1，就说明是自己查看自己的日记，2就是别人查看
			
			var RequestID = sdata.RequestID;		//别人查看个人中心的，自己查看不用这个参数
			if(sdata.message==1){			//消息通知进来的,一进来就给消息中心它刷新数据--说明已查看该条消息
				var messView = plus.webview.currentWebview().opener();
				mui.fire(messView,"refreshMessage2");
			};
			if(type==1){							//看自己
				var param={
					UserId : Id,
					token : UserCache.getLoginToken()
				}
					$("#img_upload").show();			//可以修改头像
			}else if(type==2){					
				if(RequestID == UserCache.getUserToken()){			//看自己
					var param={
						UserId : Id,
						token : UserCache.getLoginToken()
					}
					$("#img_upload").show();
				}else{												//看别人---再检查是否关注	不能修改头像
					var param={
						UserId : Id,
						RequestID : RequestID,
						token : UserCache.getLoginToken()
					}
					$("#img_upload").hide();
				}
			}
			net.getMessage(param,"GetUserDetailByID", function(data){ 
				list = data.data;			
				if(typeof(func)==="undefined"){
					console.log("回调方法不可用");		
				}else{
					func(data);
				}
			});
		})
	}
	my_content_model.prototype.getData = function(func) {
		return list;
	}
	
	
	my_content_model.prototype.getFsinfo = function(Id,RequestID,func) {
		var param={
			UserId : Id,
			RequestID : RequestID,
			token : UserCache.getLoginToken()
		}
		if(RequestID == UserCache.getUserToken()){
			$(".all_talk span").text("我的日记");
		}
		net.getMessage(param,"GetUserDetailByID", function(data){ 
			list = data.data;
			console.log("我的个人中心="+JSON.stringify(data))					
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	//添加关注
	my_content_model.prototype.addFS = function(index,func) {
		var param={
			type    : 1,
			UserID  : UserCache.getUserToken(),
			FansID  : index,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Fans/SetFansOrNo", function(data){ 
			console.log("已添加关注="+JSON.stringify(data))
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	//取消关注
	my_content_model.prototype.cancleGz = function(index,func){
		var param={
			type    : 2,                 
			UserID  : UserCache.getUserToken(),
			FansID  : index,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Fans/SetNoFocus", function(data){ 
			console.log("已取消关注="+JSON.stringify(data))
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	
	//点赞，typeStatus 2是点赞，1是评论，IsDiary :true-日记  false 会议
	my_content_model.prototype.ZanTure = function(type,id,ReceiverID,msg,func) {
		var param={
			UserID  : UserCache.getUserToken(),
			type: type,
			DiariesID : id,

			UserSendID :UserCache.getUserToken(),
			ReceiverID: ReceiverID,
			typeStatus:2,
			DiaryID :id,
			MsgContent:msg,
			IsDiary :true,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Diaries/ZanOrCancel", function(data){ 
			console.log("点赞="+JSON.stringify(data))
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data)
			}
		})
	}	
		
		
		
	//取消赞
	my_content_model.prototype.ZanOrCancel = function(type,id,func) {
		var param={
			UserID  : UserCache.getUserToken(),
			type    :   type,
			DiariesID : id,
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Diaries/ZanOrCancel", function(data){ 
			console.log("取消赞="+JSON.stringify(data))
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data)
			}
		})
	}

	return new my_content_model();
});

