define(["NetMannager","UserCache"], function(net,UserCache){
	var one=null;				//全部订单
	var two=null;				//待付款
	var three=null;				//待审核
	var four=null;				//已完成
	var five=null;				//待收货
	function my_order_model(){
		
	}

	
	
	//全部订单
	my_order_model.prototype.orderData4 = function(r,p,func) {
		var param={
			rows    : r,
			page    : p,
			Type    : 0,      
			UserId  : UserCache.getUserToken(),
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Order/GetOrderList", function(data){ 					//state如果返回2 说明是上啦加载后没有数据的返回；
			if(data.state==1 || data.state==2){
				//样式
				if(data.state==1){
					for(var i=0;i<data.data.length;i++){
						for(var j=0;j<data.data[i].OrderInfoes.length;j++){
							var _obj= data.data[i].OrderInfoes[j]; 
							var str=""+_obj.Title;
							_obj.str = str.substr(0,1);
							if(_obj.str=="【"){_obj.fuhao = 1;}else{_obj.fuhao = 2;}
						}
					}
				}
				//样式结束
			}
			one = data.data;
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	//待付款
	my_order_model.prototype.orderData1 = function(r,p,func) {
		var param={
			rows    : r,
			page    : p,
			Type    : 1,      
			UserId  : UserCache.getUserToken(),
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Order/GetOrderList", function(data){ 
			if(data.state==1 || data.state== 2){ 
				//样式
				if(data.state==1){
					for(var i=0;i<data.data.length;i++){
						for(var j=0;j<data.data[i].OrderInfoes.length;j++){
							var _obj= data.data[i].OrderInfoes[j]; 
							var str=""+_obj.Title;
							_obj.str = str.substr(0,1);
							if(_obj.str=="【"){_obj.fuhao = 1;}else{_obj.fuhao = 2;}
						}
					}
				}
				//样式结束
			}
			two = data.data;
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	
	//待审核
	my_order_model.prototype.orderData2 = function(r,p,func) {
		var param={
			rows    : r,
			page    : p,
			Type    : 2,      
			UserId  : UserCache.getUserToken(),
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Order/GetOrderList", function(data){ 
			if(data.state==1 || data.state==2){
				//样式
				for(var i=0;i<data.data.length;i++){
					for(var j=0;j<data.data[i].OrderInfoes.length;j++){
						var _obj= data.data[i].OrderInfoes[j]; 
						var str=""+_obj.Title;
						_obj.str = str.substr(0,1);
						if(_obj.str=="【"){_obj.fuhao = 1;}else{_obj.fuhao = 2;}
					}
				}
				//样式结束
			}
			three = data.data;
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	//已完成 
	my_order_model.prototype.orderData3 = function(r,p,func) {
		var param={
			rows    : r,
			page    : p,
			Type    : 3,      
			UserId  : UserCache.getUserToken(),
			token : UserCache.getLoginToken()
		}
		net.getListMess(param,"Order/GetOrderList", function(data){ 
			if(data.state==1 || data.state==2){
				//样式
				if(data.state==1){
					for(var i=0;i<data.data.length;i++){
						for(var j=0;j<data.data[i].OrderInfoes.length;j++){
							var _obj= data.data[i].OrderInfoes[j]; 
							var str=""+_obj.Title;
							_obj.str = str.substr(0,1);
							if(_obj.str=="【"){_obj.fuhao = 1;}else{_obj.fuhao = 2;}
						}
					}
				}
				//样式结束
			}
			four = data.data;	
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	//待收货
	my_order_model.prototype.orderData5 = function(r,p,func) {
		var param={
			rows    : r,
			page    : p,
			Type    : 5,      
			UserId  : UserCache.getUserToken(),
			token : UserCache.getLoginToken()
		}
		
		net.getListMess(param,"Order/GetOrderList", function(data){ 
			if(data.state==1 || data.state== 2 ){	
				//样式
				if(data.state==1){
					for(var i=0;i<data.data.length;i++){
						for(var j=0;j<data.data[i].OrderInfoes.length;j++){
							var _obj= data.data[i].OrderInfoes[j]; 
							var str=""+_obj.Title;
							_obj.str = str.substr(0,1);
							if(_obj.str=="【"){_obj.fuhao = 1;}else{_obj.fuhao = 2;}
						}
					}
				}
				//样式结束
			}
			five = data.data;
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	
	
	
	my_order_model.prototype.stateData_one = function() {
		return one;
	}
	my_order_model.prototype.stateData_two = function() {
		return two;
	}
	my_order_model.prototype.stateData_three = function() {
		return three;
	}
	my_order_model.prototype.stateData_four = function() {
		return four;
	}
	my_order_model.prototype.stateData_five = function() {
		return five;
	}
	
	
	
	
	
	//关闭订单
	my_order_model.prototype.closeOrder = function(or,func) {
		var param = {
			orderID  : or,
			token : UserCache.getLoginToken() 
		}
		net.getListMess(param,"Order/CancelOrderByID", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	//先验证状态，判断是否是会员可购买，比如买了正式会员，如果有钻石会员订单，就不能买；
	my_order_model.prototype.checkOrderStatus = function(ID,func) {
		var param = {
			ID    : ID,
			UserID: UserCache.getUserToken(),
			token : UserCache.getLoginToken() 
		}
		net.getListMess(param,"Order/GetOrderStatus", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	//确认收货
	my_order_model.prototype.sureShouhuo = function(ID,func) {
		var param = {
			OrderID : ID,
			token : UserCache.getLoginToken() 
		}
		net.getListMess(param,"Order/CollectGoods", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	return new my_order_model();
});

