define(['my_tab_fs_model',"UserCache"], function(model,UserCache) {
	var _this=null;
	function my_tab_fs_control(){
		_this=this;
	}
	var hvm=new Vue({
		el:"#top",
		data:{},
		methods:{
			back:function(){
				var view=plus.webview.currentWebview().opener();
				mui.fire(view,"loginSuccess");
				mui.back();
			}
		}
	})
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			list:[],
			rows:25,
			page:1,
			state:false,
			flag:1,
			UserId : "",
			isNetWork:0
		},
		methods:{
			sheet:function(index,FansID){					
				_this.is_gz(index);
				mui("#sheet").popover('toggle');
				localStorage.setItem("fsIndex",index);
				localStorage.setItem("FansID",FansID);
			},
			sheet_close:function(){
				mui("#sheet").popover('hide');
			},
			addblack:function(){									//加入黑名单
				var get=localStorage.getItem('fsIndex');
				_this.initblack(get);
				vm.sheet_close();
			},
			addGZ:function(t){										//添加关注
				var get_fs=localStorage.getItem('fsIndex');
				_this.initFans(t,get_fs);
				vm.sheet_close();
			},
			tap:function(index){
				var cont = plus.webview.getWebviewById("my_content.html");
				if(cont){
					plus.webview.close("my_content.html","none");
				};
				setTimeout(function(){
					mui.openWindow({
						url : "my_content.html",
						id  : "my_content.html",
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					   },
					   extras:{
					   	  UserId : UserCache.getUserToken(),
					   	  RequestID : index,
					   	  type   : 2
					   }
					})
				},100)
				
			}
		}
	})
	
	
	my_tab_fs_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				var sdata=plus.webview.currentWebview();
				vm.UserId = sdata.UserId;
				if(vm.UserId != UserCache.getUserToken()){
					vm.flag = 0;	
				}
				model.fsData(vm.UserId,vm.page,vm.rows,function(data){
					vm.list= model.getlist();
				});
			}
		})
	}
	
	//加入黑名单
	my_tab_fs_control.prototype.initblack = function(index){
		model.initBlack(index,function(){
			_this.init();
			_this.BlackEvent();
		});
	}
	
	
	
	//添加关注
	my_tab_fs_control.prototype.initFans = function(t,index){
		model.addFS(t,index,function(){
			_this.init();
			var getFansID = localStorage.getItem('FansID');
			if(t==1){			//添加关注
				_this.Event(true,getFansID);
			}else if(t==2){		//取消关注
				_this.Event(false,getFansID);
			}
		}); 
	}
	
	
	//是否已经添加关注
	my_tab_fs_control.prototype.is_gz = function(index){
		model.is_gz(index,function(){
			vm.state = model.get_state();
		})
	}
	
	
	my_tab_fs_control.prototype.Event = function(isGz,DriayUserID){			
		var view=plus.webview.currentWebview().opener();
		mui.fire(view,"my_tab",{isGz:isGz,DriayUserID :DriayUserID});
		
		var view2=plus.webview.getWebviewById('html/my.html');
		mui.fire(view2,"my_tab",{isGz:isGz,DriayUserID :DriayUserID});
	}
	
	
	//加入黑名单后，我的关注这个数值要发生变化所以我的要刷新页面，首页要刷新
	my_tab_fs_control.prototype.BlackEvent = function(){				
		var view2=plus.webview.getWebviewById('html/home.html');
		mui.fire(view2,"homeOther");
		
		var view2=plus.webview.getWebviewById('html/my.html');
		mui.fire(view2,"loginSuccess");
		
		var view3=plus.webview.currentWebview().opener();
		mui.fire(view3,"loginSuccess");
	}
	
	//下拉刷新
//	my_tab_fs_control.prototype.up = function(){
//		vm.page = 1;
//		_this.init();
//		mui.toast("下拉我刷新了，数据要变化拉")
//	}
	
	//上拉加载
	my_tab_fs_control.prototype.down = function(func){
		var arry =[];
		vm.page++;
		model.fsData(vm.UserId,vm.page,vm.rows,function(data){
			if(data.state==1){
				arry = model.getlist();
				for(var i=0;i<arry.length;i++){
					vm.list.push(arry[i]);
				}
			}
			func(data.state);
		});
	}
	
	
	mui.plusReady(function(){
	    document.addEventListener( "plusscrollbottom", onScrollToBottom, false );
	    function onScrollToBottom() {
	         $(".jiazai").fadeIn(100,function(){
	         	_this.down(function(data){
	         		if(data==1){
	         			$(".jiazai span").text("正在加载中...");
	         			setTimeout(function(){
			         		$(".jiazai").fadeOut(100);
			         	},3000)
	         		}else{
	         			$(".jiazai img").hide();
	         			$(".jiazai span").text("没有更多数据了");
	         			$(".jiazai span").css("margin-top","0rem");
			         	$(".jiazai").show();
	         		}
	         	})
	         });
	    }
	});
	return new my_tab_fs_control();
});