define(['my_tab_gz_model',"UserCache"], function(model,UserCache) {
	var _this=null;
	function my_tab_gz_control(){
		_this=this;
	}
	var vm=new Vue({
		el:".mui-content",
		data:{
			list:[],
			rows:25,
			page:1,
			state:1,						//点击操作
			UserId:"",
			num :"",
			isNetWork:0,
			
			id    : ""
		},
		methods:{
			sheet:function(DriayUserID){
				vm.id    = DriayUserID;
				mui("#sheet").popover('toggle');
			},
			sheet_close:function(){
				mui("#sheet").popover('hide');
			},
			cancle_gz:function(){									//取消关注
				this.cancle_gz_btn(vm.id);
				mui("#sheet").popover('hide');
			},
			inBlack:function(){									    //加入黑名单
				this.black(vm.id);
				mui("#sheet").popover('hide');
			},
			tap:function(index){
				var cont = plus.webview.getWebviewById("my_content.html");
				if(cont){
					plus.webview.close("my_content.html","none");
				}
				setTimeout(function(){
					mui.openWindow({
						url : "my_content.html",
						id  : "my_content.html",
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					   },
					   extras:{
					   	  UserId : UserCache.getUserToken(),
					   	  RequestID : index,
					   	  type   : 2
					   }
					})
				},100)
			},
			cancle_gz_btn:function(id){
				for(var i=0;i<vm.list.length;i++){
					if(id==vm.list[i].ID){
						model.cancleGz(id,function(){
							_this.Event(false,vm.list[i].UserID);
							vm.list.splice(i,1);
							if(vm.list==''){
								vm.list =null;
							}
							return vm.list;
						});
						break;
					}
				}
			},
			black:function(id){
				for(var i=0;i<vm.list.length;i++){
					if(id==vm.list[i].ID){
						model.inBlack(id,function(){
							_this.BlackEvent();
							vm.list.splice(i,1);
							if(vm.list==''){
								vm.list =null;
							}
							return vm.list;
						});
						break;
					}
				}
			}
		}
	})

	my_tab_gz_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				var sdata=plus.webview.currentWebview();
				vm.UserId = sdata.UserId;
				if(vm.UserId != UserCache.getUserToken()){				//说明是从别人的头像点击进来的，不让她点击操作
					vm.state = 0;	
				}
				model.gzData(vm.UserId,vm.page,vm.rows,function(data){
					vm.list = model.getList();
				})
			}
		})
	}
	
	//取消关注
//	my_tab_gz_control.prototype.cancle = function(index){			//index = FansID   粉丝ID
//		model.cancleGz(index,function(data){
//			var DriayUserID=localStorage.getItem('DriayUserID');
//			_this.init();
//			_this.Event(false,DriayUserID);
//		})
//	}
//	
	//加入黑名单
//	my_tab_gz_control.prototype.inblack = function(index){			//index = FansID   粉丝ID
//		model.inBlack(index,function(data){
//			_this.init();
//			_this.BlackEvent();
//		})
//	}
	
	
	my_tab_gz_control.prototype.Event = function(isGz,DriayUserID){			
		//我的页面进行刷新
		var view=plus.webview.currentWebview().opener();
		mui.fire(view,"my_tab",{isGz:isGz,DriayUserID :DriayUserID});
		
		var view2=plus.webview.getWebviewById('html/my.html');
		mui.fire(view2,"my_tab",{isGz:isGz,DriayUserID :DriayUserID});
	}
	
	
	//加入黑名单后，我的关注这个数值要发生变化，首页要刷新
	my_tab_gz_control.prototype.BlackEvent = function(){				
		var view2=plus.webview.getWebviewById('html/home.html');
		mui.fire(view2,"homeOther");
		
		var view2=plus.webview.getWebviewById('html/my.html');
		mui.fire(view2,"loginSuccess");
		
		var view3=plus.webview.currentWebview().opener();
		mui.fire(view3,"loginSuccess");
	}
	
	
//	//下拉刷新
//	my_tab_gz_control.prototype.up = function(){
//		vm.page = 1;
//		_this.init();
//	}
//	
	//上拉加载
	my_tab_gz_control.prototype.down = function(func){
		var arry =[];
		vm.page++;
		model.gzData(vm.UserId,vm.page,vm.rows,function(data){
			if(data.state==1){
				arry = model.getList();
				for(var i=0;i<arry.length;i++){
					vm.list.push(arry[i]);
				}
				console.log("上拉加载后的vm.list="+JSON.stringify(vm.list))
			}
			func(data.state);
		})
	}
	
	
	
	mui.plusReady(function(){
	    document.addEventListener( "plusscrollbottom", onScrollToBottom, false );
	    function onScrollToBottom() {
	         $(".jiazai").fadeIn(100,function(){
	         	_this.down(function(data){
	         		if(data==1){
	         			$(".jiazai span").text("正在加载中...");
	         			setTimeout(function(){
			         		$(".jiazai").fadeOut(100);
			         	},3000)
	         		}else{
	         			$(".jiazai img").hide();
	         			$(".jiazai span").text("没有更多数据了");
	         			$(".jiazai span").css("margin-top","0rem");
			         	$(".jiazai").show();
	         		}
	         	})
	         });
	    }
	});
	
	
	window.addEventListener('reshreshGz',function(e){
		var usreid = e.detail.UserId;
		if(usreid != UserCache.getUserToken()){				//说明是从别人的头像点击进来的，不让她点击操作
				vm.state = 0;	
		}
		model.gzData(usreid,vm.page,vm.rows,function(data){
			vm.list = model.getList();
			vm.num = vm.list.length;
		})
	})
	
	
	
	//日记详情取消关注--还有个人中心，刷新的是自己的
	window.addEventListener('ChangeGz',function(e){
		vm.page = 1;
		vm.state = 0;	
		model.gzData(UserCache.getUserToken(),vm.page,vm.rows,function(data){
			vm.list = model.getList();
			vm.num = vm.list.length;
		})
	})
	return new my_tab_gz_control();
});