define(['news_model','UserCache'], function(model,UserCache) {
	var _this=null;
	function news_control(){
		_this=this;
	}
	var vm=new Vue({
		el:".mui-content",
		data:{
			page : 1,
			rows : 10,
			isData : 1,     //是否还有数据
			list : []
		},
		methods:{
			goHtml:function(type,diaryID,isZan,UserID,ReceiverID,ID){
				if(type==3){				//日记跳转
					model.check(type,diaryID,ReceiverID,ID,function(data){
						if(data.state==1){
							mui.openWindow({
								url : "diary_xq.html",
								id  : "diary_xq.html",
								styles: {
					                popGesture: 'close',
									"contentAdjust":false 
					            },
								waiting:{
							      autoShow:false
							   },
							   extras:{ 
							   	 diaryID : diaryID,
							   	 isZan   : isZan
							   }
							})
							
							setTimeout(function(){
								vm.page = 1;
								_this.init();
							},300);
						}else{
							mui.toast(data.text);
						}
					})
				}else if(type==5){			//关注跳转个人主页
					model.check(type,diaryID,ReceiverID,ID,function(data){
						if(data.state==1){
							mui.openWindow({
								url : "my_content.html",
								id  : "my_content.html",
								styles: {
					                popGesture: 'close',
									"contentAdjust":false 
					            },
								waiting:{
							      autoShow:false
							   },
							   extras:{
							   	  UserId : UserCache.getUserToken(),
							   	  RequestID : UserID,
							   	  type   : 2
							   }
							})
							setTimeout(function(){
								vm.page = 1;
								_this.init();
							},300);
						}else{
							mui.toast(data.text);
						}
					})
				}
			}
		}
	})
	
	news_control.prototype.init = function(){
		model.init(vm.page,vm.rows,function(data){
			if(data.state==1){
				data.data.forEach(function(item,index){
					//默认游客
					if(item.GradePath!=null){
						if(item.GradePath == "ZS.png"){	     //钻石
							item.GradePath = "../my-img/4.png";
						}else if(item.GradePath == "JK.png"){ //金卡
							item.GradePath = "../my-img/3.png";
						}else if(item.GradePath == "HY.png"){ //正式会员
							item.GradePath = "../my-img/2.png";
						}else if(item.GradePath == "FWS.png"){//服务商
							item.GradePath = "../my-img/5.png";
						}else if(item.GradePath == "TY.png"){ //体验会员就是vip会员
							item.GradePath = "../my-img/6.png";
						}else{
							item.GradePath = "../my-img/1.png";
						}
					}
				})
				
				
				if(vm.page==1){
					vm.list = data.data;
					$(".downLoad").text("正在加载中...");
				}else{   
					vm.list = vm.list.concat(data.data);
				}
				vm.isData = 1;
				setTimeout(function(){
					$(".downLoad").hide();
				},300)
			}else{
				if(vm.page==1){
					$(".downLoad").hide();
				}else{
					vm.isData = 0;
					$(".downLoad").show();
					$(".downLoad").html("<img src='../mescroll/3.png'/><span>没有更多了</span>");
					setTimeout(function(){
						$(".downLoad").fadeOut();
					},500)
				}
			}
		})
	}
	
	
	//监听手机滑到底部事件；
	mui.plusReady(function(){		
	    document.addEventListener("plusscrollbottom", function(){
	    	if(vm.isData ==0){				//如果已经没有更多数据了，在上拉就不在请求数据了
	    		return false;
	    	}
	    	vm.page++;
	    	_this.init(); 
	    },false);
	});
	
	//设为已读
	$("#top div").eq(2).on("tap",function(){
		model.setReadTrue(function(data){
			for(var i=0;i<vm.list.length;i++){
				vm.list[i].ReadState = true;
			}
			if(data.state==-1){
				mui.toast(data.text)
			}else{
				mui.toast("已全部设为已读");
			}
			
			var view= plus.webview.currentWebview().opener();
			mui.fire(view,"loginSuccess");
			return vm.list;
		})
	})
	
	
	return new news_control();
});