define(['order_deault_model'], function(model) {
	var _this=null;
	function order_deault_control(){
		_this=this;
	}
	//价格过滤器，截取2为小数
	Vue.filter('fiterallprice', function (value) {
	  	return Number(value).toFixed(2);
	})

	
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			ContStatus :  "",	   
			shopList : [],
			orderId : "",
			orderBack : "",
			orderFlag : "",					//这个是判断该订单中是否有退款中的状态----确认收货按钮需要判断
			orderMsg  : "",					//弹窗信息----确认收货
			AllPrice  : "",					//总计
			couponList: "",					//确认收货后弹窗的优惠券列表
			index	  : 0					
		},
		methods:{
			cal_back:function(){	                     //如果我的订单页面存在，就直接显示，如果不存在就重新打开个新页面
				var self=plus.webview.getWebviewById('my_order.html');
				if(vm.orderBack){
					mui.back();
				}else{
					if(self){
						self.close('none');
					}
					plus.webview.create('my_order.html', 'my_order.html', {}, {index:vm.index}).show('slide-in-right');
				}
				var myself=plus.webview.currentWebview();
				setTimeout(function(){myself.close('none');},100);
			},
			look_coupon:function(){										//查看抵用券
				mui.openWindow({
					url:"coupon.html",
					id :"coupon.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			lessonDeault(ID){											//商学院去学习
				localStorage.setItem('isOrder',1);
				var self=plus.webview.getWebviewById('lessonDeault.html');
				if(self){
					self.close('none');
				}
				plus.webview.create('lessonDeault.html', 'lessonDeault.html', {}, {ID:ID,typeOrder:1}).show('slide-in-right');
			},
			goFlie(ID,type){
				if(type==2 || type==1){			//跳转音频   灵魂演说 = 1,音乐 = 2,MV = 3, 电影 = 4
					var self=plus.webview.getWebviewById('fileAudio.html');
					if(self){
						self.close('none');
					}
					plus.webview.create('fileAudio.html', 'fileAudio.html', {}, {ID:ID}).show('slide-in-right');
				}else{							//其它跳转视频
					var self=plus.webview.getWebviewById('file.html');
					if(self){
						self.close('none');
					}
					plus.webview.create('file.html', 'file.html', {}, {ID:ID}).show('slide-in-right');
				}
			},
			
			
			pay:function(ID){											//待付款，立即支付
				model.checkOrderStatus(ID,function(data){
					if(data.state==1){
						mui.openWindow({
							url:"pay_order.html",
							id :"pay_order.html",
							extras:{
								orderId : vm.orderId 
							},
							styles: {
				                popGesture: 'close',
								"contentAdjust":false 
				            },
							waiting:{
						      autoShow:false
						    }
						})
//						
//						setTimeout(function(){
//							var myself=plus.webview.currentWebview();
//							myself.close('none');
//						},100)
					}else{
						mui.toast(data.text);
					}
				})
				
			},
			sureAlert:function(){
				mui("#sheet3").popover('show');
			},
			sureAlertClose:function(){
				mui("#sheet3").popover('hide');
			},
			sureShouhuo:function(ID){								//如果是我的订单进来就返回，如果是刚生成的订单就跳转我的订单页面
				model.sureShouhuo(ID,function(data){
					if(vm.orderBack){
						var myView=plus.webview.currentWebview().opener();
						mui.fire(myView,"shouhuo");
					}
					if(data.state==1){
						//弹出
						_this.init_ready();
						if(data.data==""){			//如果没有送的优惠券就不弹窗
							vm.couponList = [];
							mui("#sheet3").popover('hide');
						}else{
							vm.couponList = data.data;
							mui("#sheet2").popover("toggle");
						}
					}else{
						mui.toast(data.text);
					}
				})
			},
			gomall:function(){					    //立即使用
				_this.gomall();
			},
			back:function(id){
				var btn=["否","是"];
				mui.confirm("你确定要关闭订单吗？","",btn,function(e){
					if(e.index==1){
						model.closeOrder(id,function(data){
							if(data.state==1){
								var self=plus.webview.getWebviewById('my_order.html');
								var myself=plus.webview.currentWebview();
								myself.close();
								if(vm.orderBack){
									var myView=plus.webview.currentWebview().opener();
									mui.fire(self,"suBmit",{id:vm.orderId,index:vm.index});
									mui.back();
								}else{
									plus.webview.create('my_order.html', 'my_order.html', {}, {index:0}).show('slide-in-left');
									if(self){
										self.close();
									}
								}
							}else if(data.state==-1){
								mui.toast(data.text);
							}
						});
					}
				})
			},
			sheetClose:function(){
				mui("#sheet").popover("hide");
			},
			sheetClose2:function(){
				mui("#sheet2").popover("hide");
			},
			refund:function(ID){			//退款
				mui.openWindow({
					url:"shenQingTK.html",
					id :"shenQingTK.html",
					extras:{
						ID : ID
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			inrefund:function(ID){		  //退款中按钮，跳转详情
				mui.openWindow({
					url:"shouHouDeault.html",
					id :"shouHouDeault.html",
					extras:{
						ID : ID
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}
		}
	})
	
	order_deault_control.prototype.init = function(){
		_this.init_ready();
	}
	
	
	order_deault_control.prototype.init_ready = function(){
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			vm.orderBack = sdata.orderBack;
			vm.orderId   = sdata.goodID;		
			vm.index     = sdata.index;
			model.initData(vm.orderId,function(){
				vm.shopList   = model.getData();
				console.log(": " + JSON.stringify(vm.shopList));
				vm.ContStatus = vm.shopList.States;		//订单状态1是待付款，2是待审核，3是已完成，45是待收货，7是已退货，8是退货中(给内容判断用)
				//根据状态显示不同头部背景
				if(vm.ContStatus==1){					
					$("#title").css({"background":"url(../icon/mall_order_payd_bg@3x.png) no-repeat","background-size":"100% 100%"});
				}else if(vm.ContStatus==2||vm.ContStatus==5 || vm.ContStatus==4){
					$("#title").css({"background":"url(../icon/mall_order_pr_bg@3x.png) no-repeat","background-size":"100% 100%"});
				}else if(vm.ContStatus==3 || vm.ContStatus==10){
					$("#title").css({"background":"url(../icon/me_order_co_bg@3x.png) no-repeat","background-size":"100% 100%"});
				}
				//特殊产品如果是门票待审核状态,还有期刊学习
				if((vm.shopList.Types==5&&vm.ContStatus==2) || (vm.shopList.Types==6&&vm.ContStatus==2)){
					vm.index = 3;
				}
				
				
				vm.orderFlag = vm.shopList.flag;
				vm.orderMsg  = vm.shopList.Msg;
				vm.AllPrice  = vm.shopList.PayPrice;		//购物车总计
			})

//			setTimeout(function(){
//				mui('.mui-scroll-wrapper').scroll({
//					deceleration: 0.0005,
//					indicators: false, //是否显示滚动条
//					bounce: true
//				});
//			},100);
			
		})
	}
	
	
	//返回首页
	order_deault_control.prototype.gomall = function(){
		var sdata=plus.webview.currentWebview();
		var self = plus.webview.currentWebview();　　 	 //当前窗口对象 
		var launch = plus.webview.getLaunchWebview();　　 //首页窗口对象 
		var wvs = plus.webview.all();　　				 //所有窗口对象	
		for(var i = 0, len = wvs.length; i < len; i++) {
			if(wvs[i].id === self.id || wvs[i].id === localStorage.homeWebId || wvs[i].id === launch.id ||
				wvs[i].id == "html/home.html" || wvs[i].id == "html/diary_edit.html" || wvs[i].id == "html/my.html"|| wvs[i].id == "html/mall.html" || wvs[i].id == "city.html"|| wvs[i].id == "html/information.html"|| wvs[i].id == "main") {
				continue; 
			} else {
				wvs[i].close('none');　　 //关闭中间的窗口对象，为防止闪屏，不使用动画效果；
			}
		}
		self.close("slide-out-right");
		var view=plus.webview.getWebviewById('main');
		mui.fire(view,'go_mall');
	}
	
	
	
//	var scroll = mui('#mui-scroll-wrapper').scroll();
//	document.querySelector('#mui-scroll-wrapper').addEventListener('scroll', function (e){ 
//		var opac= Math.abs(scroll.y/100);
//		console.log(opac);
//		if(scroll.y>-50){
//			$("#p").css("background","rgba(255,255,255,"+opac+")");
//			$("#p img").attr("src","../icon/white.png");
//			$("#p").css("box-shadow","none");
//		}else{
//			$("#p").css({
//				"background":"white",
//				"box-shadow":"0px 1px 1px 0px #F0F0F0"
//			});
//			$("#p img").attr("src","../icon/black.png");
//		}
//	})

	
	
	
	
	
	//支付完成刷新界面
	window.addEventListener("refresh",function(){
		_this.init_ready();
	})
	
	window.addEventListener("orderRefresh",function(e){
		_this.init_ready();
		//如果是拒绝退款里面确认收货，返回这里的时候，把优惠券弹窗显示出来
		if(e.detail.type=="no"){
			mui("#sheet2").popover("show");
		}
	})
	
	$(".getBack").on("click",function(){
		vm.cal_back();
	}); 
	
	return new order_deault_control();
});