define(["payOrder_model","Config","UserCache"], function(model,Config,UserCache) {
	var _this=null;
	var aliChannel = null; // 支付宝支付
	function payOrder_controller() {
		_this = this;
	}
	if(window.plus) {
		plusReady();
	} else {
		document.addEventListener("plusready", plusReady, false);
	}
	function plusReady(){
		
	}
	
	var hvm=new Vue({
		el:"#top",
		data:{},
		methods:{
			my_back:function(){
				mui("#sheet").popover('toggle');
			}
		}
	})
	var vm=new Vue({
		el:".mui-content",
		data:{
			goodID : "",
			list  : [],
			OrderNo:"",
			Types  :"",
			curIndex : 1,						//默认返回是待支付状态
			colorActive :false,					//支付按钮颜色
			payOther : 0,						//支付方式,默认支付宝为0，微信为1
			IsAliPay : false,                   //支付宝开关
			IsWxPay  : false					//微信开关
		},
		methods:{
			return_pay:function(){              //返回支付
				mui("#sheet").popover('hide');
			},
			sure_close:function(){             //为了兼容安卓的返回----支付失败返回
				if(vm.Types==7){
					vm.backFile();
				}else{
					var self=plus.webview.currentWebview();
					plus.webview.create('order_deault.html', 'order_deault.html', {"contentAdjust":false}, {
						goodID: vm.goodID,
						index  : 1
					}).show('slide-in-left');
					self.close('none');
				}
			},
			backFile:function(){
				var isAudiOrMv = localStorage.getItem('isAudioTpye');				//音频是1 mv是2
				var sureOrder = plus.webview.getWebviewById("sure_order.html");
				if(sureOrder){
					sureOrder.close('none');
				}
				if(isAudiOrMv==2){
					var fileView = plus.webview.getWebviewById("file.html");
					if(fileView){				//如果存在电影播放页，就直接跳转（返回）
						fileView.show('slide-in-right');
						mui.fire(fileView,"file");
					}else{						//不存在，说明是从我的订单入口进来的，还是跟之前逻辑一样
						_this.goOrder(); 
					}
				}else{
					var audioView = plus.webview.getWebviewById("fileAudio.html");
					if(audioView){			
						audioView.show('slide-in-right');
						mui.fire(audioView,"audioView");
					}else{						
						_this.goOrder(); 
					}
				}
				setTimeout(function(){
					var self=plus.webview.currentWebview();
					self.close('none');
				},100)
			},
			sure_btn:function(){
				if(!vm.IsAliPay&&!vm.IsWxPay){

				}else{
					if(vm.list.PayPrice==0){			//如果金额等于0，则直接支付成功；
						_this.goOrder();
					}else{
						setTimeout(function(){			//防止一些不友好的用户来回点击切换支付方式，aliChannel请求不过来，还是去上次的值
							mui("#sheet3").popover('hide');
							_this.sumbit_order();
						},300)
					}
				}
			},
			choose:function(index){
				vm.payOther = index;
				mui.plusReady(function(){
					plus.payment.getChannels(function(channels){
						if(vm.payOther == 0){
							 for(var i=0;i<channels.length;i++){
							 	if(channels[i].id=="alipay"){
							 		aliChannel=channels[i];
							 		break;
							 	}
							 }
						}else{
							for(var i=0;i<channels.length;i++){
								if(channels[i].id=="wxpay"){
									aliChannel=channels[i];
									break;
								}
							}
						}
					},function(e){
						//alert("获取支付通道失败："+e.message);
					});
				})
			},
			lookDeault:function(){
				if(vm.Types==7){		//电影返回播放页面
					vm.backFile();
				}else{
					_this.goOrder(); 
				}
			},
			//支付失败弹窗关闭按钮
			sheetClose:function(){
				mui("#sheet3").popover("hide");
			},
			goPay:function(){
				this.sure_btn();
			},
			chooseImg:function(index){
				vm.payOther = index;
			}
		}
	})
	
	
	
	
	payOrder_controller.prototype.init = function() {
		mui.plusReady(function() {
			var sdata=plus.webview.currentWebview();
			vm.goodID = sdata.orderId;								//传给订单详情的
			model.commitOrder(function(){
				vm.list = model.getData();
				vm.Types  = vm.list.Types;  
				vm.OrderNo = vm.list.OrderNo;
				vm.IsAliPay= vm.list.IsAliPay;
				vm.IsWxPay = vm.list.IsWxPay;
				if(!vm.IsAliPay&&!vm.IsWxPay){
					vm.colorActive = true;
					$(".sumbit").text("暂未开通支付方式");
				}
				
				
				if(!vm.IsAliPay){				//如果支付宝关闭，把微信开启
					vm.payOther = 1;
				}
				//vm.Types==1是购物车商城   5是门票   4花期会员
				
				// 获取支付通道
	            plus.payment.getChannels(function(channels){
					for(var i=0;i<channels.length;i++){
						if(channels[i].id=="alipay"){
							aliChannel=channels[i];
							break;
						}
					}
	            },function(e){
	            	//alert("获取支付通道失败："+e.message);
	            });
			});
        })
	}
	
	
	
	payOrder_controller.prototype.sumbit_order = function() {  
		model.getOrder(vm.OrderNo,function(data){
			var  state = model.State();
			if(state==1){
				//当前网络拥堵，请稍后再试；
				model.isGoalipay(function(data){
					if(data.state==1){							   //重新缓存token
						UserCache.saveLoginToken(data.data.Token); //缓存用户唯一的token
						UserCache.saveTokenTimeOut(data.data.TokenTimeOut);	//TokenTimeOut有效时间
						_this.alipay('alipay');
					}else if(data.state==2){
						_this.alipay('alipay');
					}else if(data.state==3){
						mui.toast(data.text);
					}
				})
			}else if(state==-1){			
				mui.toast(data.text);
			}
		})
	}
	
	



	payOrder_controller.prototype.alipay = function(id) {
        //发起支付请求
        if(id=='alipay'){
            channel = aliChannel;			//{"id":"alipay","description":"支付宝","serviceReady":true}
        }else{
            //plus.nativeUI.alert("不支持此支付通道！",null,"捐赠");
            return;
        }
        
        //0是支付宝，1是微信，其实可以调用一个接口的，这里分两个了
        if(vm.payOther==0){
	        model.Post(vm.OrderNo,function(data){
				mui.plusReady(function(){
					plus.payment.request(channel,data.data,function(result){
						$(".successbAlert").show();
					},function(error){
						mui("#sheet3").popover("show");
					});
				})
	        })
        }else if(vm.payOther==1){
        	model.WxPost(vm.OrderNo,function(data){
	            plus.payment.request(channel,data.data,function(result){
	                $(".successbAlert").show();
	            },function(error){ 
	            	if(error.code == -8){		//客户端未安装
	            		alert("你还未安装微信客户端");
	            	}
	            	mui("#sheet3").popover("show");
	            });
	        })
        }
	}
	
	

	//支付成功后，跳转详情---1是购物车商城   5是门票   4花期会员
	payOrder_controller.prototype.goOrder = function() {
			if(vm.Types==1){		//如果是购物车商品支付完成-----待收货状态
				vm.curIndex = 2;
			}else if(vm.Types==4){  //如果是花期会员支付完成----待审核状态
				vm.curIndex = 3;
			}else if(vm.Types==5){  //如果是门票支付完成---已完成的状态
				vm.curIndex = 4;
			}else if(vm.Types==6){	//返回也是已完成
				vm.curIndex = 4;
			}
		
		
    		//如果支付成功，判断订单详情页是否存在，如果存在先关掉在打开新的
    		var order_deault = plus.webview.getWebviewById("order_deault.html");
    		var self=plus.webview.currentWebview();
    		if(order_deault){
    			order_deault.close('none');
    		}
    		plus.webview.create('order_deault.html', 'order_deault.html', {"contentAdjust":false}, {
				goodID: vm.goodID,
				index : vm.curIndex
			}).show('slide-in-right');
			setTimeout(function(){
				self.close('none');
			},100)
	}
	return new payOrder_controller();
});