define(['personal_data_model',"UserCache"], function(model,UserCache) {
	var _this=null;
	function personal_data_control(){
		_this=this;
	}
	var hvm=new Vue({
		el:"#top",
		data:{},
		methods:{
			baocun:function(){
				if(vm.isNetWork==0){
					_this.baoC_info();
				}else{
					mui.toast('请检查网络');
				}
			}
		}
	})
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			ID   : "",
			Name : "",
			RealName : "",
			CellPhone: "",
			Intro: "",
			Gender: "",
			Photo: "",
			Province: "",
			City: "",
			County: "",
			Birthday: "",
			show_photo:"",
			isNetWork:0,
			baseText : ""
		},
		methods:{
			open_tow:function(){
				mui.openWindow({
					url:"change_user.html",
					id :"change_user.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			open_three:function(){
				mui.openWindow({
					url:"edit.html",
					id :"edit.html",
					extras:{
						Intro : vm.Intro
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			city_pick: function() {
				var city_picker = new mui.PopPicker({ layer: 3 });
				city_picker.setData(china_city);
				city_picker.pickers[0].setSelectedValue('330000',600);
				setTimeout(function() {
					city_picker.show(function(items) {
//						$("#city_text").text(items[0].text + items[1].text + items[2].text); //该ID为接收城市ID字段
						vm.Province  = items[0].text;					//省份
						vm.City	     = items[1].text; 					//城市
						vm.County	 = items[2].text;					//县
					});
				}, 20);
			},
			sex_pick:function(){
				var city_picker = new mui.PopPicker({ layer: 1});
				city_picker.setData(sex_city);
				city_picker.pickers[0].setSelectedValue('1',600);
				setTimeout(function() {
					city_picker.show(function(items) {
						$("#sex").text(items[0].text); //该ID为接收城市ID字段
						vm.Gender= items[0].text;
					});
				}, 20);
			}
		}
	})
	
	
	personal_data_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				_this.getInfo();
			}
		})
	}
	
	//获取用户信息
	personal_data_control.prototype.getInfo = function(){
		model.userInfo(function(data){
			if(data.state==1){
				vm.ID  	     = data.data.ID;
				vm.Name      = data.data.Name;						//登录名
				vm.RealName  = data.data.RealName;					//昵称（真实姓名）
				vm.CellPhone = data.data.CellPhone;					//手机号码
				vm.Gender    = data.data.Gender;					//性别
				vm.showPhoto = data.data.Photo;
				vm.Birthday  = data.data.Birthday;					//生日
				vm.Province  = data.data.Province;					//省
				vm.City		 = data.data.City;						//市
				vm.County    = data.data.County;					//区
				if(data.data.Photo==""){
					vm.Photo="../img/banner1.jpg";
				}else{
					vm.Photo  = data.data.Photo;					//头像
				}

				
				
				
				if(data.data.Intro==null){
					vm.Intro = "您还未介绍自己";
				}else{
					vm.Intro  = data.data.Intro; 				//省份
				}
				$("#sex").text(vm.Gender);
			}else{
				mui.toast(data.text);
			}
		})
	}
	
	//保存用户信息
	personal_data_control.prototype.baoC_info = function(){
		var obj = {
				ID		  : vm.ID,  	     
				Name 	  : vm.Name,      
				RealName  : vm.RealName,  
				CellPhone : vm.CellPhone,
				Intro     : vm.Intro,    
				Gender    : vm.Gender,   
				// Photo     : vm.Photo,   
				Province  : vm.Province, 
				City      : vm.City,  
				County	  : vm.County,
				Birthday  : vm.Birthday 
		};
		if(vm.Name==''){
			mui.alert("昵称不能为空！");
			return false;
		}
		console.log("obj: " + JSON.stringify(obj));
		model.baoCunInfo(obj,function(data){
			if(data.state==1){
				//让我的也刷新数据；
				var view=plus.webview.getWebviewById('html/my.html');
   				mui.fire(view,"loginSuccess");
   				
   				var view2=plus.webview.getWebviewById('html/home.html');
   				mui.fire(view2,"presonData");
   				
   				var view3=plus.webview.currentWebview().opener();
   				mui.fire(view3,"myContent");
   				
   				var view4=plus.webview.getWebviewById('zanList.html');
   				mui.fire(view4,"changPhoto");
   				
				mui.back();
			}
			mui.toast(data.text);
		})
	}
	
	
	
	
	
	//监听修改用户信息
	window.addEventListener("edit_info",function(e){
		var index = e.detail.id;
		var txt   = e.detail.txt;
		var send_photo =e.detail.send_photo;
		if(index==1){				//修改昵称
			vm.Name = txt;
		}else if(index==2){			//修改简介
			vm.Intro    = txt;
		}else if(index==3){			//头像
//			vm.showPhoto = txt;
			vm.Photo = send_photo;	//显示的
		}
	})
	
	var img_upload=document.getElementById("img_upload");
	var base64_code=document.getElementById("base64_code");
    img_upload.addEventListener('change',function(){
    	var file=this.files[0];
        if(!/image\/\w+/.test(file.type)){ 
            alert("请确保文件为图像类型"); 
            return false; 
        }
        var reader=new FileReader();
        plus.nativeUI.showWaiting();
        reader.onload=function(){
        plus.nativeUI.closeWaiting();
           vm.baseText = this.result; 
            mui.openWindow({
				url:"change_photo.html",
				id :"change_photo.html",
				styles: {
	                popGesture: 'close',
					"contentAdjust":false 
	            },
				waiting:{
			      autoShow:false
			    },
			    extras : {
			    	userId : UserCache.getUserToken(),
			    	token  : UserCache.getLoginToken(),
			    	bg     : 2,
			    	num    : 1,
			    	baseText :vm.baseText
			    }
			})
        }
        reader.onerror = function(e) {
			alert("图片加载失败");
		};
        reader.readAsDataURL(file);
    },false);
	return new personal_data_control();
});