define(['register_model'], function(model) {
	var _this=null;
	var zz=/^1\d{10}$/;  		 //正则手机号码验证
	var flag=false;				 //防止一直获取验证码验证码
	var get_btn=null;			 //获取验证码按钮（方便dom元素操作）
	var num = 60;                //倒计时60秒
	var clear;                   //清除倒计时定时器用的
	function register_control(){
		_this=this;
	} 
	var vm=new Vue({
		el:".box",
		data:{
			myphone:"",
			mycode:"",
			mypass:"",
			checked:false
		},
		methods:{
			get_code:function(){			//获取验证码
	 			_this.getCode();
	 		},
	 		in_register:function(){			//注册
	 			var info = plus.push.getClientInfo();
//				mui.toast("clientid: " + info.clientid);
				localStorage.setItem("clientid",info.clientid);
	 			_this.check_phone();
	 		},
	 		user_xy:function(){
	 			mui.openWindow({
					url:"xieyi.html",
					id :"xieyi.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
	 		},
	 		txt_right:function(){
	 			$(".underFindCode").fadeIn(200);
	 		},
	 		chooseFlag:function(){
	 			this.checked =! this.checked;
	 		}
		}
	})
	
	
	
	register_control.prototype.init = function(){
		get_btn = document.getElementById("get_btn");
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			vm.myphone  = sdata.phone;   
		})
	}
	
	
	register_control.prototype.getCode = function() {
		if(!(zz.test(vm.myphone))) {
			mui.alert("请输入正确的手机号");
		}else{
			_this.getCodeTime();
		}
	}
	register_control.prototype.getCodeTime = function() {
		if(!flag) {
			get_btn.style.background = "#EEEEEE";
			get_btn.style.color = "#CCCCCC";
			clear = setInterval(_this.djstime, 1000);
			model.get_yzm(vm.myphone,function(data){
				console.log(JSON.stringify(data))
				if(data.state!=1){
					get_btn.style.background = "linear-gradient(90deg,rgba(56,249,215,1),rgba(67,233,123,1))";
					get_btn.style.color = "white";
					get_btn.innerText = "获取验证码";
					clearInterval(clear);
					num = 60;
					flag = false;
				}
				mui.toast(data.text);
			})
			flag = true;
		} else {
			// console.log("您重复点击了，但是没用  哈哈")
		}
	};
	
	//60秒倒计时
	register_control.prototype.djstime = function() {
		if(num <= 0) {
			get_btn.style.background = "linear-gradient(90deg,rgba(56,249,215,1),rgba(67,233,123,1))";
			get_btn.style.color = "white";
			get_btn.innerText = "获取验证码";
			clearInterval(clear);
			num = 60;
			flag = false;
		} else {
			num--;
			get_btn.innerHTML = num + "s";
		}
	};
	
	
	//点击注册的时候进行验证
	register_control.prototype.check_phone = function() {       
		var checkIsOk = false;
		if(!(zz.test(vm.myphone))) {
			mui.alert("请输入正确的手机号");
			return;
		}
		if(vm.mycode.toString().length != 4){
			mui.alert("请输入验证码");
			return;	
		}
		if(vm.mypass.toString().length < 6 ){
			mui.alert("请输入6-16位密码");
			return;
		}
		
		if(!vm.checked) {
			mui.alert("请同意用户协议");
			return;
		}
		checkIsOk = true;
		if(checkIsOk) {                
			var get=localStorage.getItem('clientid');
			model.regiter(vm.myphone,vm.mypass,get,function(data){
				mui.toast(data.text);
				var view=plus.webview.currentWebview().opener();
				mui.fire(view,"returnPhone",{phone:vm.myphone});
				mui.back();
			})
		}
	}
	
	
	
	
	return new register_control();
});