define(['resize_pass_model',"util","UserCache"], function(model,util,UserCache) {
	var _this = null;
	var zz=/^1\d{10}$/;    		 //正则手机号码验证
	var flag=false;				 //防止一直获取验证码验证码
	var get_btn=null;			 //获取验证码按钮（方便dom元素操作）
	var num = 60;                //倒计时60秒
	var clear;                   //清除倒计时定时器用的
	var phone=UserCache.getUserInfo().CellPhone;			//缓存的用户的手机号
	var yzm="";
	function resize_pass_control(){
		_this=this;
	}
	var hvm=new Vue({
		el:"#top",
		data:{},
		methods:{
			sure:function(){				
	 			_this.check_phone();
	 		}
		}
	});
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			myphone:"",
			mycode:"",
			Newpass:"",
			yz_tel:""
		},
		methods:{
			get_code:function(){			//获取验证码
	 			_this.getCode();
	 		},
	 		phone_key:function(){
	 			_this.bcStyle();
	 		}
		}
	});
	
	resize_pass_control.prototype.init = function(){
		get_btn = document.getElementById("get_btn");
	}
	
	//获取验证码
	resize_pass_control.prototype.getCode = function() {
		if(!util.checkPhone(vm.myphone)){
			mui.alert("请输入正确的手机号");
		}else if(vm.myphone!= phone){
			mui.alert("不是当前用户手机");
		}else{
			_this.getCodeTime();
		}
	}
	
	resize_pass_control.prototype.getCodeTime = function() {
		if(!flag) {
			get_btn.style.background = "#EEEEEE";
			get_btn.style.color = "#CCCCCC";
			clear = setInterval(_this.djstime, 1000);
			vm.yz_tel = vm.myphone;
			model.getCode(phone,function(data){
				if(data.state==1){
					yzm = data.data;
				}
				mui.toast(data.text);
			})
			flag = true;
		} else {
			// console.log("您重复点击了，但是没用  哈哈")
		}
	};
	
	//60秒倒计时
	resize_pass_control.prototype.djstime = function() {
		if(num <= 0) {
			get_btn.style.background = "linear-gradient(90deg,rgba(56,249,215,1),rgba(67,233,123,1))";
			get_btn.style.color = "white";
			get_btn.innerText = "获取验证码";
			clearInterval(clear);
			num = 60;
			flag = false;
		} else {
			num--;
			get_btn.innerHTML = num + "s";
		}
	};
	
	
	//确定样式
	resize_pass_control.prototype.bcStyle = function() {
		if($("#tel").val().length ==4 && $("#phone").val().length==11 && $("#agin").val().length>0){
			$(".bc").css("color","linear-gradient(90deg,rgba(56,249,215,1),rgba(67,233,123,1))");
		}else{
			$(".bc").css("color","#CCCCCC");
		}
	};
	
	
	resize_pass_control.prototype.check_phone = function() {       
		var checkIsOk = false;
		if(!(zz.test(vm.myphone)) || vm.yz_tel != vm.myphone) {
			if(vm.yz_tel != vm.myphone){
				mui.alert("手机号码跟验证码不匹配");
				return;
			}else if(!(zz.test(vm.myphone))){
				mui.alert("请输入正确的手机号");
				return;
			}
		}
		if(vm.mycode.toString().length != 4 || yzm != vm.mycode){
			mui.toast("请输入正确的验证码");
			return;
		}
		if(vm.Newpass.toString().length <6) {
			mui.toast("密码必须为6-16位，区分大小写");
			return;
		}
		checkIsOk = true;
		if(checkIsOk) {           
			model.resize_pass(vm.myphone,vm.Newpass,function(data){
				mui.toast(data.text);
				if(data.state==1){
					mui.back();
				}
			})
		}
	}
	return new resize_pass_control();
});