define(["NetMannager","UserCache"], function(net,UserCache){
	function secKillDeault_model(){
		
	}
	
	//商品详情数据
	secKillDeault_model.prototype.initData = function(ID,func) {
		var param = {
			productID  : ID
		}
		net.getListMess(param,"Product/GetProductDetail", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}

	
	//加入购物车
	secKillDeault_model.prototype.sendShopData = function(ID,color,Num,func) {
		var param = {
			token : UserCache.getLoginToken(),
			productID :  ID,
			color : color,
			userID: UserCache.getUserToken(),
			Num   : Num
		}
		net.getListMess(param,"Product/AddGoodsCard", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	
	//结算
	secKillDeault_model.prototype.pay = function(productID,colorID,num,price,func) {
		var param = {
			token  : UserCache.getLoginToken(),
			userID : UserCache.getUserToken(),		
			productID : productID,									
			colorID : colorID,									
			num   : num,											
			price : price											
		}
		net.getListMess(param,"Product/CheckBuyNowGoods", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	//优惠券领取
	secKillDeault_model.prototype.recevie = function(couponID,func) {
		var param = {
			token  : UserCache.getLoginToken(),
			userId : UserCache.getUserToken(),	
			couponID : couponID						
		}
		net.getListMess(param,"CouponLists/AllotCouponList", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	return new secKillDeault_model();
});

