define(['secKillList_model',"shareList","util"], function(model,shareList,util) {
	var _this=null;
	function secKillList_contr(){
		_this=this;
	}
	
	var hvm= new Vue({
		el:"#top",
		data:{},
		methods:{						//分享暂定为10，-1是随便给的，因为这里不需要ID;
			share:function(){
				if(vm.isNetWork==0){
					shareList.shareData(10,-1,function(data){
						util.share("限时秒杀","良品限时秒杀活动",data.data.Url);
					});
				}else{
					mui.toast('请检查网络');
				}
			},
			goShopCar:function(){
				mui.openWindow({
					url:"shopCar.html",
					id :"shopCar.html",
					styles: {
	                	popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}
		}
	})
	
	
	var vm= new Vue({
		el:".mui-content",
		data:{
			list : [],
			page : 1,
			rows : 5,
			secTime : 0,//秒杀倒计时
			isNetWork : 0,
			isWindow  : "",	//兼容安卓行高
			isData : 1  //判断是否还有数据
		},
		methods:{
			goSecDeault : function(goodID){	//商品详情
				mui.openWindow({
					url:"secKillDeault.html",
					id :"secKillDeault.html",
					extras:{
						type : 1,					//弹窗开启
						ID   : goodID 
					},
					styles:{
						popGesture:"close",
						"contentAdjust":false 
					},
					waiting:{
						autoShow:false
					}
				})
			},
			timeOut:function(){						//限时秒杀----倒计时
				var time=setInterval(function(){
					if(vm.secTime<=0){
						mui.toast("秒杀活动结束了！")
						vm.secTime = 0;
						clearInterval(time);
						return;
					}
					vm.secTime=vm.secTime-1000;
					var temp = util.diffTime(vm.secTime);
					var d = temp.days*24;	//天---这里换算成小时
					var h = temp.hours; //时
					var t = temp.mins;  //分
					var s = temp.secs;  //秒
					var hh=parseInt(h+d);
					if(hh<10){hh ="0"+hh;}
					if(t<10){t ="0"+t;}
					if(s<10){s ="0"+s;}
					
					$(".timeBox").eq(0).text(hh);
					$(".timeBox").eq(1).text(t);
					$(".timeBox").eq(2).text(s);
				},1000)
			}
		}
	})
	vm.timeOut();
	
	secKillList_contr.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				model.timeOutData(vm.page,vm.rows,function(data){
					if(data.state==1){
						vm.secTime = data.data.SecondTime; 
						//【的样式
						for(var i=0;i<data.data.Data.length;i++){			
							var str2 =""+data.data.Data[i].Title;				
							data.data.Data[i].zifuchuang = str2.substr(0,1);
							if(data.data.Data[i].zifuchuang =="【"){
								data.data.Data[i].fuhao = 1;			
							}else{ 
								data.data.Data[i].fuhao = 2;
							}
						}	
						//【的样式结束
						if(vm.page==1){
							vm.list = data.data.Data;
							$(".downLoad").text("加载中...");
						}else{   
							vm.list = vm.list.concat(data.data.Data);
						}
						vm.isData = 1;
						setTimeout(function(){
							$(".downLoad").hide();
						},300)
					}else{
						if(vm.page==1){
							$(".downLoad").hide();
						}else{   
							vm.isData = 0;
							$(".downLoad").show();
							$(".downLoad").html("<img src='../mescroll/3.png'/><span>没有更多了</span>");
						}
					}
				})
				
				if(mui.os.android){
					vm.isWindow = 0;
				}else{
					vm.isWindow = 1;
				}
			}
		})
	}
	
	mui.plusReady(function(){
	    document.addEventListener( "plusscrollbottom", onScrollToBottom, false );
	    function onScrollToBottom() {
	    	if(vm.isData == 0){				//如果已经没有更多数据了，在上拉就不在请求数据了
	    		return false;
	    	}
	    	vm.page++;
	    	_this.init();
	        mui.toast("加载中...")
	    }
	});
	return new secKillList_contr();
});