define(['shenQingTK_model'], function(model) {
	var _this=null;
	function shenQingTK_control(){
		_this=this;
	}
	var vm=new Vue({
			el:".mui-content",
			data:{
				list : [],
				ID   : "",
				ListReason : [],			//退款原因列表
				remark	: "",				//退款原因
				flag    : true,				//如果提交成功，返回回来的时候在点击不让他在提交
				isNetWork:0,
				txt  : ""					//退货政策说明
			},
			methods:{
				pick : function(){
					var city_picker = new mui.PopPicker({ layer: 1 });
					city_picker.setData(vm.ListReason);
					setTimeout(function() {
						city_picker.show(function(items) {
							$(".becauseTxt").text(items[0]);
							vm.remark = items[0];
						},false);
					}, 20);
				},
				my:function(){
				  $(".alertInfo").animate({top:"0px"},1000);
				},
				subMit:function(){
					if(vm.flag){
						model.suBmit(vm.remark,function(data){
							if(data.state==1){
								vm.flag = false;
								_this.listen();
								mui.openWindow({
									url : "shouHouDeault.html",
									id  : "shouHouDeault.html",
									extras:{
										ID : vm.ID
									},
									styles:{
										popGesture: 'close',
										"contentAdjust":false
									},
									waiting:{
										autoShow:false
									}
								});
							}else{
								mui.toast(data.text);
							}
						})
					}else{
						mui.toast("退款申请已经提交，请勿重复申请！");
					}
				},
				txtSay:function(){
					mui("#sheet3").popover('toggle');
				},
				sheetClose:function(){
					mui("#sheet3").popover('hide');
				}
			}
		});
	
	shenQingTK_control.prototype.init = function(){
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				vm.my();
				model.init(function(data){
					if(data.state==1){
						var _obj= data.data;
						var str2 =""+_obj.Title;				
						_obj.zifuchuang = str2.substr(0,1);
						if(_obj.zifuchuang =="【"){
							_obj.fuhao = 1;			
						}else{ 
							_obj.fuhao = 2;
						}
						vm.list 	  = data.data;
						vm.ListReason = data.data.ListReason;
						vm.remark 	  = vm.ListReason[0];			//默认值
						vm.ID	 	  = data.data.ID;
						vm.txt		  = data.data.RefundMsg;
					}else{
						mui.toast(data.text)
					}
				});
			}
		})
	}
	
	
	shenQingTK_control.prototype.listen = function(){			//抛个事件给订单详情页面，还有我的订单刷新数据
		var view=plus.webview.currentWebview().opener();
		var viewMy=plus.webview.getWebviewById("my_order.html");
		mui.fire(view,"orderRefresh");
		mui.fire(viewMy,"myorderRefresh");
	};
	return new shenQingTK_control();
});