define(['shopCar_model'], function(model) {
	var _this = null;
	var enNum = null;
	Vue.filter('fiterallprice', function (value) {
	  return value.toFixed(2);
	})
	
	function shopCar_contr() {
		_this = this;
	}
	var hvm = new Vue({
		el: "#top",
		data: {
			isbj: true,
			isArry: true //编辑和完成  是否显示
		},
		methods: {
			bj: function() { //编辑
				this.isbj = false;
				vm.isshowPrice = false;

				//不全选
				vm.flag = true;
				vm.all();
			},
			finsh: function() { //完成
				this.isbj = true;
				vm.isshowPrice = true;
				vm.finshArry = []; //当点击完成的时候，清空这些选择的数据

				//全选
				vm.flag = true;
				vm.all();
			}
		}
	})

	var vm = new Vue({
		el: ".mui-content",
		data: {
			isNetWork : 0,
			isshowPrice: true,
			shop: [],
			flag: false, //全选反选
			money: 0, //商品总金额
			num: 0, //用来判断是否全选
			deNum: 0, //用来删除用的，把shop的长度再赋值给这个值，删除后的数组长度；
			finshArry: [], //当进入编辑的时候，选中某条数据，把那条数据的id跟index，存到这个数据里；最后提交接口的数据已这个为主
			Freight: 0, //总运费

			//小球动画
			balls: [ //小球 设为3个
				{
					show: false
				},
				{
					show: false
				},
				{
					show: false
				}
			],
			dropBalls: []
			//小球动画结束
		},
		methods: {
			all: function() { //全选
				vm.flag = !vm.flag;
				if(vm.flag) {
					for(var i = 0; i < vm.shop.length; i++) {
						if(vm.shop[i].isDele) { //如果这个产品已经删除掉了，该check为false产品的运费也已经减掉
							vm.shop[i].check = false;
						} else {
							vm.shop[i].check = true;
						}
					}
					vm.num = vm.deNum;
					vm.total();

					//当全选的时候，每次先清空之前的数组，在重新循环如果是勾上的数组，添加新的数组
					vm.finshArry = [];
					for(var i = 0; i < vm.shop.length; i++) {
						if(vm.shop[i].check == true && vm.shop[i].Enabled==true) {
							var _obj = {
								ID: vm.shop[i].ID,
								index: i,
								ProductID: vm.shop[i].ProductID,
								Freight: vm.shop[i].Freight,
								ColorID  : vm.shop[i].ColorID,
								Num    : vm.shop[i].Num,
								Price  : vm.shop[i].Price
							}
							vm.finshArry.push(_obj);
						}
					}
					vm.totalFreight();
				} else {
					for(var i = 0; i < vm.shop.length; i++) {
						vm.shop[i].check = false;
					}
					vm.num = 0;
					vm.money = 0;
					vm.Freight = 0;
					vm.finshArry = []; //什么都不选的时候，要删除的数据清空
				}
			},
			add: function(index,ID,dropImg) {
				if(vm.shop[index].Num<vm.shop[index].Stock){		//产品小于等于库存的时候
					this.drop(event.target);
					$(".inner").css("background","url("+dropImg+") no-repeat");
					vm.shop[index].Num++;
					vm.total();
					model.changeCount(ID,vm.shop[index].Num,function(){
						
					})
					for(var i=0;i<vm.finshArry.length;i++){			//相对应的最后提交的那个数据也要加
						if(ID==vm.finshArry[i].ID){
							vm.finshArry[i].Num++;
							break;
						}
					}
				}else{												//超出库存时候
					mui.toast('当前库存不足！');
				}
			},
			sign: function(index,ID) {
				if(vm.shop[index].Num == 1) {
					return;
				}
				for(var i=0;i<vm.finshArry.length;i++){			//相对应的最后提交的那个数据也要加
					if(ID==vm.finshArry[i].ID){
						vm.finshArry[i].Num--;
						break;
					}
				}
				vm.shop[index].Num--;
				vm.total();
				model.changeCount(ID,vm.shop[index].Num,function(){
						
				})
			},
			inp: function(ID) {
				for(var i = 0; i < vm.shop.length; i++) {
					if(vm.shop[i].ID == ID) { //选中的当前商品
						vm.shop[i].check = !vm.shop[i].check; //当前的选中状态取反;
						if(vm.shop[i].check == false) { //如果取消选中
							vm.flag = false; //如果有一个没选中，全选状态就取消掉
							vm.num -= 1; //vm.num这个值初始化时候，默认等于shop商品数据的长度，没有选中就减掉
							vm.money -= vm.shop[i].Price * vm.shop[i].Num; //重新计算价钱，去掉没选中的
							if(vm.num == 0) { //如果这个vm.num的长度为0，说明都没选中了
								vm.money = 0;
								vm.Freight = 0;
							}
							this.FinshInpFalse(vm.shop[i].ID); //vm.finshArry相对应的这个数组要删除掉这个取消选中的；
						} else {
							vm.num += 1;
							vm.money += vm.shop[i].Price * vm.shop[i].Num;
							if(vm.num == vm.deNum) { //如果当前选中状态下的长度，等于删除后的那个数组长度；
								vm.flag = true;
								vm.total();
							}
							this.FinshInpTrue(i); //把当前的这条数据，放到要删除的数组里；
						}
						break;
					}
				}
			},
			total: function() { //商品总价
				vm.money = 0;
				if(vm.shop == null || vm.shop == "") return;
				for(var i = 0; i < vm.shop.length; i++) {
					if(vm.shop[i].check == true && vm.shop[i].Enabled == true) {
						vm.money += vm.shop[i].Price * vm.shop[i].Num;
					}
				}
			},
			totalFreight: function() { //商品总运费
				var _object = {};
				var result = [];
				vm.Freight = 0;
				if(vm.shop == null || vm.shop == "") return;
				for(var i = 0; i < vm.finshArry.length; i++) { //还得在遍历一边最后的数组，如果有重复的，取一个值就可以了；
					if(!_object[vm.finshArry[i].ProductID]) { //判断是否有重复的ProductID
						_object[vm.finshArry[i].ProductID] = true;
						result.push(vm.finshArry[i]);
					}
				}
				for(var k = 0; k < result.length; k++) {
					vm.Freight += result[k].Freight;
				}
			},
			Delete: function(ID, index) { //滑动的删除
				for(var i = 0; i < vm.shop.length; i++) {
					if(ID == vm.shop[i].ID) {
						var arry = [];
						arry.push(vm.shop[i].ID);
						model.remove(arry, function(data) {
							enNum--;
							if(data.state == 1) {
								if(vm.shop[index].check == true) { //如果不选择删除的时候，vm.num就没必要在减了，因为上面已经点了，这里在减会有问题重复
									vm.num--;
								}
								vm.FinshInpFalse(vm.shop[i].ID);
								$(".mui-table-view").eq(index).hide(); //当前的这条数据隐藏掉，
								if(vm.shop[i].Enabled==true){
									vm.deNum--; //当前的数组长度就减掉1；
								}
								vm.shop[index].check = false; //同理这条数据已经删除掉了，它的状态要改为没选中，不然总计结算会没扣掉这个值；
								vm.shop[index].isDele = true; //说明这个元素已经被删除了，在全选的时候，要判断这个值；
								if(vm.deNum == 0 && enNum==0) { //如果当前的商品数据长度为0，说明全部删除完了
									vm.shop = null; //清空所有数据，显示空白页，头部完成按钮隐藏
									hvm.isArry = false; //编辑和完成隐藏掉，调整布局；
									$(".bottom").hide();
								}
								if(vm.deNum == vm.num) { //每次删的时候，判断删除后的长度跟vm.num是否选中状态的长度匹配；比如没有全选的状态下，选上2个商品，其它删除，这时候就应该显示全选
									vm.flag = true;
								}
								vm.total(); //每次删除，重新计算总价跟总运费
								vm.totalFreight();
							} else {
								mui.toast(data.text)
							}
						})
						break;
					}
				}
			},
			removeUnder: function() { //底部单个删除，或者全部删除，如果是全部参数为1
				plus.nativeUI.confirm( "你确定要删除吗？",function(e){
	                if (e.index == 0) {
	                    if(vm.flag) { //全选的时候
							var arry = [];
							for(var i = 0; i < vm.finshArry.length; i++) {
								arry.push(vm.finshArry[i].ID)
							}
							for(var j=0;j<vm.shop.length;j++){
								if(!vm.shop[j].Enabled){
									arry.push(vm.shop[j].ID);
								}
							}
							model.remove(arry, function(data) {
								if(data.state==1){
									vm.shop = null; //清空所有数据，显示空白页，头部完成按钮隐藏
									hvm.isArry = false; //编辑和完成隐藏掉，调整布局；
									$(".bottom").hide();
								}
							})
						} else { //没有全选的时候，然后在判断里面的数组是否有选中的，也就是单个选择或者多选
							for(var i = 0; i < vm.shop.length; i++) {
								for(var k = 0; k < vm.finshArry.length; k++) {
									if(vm.shop[i].ID == vm.finshArry[k].ID) { //如果有选中的这几条数据，就删除相对应的几条数据
										var index = vm.finshArry[k].index;
										if(vm.shop[index].check == true) { //如果不选择删除的时候，vm.num就没必要在减了，因为上面已经点了，这里在减会有问题重复
											vm.num--;
										}
										vm.FinshInpFalse(vm.shop[i].ID);
										$(".mui-table-view").eq(index).hide();
										vm.deNum--;
										vm.shop[index].check = false;
										vm.shop[index].isDele = true; //说明这个元素已经被删除了，在全选的时候，要判断这个值；
		
										var arry = [];
										arry.push(vm.shop[i].ID);
										model.remove(arry, function() {})
										break;
									}
								}
							}
						}
	                }
				});
			},
			FinshInpTrue: function(i) { //每次勾上的时候增加相对应的数据	
				//这一步操作只是为了当编辑变成完成时候，为了删除数据，取相对应的id,跟index
				var _obj = {
					ID: vm.shop[i].ID,
					index: i,
					ProductID: vm.shop[i].ProductID,
					Freight: vm.shop[i].Freight,
					ColorID  : vm.shop[i].ColorID,
					Num    : vm.shop[i].Num,
					Price  : vm.shop[i].Price
				}
				vm.finshArry.push(_obj);
				vm.totalFreight();
			},
			FinshInpFalse: function(ID) { //每次取消或者删除的时候删除相对应的数据
				for(var i = 0; i < vm.finshArry.length; i++) {
					if(ID == vm.finshArry[i].ID) {
						vm.finshArry.splice(i, 1);
						vm.totalFreight();
						break;
					}
				}
			},
			goSureOrder: function() { //去结算
				var cardLists = [];//唯一ID;
				var goodCards = [];//购物车ID集合
				var nums      = [];//选中购物车数量集合
				var ColorID    = [];//选中购物车数据规格ID集合
				var prices    = [];//选中购物车数据价格集合
				
				if(vm.finshArry==""){
					mui.toast("您还没有选择任何商品，请先选择！");
				}else{
					for(var i=0;i<vm.finshArry.length;i++){
						var _object = vm.finshArry[i];
						cardLists.push(_object.ID);
						goodCards.push(_object.ProductID);
						nums.push(_object.Num);
						ColorID.push(_object.ColorID);
						prices.push(_object.Price);
					}
					model.pay(cardLists,goodCards,nums,ColorID,prices,function(data){
						if(data.state==1){
							mui.openWindow({ 
								url:"sure_order.html",
								id :"sure_order.html",
								extras:{
									type : 1 ,			//说明是购物车进入到确定订单页面
									shopData : data.data
								},
								styles: {
					                popGesture: 'close',
									"contentAdjust":false 
					            },
								waiting:{
							      autoShow:false
							    }
							});
						}else if(data.state==-2){		//特殊的弹窗--购物车里已经有秒杀产品，但是这个产品已经下架了
							mui.alert(data.text,'价格结算提醒', "我知道了", function(e) {
								vm.flag = false;
								_this.init();
							});
						}else{
							mui.toast(data.text);
						}
					})
				}
			},
			
			
			//动画效果
			drop: function(el) { //抛物
				for(var i = 0; i < this.balls.length; i++) {
					var ball = this.balls[i];
					if(!ball.show) {
						ball.show = true;
						ball.el = el;
						this.dropBalls.push(ball);
						return;
					}
				}
			},
			beforeDrop: function(el) { /* 购物车小球动画实现 */
				var count = this.balls.length;
				while(count--) {
					var ball = this.balls[count];
					if(ball.show) {
						var rect = ball.el.getBoundingClientRect(); //元素相对于视口的位置
						var x = rect.left - 38;
						var y = -(window.innerHeight - rect.top - 22); //获取y
						el.style.display = '';
						el.style.webkitTransform = 'translateY(' + y + 'px)'; //translateY
						el.style.transform = 'translateY(' + y + 'px)';
						var inner = el.getElementsByClassName('inner-hook')[0];
						inner.style.webkitTransform = 'translateX(' + x + 'px)';
						inner.style.transform = 'translateX(' + x + 'px)';
					}
				}
			},
			dropping: function(el, done) { /*重置小球数量  样式重置*/
				var rf = el.offsetHeight;
				el.style.webkitTransform = 'translate3d(0,0,0)';
				el.style.transform = 'translate3d(0,0,0)';
				var inner = el.getElementsByClassName('inner-hook')[0];
				inner.style.webkitTransform = 'translate3d(0,0,0)';
				inner.style.transform = 'translate3d(0,0,0)';
				el.addEventListener('transitionend', done);
			},
			afterDrop: function(el) { /*初始化小球*/
				var ball = this.dropBalls.shift();
				if(ball) {
					ball.show = false;
					el.style.display = 'none';
				}
			},
			//动画效果结束
			goDeault:function(goodID,Enabled){
				if(!Enabled) return;
				var view=plus.webview.getWebviewById('secKillDeault.html');
				if(view){
					mui.fire(view,"shoipCar",{ID:goodID});
					mui.back();
				}else{
					mui.openWindow({
						url:"secKillDeault.html",
						id :"secKillDeault.html",
						extras:{
							type : 0,					//弹窗不开启
							ID   : goodID 
						},
						styles: { 
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}
			}
		}
	})

	shopCar_contr.prototype.init = function() {
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				model.init(function(data) {
					if(data.state == 1) {
						vm.shop = data.data;
						$(".bottom").show();
						$("#top div").eq(2).show();
						$("#top div").eq(3).show();
						vm.num = 0;
						var lenArry=[];
						for(var i=0;i<vm.shop.length;i++){
							if(vm.shop[i].Enabled==true){
								lenArry.push(i);
							}
						}
						vm.deNum = lenArry.length;				//正常商品的数量;
						enNum	 = vm.shop.length;
						vm.total();
						vm.totalFreight();
					} else {
						vm.shop = null;
						hvm.isArry = false;
						$("#top div").eq(2).hide();
						$("#top div").eq(3).hide();
						$(".bottom").hide();
					}
				})
			}
		})
	}
	
	
	document.addEventListener('isDeault',function(e){
		_this.init();
	})
	
	//确定订单返回，在刷新一遍检查接口；
	window.addEventListener("sureBack",function(e){
		var cardLists = [];//唯一ID;
		var goodCards = [];//购物车ID集合
		var nums      = [];//选中购物车数量集合
		var ColorID   = [];//选中购物车数据规格ID集合
		var prices    = [];//选中购物车数据价格集合
		
		var getData   = e.detail.infoData;
		var newData   = JSON.parse(getData);
		

		for(var i=0;i<newData.length;i++){
			var _object = newData[i];
			cardLists.push(_object.ID);
			goodCards.push(_object.ProductID);
			nums.push(_object.Num);
			ColorID.push(_object.ColorID);
			prices.push(_object.Price);
		}
		model.pay(cardLists,goodCards,nums,ColorID,prices,function(data){
		})
	})
	return new shopCar_contr();
});