define(["sureOrder_model","UserCache"], function(model,UserCache){
	var _this=null;
	function sureOrder_controller() {
		_this=this;
	}
	
	//价格过滤器，截取2为小数
	Vue.filter('fiterallprice', function (value) {
	  	return Number(value).toFixed(2);
	})
	
	
	var hvm=new Vue({
			el:"#top",
			data:{},
			methods:{
				alert:function(){
					mui('#sheet').popover('toggle')
				}
			}
		})
		
		
	var vm=new Vue({
		el:".mui-content",
		data:{
			isNetWork:0,
			list:[],
			good:[],
			GoodsCars:[],
			flag:"",
			
			//花期会员跟广告商品参数
			ID : "",
			Title:"",
			Sale:"",
			HospitalID:"",
			CouponIds:"",
			Stock:"",
			Scale:"",
			color:"",
			
			
			PricePercent:"",				//金额百分比
			Types 		:"",				//区分是广告商品进来的还是 商城进来的，1是广告，3是商城
			goodCount   :1,					 //门票的数量
			
			
			isAdd:0,						//判断是否有收货地址，0就没有，1有
			addName:"",						//收货人姓名
			addPhone:"",					//收货人联系方式
			addCity:"",						//收货人城市
			addAlex:"",						//收货人详细地址
			isDeault:"",					//是否默认
			isHave : "",					//提交提单时候，判断有没有添加收获地址；
			
			
			//新商城的参数
			type:0,							//判断是否显示商城布局还是 新布局	
			shopDataSend:"",				//请求发送的
			shopTotal:	"",					//商品总价
			shopTotalremoveCoupon:"",		//商品减去优惠券的总价
			TotalFreight:"",				//运费
			CouponLists :[],				//优惠券集合
			
			//购物车提交订单要传的参
			ProductID	:[],					//产品的ProductID-----
			productNames:[],					//提交的产品标题集合
			colorIds	:[],					//规格集合文字colorIds
			priceIds	:[],					//单价集合priceIds
			numIds      :[],					//数量集合numIds
			couponID    :"",             		//使用的券ID
			addressID   :"",					//使用的地址ID
			couponNum 	:0,						//几张票可用
			chooseFinshPrice : "",				//优惠多少元，就是优惠券选择后显示的金额，总价要减去这个
			chooseFinshName  : "",				//就是优惠券选择后显示的名称（内容;
			
			
			//单个购买的数据
			signImageUrl:"",
			signTitle	:"",
			signGuige   :"",
			signPrice	:"",
			signNum		:"",
			signFuhao	:"",
			signScale   :"",
			
			
			//学习数据
			lessonImg   :"",
			lessonTitle :"",
			lessonPrice :"",
			lessonTotal :"",
      		setFlag     :true				//防止订单比如在没网络情况下一直创建,10秒内不可重复点击
		},
		methods:{
			sure_info:function(){			//花期会员提交订单
				if(vm.setFlag){
					vm.setFlag = false;
					_this.subOrder();
				}
				vm.timeOut();
			},
			sure_info_type:function(){		//门票提交订单
				if(vm.setFlag){
					vm.setFlag = false;
					_this.sure_info_type();
				}
				vm.timeOut();
			},
			sure_Other:function(){		    //购物车商品提交订单
				if(vm.setFlag){
					vm.setFlag = false;
					_this.subOtherOrder();
				}
				vm.timeOut();
			},
			timeOut:function(){				//10秒内不可重复点击
				setTimeout(function(){		
					vm.setFlag = true;
				},10000);
			},
			goAdd:function(){
				mui.openWindow({
					url:"addressEdit.html",
					id :"addressEdit.html",
					extras:{
						isDetele : vm.isAdd,
						type     :  1						
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			goAddOrderlist:function(){
				mui.openWindow({
					url:"addressOrderList.html",
					id :"addressOrderList.html",
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			sheetCoupon:function(){				//优惠券弹窗
				mui("#sheet").popover("toggle");
			},
			closesheetPay:function(){			//关闭支付弹窗
				mui("#sheetPay").popover("hide");
			},
			chooseCoupon:function(index,Enable,name,price,ID){		//index选择优惠券（选项卡）,Enable是否可用（可选）
				if(Enable){
					for(var i=0;i<this.CouponLists.length;i++){		
						if(ID==this.CouponLists[i].ID){				//取消选择
							if(this.CouponLists[i].flag){					
								this.CouponLists[i].flag=false;
								vm.chooseFinshName ="";
								vm.chooseFinshPrice="";
								vm.couponID        ="";
								vm.shopTotal = vm.shopTotalremoveCoupon;
								setTimeout(function(){mui("#sheet").popover("hide");},300);
							}else{									//如果选择了
								this.CouponLists[i].flag=true;		
								vm.chooseFinshName = name;
								vm.chooseFinshPrice= price;
								vm.couponID		   = ID;
								vm.shopTotal = vm.shopTotalremoveCoupon - price;//减去优惠券的总价
								setTimeout(function(){mui("#sheet").popover("hide");},300);
							}
						}else{												
							this.CouponLists[i].flag=false;
						}
					}
				}else{
					mui.toast("不满足条件！");
				}
			},
			sendLessonData:function(){
				_this.sendLessonData();
			},
			sendfileData:function(){
				model.sendfileData(vm.couponID)
			}
		}
	})
	
	
	sureOrder_controller.prototype.init = function() {
		mui.plusReady(function(){
			if(plus.networkinfo.getCurrentType()==1){
				//mui.alert("无网络链接");
				vm.isNetWork = 1;
				return false;
			}else{
				var sdata=plus.webview.currentWebview();
				vm.type = sdata.type;
				vm.shopDataSend =sdata.shopData;
				vm.goodCount = sdata.count;		 //只有门票需要这个值
				if(vm.type==1){	 	 			 //这是购物车数据
					_this.shopData();
				}else if(vm.type==5||vm.type==4){		//不是购物车数据   这是原来广告-----花期会员的数据   5是门票,4是报单
					if(vm.type==5){
						_this.mallDataPiao(vm.goodCount);		
					}else{
						_this.mallData(1);		
					}
				}else if(vm.type==2){
					_this.signData();			 //立即购买--单个数据
				}else if(vm.type==3){
					_this.lessonData();			 //学习数据
				}else if(vm.type==6){			 //电影
					_this.filData();	
				}
				
				setTimeout(function(){
					mui('.mui-scroll-wrapper').scroll({
						deceleration: 0.0005,
						indicators: false, //是否显示滚动条
						bounce: true
					});
				},100)
			}
		})
	}
	
	
	//门票初始化数据
	sureOrder_controller.prototype.mallDataPiao =function(num){
		model.initPiao(num,function(){
			vm.good = model.getData();
			vm.PricePercent = vm.good.PricePercent;
			//创建新订单的8个参数
			vm.ID 			= vm.good.ID;
			vm.Title 		= vm.good.Title;
			vm.Sale 		= vm.good.Sale;
			vm.HospitalID	= vm.good.HospitalID;
			vm.CouponIds    = vm.good.CouponIds;
			vm.Stock		= vm.good.ProductColors[0].Stock;
			vm.Scale		= vm.good.Scale;
			vm.color		= vm.good.color;
			
			if(vm.good.CouponLists!=""){
				for(var j=0;j<vm.good.CouponLists.length;j++){		//有几张优惠券
					vm.good.CouponLists[j].flag = false;				//勾选
					if(vm.good.CouponLists[j].Enable){
						vm.couponNum++;
					}
				}
			}
			vm.CouponLists  = vm.good.CouponLists;
			
			
			vm.good.fuhao = 1;					//【的样式
			vm.good.zifuchuang = "";	
			var str2 =""+vm.good.Title;				
			vm.good.zifuchuang = str2.substr(0,1);
			if(vm.good.zifuchuang =="【"){
				vm.good.fuhao = 1;			
			}else{ 
				vm.good.fuhao = 2;
			};
			vm.Types =  vm.good.Types;
			if(vm.Types==5){					//不是购物车的，只有广告产品才走收货地址；
				_this.getAdd();
			}
		});
	}
	
	
	
	
	
	
	//(报单初始化数据)
	sureOrder_controller.prototype.mallData =function(num){
		model.init(num,function(){
			vm.good = model.getData();
			vm.PricePercent = vm.good.PricePercent;
			//创建新订单的8个参数
			vm.ID 			= vm.good.ID;
			vm.Title 		= vm.good.Title;
			vm.Sale 		= vm.good.Sale;
			vm.HospitalID	= vm.good.HospitalID;
			vm.CouponIds    = vm.good.CouponIds;
			vm.Stock		= vm.good.Stock;
			vm.Scale		= vm.good.Scale;
			vm.color		= vm.good.color;
			
			
			if(vm.good.CouponLists!=""){
				for(var j=0;j<vm.good.CouponLists.length;j++){		//有几张优惠券
					vm.good.CouponLists[j].flag = false;				//勾选
					if(vm.good.CouponLists[j].Enable){
						vm.couponNum++;
					}
				}
			}
			vm.CouponLists  = vm.good.CouponLists;
			
			
			vm.good.fuhao = 1;					//【的样式
			vm.good.zifuchuang = "";	
			var str2 =""+vm.good.Title;				
			vm.good.zifuchuang = str2.substr(0,1);
			if(vm.good.zifuchuang =="【"){
				vm.good.fuhao = 1;			
			}else{ 
				vm.good.fuhao = 2;
			};
			vm.Types =  vm.good.Types;
			if(vm.Types==5){					//不是购物车的，只有广告产品才走收货地址；
				_this.getAdd();
			}
		});
	}
	
	//商品（购物车---广告商品）数据
	sureOrder_controller.prototype.shopData =function(){
		model.shopData(vm.shopDataSend.Cards,vm.shopDataSend.ProductList,vm.shopDataSend.Nums,vm.shopDataSend.Colors,vm.shopDataSend.Prices,function(data){
			if(data.state==1){
				for(var i=0;i<data.data.GoodsCars.length;i++){
					var _obj = data.data.GoodsCars[i];
					vm.ProductID.push(_obj.ProductID);
					vm.productNames.push(_obj.Title);
					vm.colorIds.push(_obj.Color);
					vm.priceIds.push(_obj.Price);
					vm.numIds.push(_obj.Num);
					
					
					var str2 =""+_obj.Title;				
					_obj.zifuchuang = str2.substr(0,1);
					if(_obj.zifuchuang =="【"){
						_obj.fuhao = 1;			
					}else{ 
						_obj.fuhao = 2;
					}
				}
				vm.GoodsCars	= data.data.GoodsCars;
				vm.shopTotal	= data.data.TotalMoney;
				vm.shopTotalremoveCoupon = data.data.TotalMoney;
				vm.TotalFreight = data.data.TotalFreight;
				
				if(data.data.CouponLists!=""){
					for(var j=0;j<data.data.CouponLists.length;j++){		//有几张优惠券
						data.data.CouponLists[j].flag = false;				//勾选
						if(data.data.CouponLists[j].Enable){
							vm.couponNum++;
						}
					}
				}
				vm.CouponLists  = data.data.CouponLists;
				_this.getAdd();
			}else{
				mui.toast(data.text);
			}
		})
	}
	
	//立即购买---单个数据
	sureOrder_controller.prototype.signData =function(){ 
		model.signData(vm.shopDataSend.productID,vm.shopDataSend.colorID,vm.shopDataSend.num,vm.shopDataSend.price,function(data){
			if(data.state==1){
				var _obj = data.data;
				vm.ProductID.push(_obj.ID);
				vm.productNames.push(_obj.Title);
				vm.colorIds.push(_obj.color);
				vm.priceIds.push(_obj.Price);
				vm.numIds.push(_obj.Num);
				
				vm.shopTotal	= _obj.TotalMoney;
				vm.shopTotalremoveCoupon = _obj.TotalMoney;
				vm.TotalFreight = _obj.Freight;
				
				
				//产品列表
				vm.signImageUrl = _obj.ImageUrl;
				vm.signTitle 	= _obj.Title;
				vm.signGuige  	= _obj.color;
				vm.signPrice	= _obj.Price;
				vm.signNum		= _obj.Num;
				vm.signScale    = _obj.Scale;
				
				var str2 =""+_obj.Title;				
				_obj.zifuchuang = str2.substr(0,1);
				if(_obj.zifuchuang =="【"){
					vm.signFuhao = 1;			
				}else{ 
					vm.signFuhao = 2;
				}
				if(data.data.CouponLists!=""){
					for(var j=0;j<data.data.CouponLists.length;j++){		//有几张优惠券
						data.data.CouponLists[j].flag = false;				//勾选
						if(data.data.CouponLists[j].Enable){
							vm.couponNum++;
						}
					}
				}
				vm.CouponLists  = data.data.CouponLists;
				_this.getAdd();
			}else{
				mui.toast(data.text);
			}
		})
	}
	
	
	
	
	
	
	
	
	//花期会员提交订单，但是花期会员买不需要填写地址
	sureOrder_controller.prototype.subOrder = function() {
		var obj = {
			ID			: vm.ID,
			Title		: vm.Title,
			Sale		: vm.Sale,
			HospitalID	: vm.HospitalID,
			CouponIds   : vm.CouponIds,
			Stock		: vm.Stock,
			Scale		: vm.Scale
		};
		model.creatOrder(obj,vm.good.color,vm.couponID);
	}
	//门票提交订单
	sureOrder_controller.prototype.sure_info_type = function() {
		var obj = {
			ID			: vm.ID,
			Title		: vm.Title,
			Sale		: vm.Sale,
			HospitalID	: vm.HospitalID,
			CouponIds   : vm.CouponIds,
			Stock		: vm.Stock,
			Scale		: vm.Scale
		};
		model.sure_info_type(obj,vm.good.color,vm.couponID,vm.goodCount);
	}
	//商品提交订单---返回OrderNo
	sureOrder_controller.prototype.subOtherOrder = function() {
		if(vm.isHave==0){
			mui.alert("请填写收货地址");
			return;
		}
		model.sendOrder(vm.ProductID,vm.productNames,vm.colorIds,vm.priceIds,vm.numIds,vm.couponID,vm.addressID,vm.type,function(data){
			if(data.state==1){
				vm.OrderNo = data.data;
			}else if(data.state==-1){
				mui.toast(data.text);
				return false;
			}
		});
	}
	//学习提交订单
	sureOrder_controller.prototype.sendLessonData = function() {
		model.sendLessonData(vm.couponID,function(){});
	}
	
	
	
	
	
	//获取收货地址状态详情
	sureOrder_controller.prototype.getAdd = function() {
		model.getAdd(function(data){
			if(data.state==1){                                    //有收货地址
				vm.list =  data.data;
				vm.isAdd = 1;									  //给编辑删除做判断的
				vm.isHave = 1;
				for(var i=0;i<data.data.length;i++){				
					if(data.data[i].IsDefault == true){			  //显示默认地址
						vm.addName = data.data[i].RecevieName;
						var strStart = ""+data.data[i].Phone.substring(-1,3);
						var strLast = data.data[i].Phone.substring(7);
						vm.addPhone= strStart+"****"+strLast;
						vm.addressID= data.data[i].ID;
						vm.addCity = data.data[i].Province+data.data[i].City+data.data[i].Area;
						vm.addAlex = data.data[i].AddressInfo;
						vm.isDeault = data.data[i].IsDefault;
					}else{										  //如果没有默认地址，默认显示第一个
						vm.addName 	 = data.data[0].RecevieName;
						var strStart = ""+data.data[0].Phone.substring(-1,3);
						var strLast  = data.data[0].Phone.substring(7);
						vm.addPhone= strStart+"****"+strLast;
						vm.addressID= data.data[0].ID;
						vm.addCity = data.data[0].Province+data.data[0].City+data.data[0].Area;
						vm.addAlex = data.data[0].AddressInfo;
						vm.isDeault = data.data[0].IsDefault;
					}
				}
			}else{
				vm.list = null;
				vm.isAdd = 0;									  //给编辑删除做判断的
				vm.isHave = 0;
			}
		})
	}
	
	
	sureOrder_controller.prototype.lessonData = function() {
		model.getLessonData(function(data){
			var _obj = data.data;
			vm.lessonImg   = _obj.ImageUrl;
			vm.lessonTitle = _obj.Title;
			vm.lessonPrice = _obj.Price;
			vm.lessonTotal = _obj.TotalMoney;
			
			
			
			if(data.data.CouponLists!=""){
				for(var j=0;j<data.data.CouponLists.length;j++){		//有几张优惠券
					data.data.CouponLists[j].flag = false;				//勾选
					if(data.data.CouponLists[j].Enable){
						vm.couponNum++;
					}
				}
			}
			vm.CouponLists  = data.data.CouponLists;
		})
	}
	
	
	sureOrder_controller.prototype.filData = function() {
		model.filData(function(data){
			console.log("电影数据: " + JSON.stringify(data));
			var _obj = data.data;
			vm.lessonImg   = _obj.ImageUrl;
			vm.lessonTitle = _obj.Title;
			vm.lessonPrice = _obj.Price;
			vm.lessonTotal = _obj.TotalMoney;
			
			
			
			if(data.data.CouponLists!=""){
				for(var j=0;j<data.data.CouponLists.length;j++){		//有几张优惠券
					data.data.CouponLists[j].flag = false;				//勾选
					if(data.data.CouponLists[j].Enable){
						vm.couponNum++;
					}
				}
			}
			vm.CouponLists  = data.data.CouponLists;
		})
	}
	
	
	
	
	
	//只有购物车进来要抛事件
	sureOrder_controller.prototype.back = function() {
		if(vm.type==1){
			var view = plus.webview.getWebviewById('shopCar.html');
			mui.fire(view,'sureBack',{infoData:JSON.stringify(vm.GoodsCars)});	
		}
	}
	
	
	
	
	
	
	
	
		
	//监听保存地址进来的,刷新确定订单地址   //监听收货地址（确定订单的里的）选择地址事件
	window.addEventListener("addEdit",function(event){
		var data = event.detail.obj;
		var addID= event.detail.addressID;
		var obj  =JSON.parse(data);
		vm.addName = obj.RecevieName;
		var strStart = ""+obj.Phone.substring(-1,3);
		var strLast = obj.Phone.substring(7);
		vm.addPhone= strStart+"****"+strLast;
		
		vm.addressID= addID;
		vm.addCity = obj.Province+obj.City+obj.Area;
		vm.addAlex = obj.AddressInfo;
		vm.isDeault = obj.IsDefault;
		model.getAdd(function(data){			//在重新刷新状态，因为是根据数组去判断的
			if(data.state==1){                                  
				vm.list =  data.data;
				vm.isHave = 1;
			}else{
				vm.list = null;
				vm.isHave = 0;
			}
		})
	})
	//监听监听更换手机保存回来的
	window.addEventListener("baoCunPhone",function(event){
		_this.init();
	})
	
	//监听确定订单删除地址，刷新地址数据
	window.addEventListener("Deteledata",function(event){
		_this.getAdd();
	})
	return new sureOrder_controller();
});
