define(["NetMannager","UserCache"], function(net,UserCache) {
	function use_model() {
		
	}
	//获取用户信息
	use_model.prototype.userInfo = function(func) {
		var param={
			UserId : UserCache.getUserToken(),
			token : UserCache.getLoginToken()
		}
		net.getMessage(param,"GetUserDetailByID", function(data){ 		
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	//是否显示其他模块
	use_model.prototype.isShowOther = function(func) {
		net.getListMess(null,"User/ShowInvite", function(data){ 			
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	//是否显示报备
	use_model.prototype.isShowMeet = function(func) {
		var param={
			userId : UserCache.getUserToken()
		}
		net.getListMess(param,"AskForMeeting/ShowMeeting", function(data){ 			
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	//是否显示客服聊天
	use_model.prototype.isShowChat = function(func) {
		net.getListMess(null,"System/GetHqCustomerFlag", function(data){ 			
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");		
			}else{
				func(data);
			}
		});
	}
	
	
	use_model.prototype.isShowFlower = function(func) {
		net.getListMess(null,"News/GetIndexStoreState", function(data){ 
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	use_model.prototype.clearLogin = function(func) {
		var param = {
			UserId : UserCache.getUserToken()
		}
		net.getMessage(param,"UntyingAppleId", function(data){ 
			console.log("data: " + JSON.stringify(data));
			if(typeof(func)==="undefined"){
				console.log("回调方法不可用");
			}else{
				func(data);
			}
		})
	}
	
	
	//苹果审核
	use_model.prototype.isCheckApp = function(func) {
		net.getListMess(null,"System/CheckTimeFlag", function(data){ 
			func(data);
		})
	}
	return new use_model();
});