define(['video_model',"shareList","UserCache","util"], function(model,shareList,UserCache,util) {
	var _this   = null;
	var tol     = null;	//视频总时长
	var cTime   = null; //当前的进度条
	var flag    = false;//图标切换播放开关
	var id  	= null;	//当前播放的是哪个视频，默认第一个
	var tryLook = false;//是否试看
	var tryTime = 10;   //试看的时长秒数为单位
	var thisSrc = null;	//当前播放的视频src;
	var isContinue=true;//是否继续播放
	
	var reRangeVal=false;
	//dom选择
	var video      = document.getElementById("video");
	var fullscreen = document.getElementById("fullscreen");
	var elem       = document.querySelector('input[type="range"]');
	var rangWid    = document.querySelector('.rang_width');
	var protoVideo;	//原生视频创建对象；
	function video_control(){
		_this=this;
	}
	
	var vm=new Vue({
		el:".dataBox",
		data:{
			videoArry : [],//视频总列表
			teacher : [],
			Describe: "",
			Cindex : 0,
			tabID  : "",
			title  : "",   //名称
			Types  : "",   //是否是视频还是音频，1是视频，2是音频，3是图文
			CoureNum : "", //课时
			BuyNum	: "",  //学习人数
			IsBuy   : "",  //是否购买
			TryLookSecond:"", //试看时间
			ParentID: "",
			IsTryLook:"",
			intro   : "",
			isProto : 0,	//判断是否是原生的
			isTrue  : true, //如果是真，则关闭购买功能
			isTrueInitPlay : true	,//重新播放
			
			IsSpecial : false,
			
			priceFlag : ""
		},				   
		methods:{
			changeVideo:function(src,index,name,ID,IsTryLook,price){	//点击切换播放列表
				if(vm.IsBuy){								  			//已经购买了都可以看,播放完整的视频
					this.Cindex = index;
					vm.title= name;
					vm.teacher = [];									//先清空
					for(var i=0;i<vm.videoArry.length;i++){				//第几个背景；
						if(ID==vm.videoArry[i].ID){
							vm.teacher = vm.videoArry[i].teachers;
							vm.Describe= vm.videoArry[i].Describe;
							vm.IsTryLook = vm.videoArry[i].IsTryLook;
							vm.TryLookSecond = vm.videoArry[i].TryLookSecond;
							//这里就不需要判断是否审核期间了
							protoVideo.setStyles({src:vm.videoArry[i].ImageUrl,poster:vm.videoArry[i].Photo});
							break;
						}
					}
				}else{														//没买就播放试看视频
					if(IsTryLook || vm.priceFlag<=0  || vm.isTrue){
						rangWid.style.width = 0;
						elem.value= 0;
						$(".curr-time").html("00:00");
						$(".total-time").html("00:00");
						//显示效果更好的优化
						
						
						this.Cindex = index;
						vm.title= name;
						vm.teacher = [];									//先清空
						for(var i=0;i<vm.videoArry.length;i++){				//第几个背景；
							if(ID==vm.videoArry[i].ID){
								vm.teacher = vm.videoArry[i].teachers;
								vm.Describe= vm.videoArry[i].Describe;
								vm.IsTryLook = vm.videoArry[i].IsTryLook;
								vm.TryLookSecond = vm.videoArry[i].TryLookSecond;
								$("#video").attr("src",vm.videoArry[i].TryUrl);
								$("video")[0].play();
								break;
							}
						}
						$(".menbanLook").hide();
					}else{
						mui.toast("此视频暂不支持试看,加入学习可立即观看！");
					}
				}
			},
			goPhoto:function(index){
				mui.openWindow({
					url : "presonPhoto.html",
					id  : "presonPhoto.html",
					extras:{
						ID : index
					},
					styles: {
		                popGesture: 'close',
						 "contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}
		}
	})
	
	video_control.prototype.init = function(){
		mui.plusReady(function(){
			model.isShowBuy(function(){
				vm.isTrue = model.getIsShowBuy();
				if(vm.isTrue==true){
					model.initTrue(function(data){		
						if(data.state==1){
							vm.IsBuy = data.data.course.IsBuy;						//先判断是否购买过
							vm.title = data.data.course.Title;
							vm.Types = data.data.course.Types;
							vm.CoureNum=data.data.course.CourseNum;
							vm.BuyNum=data.data.course.BuyNum;
							vm.IsSpecial = data.data.course.IsSpecial;
							vm.intro     = data.data.course.Intro;
							vm.IsTryLook = data.data.course.IsTryLook;				//是否试看
							vm.TryLookSecond= data.data.course.TryLookSecond;		//试看时间
							vm.ParentID  = data.data.course.ParentID;				//立即购买要传的参数，其它无作用；
							vm.priceFlag = data.data.course.Price;					//用来判断当前是否切换选项可以看
							for(var i=0;i<data.data.ChildList.length;i++){			//第几个背景；
								if(vm.title==data.data.ChildList[i].Title){
									vm.Cindex = i;
								}
							}
							vm.videoArry = data.data.ChildList;						//视频列表
							
							
							vm.teacher	 = data.data.course.teachers;
							vm.Describe  = data.data.course.Describe;
	
							if(!vm.IsBuy){							//如果没购买则调用h5的视频（还是根据原来视频去走）
								$("video").attr("poster",data.data.course.Photo);
								thisSrc  = data.data.course.TryUrl;				
								$("#video").attr("src",thisSrc); 
								_this.ready(data.data.course);
							}else{						//如果已经购买就调用原生的播放视频,不会随着重力而竖屏；
								$(".bg").hide();
								$(".dataBox").css("margin-top",$(".bg").height());
								vm.isProto = 1;
								var self=plus.webview.currentWebview();
								protoVideo = plus.video.createVideoPlayer('videoplayer', {
										src: data.data.course.ImageUrl,
										width: '100%',
										position:"static",  
										top:"0px",
										height: $(".bg").height(),
										poster : data.data.course.Photo,
										objectFit : "fill"
									});
								self.append(protoVideo);
							}
							setTimeout(function(){
								mui('.mui-scroll-wrapper').scroll({
									scrollX : true,
									indicators: false, //是否显示滚动条
									deceleration: 0.0009,
									bounce: false
								});
							},300)
						}else{
							mui.toast(data.text);
						}
					})
				}else{
					model.init(function(data){	
						if(data.state==1){
							vm.IsBuy = data.data.course.IsBuy;						//先判断是否购买过
							vm.title = data.data.course.Title;
							vm.Types = data.data.course.Types;
							vm.CoureNum=data.data.course.CourseNum;
							vm.BuyNum=data.data.course.BuyNum;
							vm.IsSpecial = data.data.course.IsSpecial;
							vm.IsTryLook = data.data.course.IsTryLook;				//是否试看
							vm.TryLookSecond= data.data.course.TryLookSecond;		//试看时间
							vm.ParentID  = data.data.course.ParentID;				//立即购买要传的参数，其它无作用；
							vm.intro     = data.data.course.Intro;
							vm.priceFlag = data.data.course.Price;	
							for(var i=0;i<data.data.ChildList.length;i++){				//第几个背景；
								if(vm.title==data.data.ChildList[i].Title){
									vm.Cindex = i;
								}
							}
							vm.videoArry = data.data.ChildList;			//视频列表;
							vm.teacher	 = data.data.course.teachers;
							vm.Describe  = data.data.course.Describe;
							if(!vm.IsBuy){								//如果没购买则调用h5的视频（还是根据原来视频去走）
								thisSrc  = data.data.course.TryUrl;				
								$("#video").attr("src",thisSrc); 
								$("video").attr("poster",data.data.course.Photo);
								_this.ready(data.data.course);
							}else{						//如果已经购买就调用原生的播放视频,不会随着重力而竖屏；
								$(".bg").hide();
								$(".dataBox").css("margin-top",$(".bg").height());
								vm.isProto = 1;
								var self=plus.webview.currentWebview();
								protoVideo = plus.video.createVideoPlayer('videoplayer', {
										src: data.data.course.ImageUrl,
										width: '100%',
										position:"static",
										top:"0px",
										height: $(".bg").height(),
										poster : data.data.course.Photo,
										objectFit : "fill"
									});
								self.append(protoVideo);
							}
							setTimeout(function(){
								mui('.mui-scroll-wrapper').scroll({
									scrollX : true,
									indicators: false, //是否显示滚动条
									deceleration: 0.0009,
									bounce: false
								});
							},100)
						}else{
							mui.toast(data.text);
						}
					})
					
				}
			})
			
		})
	}
	
	
	
	video_control.prototype.ready = function(_obj){
		_this.isNetWork();  											//检查网络			
	  	$("video")[0].addEventListener("loadedmetadata", function(){	//成功获取视频资源才能获得到总时长；
	  		tol = this.duration; 
	    	var len = _this.timeLength(tol);
			console.log("len: " + JSON.stringify(len));
	    	if(len.h>0){
	    		$(".total-time").html(len.h+":"+len.m+":"+len.s);   //计算出视频的总时长
	    		$(".range").css("width","3rem");
	    	}else{
	    		$(".total-time").html(len.m+":"+len.s);	        	//计算出视频的总时长
	    		$(".range").css("width","3.48rem");
	    	}
	  	});
	}
	
	
	
	
	
	
	//视频点击事件
	$(".play").on("click",function(){
		if(!flag){//开始
			$("video")[0].play();		
		}else{    //暂停			
			$("video")[0].pause();
		}
	}) 
	//监听播放-暂停事件
	video.addEventListener("play", function () {
		if(!vm.isTrueInitPlay){
			$("video")[0].currentTime=0;				//当前播放时长重置
			vm.isTrueInitPlay = true;
		}
		$(".play").attr("src","../videoIcon/pause.png");
		flag = true;
	});
	video.addEventListener("pause", function () {
		$(".play").attr("src","../videoIcon/play.png");
		flag = false;  
	});	
	// 视频播放结束时触发事件
    video.addEventListener("ended", function () {

    }, false);
	//播放时间的改变
	video.addEventListener("timeupdate", function () {  
		_this.onTimeupdate();
		_this.isNetWork();
	});	  
	//全屏
	fullscreen.addEventListener('click', function () {
		video.webkitEnterFullScreen();
	}); 	
	
	//进度条
	video_control.prototype.onTimeupdate = function(){
	    var cTime = $("video")[0].currentTime;
	    var tTime = $("video")[0].duration;
		if(vm.TryLookSecond==0){
			vm.TryLookSecond = tTime;
		}
		console.log(": " + JSON.stringify(tTime));
	    var value = cTime/tTime;
		rangWid.style.width = value*100+"%";
		
		if(!reRangeVal){				//为了兼容安卓点击选项后，监听abort事件会把elem.value变成50而不是重置成0；
			elem.value= value*100;
		}else{
			elem.value= 0;
		}
		reRangeVal = false;
	    var _obj=_this.timeLength(cTime);
		console.log(vm.TryLookSecond);
	    if(_obj.h>0){
	    	$(".curr-time").html(_obj.h+":"+_obj.m+":"+_obj.s);
	    }else{
	    	$(".curr-time").html(_obj.m+":"+_obj.s);
	    }
	    if(vm.isTrue){
	    	
	    }else{
		    if(vm.IsBuy){									//已经买了不存在试看问题
		    	
		    }else{					
		    	if(vm.IsTryLook){							
		    		if(cTime>=vm.TryLookSecond){				
			    		$("video")[0].pause();
						$(".menbanLook").show();			//开启试看提示
						video.webkitExitFullScreen();		//退出全屏
						plus.screen.lockOrientation('portrait-primary');
			    	}
		    	}
		    }
	    } 
	}
	
	
	
	 //继续播放
	 $(".menbanBtn").on("click",function(){
	 	$(".menban").hide();						//关闭流量提示
	 	$("video")[0].play();						
	 	isContinue = false;
	 });
	 //刷新
	 $(".menbanBtnRefresh").on("click",function(){
	 	mui.toast('刷新中...')
	 	var netWork = plus.networkinfo.getCurrentType();
        if(netWork==3){// 3为状态码，wifi状态码是3
            $(".menbanNet").hide();					//关闭网络不好提示
            $("video")[0].play();					//视频播放
            $(".no_order").hide();					//底部图片隐藏
            $(".dataBox").show();					//底部窗口显示
        }else if(netWork==1||netWork==0){
   
        }else if(netWork==4||netWork==5||netWork==6){
        	$(".menbanNet").hide();
        	$("video")[0].play();
        	$(".no_order").hide();
        	$(".dataBox").show();
        }
	})
	//重新试看
	$(".menbanBtnTry").on("click",function(){
		$(".menbanLook").fadeOut();					
		$("video")[0].currentTime=0;				//当前播放时长重置
		$("video")[0].play();						
	})
	//立即购买
	$(".menbanBtnBuy").on("click",function(){
//		alert("功能暂未开放")'
		model.goBuy(vm.ParentID,function(data){
			if(data.state==1){
				if(data.state==1){
					mui.openWindow({
						url:"sure_order.html",
						id :"sure_order.html",
						extras:{
							typeId : vm.ParentID,
							type   : 3
						},
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					mui.toast(data.text);
				}
			}
		})
	})
	
	
	
	
	
	//检查网络
	video_control.prototype.isNetWork = function(){
		mui.plusReady(function(){
			var netWork = plus.networkinfo.getCurrentType();   
	        if(netWork==3){// 3为状态码，wifi状态码是3,正常播放
//	            mui.toast("正在使用wife");  
	        }else if(netWork==1||netWork==0){
	        	mui.toast("网络连接超时");
	    		$(".menbanNet").show();				//开启断网提示
	    		$("video")[0].pause();				//视频暂停
	    		$(".dataBox").hide();				//下放这个容器隐藏，然后如下
	    		$(".no_order").show();				//视频底部显示空白断网图片
	        }else if(netWork==4||netWork==5||netWork==6){//2G,3G,4G
	        	if(isContinue){						//默认第一次就要判断；
	        		$(".menban").show();			//开启流量提示
	        		$("video")[0].pause();			//视频暂停
	        	}
	        }
		})
	}
	
	
	
	//转换时长
	video_control.prototype.timeLength = function(tTime){
        var h = Math.floor(tTime/3600);
        var m = Math.floor(tTime%3600/60);
        var s = Math.floor(tTime%60);
        //转换格式
        h = h>9?h:"0"+h;
        m = m>9?m:"0"+m;
        s = s>9?s:"0"+s; 
        //如果大于10变成010;
        //在页面上显示
        return {h:h,m:m,s:s};
	}
	
	
	
	
	//滑块拖动事件
	document.querySelector('input[type="range"]').addEventListener("input", function(){
		var newValue = elem.value;
		var width  = newValue/100*$(".range").width()+"px";
		$("video")[0].currentTime = newValue/100*tol;
		rangWid.style.width = width;
	}); 
	
	
	var dnum=-1;
	var dclear = setInterval(function(){
		dnum++;
		$(".lazyLoad span").eq(dnum).css("color","white");
		if(dnum>=3){
			dnum = -1;
			$(".lazyLoad span").css("color","black");
		}
	},300);
	
	
	var  eventTester = function(e){
          video.addEventListener(e,function(){
          	  if(e=="abort"||e=="loadstart"){
              	reRangeVal = true;
              	elem.value= 0;
              }
              if(e=="waiting"){
				  $(".lazyLoad").show();
              };
              if(e=="loadedmetadata"||e=="play"||e=="timeupdate"){
              	  $(".lazyLoad").hide();
              }
              if(e=="error"){
              	mui.toast("请求数据错误！");
              }
              
              
          });
    }
  
     eventTester("loadstart");    //客户端开始请求数据
     eventTester("progress");    //客户端正在请求数据
     eventTester("suspend");     //延迟下载
     eventTester("abort");        //客户端主动终止下载（不是因为错误引起），
     eventTester("error");        //请求数据时遇到错误
     eventTester("stalled");        //网速失速
     eventTester("play");        //play()和autoplay开始播放时触发
     eventTester("pause");        //pause()触发
     eventTester("loadedmetadata");    //成功获取资源长度
     eventTester("loadeddata");    //
     eventTester("waiting");        //等待数据，并非错误
     eventTester("playing");        //开始回放
     eventTester("canplay");        //可以播放，但中途可能因为加载而暂停
     eventTester("canplaythrough"); //可以播放，歌曲全部加载完毕
     eventTester("seeking");        //寻找中，（滑动中）
     eventTester("seeked");        //寻找完毕
     eventTester("timeupdate");    //播放时间改变
     eventTester("ended");        //播放结束
     eventTester("ratechange");    //播放速率改变
     eventTester("durationchange");    //资源长度改变
     eventTester("volumechange");    //音量改变
     
     
     
     var shareId;
     mui.plusReady(function(){
		var sdata=plus.webview.currentWebview();
		shareId  =sdata.ID;
		console.log("shareId: " + JSON.stringify(shareId));
     	$(".share").on("click",function(){
	     	myshare();
     	});
     	
     	//强制视频横屏
     	if(mui.os.android){
     		fullScreenOfAndroid()
     	}else if(mui.os.ios){
     		fullScreenOfIos();
     	}
     });
	//原生监听分享
	window.addEventListener("myshare",function(){
		myshare();
	})

    function myshare(){
		if(vm.IsSpecial){		//栏目电影
			shareList.shareData1(16,shareId,UserCache.getUserToken(),function(data){
				util.share(vm.title,vm.intro,data.data.Url);
			});
		}else{					//期刊视频
			shareList.shareData1(13,shareId,UserCache.getUserToken(),function(data){
				util.share(vm.title,vm.intro,data.data.Url);
			});
		}
    }

    //ios
    var fullScreenOfIos = function() {
	    video.addEventListener('webkitbeginfullscreen', function() {	
	        plus.screen.lockOrientation('landscape-secondary'); //锁死屏幕方向为横屏
	    });
	    video.addEventListener('webkitendfullscreen', function() {
	        plus.screen.lockOrientation('portrait-primary');    //锁死屏幕方向为竖屏
	    });
	};
	//android
	var fullScreenOfAndroid = function() {
         if(true) {
	        var self = plus.webview.currentWebview();
	        self.setStyle({
	            videoFullscreen: 'landscape'
	        });
	    } else {
            document.addEventListener('webkitfullscreenchange', function() {
                var el = document.webkitFullscreenElement; //获取全屏元素
                if(el) {
                    plus.screen.lockOrientation('landscape'); //锁死屏幕方向为横屏
                } else {
                    plus.screen.lockOrientation('portrait-primary'); //锁死屏幕方向为竖屏
                }
            });
	    }
	}
	return new video_control();
});